
#define	RESULT_BYTE_COUNT	15
#define	KEY_CHAR_COUNT		24
#define USERS_PER_BLOCK		10
#define MAX_DAYS			50000

#define	B_RAND1					0
#define	B_F1BITS				1
#define	B_DAYS1					2
#define	B_CHECKSUM				3
#define	B_F2BITS				4
#define	B_USERS					5
#define	B_PROJECTS				6
#define	B_F3BITS				7
#define	B_DUSERS				8
#define	B_RAND6					9	
#define B_F4BITS				10
#define B_RAND7					11
#define B_DAYS2					12
#define B_F5BITS				13
#define B_RAND2					14

/* Feature Bits 1 */
#define	FEATURE_1				0x80
#define FEATURE_THROTTLE		0x40
#define FEATURE_3				0x20
#define FEATURE_CLUSTERING		0x10
#define FEATURE_5				0x08
#define	FEATURE_ANYDB			0x04
#define FEATURE_7				0x02
#define FEATURE_ENTERPRISE		0x01

/* Feature Bits 2 */
#define	FEATURE_BOMS			0x80
#define	FEATURE_FULLCONTROL		0x40
#define FEATURE_APTAR			0x20
#define FEATURE_FULLSPEED		0x10
#define FEATURE_TESTAR			0x08
#define FEATURE_FULLREPORT		0x04
#define FEATURE_DEFECTAR		0x02
#define FEATURE_API				0x01

/* Feature Bits 3 */
#define	FEATURE_MANIFESTS		0x80
#define	FEATURE_18				0x40
#define FEATURE_MULTIPLATFORM	0x20
#define FEATURE_20				0x10
#define FEATURE_PACKTAR			0x08
#define FEATURE_22				0x04
#define FEATURE_GENTAR			0x02
#define FEATURE_24				0x01

/* Feature Bits 4 */
#define	FEATURE_TRIAL			0x80
#define	FEATURE_26				0x40
#define FEATURE_BETA			0x20
#define FEATURE_28				0x10
#define FEATURE_UBLOCKED		0x08
#define FEATURE_30				0x04
#define FEATURE_DBLOCKED		0x02
#define FEATURE_32				0x01

/* Feature Bits 5 */
#define	FEATURE_33				0x80
#define	FEATURE_CONSFIXED		0x40
#define FEATURE_35				0x20
#define FEATURE_36				0x10
#define FEATURE_REFLECTORS		0x08
#define FEATURE_38				0x04
#define FEATURE_39				0x02
#define FEATURE_40				0x01

/*

-A     API
-C     FullControl
-R     FullReport
-S     FullSpeed

-a     AnyDB
-b     Beta
-c x   Concurrent Users
-d x   Dev Users
-e     Enterprise
-f x   Fixed Users
-i d   DefecTar (defect)
-i p   PackTar (installers)
-i s   ApTar (scm)
-i t   TesTar (test systems)
-i g   GenTar (generic interface)
-l x   Length in months
-m     Manifests
-o     BOM Generation
-p x   Projects: 0 = unlimited, x = max projects 1 - 15
-r     Throttle (threading + pooling in control)
-t x   Trial days

*/
#define F_THROTTLE			1
#define	F_ANYDB				2
#define F_ENTERPRISE		3
#define	F_BOMS				4
#define F_APTAR				5
#define F_TESTAR			6
#define F_DEFECTAR			7
#define	F_MANIFESTS			8
#define F_MULTIPLATFORM		9
#define	F_TRIAL				10
#define F_BETA				11
#define F_UBLOCKED			12
#define F_DBLOCKED			13
#define F_PACKTAR			14

#define	F_FULLCONTROL		15
#define F_FULLREPORT		16
#define F_FULLSPEED			17
#define F_API				18
#define	F_REFLECTORS		19
#define	F_CONSFIXED			20
#define F_GENTAR			21
#define F_CLUSTERING		22

#define	F_MAX_OPTS			22

