
package BuildForge::Services::Constants;

use strict;
use BuildForge::Ex;
use UNIVERSAL qw(can);

use constant COMMAND_ACCESS_ADD => 0x00000411;
use constant COMMAND_ACCESS_ADD_GROUP => 0x0000041A;
use constant COMMAND_ACCESS_ADD_PERM => 0x00000414;
use constant COMMAND_ACCESS_ADD_USER => 0x00000417;
use constant COMMAND_ACCESS_CHECK_PERM => 0x0000041C;
use constant COMMAND_ACCESS_CLONE => 0x0000041F;
use constant COMMAND_ACCESS_DEL => 0x00000412;
use constant COMMAND_ACCESS_DEL_GROUP => 0x0000041B;
use constant COMMAND_ACCESS_DEL_PERM => 0x00000415;
use constant COMMAND_ACCESS_DEL_USER => 0x00000418;
use constant COMMAND_ACCESS_FIND_ALL => 0x00000401;
use constant COMMAND_ACCESS_FIND_CHILDREN => 0x00000406;
use constant COMMAND_ACCESS_FIND_DEF => 0x00000404;
use constant COMMAND_ACCESS_FIND_ID => 0x00000402;
use constant COMMAND_ACCESS_FIND_NAME => 0x00000403;
use constant COMMAND_ACCESS_FIND_UID => 0x00000405;
use constant COMMAND_ACCESS_GET_GROUPS => 0x00000419;
use constant COMMAND_ACCESS_GET_USERS => 0x00000416;
use constant COMMAND_ACCESS_LIST_PERM => 0x0000041D;
use constant COMMAND_ACCESS_UPD => 0x00000413;
use constant COMMAND_ADAPTOR_ADD => 0x00001111;
use constant COMMAND_ADAPTOR_DEL => 0x00001112;
use constant COMMAND_ADAPTOR_FIND_ALL => 0x00001101;
use constant COMMAND_ADAPTOR_FIND_NAME => 0x00001102;
use constant COMMAND_ADAPTOR_LIST_TEMPLATES => 0x00001121;
use constant COMMAND_ADAPTOR_UPD => 0x00001113;
use constant COMMAND_BUILD_CANCEL => 0x00000513;
use constant COMMAND_BUILD_CLONE => 0x00000516;
use constant COMMAND_BUILD_FIND_ALL => 0x00000501;
use constant COMMAND_BUILD_FIND_BETWEEN => 0x00000522;
use constant COMMAND_BUILD_FIND_ID => 0x00000502;
use constant COMMAND_BUILD_FIND_PID => 0x00000503;
use constant COMMAND_BUILD_FIND_STATE => 0x00000504;
use constant COMMAND_BUILD_FIRE => 0x00000514;
use constant COMMAND_BUILD_LOCK => 0x00000519;
use constant COMMAND_BUILD_NOTE_ADD => 0x00000520;
use constant COMMAND_BUILD_NOTE_DEL => 0x00000521;
use constant COMMAND_BUILD_PURGE => 0x00000517;
use constant COMMAND_BUILD_RESTART => 0x00000515;
use constant COMMAND_BUILD_STEP_FLAG => 0x00000518;
use constant COMMAND_BUILD_UPD => 0x00000512;
use constant COMMAND_CLASS_ADD => 0x00000611;
use constant COMMAND_CLASS_DEL => 0x00000612;
use constant COMMAND_CLASS_FIND_ALL => 0x00000601;
use constant COMMAND_CLASS_FIND_NAME => 0x00000602;
use constant COMMAND_CLASS_UPD => 0x00000613;
use constant COMMAND_COLLECTOR_ADD => 0x00001411;
use constant COMMAND_COLLECTOR_COPY_PROPERTY => 0x00001418;
use constant COMMAND_COLLECTOR_DEL => 0x00001412;
use constant COMMAND_COLLECTOR_ENTRY_ADD => 0x00001414;
use constant COMMAND_COLLECTOR_ENTRY_DEL => 0x00001415;
use constant COMMAND_COLLECTOR_ENTRY_UPD => 0x00001416;
use constant COMMAND_COLLECTOR_FIND_ALL => 0x00001401;
use constant COMMAND_COLLECTOR_FIND_ID => 0x00001402;
use constant COMMAND_COLLECTOR_MOVE_PROPERTY => 0x00001417;
use constant COMMAND_COLLECTOR_UPD => 0x00001413;
use constant COMMAND_CRON_ACTIVATE => 0x00001014;
use constant COMMAND_CRON_ADD => 0x00001011;
use constant COMMAND_CRON_DEL => 0x00001012;
use constant COMMAND_CRON_FIND_ALL => 0x00001001;
use constant COMMAND_CRON_FIND_ID => 0x00001002;
use constant COMMAND_CRON_FIND_NAME => 0x00001003;
use constant COMMAND_CRON_RESET => 0x00001015;
use constant COMMAND_CRON_UPD => 0x00001013;
use constant COMMAND_ENGINE_ADD => 0x00001711;
use constant COMMAND_ENGINE_DEL => 0x00001712;
use constant COMMAND_ENGINE_FIND_ALL => 0x00001701;
use constant COMMAND_ENGINE_FIND_ID => 0x00001702;
use constant COMMAND_ENGINE_PAUSE => 0x00001714;
use constant COMMAND_ENGINE_UPD => 0x00001713;
use constant COMMAND_ENV_COPY_ENTRY => 0x00000818;
use constant COMMAND_ENV_ENTRY_ADD => 0x00000814;
use constant COMMAND_ENV_ENTRY_DEL => 0x00000815;
use constant COMMAND_ENV_ENTRY_UPD => 0x00000816;
use constant COMMAND_ENV_GROUP_ADD => 0x00000811;
use constant COMMAND_ENV_GROUP_DEL => 0x00000812;
use constant COMMAND_ENV_GROUP_FIND_ALL => 0x00000801;
use constant COMMAND_ENV_GROUP_FIND_ID => 0x00000802;
use constant COMMAND_ENV_GROUP_FIND_NAME => 0x00000803;
use constant COMMAND_ENV_GROUP_UPD => 0x00000813;
use constant COMMAND_ENV_MOVE_ENTRY => 0x00000817;
use constant COMMAND_ERROR => 0x80000002;
use constant COMMAND_FILTER_COPY_ENTRY => 0x00000918;
use constant COMMAND_FILTER_ENTRY_ADD => 0x00000914;
use constant COMMAND_FILTER_ENTRY_DEL => 0x00000915;
use constant COMMAND_FILTER_ENTRY_UPD => 0x00000916;
use constant COMMAND_FILTER_MOVE_ENTRY => 0x00000917;
use constant COMMAND_FILTER_SET_ADD => 0x00000911;
use constant COMMAND_FILTER_SET_DEL => 0x00000912;
use constant COMMAND_FILTER_SET_FIND_ALL => 0x00000901;
use constant COMMAND_FILTER_SET_FIND_ID => 0x00000902;
use constant COMMAND_FILTER_SET_UPD => 0x00000913;
use constant COMMAND_GEO_FIND_ALL => 0x00001E01;
use constant COMMAND_GEO_FIND_ID => 0x00001E02;
use constant COMMAND_GEO_FIND_LOCATION => 0x00001E03;
use constant COMMAND_IMPORT => 0x00000A11;
use constant COMMAND_INVALID => 0x00000000;
use constant COMMAND_LDAP_ADD => 0x00000711;
use constant COMMAND_LDAP_DEL => 0x00000712;
use constant COMMAND_LDAP_FIND_ALL => 0x00000701;
use constant COMMAND_LDAP_FIND_DOMAIN => 0x00000702;
use constant COMMAND_LDAP_UPD => 0x00000713;
use constant COMMAND_LINK_ACTIVE => 0x00001D14;
use constant COMMAND_LINK_CREATE => 0x00001D11;
use constant COMMAND_LINK_DELETE => 0x00001D13;
use constant COMMAND_LINK_FIND_ADAPTOR => 0x00001D03;
use constant COMMAND_LINK_FIND_ALL => 0x00001D01;
use constant COMMAND_LINK_FIND_ID => 0x00001D04;
use constant COMMAND_LINK_FIND_NAME => 0x00001D05;
use constant COMMAND_LINK_FIND_PID => 0x00001D02;
use constant COMMAND_LINK_FIND_PIDNAME => 0x00001D06;
use constant COMMAND_LINK_UPDATE => 0x00001D12;
use constant COMMAND_LOCALE => 0x80000005;
use constant COMMAND_LOGIN => 0x80000010;
use constant COMMAND_LOGOUT => 0x00000011;
use constant COMMAND_LOG_FIND_RESULT => 0x00001B01;
use constant COMMAND_LOG_FIND_SEARCH => 0x00001B02;
use constant COMMAND_MANIFEST_FIND_BY_SERVER => 0x00001C01;
use constant COMMAND_MANIFEST_REFRESH_BY_SERVER => 0x00001C02;
use constant COMMAND_PING => 0x80000003;
use constant COMMAND_PROJ_ACTIVATE => 0x00000E16;
use constant COMMAND_PROJ_ADD => 0x00000E11;
use constant COMMAND_PROJ_CLOBBER => 0x00000E14;
use constant COMMAND_PROJ_DEL => 0x00000E12;
use constant COMMAND_PROJ_FIND_ALL => 0x00000E01;
use constant COMMAND_PROJ_FIND_ID => 0x00000E02;
use constant COMMAND_PROJ_FIND_NAME => 0x00000E03;
use constant COMMAND_PROJ_INUSE => 0x00000E15;
use constant COMMAND_PROJ_LIST_NAMES => 0x00000E0F;
use constant COMMAND_PROJ_UPD => 0x00000E13;
use constant COMMAND_REGISTER_CREATE => 0x00001911;
use constant COMMAND_REGISTER_DELETE => 0x00001913;
use constant COMMAND_REGISTER_DEL_BY_BUILD => 0x00001914;
use constant COMMAND_REGISTER_DEL_BY_PROJECT => 0x00001915;
use constant COMMAND_REGISTER_FND_BUILD_REG => 0x00001903;
use constant COMMAND_REGISTER_FND_BY_BUILD => 0x00001901;
use constant COMMAND_REGISTER_FND_BY_PRJ => 0x00001902;
use constant COMMAND_REGISTER_FND_PRJ_REG => 0x00001904;
use constant COMMAND_REGISTER_UPDATE => 0x00001912;
use constant COMMAND_RESPONSE => 0x80000001;
use constant COMMAND_RESULT_FIND_BID => 0x00001A01;
use constant COMMAND_SELECTOR_ADD => 0x00001511;
use constant COMMAND_SELECTOR_DEL => 0x00001512;
use constant COMMAND_SELECTOR_ENTRY_ADD => 0x00001514;
use constant COMMAND_SELECTOR_ENTRY_DEL => 0x00001515;
use constant COMMAND_SELECTOR_ENTRY_UPD => 0x00001516;
use constant COMMAND_SELECTOR_FIND_ALL => 0x00001501;
use constant COMMAND_SELECTOR_FIND_ID => 0x00001502;
use constant COMMAND_SELECTOR_UPD => 0x00001513;
use constant COMMAND_SEM_ADD => 0x00000D10;
use constant COMMAND_SEM_DEL => 0x00000D11;
use constant COMMAND_SEM_FIND_ALL => 0x00000D01;
use constant COMMAND_SEM_FIND_NAME => 0x00000D02;
use constant COMMAND_SEM_GET => 0x00000D12;
use constant COMMAND_SEM_PUT => 0x00000D13;
use constant COMMAND_SERVERAUTH_ADD => 0x00001311;
use constant COMMAND_SERVERAUTH_DEL => 0x00001312;
use constant COMMAND_SERVERAUTH_FIND_ALL => 0x00001301;
use constant COMMAND_SERVERAUTH_FIND_ID => 0x00001302;
use constant COMMAND_SERVERAUTH_UPD => 0x00001313;
use constant COMMAND_SERVER_ACTIVATE => 0x00001214;
use constant COMMAND_SERVER_ADD => 0x00001211;
use constant COMMAND_SERVER_DEC_JOBS => 0x00001222;
use constant COMMAND_SERVER_DEL => 0x00001212;
use constant COMMAND_SERVER_FIND_ALL => 0x00001201;
use constant COMMAND_SERVER_FIND_ID => 0x00001202;
use constant COMMAND_SERVER_FIND_NAME => 0x00001203;
use constant COMMAND_SERVER_INC_JOBS => 0x00001221;
use constant COMMAND_SERVER_RESET_JOBS => 0x00001220;
use constant COMMAND_SERVER_TEST => 0x00001215;
use constant COMMAND_SERVER_UPD => 0x00001213;
use constant COMMAND_STEP_ACTIVATE => 0x00000F14;
use constant COMMAND_STEP_ADD => 0x00000F11;
use constant COMMAND_STEP_COPY_STEP => 0x00000F16;
use constant COMMAND_STEP_DEL => 0x00000F12;
use constant COMMAND_STEP_FIND_PIDSID => 0x00000F03;
use constant COMMAND_STEP_FIND_PROJECT => 0x00000F01;
use constant COMMAND_STEP_FIND_UID => 0x00000F02;
use constant COMMAND_STEP_MOVE_STEP => 0x00000F15;
use constant COMMAND_STEP_UPD => 0x00000F13;
use constant COMMAND_SYSCONF_FIND => 0x00000C01;
use constant COMMAND_SYSCONF_FIND_ALL => 0x00000C02;
use constant COMMAND_SYSCONF_SET => 0x00000C12;
use constant COMMAND_SYSCONF_UPD => 0x00000C11;
use constant COMMAND_TAGVAR_ADD => 0x00001811;
use constant COMMAND_TAGVAR_DEL_PID_NAME => 0x00001812;
use constant COMMAND_TAGVAR_DEL_PID_TID => 0x00001813;
use constant COMMAND_TAGVAR_FIND_PID => 0x00001801;
use constant COMMAND_TAGVAR_FIND_PID_NAME => 0x00001802;
use constant COMMAND_TAGVAR_FIND_PID_TID => 0x00001803;
use constant COMMAND_TAGVAR_UPD => 0x00001814;
use constant COMMAND_TEMPLATE_ADD => 0x00000B11;
use constant COMMAND_TEMPLATE_DEL => 0x00000B12;
use constant COMMAND_TEMPLATE_FIND_ALL => 0x00000B01;
use constant COMMAND_TEMPLATE_FIND_ID => 0x00000B03;
use constant COMMAND_TEMPLATE_FIND_PID => 0x00000B02;
use constant COMMAND_TEMPLATE_UPD => 0x00000B13;
use constant COMMAND_TIMEZONE => 0x80000006;
use constant COMMAND_TIMEZONE_ADD => 0x00001611;
use constant COMMAND_TIMEZONE_DEL => 0x00001612;
use constant COMMAND_TIMEZONE_FIND_ALL => 0x00001601;
use constant COMMAND_TIMEZONE_FIND_ID => 0x00001602;
use constant COMMAND_TIMEZONE_UPD => 0x00001613;
use constant COMMAND_TRANSLATE => 0x80000004;
use constant COMMAND_USER_ADD => 0x00000211;
use constant COMMAND_USER_DEL => 0x00000212;
use constant COMMAND_USER_EMAIL => 0x00000214;
use constant COMMAND_USER_FIND_ALL => 0x00000201;
use constant COMMAND_USER_FIND_ID => 0x00000202;
use constant COMMAND_USER_FIND_LOGIN => 0x00000203;
use constant COMMAND_USER_GET_PERMS => 0x00000217;
use constant COMMAND_USER_RESET_LICENSE => 0x00000216;
use constant COMMAND_USER_RESET_LOGIN => 0x00000215;
use constant COMMAND_USER_UPD => 0x00000213;
use constant COMMAND_XACT_AUTO => 0x00000020;
use constant COMMAND_XACT_COMMIT => 0x00000021;
use constant COMMAND_XACT_ROLLBACK => 0x00000022;
use constant CTRL_ABORT => 0x00000018;
use constant CTRL_AS => 0x0000001B;
use constant CTRL_CMD => 0x00000001;
use constant CTRL_ENDHASH => 0x00000017;
use constant CTRL_ENTRY => 0x00000002;
use constant CTRL_GO => 0x00000004;
use constant KEY_ACCESS_GID => "access.groupid";
use constant KEY_ACCESS_GROUP_CTRL => "level.ctrl";
use constant KEY_ACCESS_GROUP_DBO => "level.DBO";
use constant KEY_ACCESS_GROUP_DEF => "level.def";
use constant KEY_ACCESS_GROUP_DN => "level.dn";
use constant KEY_ACCESS_GROUP_ID => "level.level";
use constant KEY_ACCESS_GROUP_LIST => "level.LIST";
use constant KEY_ACCESS_GROUP_NAME => "level.name";
use constant KEY_ACCESS_USER_ID => "access.userid";
use constant KEY_BUILD_ADHOC_ENV => "build.adHocEnv";
use constant KEY_BUILD_BEGIN => "build.beginDate";
use constant KEY_BUILD_DBO => "build.DBO";
use constant KEY_BUILD_END => "build.endDate";
use constant KEY_BUILD_ID => "build.bid";
use constant KEY_BUILD_LEVEL => "build.level";
use constant KEY_BUILD_LIST => "build.LIST";
use constant KEY_BUILD_PID => "build.pid";
use constant KEY_BUILD_RUNLINK => "build.RUNLINK";
use constant KEY_BUILD_STATE => "build.state";
use constant KEY_BUILD_TAG => "build.tag";
use constant KEY_CLASS_DBO => "class.DBO";
use constant KEY_CLASS_LIST => "class.LIST";
use constant KEY_CLASS_NAME => "class.name";
use constant KEY_COLLECTOR_DBO => "collector.DBO";
use constant KEY_COLLECTOR_FROM_INDEX => "collector.from.index";
use constant KEY_COLLECTOR_ID => "collector.id";
use constant KEY_COLLECTOR_LIST => "collector.LIST";
use constant KEY_COLLECTOR_PROPERTY_COLLECTOR_ID => "collector.property.collectorId";
use constant KEY_COLLECTOR_PROPERTY_DBO => "collector.prop.DBO";
use constant KEY_COLLECTOR_PROPERTY_LIST => "collector.prop.LIST";
use constant KEY_COLLECTOR_PROPERTY_PROPERTY_NAME => "collector.property.name";
use constant KEY_COLLECTOR_PROPERTY_SEQUENCE_NUMBER => "collector.property.seq";
use constant KEY_COLLECTOR_TO_INDEX => "collector.to.index";
use constant KEY_CRON_ACTIVE => "cron.active";
use constant KEY_CRON_DBO => "cron.DBO";
use constant KEY_CRON_ID => "cron.cid";
use constant KEY_CRON_LIST => "cron.LIST";
use constant KEY_CRON_NAME => "cron.description";
use constant KEY_ENGINE_DBO => "engine.DBO";
use constant KEY_ENGINE_ID => "engine.engineid";
use constant KEY_ENGINE_LIST => "engine.LIST";
use constant KEY_ENV_DBO => "env.DBO";
use constant KEY_ENV_ENTRY_DBO => "env.entry.DBO";
use constant KEY_ENV_ENTRY_ID => "env.entry.entryId";
use constant KEY_ENV_ENTRY_LIST => "env.entry.LIST";
use constant KEY_ENV_FROM_INDEX => "env.from.index";
use constant KEY_ENV_ID => "env.bid";
use constant KEY_ENV_LIST => "env.LIST";
use constant KEY_ENV_NAME => "env.name";
use constant KEY_ENV_TO_INDEX => "env.to.index";
use constant KEY_ERROR => "*error";
use constant KEY_FILTER_DBO => "filter.DBO";
use constant KEY_FILTER_FROM_INDEX => "filter.from.index";
use constant KEY_FILTER_ID => "filter.did";
use constant KEY_FILTER_LIST => "filter.LIST";
use constant KEY_FILTER_PATTERN_DBO => "filter.pattern.DBO";
use constant KEY_FILTER_PATTERN_FILTER_ID => "filter.pattern.filterId";
use constant KEY_FILTER_PATTERN_LIST => "filter.pattern.LIST";
use constant KEY_FILTER_PATTERN_ORDINAL => "filter.pattern.ordinal";
use constant KEY_FILTER_TO_INDEX => "filter.to.index";
use constant KEY_FLAGS => "*flags";
use constant KEY_GEO_DBO => "geo.DBO";
use constant KEY_GEO_ID => "geo.id";
use constant KEY_GEO_LIST => "geo.LIST";
use constant KEY_GEO_LOCATION => "geo.location";
use constant KEY_INFO => "*info";
use constant KEY_INTERFACE_DBO => "interface.DBO";
use constant KEY_INTERFACE_ID => "interface.id";
use constant KEY_INTERFACE_LIST => "interface.LIST";
use constant KEY_INTERFACE_TEMPLATE_ID => "interface.template.id";
use constant KEY_INTERFACE_TEMPLATE_ID_LIST => "interface.template.id.LIST";
use constant KEY_LDAP_DBO => "ldap.DBO";
use constant KEY_LDAP_DOMAIN => "ldap.domain";
use constant KEY_LDAP_LIST => "ldap.LIST";
use constant KEY_LOGIN_DOMAIN => "*domain";
use constant KEY_LOGIN_PASSWORD => "*pass";
use constant KEY_LOGIN_TOKEN => "*token";
use constant KEY_LOGIN_USERNAME => "*user";
use constant KEY_LOG_LIST => "log.LIST";
use constant KEY_MANIFEST_DBO => "manifest.DBO";
use constant KEY_MANIFEST_LIST => "manifest.LIST";
use constant KEY_MANIFEST_PROPERTY_DBO => "manifest.property.DBO";
use constant KEY_MANIFEST_PROPERTY_LIST => "manifest.property.LIST";
use constant KEY_MANIFEST_SERVER_NAME => "manifest.server.name";
use constant KEY_NOTE_DBO => "note.DBO";
use constant KEY_PERMISSION_EXISTS => "permission.exists";
use constant KEY_PERMISSION_LIST => "permission.LIST";
use constant KEY_PERMISSION_NAME => "permission.name";
use constant KEY_PROJECT_ACTIVE => "project.active";
use constant KEY_PROJECT_DBO => "project.DBO";
use constant KEY_PROJECT_ID => "project.pid";
use constant KEY_PROJECT_INUSE => "project.INUSE";
use constant KEY_PROJECT_INUSE_MSGS => "project.INUSE.MSGS";
use constant KEY_PROJECT_LIST => "project.LIST";
use constant KEY_PROJECT_NAME => "project.name";
use constant KEY_REGISTER_BUILD_ID => "register.buildId";
use constant KEY_REGISTER_DBO => "register.DBO";
use constant KEY_REGISTER_LIST => "register.LIST";
use constant KEY_REGISTER_NAME => "register.name";
use constant KEY_REGISTER_PROJECT_ID => "register.projectId";
use constant KEY_RESULT_LIST => "result.LIST";
use constant KEY_RESULT_UID => "result.uid";
use constant KEY_SCOPE_ACTIVE => "scope.active";
use constant KEY_SCOPE_DBO => "scope.DBO";
use constant KEY_SCOPE_ID => "scope.id";
use constant KEY_SCOPE_LIST => "scope.LIST";
use constant KEY_SCOPE_NAME => "scope.name";
use constant KEY_SELECTOR_DBO => "selector.DBO";
use constant KEY_SELECTOR_ID => "selector.id";
use constant KEY_SELECTOR_LIST => "selector.LIST";
use constant KEY_SELECTOR_PROPERTY_DBO => "selectorProperty.DBO";
use constant KEY_SELECTOR_PROPERTY_LIST => "selectorProperty.LIST";
use constant KEY_SELECTOR_PROPERTY_NAME => "selectorProperty.name";
use constant KEY_SELECTOR_PROPERTY_SELECTOR_ID => "selectorProperty.selectorId";
use constant KEY_SEMAPHORE_ACTIVE => "semaphore.active";
use constant KEY_SEMAPHORE_DBO => "semaphore.DBO";
use constant KEY_SEMAPHORE_LIST => "semaphore.LIST";
use constant KEY_SEMAPHORE_NAME => "semaphore.name";
use constant KEY_SERVERAUTH_DBO => "serverauth.DBO";
use constant KEY_SERVERAUTH_ID => "serverauth.authId";
use constant KEY_SERVERAUTH_LIST => "serverauth.LIST";
use constant KEY_SERVER_ACTIVE => "server.active";
use constant KEY_SERVER_DBO => "server.DBO";
use constant KEY_SERVER_ID => "server.id";
use constant KEY_SERVER_LIST => "server.LIST";
use constant KEY_SERVER_NAME => "server.name";
use constant KEY_SIMPLE_LOCALE => "*locale";
use constant KEY_SIMPLE_MESSAGE => "*message";
use constant KEY_SIMPLE_PING => "*ping";
use constant KEY_SIMPLE_TIMEZONE => "*tzone";
use constant KEY_STEP_DBO => "step.DBO";
use constant KEY_STEP_FROM_INDEX => "step.from.index";
use constant KEY_STEP_LIST => "step.LIST";
use constant KEY_STEP_PROJECT_ID => "step.projectId";
use constant KEY_STEP_STEP_ID => "step.stepId";
use constant KEY_STEP_TO_INDEX => "step.to.index";
use constant KEY_STEP_UID => "step.uid";
use constant KEY_SYSCONFIG_DBO => "sysconfig.DBO";
use constant KEY_SYSCONFIG_ID => "sysconfig.name";
use constant KEY_SYSCONFIG_LIST => "sysconfig.LIST";
use constant KEY_TAGVAR_DBO => "tagvar.DBO";
use constant KEY_TAGVAR_LIST => "tagvar.LIST";
use constant KEY_TAGVAR_PROJECT_ID => "tagvar.pid";
use constant KEY_TAGVAR_TAG_ID => "tagvar.tid";
use constant KEY_TAGVAR_TAG_NAME => "tagvar.name";
use constant KEY_TEMPLATE_DBO => "template.DBO";
use constant KEY_TEMPLATE_LIST => "template.LIST";
use constant KEY_TEMPLATE_LOCALE => "template.locale";
use constant KEY_TEMPLATE_NAME => "template.name";
use constant KEY_TEMPLATE_PROJECT_ID => "template.projectId";
use constant KEY_TEMPLATE_STEP_ID => "template.stepId";
use constant KEY_TIMEZONE_DBO => "timeZone.DBO";
use constant KEY_TIMEZONE_ID => "timezone.zoneId";
use constant KEY_TIMEZONE_LIST => "timeZone.LIST";
use constant KEY_USER_DBO => "user.DBO";
use constant KEY_USER_ID => "user.userid";
use constant KEY_USER_LIST => "user.LIST";
use constant KEY_USER_LOGIN => "user.login";
use constant KEY_XACT_AUTO => "xact.auto";
use constant LEN1_LIMIT => 0x000000FF;
use constant LEN2_LIMIT => 0x0000FFFF;
use constant LEN4_LIMIT => 0x000FFFFF;
use constant TYPE_ARRAY => 0x00000007;
use constant TYPE_FALSE => 0x00000002;
use constant TYPE_HASH => 0x00000008;
use constant TYPE_INTEGER => 0x00000003;
use constant TYPE_LATIN1 => 0x00000005;
use constant TYPE_NULL => 0x00000000;
use constant TYPE_NUMBER => 0x00000004;
use constant TYPE_STRING => 0x00000006;
use constant TYPE_TRUE => 0x00000001;
use constant UID_NONE => 0xFFFFFFFF;
use constant UID_ROOT => 0x00000001;
use constant UID_SYSTEM => 0x00000000;

package BuildForge::Services::Constants::BOM::Type;
sub DIR { 'DIR' }
sub FILE { 'FILE' }
sub SYMLINK { 'SYMLINK' }
package BuildForge::Services::Constants;
sub ENUM_BOM_TYPE { _enum('BOM::Type', @_); }


package BuildForge::Services::Constants::Build::State;
sub WAITING { 'WAITING' }
sub PENDING { 'PENDING' }
sub RUNNING { 'RUNNING' }
sub COMPLETED { 'COMPLETED' }
sub LOCKED { 'LOCKED' }
sub ARCHIVED { 'ARCHIVED' }
package BuildForge::Services::Constants;
sub ENUM_BUILD_STATE { _enum('Build::State', @_); }


package BuildForge::Services::Constants::Build::Process;
sub BUILD { 'BUILD' }
sub CLOBBER { 'CLOBBER' }
sub PURGE { 'PURGE' }
package BuildForge::Services::Constants;
sub ENUM_BUILD_PROCESS { _enum('Build::Process', @_); }


package BuildForge::Services::Constants::Build::Result;
sub NONE { 'NONE' }
sub RUNNING { 'RUNNING' }
sub PASSED { 'PASSED' }
sub WARNING_FILTER { 'WARNING_FILTER' }
sub WARNING_FAILED_STEP { 'WARNING_FAILED_STEP' }
sub FAILED { 'FAILED' }
package BuildForge::Services::Constants;
sub ENUM_BUILD_RESULT { _enum('Build::Result', @_); }


package BuildForge::Services::Constants::BuildClass::PurgeType;
sub CONSOLE_DATA { 'CONSOLE_DATA' }
sub LOGS_AND_FILES { 'LOGS_AND_FILES' }
sub EVERYTHING { 'EVERYTHING' }
sub FILES { 'FILES' }
sub LOGS { 'LOGS' }
sub NOTHING { 'NOTHING' }
package BuildForge::Services::Constants;
sub ENUM_BUILDCLASS_PURGETYPE { _enum('BuildClass::PurgeType', @_); }


package BuildForge::Services::Constants::BuildClass::PurgeRule;
sub ANY_BUILD { 'ANY_BUILD' }
sub KEEP_PASS { 'KEEP_PASS' }
sub ONLY_FAILED { 'ONLY_FAILED' }
sub ONLY_PASSED { 'ONLY_PASSED' }
package BuildForge::Services::Constants;
sub ENUM_BUILDCLASS_PURGERULE { _enum('BuildClass::PurgeRule', @_); }


package BuildForge::Services::Constants::CollectorProperty::BuiltIn;
sub CPU_ARCH { 'CPU_ARCH' }
sub CPU_LOAD { 'CPU_LOAD' }
sub CPU_LOAD1 { 'CPU_LOAD1' }
sub CPU_LOAD5 { 'CPU_LOAD5' }
sub CPU_LOAD15 { 'CPU_LOAD15' }
sub CPU_MHZ { 'CPU_MHZ' }
sub CPU_MANUFACTURER { 'CPU_MANUFACTURER' }
sub CPU_MODEL { 'CPU_MODEL' }
sub CPU_SERIAL { 'CPU_SERIAL' }
sub DISK_FREE { 'DISK_FREE' }
sub DISK_TOTAL { 'DISK_TOTAL' }
sub MEM_FREE { 'MEM_FREE' }
sub MEM_LOAD { 'MEM_LOAD' }
sub MEM_PAGESIZE { 'MEM_PAGESIZE' }
sub MEM_TOTAL { 'MEM_TOTAL' }
sub NET_FQDN { 'NET_FQDN' }
sub NET_IFACE { 'NET_IFACE' }
sub NET_IPV { 'NET_IPV' }
sub NET_IPV4 { 'NET_IPV4' }
sub NET_IPV6 { 'NET_IPV6' }
sub NET_HWADDR { 'NET_HWADDR' }
sub NET_SPEED { 'NET_SPEED' }
sub NUM_CPU { 'NUM_CPU' }
sub OS_HOSTID { 'OS_HOSTID' }
sub OS_MACHINE { 'OS_MACHINE' }
sub OS_RELEASE { 'OS_RELEASE' }
sub OS_SYSNAME { 'OS_SYSNAME' }
sub OS_VERSION { 'OS_VERSION' }
sub WIN_SERVICEPACK { 'WIN_SERVICEPACK' }
package BuildForge::Services::Constants;
sub ENUM_COLLECTORPROPERTY_BUILTIN { _enum('CollectorProperty::BuiltIn', @_); }


package BuildForge::Services::Constants::Cron::Active;
sub YES { 'YES' }
sub NO { 'NO' }
sub ONCE { 'ONCE' }
package BuildForge::Services::Constants;
sub ENUM_CRON_ACTIVE { _enum('Cron::Active', @_); }


package BuildForge::Services::Constants::EnvironmentEntry::Action;
sub SET { 'SET' }
sub SET_IF_NOT_SET { 'SET_IF_NOT_SET' }
sub APPEND { 'APPEND' }
sub PREPEND { 'PREPEND' }
sub CLEAR { 'CLEAR' }
sub UNSET { 'UNSET' }
sub HIDDEN { 'HIDDEN' }
package BuildForge::Services::Constants;
sub ENUM_ENVIRONMENTENTRY_ACTION { _enum('EnvironmentEntry::Action', @_); }


package BuildForge::Services::Constants::EnvironmentEntry::Mode;
sub MUST_CHANGE { 'MUST_CHANGE' }
sub NORMAL { 'NORMAL' }
sub READ_ONLY { 'READ_ONLY' }
sub REQUIRED { 'REQUIRED' }
sub SUPPRESS_DISPLAY { 'SUPPRESS_DISPLAY' }
package BuildForge::Services::Constants;
sub ENUM_ENVIRONMENTENTRY_MODE { _enum('EnvironmentEntry::Mode', @_); }


package BuildForge::Services::Constants::FilterPattern::Action;
sub CLEAR { 'CLEAR' }
sub CLEAR_AND_HALT { 'CLEAR_AND_HALT' }
sub CLEAR_WARNING { 'CLEAR_WARNING' }
sub CLEAR_WARNING_AND_HALT { 'CLEAR_WARNING_AND_HALT' }
sub FAIL { 'FAIL' }
sub FAIL_AND_HALT { 'FAIL_AND_HALT' }
sub HALT { 'HALT' }
sub INCLUDE { 'INCLUDE' }
sub NOTIFY_CHANGERS { 'NOTIFY_CHANGERS' }
sub WARNING { 'WARNING' }
package BuildForge::Services::Constants;
sub ENUM_FILTERPATTERN_ACTION { _enum('FilterPattern::Action', @_); }


package BuildForge::Services::Constants::Interface::Type;
sub DEFECT { 'DEFECT' }
sub PACKAGE { 'PACKAGE' }
sub SOURCE { 'SOURCE' }
sub TEST { 'TEST' }
package BuildForge::Services::Constants;
sub ENUM_INTERFACE_TYPE { _enum('Interface::Type', @_); }


package BuildForge::Services::Constants::ManifestProperty::Category;
sub AUTO { 'AUTO' }
sub NORMAL { 'NORMAL' }
sub USER { 'USER' }
package BuildForge::Services::Constants;
sub ENUM_MANIFESTPROPERTY_CATEGORY { _enum('ManifestProperty::Category', @_); }


package BuildForge::Services::Constants::Message::Severity;
sub ERROR { 'ERROR' }
sub WARNING { 'WARNING' }
sub INFO { 'INFO' }
sub AUDIT { 'AUDIT' }
package BuildForge::Services::Constants;
sub ENUM_MESSAGE_SEVERITY { _enum('Message::Severity', @_); }


package BuildForge::Services::Constants::Permission;
sub ActivateProject { 'ActivateProject' }
sub ActivateSched { 'ActivateSched' }
sub ActivateServer { 'ActivateServer' }
sub AddAccess { 'AddAccess' }
sub AddAccessGroup { 'AddAccessGroup' }
sub AddAccessMember { 'AddAccessMember' }
sub AddCheckpoint { 'AddCheckpoint' }
sub AddClass { 'AddClass' }
sub AddCollector { 'AddCollector' }
sub AddEnvGroup { 'AddEnvGroup' }
sub AddEnvGroupValue { 'AddEnvGroupValue' }
sub AddFilterSet { 'AddFilterSet' }
sub AddFilterSetEntry { 'AddFilterSetEntry' }
sub AddInterface { 'AddInterface' }
sub AddLevel { 'AddLevel' }
sub AddLink { 'AddLink' }
sub AddNote { 'AddNote' }
sub AddProject { 'AddProject' }
sub AddProjectReg { 'AddProjectReg' }
sub AddProjectStep { 'AddProjectStep' }
sub AddProjectTagVar { 'AddProjectTagVar' }
sub AddSchedule { 'AddSchedule' }
sub AddSelector { 'AddSelector' }
sub AddServer { 'AddServer' }
sub AddServerAuth { 'AddServerAuth' }
sub AddSourceModule { 'AddSourceModule' }
sub AddSourceServer { 'AddSourceServer' }
sub AddTemplate { 'AddTemplate' }
sub AddTimeZones { 'AddTimeZones' }
sub AddUser { 'AddUser' }
sub AddView { 'AddView' }
sub AddViewEntry { 'AddViewEntry' }
sub CancelRunning { 'CancelRunning' }
sub CancelStep { 'CancelStep' }
sub ChangeBuildClass { 'ChangeBuildClass' }
sub ClobberProject { 'ClobberProject' }
sub CloneBuild { 'CloneBuild' }
sub ConfigurePublicXML { 'ConfigurePublicXML' }
sub DeleteAccess { 'DeleteAccess' }
sub DeleteAccessMember { 'DeleteAccessMember' }
sub DeleteBuildWaiting { 'DeleteBuildWaiting' }
sub DeleteChange { 'DeleteChange' }
sub DeleteCheckpoint { 'DeleteCheckpoint' }
sub DeleteClass { 'DeleteClass' }
sub DeleteCollector { 'DeleteCollector' }
sub DeleteEnvGroup { 'DeleteEnvGroup' }
sub DeleteEnvGroupValue { 'DeleteEnvGroupValue' }
sub DeleteFilterSet { 'DeleteFilterSet' }
sub DeleteFilterSetEntry { 'DeleteFilterSetEntry' }
sub DeleteInterface { 'DeleteInterface' }
sub DeleteLink { 'DeleteLink' }
sub DeleteNote { 'DeleteNote' }
sub DeleteProject { 'DeleteProject' }
sub DeleteProjectStep { 'DeleteProjectStep' }
sub DeleteProjectTagVar { 'DeleteProjectTagVar' }
sub DeletePublicReports { 'DeletePublicReports' }
sub DeletePublicXML { 'DeletePublicXML' }
sub DeleteSchedule { 'DeleteSchedule' }
sub DeleteSelector { 'DeleteSelector' }
sub DeleteServer { 'DeleteServer' }
sub DeleteServerAuth { 'DeleteServerAuth' }
sub DeleteSourceModule { 'DeleteSourceModule' }
sub DeleteSourceServer { 'DeleteSourceServer' }
sub DeleteTemplate { 'DeleteTemplate' }
sub DeleteTimeZones { 'DeleteTimeZones' }
sub DeleteUser { 'DeleteUser' }
sub DeleteView { 'DeleteView' }
sub DeleteViewEntry { 'DeleteViewEntry' }
sub DelProjectReg { 'DelProjectReg' }
sub DeselectSteps { 'DeselectSteps' }
sub EditCollector { 'EditCollector' }
sub EditEnvValue { 'EditEnvValue' }
sub EditFilterSetEntry { 'EditFilterSetEntry' }
sub EditHiddenTags { 'EditHiddenTags' }
sub EditInterface { 'EditInterface' }
sub EditLevel { 'EditLevel' }
sub EditProjectReg { 'EditProjectReg' }
sub EditProjectTagVar { 'EditProjectTagVar' }
sub EditPublicReports { 'EditPublicReports' }
sub EditSchedule { 'EditSchedule' }
sub EditSecurity { 'EditSecurity' }
sub EditSelector { 'EditSelector' }
sub EditServer { 'EditServer' }
sub EditServerAuth { 'EditServerAuth' }
sub EditSourceServer { 'EditSourceServer' }
sub EditStartTagVars { 'EditStartTagVars' }
sub EditTimeZones { 'EditTimeZones' }
sub ExecStepPerm { 'ExecStepPerm' }
sub ExpireUserPasswords { 'ExpireUserPasswords' }
sub ExportProject { 'ExportProject' }
sub ImportAsAdmin { 'ImportAsAdmin' }
sub ImportAsUser { 'ImportAsUser' }
sub ImportProject { 'ImportProject' }
sub LockBuild { 'LockBuild' }
sub MakeRelease { 'MakeRelease' }
sub ModifyEnvGroup { 'ModifyEnvGroup' }
sub MoveEnvValue { 'MoveEnvValue' }
sub MoveProjectStep { 'MoveProjectStep' }
sub PauseStep { 'PauseStep' }
sub PurgeBuild { 'PurgeBuild' }
sub ReadPublicReports { 'ReadPublicReports' }
sub RenamePublicXML { 'RenamePublicXML' }
sub ResetServerUse { 'ResetServerUse' }
sub RestartBuild { 'RestartBuild' }
sub RestoreCheckpoint { 'RestoreCheckpoint' }
sub RunBuild { 'RunBuild' }
sub RunStep { 'RunStep' }
sub SavePublicReports { 'SavePublicReports' }
sub SavePublicXML { 'SavePublicXML' }
sub SetPerm { 'SetPerm' }
sub SetState { 'SetState' }
sub ToggleDefGroup { 'ToggleDefGroup' }
sub ToggleLink { 'ToggleLink' }
sub UnlockBuild { 'UnlockBuild' }
sub UpdateAccessMember { 'UpdateAccessMember' }
sub UpdateClass { 'UpdateClass' }
sub UpdatePermMember { 'UpdatePermMember' }
sub UpdateProject { 'UpdateProject' }
sub UpdateProjectStep { 'UpdateProjectStep' }
sub UpdateServerAccount { 'UpdateServerAccount' }
sub UpdateSysconfig { 'UpdateSysconfig' }
sub UpdateTemplate { 'UpdateTemplate' }
sub UpdateUser { 'UpdateUser' }
sub ViewLog { 'ViewLog' }
package BuildForge::Services::Constants;
sub ENUM_PERMISSION { _enum('Permission', @_); }


package BuildForge::Services::Constants::Project::InUse;
sub NO { 'NO' }
sub YES { 'YES' }
sub CHAIN { 'CHAIN' }
package BuildForge::Services::Constants;
sub ENUM_PROJECT_INUSE { _enum('Project::InUse', @_); }


package BuildForge::Services::Constants::Result::StepResult;
sub NONE { 'NONE' }
sub RUNNING { 'RUNNING' }
sub PASSED { 'PASSED' }
sub STOPPED { 'STOPPED' }
sub SKIPPED { 'SKIPPED' }
sub FAILWARN { 'FAILWARN' }
sub FILTWARN { 'FILTWARN' }
sub FAILED { 'FAILED' }
package BuildForge::Services::Constants;
sub ENUM_RESULT_STEPRESULT { _enum('Result::StepResult', @_); }


package BuildForge::Services::Constants::Result::StepFlag;
sub RUN { 'RUN' }
sub SKIP { 'SKIP' }
sub CANCEL { 'CANCEL' }
sub PAUSE { 'PAUSE' }
package BuildForge::Services::Constants;
sub ENUM_RESULT_STEPFLAG { _enum('Result::StepFlag', @_); }


package BuildForge::Services::Constants::Result::Floating;
sub FIXED { 'FIXED' }
sub STUCK { 'STUCK' }
sub NO { 'NO' }
sub YES { 'YES' }
package BuildForge::Services::Constants;
sub ENUM_RESULT_FLOATING { _enum('Result::Floating', @_); }


package BuildForge::Services::Constants::Scope::Active;
sub DEBUG { 'DEBUG' }
sub NO { 'NO' }
sub YES { 'YES' }
package BuildForge::Services::Constants;
sub ENUM_SCOPE_ACTIVE { _enum('Scope::Active', @_); }


package BuildForge::Services::Constants::SelectorProperty::Operator;
sub EQ { 'EQ' }
sub NE { 'NE' }
sub GT { 'GT' }
sub GE { 'GE' }
sub LT { 'LT' }
sub LE { 'LE' }
sub CONTAINS { 'CONTAINS' }
package BuildForge::Services::Constants;
sub ENUM_SELECTORPROPERTY_OPERATOR { _enum('SelectorProperty::Operator', @_); }


package BuildForge::Services::Constants::Server::Error;
sub TESTING { 'TESTING' }
sub NO { 'NO' }
sub YES { 'YES' }
sub PROCESSING { 'PROCESSING' }
package BuildForge::Services::Constants;
sub ENUM_SERVER_ERROR { _enum('Server::Error', @_); }


package BuildForge::Services::Constants::Server::Upstate;
sub UPDATING { 'UPDATING' }
sub READY { 'READY' }
package BuildForge::Services::Constants;
sub ENUM_SERVER_UPSTATE { _enum('Server::Upstate', @_); }


package BuildForge::Services::Constants::Server::Publish;
sub NONE { 'NONE' }
sub GET { 'GET' }
sub PUT { 'PUT' }
sub ALL { 'ALL' }
package BuildForge::Services::Constants;
sub ENUM_SERVER_PUBLISH { _enum('Server::Publish', @_); }


package BuildForge::Services::Constants::Step::OnFail;
sub HALT { 'HALT' }
sub CONTINUE { 'CONTINUE' }
package BuildForge::Services::Constants;
sub ENUM_STEP_ONFAIL { _enum('Step::OnFail', @_); }


package BuildForge::Services::Constants::Step::Threaded;
sub NO { 'NO' }
sub YES { 'YES' }
sub JOIN { 'JOIN' }
package BuildForge::Services::Constants;
sub ENUM_STEP_THREADED { _enum('Step::Threaded', @_); }



# Perl-flavored enums
no strict 'refs';
sub _enum {
	my ($pkg, $name) = @_;
	$pkg = __PACKAGE__ . '::' . $pkg;
	return $pkg unless @_ > 1;
	return $name if can($pkg, $name);
	$pkg =~ s/::/./g;
	die BuildForge::Ex::APIException->badEnum($pkg, $name);
}
sub ENUM_VALUES { return [keys %{ $_[0] . '::' }]; }

# This exports everything containing '_', so we don't
# have to list everything explicitly.
use Exporter;
our @ISA = qw(Exporter);
our @EXPORT = grep(/^[A-Z][A-Z0-9]*_[A-Z0-9_]*/,
		keys %{__PACKAGE__ . '::'});
1;

