<?php

function getlock($dbh,$key,$owner) {
		db_getlock($dbh,$key,$owner);
}

function putlock($dbh,$key) {
	global $owner;
	db_putlock($dbh,$key,$owner);
}


function tcp_getlock($key) {
	global $lock_server;
	fwrite($lock_server,"get $key\n");
	$buf = fgets($lock_server,128);
}

function tcp_putlock($key) {
	global $lock_server;

	fwrite($lock_server,"put $key\n");
	$buf = fgets($lock_server,128);
}


function db_getlock($dbh,$key,$owner) {
	global $userid;
	// create the sysconfig param if it doesn't exist
	$h = db_query($dbh,"SELECT count(*) FROM bf_sysconfig WHERE bf_param='lock_$key'");
	$r = db_fetchrow_array($h);
	if ($r[0] != "1") {
		db_query($dbh,"INSERT INTO bf_sysconfig (bf_public, bf_param, bf_value, bf_def, bf_title, bf_description, bf_geo_id) VALUES('N','lock_$key','0','0','','', '')");
	}
	db_free($h);

	# now get the lock
	if (!isset($owner) || !strlen($owner))
		$owner = "System $userid";
	else
		$owner = "$owner $userid";
	$gotlock = 0;
	$retries = 10;
	while (!$gotlock && $retries) {
		db_query($dbh,"UPDATE bf_sysconfig SET bf_value='1',bf_title='$owner' WHERE bf_param='lock_$key' AND bf_value='0'");
		$h = db_query($dbh,"SELECT count(*) FROM bf_sysconfig WHERE bf_param='lock_$key' AND bf_value='1'");
		$r = db_fetchrow_array($h);
		if ($r[0] == "1")
			$gotlock = 1;
		else {
			sleep(1);
			if ($retries-- < 1)
				db_query($dbh,"UPDATE bf_sysconfig SET bf_value='0',bf_title='' WHERE bf_param='lock_$key'");
		}
	}
	db_free($h);
}

function db_putlock($dbh,$key) {
	db_query($dbh,"UPDATE bf_sysconfig SET bf_value='0',bf_title='' WHERE bf_param='lock_$key'");
}

?>
