<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

global $Msg;

if ($Command == "AddDomain") {
	$Domain = trim($Domain);
	$n = str_replace(' ','',$Domain);
	if (strspn(strtoupper($Domain),$valid_name_chars) != strlen($Domain))
		$PageError = $Msg->buildMessageParamString("PageErrorDomainInvalidChars", array($valid_name_disp));
	elseif (!strlen($Domain) || !strlen($n)) {
		$PageError = $Msg->buildMessageParamString("PageErrorDomainNameMissing");
		$Name = "";
	}
	else {
		getlock($dbh,"bf_ldap",$Command);
		$gh = db_query($dbh,"SELECT bf_domain FROM bf_ldap WHERE bf_domain='$Domain'");
		if (db_fetchrow_array($gh))
			$PageError = $Msg->buildMessageParamString("PageErrorDomainExists", array($Domain));
		else {
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_host','ldap.example.com:389')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_admin_cn','cn=Administrator,cn=users,dc=example,dc=com')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_admin_password','')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_displayname','displayname')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_distinguishedname','distinguishedname')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_groupname','memberof')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_mailname','mail')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_memberof','')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_access_groups','No')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_search_base','cn=users,dc=example,dc=com')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_unique_identifier','sAMAccountName=%')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_group_search_base','')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_group_unique_identifier','')");
			db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_user_bind','Yes')");

			$PageInfo = $Msg->buildMessageParamString("PageInfoDomainCreated", array($Domain));
			$SubPage = "";
			$ShowGroup = $Domain;
		}
		putlock($dbh,"bf_ldap");
		$SubPage = "";
		$ShowGroup = $Name;
	}
}
elseif ($Command == "UpdateDomain") {
	getlock($dbh,"bf_ldap",$Command);
	if ($LDAP_admin_password != "*****") {
		db_query($dbh,"DELETE FROM bf_ldap WHERE bf_domain='$Domain'");
		$LDAP_admin_password = bf_encrypt($LDAP_admin_password);
		db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_admin_password','$LDAP_admin_password')");
	}
	else
		db_query($dbh,"DELETE FROM bf_ldap WHERE bf_domain='$Domain' AND bf_param != 'ldap_admin_password'");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_host','$LDAP_host')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_admin_cn','$LDAP_admin_cn')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_displayname','$LDAP_displayname')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_distinguishedname','$LDAP_distinguishedname')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_groupname','$LDAP_groupname')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_mailname','$LDAP_mailname')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_memberof','$LDAP_memberof')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_access_groups','$LDAP_access_groups')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_search_base','$LDAP_search_base')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_unique_identifier','$LDAP_unique_identifier')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_group_search_base','$LDAP_group_search_base')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_group_unique_identifier','$LDAP_group_unique_identifier')");
	db_query($dbh,"INSERT INTO bf_ldap VALUES('$Domain','ldap_user_bind','$LDAP_user_bind')");
	$SubPage = "";
	$ShowGroup = "";
	$PageInfo = $Msg->buildMessageParamString("PageInfoDomainUpdated", array($Domain));
	putlock($dbh,"bf_ldap");
}
elseif ($Command == "DeleteDomain") {
	getlock($dbh,"bf_ldap",$Command);
	if (db_query($dbh,"DELETE FROM bf_ldap WHERE bf_domain='$Domain'"))
		$PageInfo = $Msg->buildMessageParamString("PageInfoDomainDelete", array($Domain));
	else
		DBError($dbh,"LDAPNoDelDomain",$Domain);
	putlock($dbh,"bf_ldap");
}

addaudit(0,$PageInfo);
?>
