<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/
global $Msg;

if ($Command == "AddLevel") {
	$Name = trim($Name);
	$n = str_replace(' ','',$Name);
	if (!strlen($Name) || !strlen($n)) {
		$PageError = $Msg->buildMessageParamString("PageErrorLevelMissingGroup");
		$Name = "";
	}
	else {
		getlock($dbh,"bf_levels",$Command);
		$lh = db_query($dbh,"SELECT * FROM bf_levels WHERE bf_name='$Name'");
		if (db_fetchrow_array($lh))
			$PageError = $Msg->buildMessageParamString("PageErrorLevelGroupExists", array($Name));
		else {
			$h = db_query($dbh,"SELECT MAX(bf_level) AS bf_lev FROM bf_levels");
			$r = db_fetchrow_array($h);
			$level = $r[0] + 1;
			db_free($h);
			if (db_query($dbh,"INSERT INTO bf_levels VALUES($level,'$Name')"))
				$PageInfo = $Msg->buildMessageParamString("PageInfoLevelGroupCreate", array($Name));
			else
				DBError($dbh,"DBLevelGroupInsert");
		}
		db_free($lh);
		putlock($dbh,"bf_levels");
	}
}

elseif ($Command == "DeleteLevel") {
	getlock($dbh,"bf_levels",$Command);
	$h = db_query($dbh,"SELECT bf_name FROM bf_levels WHERE bf_level=$LevelID");
	$r = db_fetchrow_array($h);
	$lname = $r[0];
	if (db_query($dbh,"DELETE FROM bf_levels WHERE bf_level=$LevelID"))
		$PageInfo = $Msg->buildMessageParamString("PageInfoLevelGroupDelete", array($lname));
	else
		DBError($dbh,"DBLevelGroupDelete");
	putlock($dbh,"bf_levels");
}
addaudit(0,$PageInfo);
?>
