<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/
global $Msg;

if ($Command == "AddLink") {
	if ($PID && ($Name != "")) {
		getlock($dbh,"bf_scopes",$Command);
		$ah = db_query($dbh,"SELECT MAX(bf_sid) AS bf_max FROM bf_scopes");
		$arec = db_fetchrow_array($ah);
		$id = $arec[0];
		if ($id < 1)
			$id = 0;
		$id++;
		db_free($ah);
		if (db_query($dbh,"INSERT INTO bf_scopes VALUES($id,$PID,'$Active',0,'Idle',0,'$Link','$Name',$EID)"))
			$PageInfo = $Msg->buildMessageParamString("PageInfoScopeLinkCreate", array($Link, $Name));
		else
			DBError($dbh,"LinkNoCreate",$Link);
		putlock($dbh,"bf_scopes");
		// now see if our adaptor needs some env work...
		$qh = db_query($dbh,"SELECT bf_template,bf_interface,bf_mode FROM bf_interfaces WHERE bf_link='$Link' ORDER BY bf_lid");
		$qr = array();
		while($qrec = db_fetchrow_array($qh)) {
			$qr[0] = $qrec[0];
			$qr[1] .= $qrec[1]."\n";
			$qr[2] = $qrec[2];
		}
		db_free($qh);
		if($qr[0] != "" && $LoadEnv) {
			$qh = db_query($dbh,"SELECT bf_text FROM bf_interfacetemplates WHERE bf_name='$qr[0]' AND bf_type='env' ORDER BY bf_lid");
			$er = array();
			$Process = 0;
			while($erec = db_fetchrow_array($qh)) {
				$er[0] .= $erec[0]."\n";
				$Process = 1;
			}
			if($Process) {
				$Envs = split("\n",$er[0]);
				$Environs = array();
				$MaxEID = 0;
				$EnvAccess = 0;
				$EnvName = "";
				if($EID) {
					$eh = db_query($dbh,"SELECT * FROM bf_env WHERE bf_bid=$EID ORDER BY bf_eid");
					while($e_rec = db_fetchrow_hashref($eh)) {
						if($e_rec[bf_eid] == 0) {
							$EnvAccess = $e_rec[bf_access];
							$EnvName = $e_rec[bf_param];
						}
						else {
							$MaxEID = $e_rec[bf_eid];
							$Environs[$e_rec[bf_param]] = $e_rec[bf_value];
						}
					}
					db_free($eh);
				}
				foreach($Envs as $EnvPair) {
					$Env = split("=",$EnvPair,2);
					if($Env[0] == "")
						continue;
					// Now see if our specified env has these values...
					if(is_null($Environs[$Env[0]])) {
						$MaxEID++;
						db_query($dbh,"INSERT INTO bf_env VALUES ($EID,$MaxEID,".($EnvAccess ? $EnvAccess : "0").",'$Env[0]','$Env[1]','S','N')");
					}
				}
				// And update the adaptor itself...
				if(preg_match("/$qr[0]"."_Adaptor/",$qr[1])) {
					$qr[1] = preg_replace("/$qr[0]"."_Adaptor/",$EnvName,$qr[1]);
					$th = db_query($dbh,"SELECT * FROM bf_interfaces WHERE bf_link='$Link'");
					$Level = 0;
					if($tr = db_fetchrow_hashref($th)) {
						db_query($dbh,"DELETE FROM bf_interfaces WHERE bf_link='$Link'");
						BlockDelete($tr['bf_interface']);
						$Level = $tr['bf_level'];
					}
					$XMLContent = preg_split("/\n/",$qr[1]);
					$IData = "";
					foreach($XMLContent as $XMLLine) {
						$XMLLine = str_replace("\\","\\\\",$XMLLine);
                                    if($db_provider == "sqlserver")  {
						  $XMLLine = str_replace("'","''",$XMLLine);
                                    } else {
                                      $XMLLine = str_replace("'","\'",$XMLLine);
                                    }
						$IData.=$XMLLine."\n";
					}
					db_query($dbh,"INSERT INTO bf_interfaces VALUES('$Link','S','".BlockStore($IData)."','$qr[0]',1,$Level)");
				}
				else
					if(preg_match("/setenv\s+group=/", $qr[1]))
						$PageError = $Msg->buildMessageParamString("PageErrorScopeNoChangesEnvGroup", array($Link));
			}
		}
	}
	else {
		if($PID) 
			$PageError = $Msg->buildMessageParamString("PageErrorScopeNoEntry");
		else 
			$PageError = $Msg->buildMessageParamString("PageErrorScopeNoProject");
	}
}
elseif ($Command == "EditLink") {
	getlock($dbh,"bf_scopes",$Command);
	if (db_query($dbh,"UPDATE bf_scopes SET bf_pid=$PID,bf_active='$Active',bf_link='$Link' WHERE bf_sid=$ShowGroup")) {
		$PageInfo = $Msg->buildMessageParamString("PageInfoScopeLinkUpdate");
	}
	else
		DBError($dbh,"LinkNoUpdate");
	$EditProp = 0;
	putlock($dbh,"bf_scopes");
}
elseif ($Command == "DeleteLink") {
	getlock($dbh,"bf_scopes",$Command);
	if (db_query($dbh,"DELETE FROM bf_scopes WHERE bf_sid=$SID")) {
		$PageInfo = $Msg->buildMessageParamString("PageInfoScopeLinkDelete");
	}
	else
		DBError($dbh,"LinkNoDel");
	putlock($dbh,"bf_scopes");
}
elseif ($Command == "ToggleLink") {
	if ($Flag == "Y") {
		$NewFlag = "N";
		$PageInfo = $Msg->buildMessageParamString("PageInfoScopeLinkDeactivate");
	}
	elseif($Flag == "N") {
		$NewFlag = "D";
		$PageInfo = $Msg->buildMessageParamString("PageInfoScopeLinkEnable");
	}
	else {
		$NewFlag = "Y";
		$PageInfo = $Msg->buildMessageParamString("PageInfoScopeLinkActive");
	}
	db_query($dbh,"UPDATE bf_scopes SET bf_active='$NewFlag' WHERE bf_sid=$SID AND bf_active='$Flag'");
}
elseif ($Command == "MakeRelease") {
	$Name = trim($Name);
	getlock($dbh,"bf_changes",$Command);
	$h = db_query($dbh,"SELECT bf_cid,bf_bid,bf_pid,bf_stamp,bf_tag FROM bf_changes WHERE bf_cid=$CID");
	$r = db_fetchrow_array($h);
	$source_cid = $r[0];
	$source_bid = $r[1];
	$source_pid = $r[2];
	$source_tim = $r[3];
	$pname = map_project($source_pid);
	$tname = $r[4];
	db_free($h);
	$h = db_query($dbh,"SELECT bf_cid FROM bf_changes WHERE bf_pid=$source_pid AND bf_cid != $source_cid AND bf_stamp <= $source_tim");
	while ($r = db_fetchrow_array($h)) {
		$cid = $r[0];
		db_query($dbh,"UPDATE bf_changelog SET bf_cid=$source_cid WHERE bf_cid=$cid");
		db_query($dbh,"DELETE FROM bf_changes WHERE bf_cid=$cid");
	}
	db_free($h);
	db_query($dbh,"UPDATE bf_changes SET bf_mode='R' WHERE bf_cid=$source_cid");
	$PageInfo = $Msg->buildMessageParamString("PageInfoScopeChangeComplete", array($pname, $tname));
	putlock($dbh,"bf_changes");
}
elseif ($Command == "DeleteChange") {
	db_query($dbh,"DELETE FROM bf_changes WHERE bf_cid=$CID");
	db_query($dbh,"DELETE FROM bf_changelog WHERE bf_cid=$CID");
	$h = db_query($dbh,"SELECT bf_pid,bf_tag FROM bf_changes WHERE bf_cid=$CID");
	$r = db_fetchrow_array($h);
	$pname = map_project($r[0]);
	$PageInfo = $Msg->buildMessageParamString("PageInfoScopeChangeDelete", array($CID, $pname, $r[1]));
	$CID = 0;
}
elseif ($Command == "AddInterface") {
	$th = db_query($dbh,"SELECT * FROM bf_interfaces WHERE bf_link='$Name'");
	if($tr = db_fetchrow_hashref($th)) {
		db_free($th);
		$PageError = $Msg->buildMessageParamString("PageErrorScopeInterfaceExists");
		return;
	}
	db_free($th);
	db_do($dbh,"DELETE FROM bf_interfaces WHERE bf_link='$Name'");
	BlockDelete($tr['bf_interface']);
	// Get the info from the template...
	
	$tr = array();
	$Level = 0 + $Level;	# Compatibility
	if($Template == "Blank") {
		db_query($dbh,"INSERT INTO bf_interfaces VALUES('$Name','$InterfaceMode','','',1,$Level)");
	}
	else {
		$th = db_query($dbh,"SELECT * from bf_interfacetemplates where bf_name='$Template' AND bf_type='interface' order by bf_lid");
		$Lid = 1;
		$IData = "";
		while($tr = db_fetchrow_hashref($th)) {
			$tr[bf_text] = str_replace("\\","\\\\",$tr[bf_text]);
                  if($db_provider == "sqlserver") {
			  $tr[bf_text] = str_replace("'","''",$tr[bf_text]);
                  } else {
                    $tr[bf_text] = str_replace("'","\'",$tr[bf_text]);
                  }
            $IData.=$tr[bf_text]."\n";
		}
		db_free($th);
		db_do($dbh,"INSERT INTO bf_interfaces VALUES('$Name','$InterfaceMode','".BlockStore($IData)."','$tr[bf_name]',1,$Level)");
	}
}
elseif ($Command == "EditInterface") {
	$th = db_query($dbh,"SELECT * FROM bf_interfaces WHERE bf_link='$Name'");
	if($tr = db_fetchrow_hashref($th)) {
		db_query($dbh,"DELETE FROM bf_interfaces WHERE bf_link='$Name'");
		BlockDelete($tr['bf_interface']);
	}
	$XMLContent = preg_split("/\n/",$Content);
	$IData = "";
	foreach($XMLContent as $XMLLine) {
		if($db_provider == "sqlserver") {
			$XMLLine = str_replace("\'","''",$XMLLine);
		}
		$XMLLine = str_replace("&","&amp;",$XMLLine);
		$XMLLine = str_replace("&amp;quot;","&quot;",$XMLLine);
		$IData.=$XMLLine."\n";
	}
	$Level = 0 + $Level;	# Compatibility
	db_do($dbh,"INSERT INTO bf_interfaces VALUES('$Name','$InterfaceMode','".BlockStore($IData)."','$Template',1,$Level)");
}
elseif ($Command == "DeleteInterface") {
	db_query($dbh,"DELETE FROM bf_interfaces WHERE bf_link='$Name'");
}
addaudit(0,$PageInfo);
?>
