<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/
global $Msg;


if ($Command == "UpdateUser" && $userid != 1 && $userid != $UID) {
	$Command = "";
	$PageError = $Msg->buildMessageParamString("PageErrorUserOtherAccountAccess");
}
if ($Command == "AddUser") {
	$addok = 1;
	$name = trim($name);
	$account = trim($account);
	if($apikey)
		$key = $apikey;
	$p = str_replace(' ','',$key);
	$c = str_replace(' ','',$confirm);
	$n = str_replace(' ','',$name);
	$l = str_replace(' ','',$account);
	if ($key != $confirm) {
		$addok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserPasswordMatch");
	}
	if (!strlen($name) || !strlen($n)) {
		$addok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserNameMissing");
		$name = "";
	}
	if (!strlen($key) || !strlen($p)) {
		$addok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserPasswordMissing");
		$key = "";
	}
	if ($ok && strlen($key) && ($userid != 1 && ($PageError = valid_password($dbh,$key)) != "")) {
		$ok = 0;
	}
	if (!strlen($account) || !strlen($l)) {
		$addok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserLoginMissing");
		$account = "";
	}
	if ($addok) {
		// make sure this user doesn't already exist
		$eh = db_query($dbh,"SELECT bf_name,bf_login FROM bf_users WHERE bf_name='$name' OR bf_login='$account'");
		if (db_fetchrow_array($eh)) {
			if ($erec[0] == $name)
				$PageError = $Msg->buildMessageParamString("PageErrorUserNameExists", array($name, $account));
			if ($erec[1] == $account)
				$PageError = $Msg->buildMessageParamString("PageErrorLoginExists", array($name, $account));
		}
		else {
			getlock($dbh,"bf_users",$Command);
			$ih = db_query($dbh,"SELECT MAX(bf_userid) FROM bf_users");
			$irec = db_fetchrow_array($ih);
			$newid = $irec[0] + 1;
			$key = bf_encrypt($key,1);
			if ($doexpire == "on")
				$doexpire = 1;
			else
				$doexpire = 0;
			if ($pri == "on")
				$pri = "Y";
			else
				$pri = "N";
			$now = myGMtime();
			if (db_query($dbh,"INSERT INTO bf_users VALUES($newid,0,'$name','$email','$account','$key',$maxbuilds,0,$now,$doexpire,'N','$tzone','$dfmt','$pri','$Lang',0,'')")) {
				$PageInfo = $Msg->buildMessageParamString("PageInfoUserAdd", array($name));
				$name = "";
				$email = "";
				$account = "";
				$key = "";
				$view = "N";
				foreach($_REQUEST['Access'] as $v)  {
					if ($v)  {
						// It's prepending '3'.  WHY IS IT PREPENDING '3'??!?!
						if (strlen($v) > 1 && $v[0] == '3')  {
							$v = substr($v, 1);
						}
						db_query($dbh,"INSERT INTO bf_access VALUES($v,$newid,0)");
					}
				}
				resetAccessCacheDirty($dbh);
			}
			else
				DBError($dbh,"UserNoAdd");
			putlock($dbh,"bf_users");
			$SubPage = "";
		}
	}
}
elseif ($Command == "UpdateUser") {
	$ok = 1;
	$Name = trim($Name);
	$Login = trim($Login);
	$p = str_replace(' ','',$Password);
	$c = str_replace(' ','',$Confirm);
	$n = str_replace(' ','',$Name);
	$l = str_replace(' ','',$Login);
	if (!$LDAP && ($Password != $Confirm)) {
		$ok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserPasswordMatch");
	}
	if (!$LDAP && (!strlen($Name) || !strlen($n))) {
		$ok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserNameMissing");
	}
	if (!$LDAP && strlen($Password) && !strlen($p)) {
		$ok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserPasswordValid");
	}
	if (!$LDAP && $ok && strlen($Password) && ($userid != 1 && ($PageError = valid_password($dbh,$Password)) != "")) {
		$ok = 0;
	}
	if (!$LDAP && (!strlen($Login) || !strlen($l))) {
		$ok = 0;
		$PageError = $Msg->buildMessageParamString("PageErrorUserLoginMissing");
	}
	if ($ok) {
		getlock($dbh,"bf_users",$Command);
		if ($pri == "on" || $UID == 1)
			$pri = "Y";
		else
			$pri = "N";
		if (!isset($Maxbuilds))
			$Maxbuilds = 0;
		if ($LDAP)
			$sql = "UPDATE bf_users SET bf_maxbuilds=$Maxbuilds,bf_tzone='$tzone',bf_datefmt='$dfmt',bf_priority='$pri',bf_lang='$Lang'";
		else
			$sql = "UPDATE bf_users SET bf_name='$Name',bf_email='$Email',bf_maxbuilds=$Maxbuilds,bf_tzone='$tzone',bf_datefmt='$dfmt',bf_priority='$pri',bf_lang='$Lang'";
		if (!$LDAP) {
			$sql .= ",bf_login='$Login'";
			if (strlen($Password)) {
				$Password = bf_encrypt($Password,1);
				$sql .= ",bf_password='$Password'";
				$now = myGMtime();
				$sql .= ",bf_pupdate=$now,bf_pwexpired='N'";
			}
		}

		if ($doexpire == "on")
			$doexpire = 1;
		else
			$doexpire = 0;

		if ($UID == 1)
			$doexpire = 0;

		if (!$LDAP)
			$sql .= ",bf_pexpire=$doexpire WHERE bf_userid=$UID";
		else
			$sql .= " WHERE bf_userid=$UID";
		set_user_pref($UID,"PageRefresh",$PageRefresh);
		if (db_query($dbh,$sql)) {
			if ($UID == $userid) {
				if (strlen($dfmt))
					$datefmt = $dfmt;
				$uzone = get_zone_map($dbh,$tzone);
			}
			$PageInfo = $Msg->buildMessageParamString("PageInfoUserUpdate", array($Name));
		}
		else
			DBError($dbh,"UserNoUpdate");
		putlock($dbh,"bf_users");
	}
}
elseif ($Command == "DeleteUser") {
	if(cando($dbh,"DeleteUser")) {
		$uh = db_query($dbh,"SELECT * FROM bf_users where bf_userid=$UID");
		if($userec = db_fetchrow_hashref($uh)) {
			if($userec['bf_name'] != $Name) {
				$PageError = $Msg->buildMessageParamString("PageErrorUserNameMatch", array($Name, $UID, $userec['bf_name']));
			}
			else {
				getlock($dbh,"bf_users",$Command);
				if (db_query($dbh,"DELETE FROM bf_users WHERE bf_userid=$UID")) {
					db_query($dbh,"UPDATE bf_messages SET bf_userid=0 WHERE bf_userid=$UID");
					db_query($dbh,"DELETE FROM bf_access WHERE bf_userid=$UID");
					db_query($dbh,"UPDATE bf_builds SET bf_userid=0 WHERE bf_userid=$UID");
					//db_query($dbh,"UPDATE bf_notes SET bf_userid=0 WHERE bf_userid=$UID");
					$PageInfo = $Msg->buildMessageParamString("PageInfoUserDelete", array($Name));
				}
				else
					DBError($dbh,"UserNoDel",$Name);
				putlock($dbh,"bf_users");
			}
		}
		else
			$PageError = $Msg->buildMessageParamString("PageErrorUserMissing", array($UID));
		db_free($uh);
	} 
	else 
		$PageError = $Msg->buildMessageParamString("PageErrorUserDeleteDenied");
}
elseif ($Command == "ResetUserLogin") {
	if ($userid == 1) {
		db_query($dbh,"UPDATE bf_sessions SET bf_id='' WHERE bf_userid=$UID");
		$uname = map_uname($UID);
		$PageInfo = $Msg->buildMessageParamString("PageInfoUserSessionClear", array($uname));
	}
}
elseif ($Command == "ResetUserLicense") {
	if ($userid == 1 && $UID != 1) {
		$uname = map_uname($UID);
		db_do($dbh,"DELETE FROM bf_sessions WHERE bf_userid=$UID");
		$PageInfo = $Msg->buildMessageParamString("PageInfoUserLicenseClear", array($uname));
	}
}
elseif ($Command == "ExpireUserPasswords") {
	db_query($dbh,"UPDATE bf_users SET bf_pwexpired='Y' WHERE bf_userid=$UID");
	$PageInfo = $Msg->buildMessageParamString("PageInfoUserPasswordExpire",array($Name));
}
elseif ($Command == "SetPassword") {
	$ok = 1;
	if ($npassword != $cpassword) {
		$ok = 0;
	}
	if ($ok && strlen($npassword) && ($userid != 1 && ($PageError = valid_password($dbh,$npassword)) != "")) {
		$ok = 0;
	}
	if ($ok) {
		$npassword = bf_encrypt($npassword,1);
		db_query($dbh,"UPDATE bf_users SET bf_password='$npassword',bf_pwexpired='N' WHERE bf_userid=$userid");
		$pwexpired = 0;
		$uname = map_uname($UID);
		$PageInfo = $Msg->buildMessageParamString("PageInfoUserPasswordChange", array($uname));
		$PageInfo = "Password for user $uname changed.";
	}
}

addaudit(0,$PageInfo);
?>
