<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

	$tenv = "";

	$dstr = GetSysParam($dbh,"tag_d_format");
	$dstr = str_replace("y",date("Y"),$dstr);
	$dstr = str_replace("m",date("m"),$dstr);
	$dstr = str_replace("d",date("d"),$dstr);

	$tstr = GetSysParam($dbh,"tag_t_format");
	$tstr = str_replace("h",date("H"),$tstr);
	$tstr = str_replace("m",date("i"),$tstr);
	$tstr = str_replace("s",date("s"),$tstr);

	$jstr = date("z");
	$wstr = date("w");
	
	$TagVariables = GetTagVariableArray($dbh);
	
	$Tag = tagvar_replace($TagVariables["D"],$dstr,$Tag);
	$tenv .= "S:".$TagVariables["D"].":$dstr\n";

	$Tag = tagvar_replace($TagVariables["T"],$tstr,$Tag);
	$tenv .= "S:".$TagVariables["T"].":$tstr\n";

	$Tag = tagvar_replace($TagVariables["J"],$jstr,$Tag);
	$tenv .= "S:".$TagVariables["J"].":$jstr\n";

	$Tag = tagvar_replace($TagVariables["W"],$wstr,$Tag);
	$tenv .= "S:".$TagVariables["W"].":$wstr\n";
	
	$OTag = $Tag;
	$Tag = gmstrftime($Tag,time());
/*	Never used.
 * 	$utc = "";
	if ($OTag != $Tag)
		$utc = "<br><font size=-2>Date/Time format based in UTC</font>";
*/
	
	getlock($dbh,"bf_projects",$Command);
	// sync the common vars
	$th = db_query($dbh,"SELECT bf_tid,bf_name,bf_value,bf_autoinc,bf_parent FROM bf_tags WHERE bf_pid=$Project ORDER BY bf_tid");
	while ($trec = db_fetchrow_array($th)) {
		// expand the posted tag variable definition so we can use it.
		// use the db version if this isn't from a form post.
		if ($Command == "RunBuild") {
			$tmp = "PT_$trec[0]";
			$tval = $$tmp;
		}
		else
			$tval = $trec[2];

		// look for non-numbers in the value
		if (strspn($tval,"0123456789") != strlen($tval))
			$had_bad_vars = 1;

		// if $Tsync is defined, then we go grab the values from the master project where the names match
		if ($TSync > 0) {
			$tsh = db_query($dbh,"SELECT bf_value,bf_autoinc FROM bf_tags WHERE bf_name='$trec[1]' AND bf_pid=$TSync");
			if ($tsr = db_fetchrow_array($tsh))
				$tval = $tsr[0];
		}

		// non-auto vars get set to the form value always.
		// auto vars get inc'd if the form value is the same as the table value,
		// otherwise they get set to the new value if the form value is different (user changed them).
		if (!$had_bad_vars && ($Command == "RunBuild" || $Command == "FireBuild" || $Command == "Reflectar")) {
			// update the master project
			if ($TSync && $tsr[1] == "Y")
				db_query($dbh,"UPDATE bf_tags SET bf_value=bf_value+1 WHERE bf_pid=$TSync AND bf_name='$trec[1]'");

			// update the local project
			if ($trec[3] == "N")
				db_query($dbh,"UPDATE bf_tags SET bf_value=$tval WHERE bf_pid=$Project AND bf_tid=$trec[0]");
			else
				db_query($dbh,"UPDATE bf_tags SET bf_value=$tval + 1 WHERE bf_pid=$Project AND bf_tid=$trec[0]");
		}

		// now set the final value
		if ($trec[4]) {
			$fmt = "%0" . $trec[4] . "u";
			$tval = sprintf($fmt,$tval);
		}
		$tenv .= "S:$trec[1]:$tval\n";
		$Tag = tagvar_replace($trec[1],$tval,$Tag);
	}
	// get rid of languishing $'s
	$Tag = str_replace('$','',$Tag);
	putlock($dbh,"bf_projects");

?>
