{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('linkModule')}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('SaveGeo')|assign('CanSaveGeo')}
{controller->userHasAccessTo('DeleteGeo')|assign('CanDeleteGeo')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

		{editable->get('bf_geo_id')|assign('editable_geo_id')}
		{editable->get('bf_location')|assign('editable_location')}
		{editable->get('bf_hostname')|assign('editable_hostname')}
		{editable->get('bf_database')|assign('editable_database')}
		{editable->get('bf_username')|assign('editable_username')}
		{editable->get('bf_password')|assign('editable_password')}
		{editable->get('bf_port')|assign('editable_port')}
		{editable->get('bf_db')|assign('editable_db')}
		{editable->get('bf_failover')|assign('editable_failover')}
		{editable->get('bf_active')|assign('editable_active')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/system.gif" border="0" alt=""/>
			<span class="module_name">{translate('geos')|escape()}</span>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Configuring_and_Using_LDAP_Active_Directory_Authentication.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Configuring_and_Using_LDAP_Active_Directory_Authentication.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='ldap.view'")}
			</div>
		
			<div id="summary_scroller" class="Admin_Details">
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('location')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=location&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('location');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="translate('sort')}" /></a></th>
							<th>{translate('status')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=outage&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('outage');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="translate('sort')}" /></a></th>
							<th>{translate('host')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=host&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('host');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="translate('sort')}" /></a></th>
							<th>{translate('database')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=database&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('database');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="translate('sort')}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td><img src="{$webroot}images/icons/geo.gif" alt="{translate{'geo')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=geo.edit&amp;bf_geo_id=" onclick="return !page_details.loadDetails('');"></a></td>
							<td></td>
							<td></td>
							<td></td>
						</tr>
					{for('item', $itemCount)}
						<tr>
							{listing->next()|assign('item')}
							<td>
								{if $item['active'] == 'Y' && $item['outage'] == '0'}
								<img src="{$webroot}images/icons/geo_connected.gif" border="0" alt="{translate('active geo')|escape()}" />
								{elseif $item['active'] == 'N' && $item['outage'] == '0'}
								<img src="{$webroot}images/icons/geo.gif" border="0" alt="{translate('inactive geo')|escape()}" />
								{else}
								<img src="{$webroot}images/icons/geo_disconnected.gif" border="0" alt="{translate('geo error')|escape()}" />
								{/if}
								<a href="{$linkSelf}?mod={$linkModule}&amp;action=geo.view&amp;bf_geo_id={$item['id']|escape('url')}" onclick="page_details.loadDetails('{$item['id']|escape('javascript')}'); return false;">{$item['location']|escape()}</a>
							</td>
							<td>{if $item['outage'] == '0'}{translate('active')|escape()}{else}{translate('outage detected')|escape()}{/if}</td>
							<td>{$item['hostname']|escape()}</td>
							<td>{$item['database']|escape()}</td>
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=geo.view" onsubmit="page_details.save();return false;" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input type="hidden" id="object_details_geo_id" name="bf_geo_id" value="{$editable_geo_id|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/icons/geo.gif" alt="{translate('geo')|escape()}"/> <span id="object_label">{$editable_location|truncate(35)|escape()}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_save" value="{translate('save')|escape()}"{if !$CanSaveGeo} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="object_details_delete" name="object[delete]" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;"{if !$CanDeleteGeo} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="object_details_test" name="object[test]" value="{translate('test geo db connection')|escape()}" onclick="page_details.test();return false;" /></div>
				<img src="{$webroot}images/icons/pass.gif" id="object_details_test_icon" border="0" alt="{translate('geo test passed')|escape()}" {if !$test}style="display: none"{/if}/>
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<ul class="generic_tabs">
				<li class="selected"><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=geo.edit&amp;bf_geo_id={$editable_geo_id|escape('url')}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
			</ul>
			<div class="tab_details selected">
				<div class="primary">
					<label for="object_details_active_visible">{translate('active')|escape()}:
						<input id="object_details_active_visible" type="button" class="pselect iconToggle" value="{if $editable_active == 'N'}{translate('no')|escape()}{else}{translate('yes')|escape()}{/if}" tabindex="2" onclick="pseudoSelect('object_details_active', 'Y,{translate('yes')|escape('javascript')}|N,{translate('no')|escape('javascript')}', 'type=toggle');" />
						<input name="object[bf_active]" id="object_details_active" type="hidden" value="{if $editable_active}{$editable_active|escape('hexentity')}{else}Y{/if}" />
					</label>
					<label for="object_details_location">
						{translate('location')|escape()}: <input id="object_details_location" type="text" class="textBox" name="object[bf_location]" value="{$editable_location|escape('hexentity')}" maxlength="255" readonly="readonly" />
					</label>
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_hostname">{translate('host')|escape()}:</label>
						<input id="object_details_hostname" type="text" class="textBox" name="object[bf_hostname]" value="{if $editable_hostname}{$editable_hostname|escape('hexentity')}{/if}" maxlength="255" readonly="readonly" />
						<br/>
						<label for="object_details_database">{translate('database')|escape()}:</label>
						<input id="object_details_database" type="text" class="textBox" name="object[bf_database]" value="{if $editable_database}{$editable_database|escape('hexentity')}{/if}" maxlength="255" readonly="readonly" />
						<br/>
						<label for="object_details_port">{translate('port')|escape()}:</label>
						<input id="object_details_port" type="text" class="textBox" name="object[bf_port]" value="{if $editable_port}{$editable_port|escape('hexentity')}{/if}" maxlength="255" />
					</div>
					<div class="third">
						<label for="object_details_username">{translate('username')|escape()}:</label>
						<input id="object_details_username" type="text" class="textBox" name="object[bf_username]" value="{if $editable_location}{$editable_username|escape('hexentity')}{/if}" maxlength="255" readonly="readonly" />
					</div>
					<div class="third">
						<label for="object_details_failover_visible">{translate('failover geo')|escape()}:</label>
						<input id="object_details_failover_visible" type="button" class="pselect iconDropdown" value="{if $editable_failover == 'BF_NULL'}-- {translate('none')|escape()} --{else}{bf_get_geo_location($editable_failover)|escape()}{/if}" tabindex="2" onclick="pseudoSelect('object_details_failover', 'mod=administration&action=geo.view&type=xml', 'title={translate('geos')|escape('javascript')}&attribute=class&value=id&name=location&seedlist=|BF_NULL,-- None --|&excludevalue=object_details_geo_id&forceRefresh=1');" />
						<input name="object[bf_failover]" id="object_details_failover" type="hidden" value="{if $editable_failover === null}BF_NULL{else}{$editable_failover|escape('hexentity')}{/if}" />
						<br/>
						{if !$editable_db}{foreach($db_types, 'k', 'db_type')}{if !$editable_db}{assign('editable_db', $k)}{/if}{/foreach}{/if}
						<label for="object_details_db_visible">{translate('db')|escape()}:</label>
						<input readonly="readonly" autocomplete="off" id="object_details_db_visible" type="text" class="text textSelect" value="{translate($db_types[$editable_db])|escape()}" />
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>

