{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('UpdateSysconfig')|assign('CanUpdateSysconfig')}

		{editable->get('bf_domain')|assign('editable_domain')}
		{editable->get('access_groups')|assign('editable_access_groups')}
		{editable->get('admin_cn')|assign('editable_admin_cn')}
		{editable->get('admin_password')|assign('editable_admin_password')}
		{editable->get('displayname')|assign('editable_displayname')}
		{editable->get('distinguishedname')|assign('editable_distinguishedname')}
		{editable->get('groupname')|assign('editable_groupname')}
		{editable->get('host')|assign('editable_host')}
		{editable->get('mailname')|assign('editable_mailname')}
		{editable->get('memberof')|assign('editable_memberof')}
		{editable->get('search_base')|assign('editable_search_base')}
		{editable->get('unique_identifier')|assign('editable_unique_identifier')}
		{editable->get('user_bind')|assign('editable_user_bind')}
		{editable->get('group_search_base')|assign('editable_group_search_base')}
		{editable->get('group_unique_identifier')|assign('editable_group_unique_identifier')}
		{editable->get('protocol')|assign('editable_protocol')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/system.gif" border="0" alt=""/>
			<span class="module_name">{translate('ldap domains')|escape()}</span>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<!-- <form name="create_environment_form" id="create_environment_form" action="{$linkSelf}?mod={$linkModule}&amp;action=variable.edit" onsubmit="return !page_details.clear();" method="post"> -->
				<div class="global_button"><input type="submit" class="bf_button" id="object_details_add" value="{translate('add ldap domain')|escape()}" onclick="page_details.clear();return false;" /></div>
			<!-- </form> -->
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Configuring_and_Using_LDAP_Active_Directory_Authentication.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Configuring_and_Using_LDAP_Active_Directory_Authentication.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='ldap.view'")}
			</div>
		
			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('ldap domain')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=domain&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('domain');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'id'}
							<td>{if $colname == 'domain'}<img src="{$webroot}images/icons/system.gif" alt="{translate{'groups')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=ldap.view&amp;bf_domain=" onclick="return !page_details.loadDetails('');"></a>{/if}</td>
							{/if}
						{/foreach}
						</tr>
					{listing->getCount()|assign('projectcount')}
					{for('project', $projectcount)}
						<tr>
							{listing->next()|assign('project')}
							{foreach($project, 'key', 'attr')}
							{if $key != 'id'}
								<td>{if $key == 'domain'}
									<img src="{$webroot}images/icons/system.gif" border="0" />
									<a href="{$linkSelf}?mod={$linkModule}&amp;action=ldap.view&amp;bf_domain={$attr|escape('url')}" onclick="page_details.loadDetails('{$attr|escape('javascript')}'); return false;">{$attr|escape('hexentity')}</a>{else}{$attr|escape('hexentity')}{/if}</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=ldap.view" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input type="hidden" id="object_details_id" name="bf_domain" value="{$editable_domain|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/icons/system.gif" alt="{translate('ldap domain')|escape()}"/> <span id="object_label">{if $editable_domain}{$editable_domain|truncate(35)|escape('hexentity')}{else}({translate('new ldap domain')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_save" value="{translate('save')|escape()}" {if !$CanUpdateSysconfig}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy')|escape()}"  {if !$CanUpdateSysconfig}disabled="disabled"{/if} onclick="return !page_details.copy();" {if !$editable_domain}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="object_details_delete" name="object[delete]" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;"{if !$editable_domain} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="object_details_test" name="object[test]" value="{translate('test ldap domain')|escape()}" onclick="page_details.test();return false;"{if !$editable_domain} disabled="disabled"{/if} /></div>
				<img src="{$webroot}images/icons/pass.gif" id="object_details_test_icon" border="0" alt="{translate('ldap domain test passed')|escape()}" {if !$test}style="display: none"{/if}/>
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="javascript:goTab(0)">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="object_details_name">
						{translate('name')|escape()}: <input id="object_details_name" type="text" class="textBox" name="object[bf_domain]" value="{$editable_domain|escape('hexentity')}" maxlength="255" tabindex="1" />
					</label>
					<label for="object_admin_cn">
						{translate('admin cn')|escape()}: <input id="object_admin_cn" type="text" class="textBox" name="object[admin_cn]" value="{if $editable_domain}{$editable_admin_cn|escape('hexentity')}{else}cn=Administrator,cn=users,dc=example,dc=com{/if}" maxlength="255" tabindex="2" />
					</label>
					<label for="object_access_groups_visible">{translate('map access groups')|escape()}:
						<input id="object_access_groups_visible" type="button" class="pselect iconToggle" title="{if $editable_access_groups == 'Yes'}{translate('yes')|escape()}{else}{translate('no')|escape()}{/if}" value="{if $editable_access_groups == 'Yes'}{translate('yes')|truncate($pselect_truncation)|escape()}{else}{translate('no')|truncate($pselect_truncation)|escape()}{/if}" tabindex="3" onclick="pseudoSelect('object_access_groups', 'No,{translate('no')|escape('javascript')}|Yes,{translate('yes')|escape('javascript')}', 'type=toggle');" />
						<input name="object[access_groups]" id="object_access_groups" type="hidden" value="{if $editable_access_groups}{$editable_access_groups|escape('hexentity')}{else}No{/if}" />
					</label>
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_host">{translate('host')|escape()}:</label>
						<input id="object_host" type="text" class="textBox" name="object[host]" value="{if $editable_domain}{$editable_host|escape('hexentity')}{else}ldap.example.com:389{/if}" maxlength="255"  tabindex="4" />
						<br />
						<label for="object_admin_password">{translate('password')|escape()}:</label>
						<input id="object_admin_password" name="object[admin_password]" type="password" class="textBox" maxlength="255" tabindex="7" />
						<br />
						<label for="object_admin_password_verify">{translate('verified')|escape()}:</label>
						<input id="object_admin_password_verify" name="object[admin_password_verify]" type="password" class="textBox" maxlength="255" tabindex="10" />
						<br />
						<label for="object_user_bind_visible">{translate('bind user account')|escape()}:</label>
						<input id="object_user_bind_visible" type="button" class="pselect iconToggle" title="{if $editable_user_bind == 'No'}{translate('no')|escape()}{else}{translate('yes')|escape()}{/if}" value="{if $editable_user_bind == 'No'}{translate('no')|truncate($pselect_truncation)|escape()}{else}{translate('yes')|truncate($pselect_truncation)|escape()}{/if}" tabindex="13" onclick="pseudoSelect('object_user_bind', 'Yes,{translate('yes')|escape('javascript')}|No,{translate('no')|escape('javascript')}', 'type=toggle');" />
						<input name="object[user_bind]" id="object_user_bind" type="hidden" value="{if $editable_user_bind}{$editable_user_bind|escape('hexentity')}{else}Yes{/if}" />
						<br />
						<label for="object_protocol_visible">{translate('protocol')|escape()}:</label>
						<input id="object_protocol_visible" type="button" class="pselect iconToggle" title="{if $editable_protocol == 'ldaps'}{translate('ldaps')|escape()}{else}{translate('ldap')|escape()}{/if}" value="{if $editable_protocol == 'ldaps'}{translate('ldaps')|truncate($pselect_truncation)|escape()}{else}{translate('ldap')|truncate($pselect_truncation)|escape()}{/if}" tabindex="16" onclick="pseudoSelect('object_protocol', 'ldap,{translate('ldap')|escape('javascript')}|ldaps,{translate('ldaps')|escape('javascript')}', 'type=toggle');" />
						<input name="object[protocol]" id="object_protocol" type="hidden" value="{if $editable_protocol == 'ldaps'}ldaps{else}ldap{/if}" />
					</div>
					<div class="third">
						<label for="object_displayname">{translate('display name')|escape()}:</label>
						<input id="object_displayname" type="text" class="textBox" name="object[displayname]" value="{if $editable_domain}{$editable_displayname|escape('hexentity')}{else}displayname{/if}" maxlength="255" tabindex="5" />
						<br />
						<label for="object_distinguishedname">{translate('distinguished name')|escape()}:</label>
						<input id="object_distinguishedname" type="text" class="textBox" name="object[distinguishedname]" value="{if $editable_domain}{$editable_distinguishedname|escape('hexentity')}{else}distinguishedname{/if}" maxlength="255" tabindex="8" />
						<br />
						<label for="object_groupname">{translate('group name')|escape()}:</label>
						<input id="object_groupname" type="text" class="textBox" name="object[groupname]" value="{if $editable_domain}{$editable_groupname|escape('hexentity')}{else}memberof{/if}" maxlength="255" tabindex="11" />
						<br />
						<label for="object_mailname">{translate('mail name')|escape()}:</label>
						<input id="object_mailname" type="text" class="textBox" name="object[mailname]" value="{if $editable_domain}{$editable_mailname|escape('hexentity')}{else}mail{/if}" maxlength="255" tabindex="14" />
					</div>
					<div class="third">
						<label for="object_memberof">{translate('authorized group dn')|escape()}:</label>
						<input id="object_memberof" type="text" class="textBox" name="object[memberof]" value="{$editable_memberof|escape('hexentity')}" maxlength="255" tabindex="6" />
						<br />
						<label for="object_search_base">{translate('search base')|escape()}:</label>
						<input id="object_search_base" type="text" class="textBox" name="object[search_base]" value="{if $editable_domain}{$editable_search_base|escape('hexentity')}{else}cn=users,dc=example,dc=com{/if}" maxlength="255" tabindex="9" />
						<br />
						<label for="object_unique_identifier">{translate('unique identifier')|escape()}:</label>
						<input id="object_unique_identifier" type="text" class="textBox" name="object[unique_identifier]" value="{if $editable_domain}{$editable_unique_identifier|escape('hexentity')}{else}sAMAccountName=%{/if}" maxlength="255" tabindex="12" />
						<br />
						<label for="object_group_search_base">{translate('groups search base')|escape()}:</label>
						<input id="object_group_search_base" type="text" class="textBox" name="object[group_search_base]" value="{$editable_group_search_base|escape('hexentity')}" maxlength="255" tabindex="15" />
						<br />
						<label for="object_group_unique_identifier">{translate('groups unique identifier')|escape()}:</label>
						<input id="object_group_unique_identifier" type="text" class="textBox" name="object[group_unique_identifier]" value="{$editable_group_unique_identifier|escape('hexentity')}" maxlength="255" tabindex="17" />
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>

