{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('UpdatePermMember')|assign('CanUpdatePermMember')}

		{editable->get('bf_tag')|assign('editable_tag')}
		{editable->get('bf_description')|assign('editable_description')}
		{editable->get('bf_group')|assign('editable_group')}
		{editable->getMembers()|assign('editable_members')}
		{editable->getNonMembers()|assign('editable_nonmembers')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/permission.gif" border="0" alt="" />
			<span class="module_name">{translate('permissions')|escape()}</span>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Assigning_Permissions.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Assigning_Permissions.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>
	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl'}
				{include('filter_form.tpl', "action='permissions.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('name')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=name&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('name');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('group')|escape()}</th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'id'}
							<td>{if $colname == 'name'}<img src="{$webroot}images/icons/permission.gif" alt="{translate{'permission')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=permissions.edit&amp;bf_tag=" onclick="return !page_details.loadDetails('');"></a>{/if}</td>
							{/if}
						{/foreach}
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr>
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							{if $key != 'id'}
							<td>
							{if $key == 'name'}<img src="{$webroot}images/icons/permission.gif" alt="{translate{'permission')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=permissions.edit&amp;bf_tag={$item['id']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');">{if $attr}{$attr|escape('hexentity')}{else}{$item['id']|escape('hexentity')}{/if}</a>{else}{translate($groups[$attr])|escape('hexentity')}{/if}</td>
							{/if}{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=permissions.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input type="hidden" id="object_details_id" name="bf_tag" value="{$editable_tag|escape()}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/icons/permission.gif" alt="{translate('permission')|escape()}"/><span id="object_label">{if $editable_tag != ''}{$editable_description|escape('hexentity')}{/if}</span></span>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="javascript:goTab(0);">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
			<div class="primary">
				<label for="object_details_name">
					{translate('name')|escape()}: <span id="object_details_name">{$editable_description|escape('hexentity')}</span>
				</label>
				<label for="object_details_group">
					{translate('group')|escape()}: <span id="object_details_group">{translate($editable_group)|escape('hexentity')}</span>
				</label>
				<label for="admin_group_bucket_source">
					{translate('2064')|escape()}
				</label>
			</div>
			<select multiple="multiple" id="admin_group_bucket_source" class="admin_group_bucket" style="float: left;" size="2">
				{foreach($editable_nonmembers, 'id', 'name')}
				<option value="{$id|escape()}">{$name|escape('hexentity')}</option>
				{/foreach}
			</select>
			<span class="admin_group_buttons">
				<div class="details_button"><input type="button" id="admin_group_addBtn" class="bf_button admin_group_button" value="{translate('add >>')|escape()}" onclick="page_details.addGroupItems();" {if !$CanUpdatePermMember}disabled="disabled"{/if}/></div><br/><br/>
				<div class="details_button"><input type="button" id="admin_group_remBtn" class="bf_button admin_group_button" value="{translate('<< remove')|escape()}" onclick="page_details.delGroupItems();" {if !$CanUpdatePermMember}disabled="disabled"{/if}/></div>
			</span>
			<select multiple="multiple" id="admin_group_bucket_target" class="admin_group_bucket" style="float: right;" size="2">
				{foreach($editable_members, 'id', 'name')}
				<option value="{$id|escape()}">{$name|escape('hexentity')}</option>
				{/foreach}
			</select>
		</div>
		</div>
	</div>
	</form>
