{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape()|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape()|assign('temp')}{"&amp;action=$temp"|assign('linkAction')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape()|assign('temp')}{"&amp;bf_id=$temp"|assign('linkID')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape()|assign('temp')}{"&amp;state=$temp"|assign('linkState')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape()|assign('temp')}{"&amp;orderby=$temp"|assign('linkOrderby')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape()|assign('temp')}{"&amp;sort=$temp"|assign('linkSort')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape()|assign('temp')}{"&amp;filter=$temp"|assign('linkFilter')}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddUser')|assign('CanAddUser')}
{controller->userHasAccessTo('UpdateUser')|assign('CanUpdateUser')}
{controller->userHasAccessTo('DeleteUser')|assign('CanDeleteUser')}
{controller->userHasAccessTo('SwitchUser')|assign('CanSwitchUser')}
{controller->userHasAccessTo('ExpireUserPasswords')|assign('CanExpireUserPasswords')}
{controller->userHasAccessTo('AddAccessMember')|assign('CanAddMember')}
{controller->userHasAccessTo('DeleteAccessMember')|assign('CanDeleteMember')}

		{editable->get('bf_userid')|assign('editable_userid')}
		{editable->get('bf_name')|assign('editable_name')}
		{editable->get('bf_pwexpired')|assign('editable_pwexpired')}
		{editable->getCookie()|assign('editable_session')}
		{editable->isLDAPUser()|assign('editable_ldap')}
		{editable->get('bf_priority')|assign('editable_priority')}
		{editable->referenced|assign('editable_referenced')}
		{editable->get('bf_lang')|assign('editable_lang')}
		{editable->get('bf_datefmt')|assign('editable_datefmt')}
		{editable->get('bf_tzone')|assign('editable_tzone')}
		{editable->get('bf_maxbuilds')|assign('editable_maxbuilds')}
		{editable->get('bf_pexpire')|assign('editable_pexpire')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" class="content_title_image" src="{$webroot}images/icons/user.gif" border="0" alt="" />
			<span class="module_name">{translate('users')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<form name="create_user_form" id="create_user_form" action="{$linkSelf}?mod={$linkModule}&amp;action=users.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" class="bf_button" name="object[Add]" id="object_details_add" value="{translate('add user')|escape()}" {if !$CanAddUser}disabled="disabled"{/if} /></div>
			</form>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<span class="module_name">{translate('x of x license seats used', $users_count, $lic_users)|escape()}</span>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Creating_and_Editing_Users.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Creating_and_Editing_Users.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>

		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl'}
				{include('filter_form.tpl', "action='users.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('name')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=name&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('name');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('username')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=username&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('username');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('email')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=email&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('email');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('limit')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=limit&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('limit');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('activity')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=activity&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('activity');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('tz')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=tz&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('tz');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone" id="listing_row">
							<td><img src="{$webroot}images/icons/user.gif" alt="{translate('user')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape()}?mod={$jTE['get']['mod']|escape()}&amp;action=users.view&amp;bf_userid=" onclick="return !page_details.loadDetails('');" title=""></a></td>
							<td><span title=""></span></td>
							<td><span title=""></span></td>
							<td><span title=""></span></td>
							<td><span title=""></span></td>
							<td><span title=""></span></td>
						</tr>
					{listing->getCount()|assign('count')}
					{for('itemindex', $count)}
						<tr>
							{listing->next()|assign('item')}
							{$item['ldap']|truncate(1)|assign('ldap')}
							{if !$item['activity']}{$now|assign('then')}{else}{$item['activity']|assign('then')}{/if}
							{math($now - $then)|assign('diff')}
							{if ($diff < 0)}{assign('diff', 0)}{/if}
							{math($diff / 3600)|format('%d')|assign('hours')}
							{math(($diff - ($hours * 3600)) / 60)|format('%02d')|assign('minutes')}
							{math($diff - ($hours * 3600) - ($minutes * 60))|format('%02d')|assign('seconds')}
							<td><img src="{$webroot}images/icons/{if $item['id'] == 1}root_user{elseif $ldap[0] == '!'}{if $item['priority'] == 'Y'}user_ldap_priority{else}user_ldap_normal{/if}{elseif $item['priority'] == 'Y'}user_priority{else}user{/if}.gif" alt="{translate('user')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape()}?mod={$jTE['get']['mod']|escape()}&amp;action=users.view&amp;bf_userid={$item['id']|escape()}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');">{$item['name']|truncate(35)|escape()}</a></td>
							<td>{$item['username']|truncate(35)|escape()}</td>
							<td>{$item['email']|truncate(35)|escape()}</td>
							<td>{$item['limit']|truncate(35)|escape()}</td>
							<td>{if $item['session'] != ''}{$hours|escape()}:{$minutes|escape()}:{$seconds|escape()}{else}({translate('not logged in')|escape()}){/if}</td>
							<td>{$item['tz']|truncate(35)|escape()}</td>
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=users.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('user')|escape()}"/><span id="object_label">{if $editable_name}{$editable_name|truncate(35)|escape()}{else}({translate('new user')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				{if (!$editable_userid and $CanAddUser) or ($editable_userid and $CanUpdateUser) or $editable_userid == $user['id']}{assign('CanEdit', 1)}{/if}
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" name="object[save]" id="object_details_save" value="{translate('save')|escape()}" {if !$CanEdit}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if !$editable_userid or !$CanAddUser}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" name="object[switch]" id="object_details_switch" value="{translate('switch to user')|escape()}" {if !$CanSwitchUser or !$editable_name or ($editable_id != 1 && $user['id'] != 1)}disabled="disabled"{/if} onclick="page_details.su();return false;" /></div>
				<div class="details_button"><input type="submit" class="bf_button" name="object[expire]" id="object_details_expire" value="{translate('expire password')|escape()}" {if !$CanExpirePassword or !$editable_name or $editable_userid == 1 or $editable_pwexpired == 'Y' or $editable_ldap}disabled="disabled"{/if} onclick="page_details.expire();return false;" /></div>
				<div class="details_button"><input type="submit" class="bf_button" name="object[logout]" id="object_details_logout" value="{translate('logout user')|escape()}" {if !$CanUpdateUser or !$editable_name or $editable_userid == 1 or !$editable_session or $editable_userid == $user['id']}disabled="disabled"{/if} onclick="page_details.logout();return false;" /></div>
				<div class="details_button"><input type="submit" class="bf_button" name="object[purge]" id="object_details_purge" value="{translate('purge seat')|escape()}" {if !$CanUpdateUser or !$editable_name or $editable_userid == 1 or $editable_userid == $user['id']}disabled="disabled"{/if} onclick="page_details.purge();return false;" /></div>
				<div class="details_button"{if $editable_referenced} title="{translate('2066')|escape()}"{/if}><input type="submit" class="bf_button" name="object[delete]" id="object_details_delete" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;" {if !$CanDeleteUser or !$editable_userid or $editable_userid == 1 or $editable_userid == $user['id'] or $editable_referenced}disabled="disabled"{/if} /></div>
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li{if $jTE['get']['dtab'] == '0' or $jTE['get']['dtab'] == ''} class="selected"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=users.view{if $editable_userid}&amp;bf_userid={$editable_userid|escape('url')}{/if}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '1'} class="selected"{elseif !$editable_userid} class="disabledTab"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=users.view{if $editable_userid}&amp;bf_userid={$editable_userid|escape('url')}{/if}&amp;dtab=1" onclick="page_details.goTab(1);return false;">{translate('current groups')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '2'} class="selected"{elseif !$editable_userid} class="disabledTab"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=users.view{if $editable_userid}&amp;bf_userid={$editable_userid|escape('url')}{/if}&amp;dtab=2"{if $editable_userid}{if $editable_userid == 1} onclick="page_details.showMessageRootGroup();return false;"{else} onclick="page_details.goTab(2);return false;"{/if}{else} onclick="return !page_details.showMessageMustEdit();" {/if}>{translate('change groups')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<input type="hidden" name="object[userid]" id="object_details_id" value="{$editable_userid|escape()}" />
				<div class="primary">
					<label for="object_details_name">
						{translate('name')|escape()}: <input id="object_details_name" type="text" class="textBox" name="object[bf_name]" value="{$editable_name|escape()}" maxlength="255"{if $editable_ldap != ''} disabled="disabled"{/if} tabindex="1" />
					</label>
					<label for="object_details_email">
						{translate('email')|escape()}: <input id="object_details_email" type="text" class="textBox" name="object[bf_email]" value="{editable->get('bf_email')|assign('editable_email')}{$editable_email|escape()}" maxlength="255"{if $editable_ldap != ''} disabled="disabled"{/if} tabindex="2" />
					</label>
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_login">{translate('username')|escape()}:</label>
						<input id="object_details_login" type="text" class="textBox" name="object[bf_login]" value="{editable->get('bf_login')|assign('editable_login')}{$editable_login|escape()}" maxlength="255"{if $editable_ldap != ''} disabled="disabled"{/if} tabindex="3" />
						<br />
						{bf_get_timezones()|assign('zones')}
						{if !$editable_tzone}{foreach($zones, 'zone', 'desc')}{if !$editable_tzone}{assign('editable_tzone', $zone)}{/if}{/foreach}
						<label for="object_details_tzones_visible">{translate('time zone')|escape()}:</label>
						<input id="object_details_tzones_visible" type="button" class="pselect iconDropdown" title="{$zones[$editable_tzone]|escape('hexentity')}" value="{$zones[$editable_tzone]|truncate($pselect_truncation)|escape('hexentity')}" tabindex="4" onclick="pseudoSelect('object_details_tzones', '{foreach($zones, 'zone', 'desc')}|{$zone|escape('javascript')},{$desc|escape('javascript')}{/foreach}', 'width=300');" />
						<input name="object[bf_tzone]" id="object_details_tzones" type="hidden" value="{$editable_tzone|escape('hexentity')}" />
						<br />
						{bf_get_dateformats()|assign('datefmts')}
						{if !$editable_datefmt}{foreach($datefmts, 'datefmt', 'description')}{if !$editable_datefmt}{assign('editable_datefmt', $datefmt)}{/if}{/foreach}
						<label for="object_details_datefmt_visible">{translate('date format')|escape()}:</label>
						<input id="object_details_datefmt_visible" type="button" class="pselect iconDropdown" title="{bf_format_date(1041453000, $editable_datefmt)|escape()}" value="{bf_format_date('1041453000', $editable_datefmt)|truncate($pselect_truncation)|escape('hexentity')}" tabindex="5" onclick="pseudoSelect('object_details_datefmt', '{foreach($datefmts, 'datefmt', 'description')}|{$datefmt|escape('javascript')},{$description|escape('javascript')}{/foreach}', 'forceRefresh=1');" />
						<input name="object[bf_datefmt]" id="object_details_datefmt" type="hidden" value="{$editable_datefmt|escape('hexentity')}" />
						<br />
						<label for="object_details_screenreader_visible">{translate('uses screen reader')|escape()}:</label>
						{editable->getPreference('screenreader')|assign('editable_screenreader')}
						<input id="object_details_screenreader_visible" type="button" class="pselect iconToggle" title="{if $editable_screenreader && $editable_screenreader != '0'}{translate('yes')|escape()}{else}{translate('no')|escape()}{/if}" value="{if $editable_screenreader && $editable_screenreader != '0'}{translate('yes')|truncate($pselect_truncation)|escape()}{else}{translate('no')|truncate($pselect_truncation)|escape()}{/if}" tabindex="6" onclick="pseudoSelect('object_details_screenreader', '0,{translate('no')|escape('javascript')}|1,{translate('yes')|escape('javascript')}', 'type=toggle');" />
						<input name="object[bf_screenreader]" id="object_details_screenreader" type="hidden" value="{if $editable_screenreader}{$editable_screenreader|escape('hexentity')}{else}0{/if}" />
					</div>
					<div class="third">
						<label for="object_details_password">{translate('password')|escape()}:</label>
						<input id="object_details_password" name="object[bf_password]" type="password" class="textBox" maxlength="255"{if $editable_ldap != ''} disabled="disabled"{/if} tabindex="7" />
						<br />
						<label for="object_details_password_verify">{translate('verified')|escape()}:</label>
						<input id="object_details_password_verify" name="object[bf_password_verify]" type="password" class="textBox" maxlength="255"{if $editable_ldap != ''} disabled="disabled"{/if} tabindex="8" />
						<br />
						{bf_get_languages()|assign('languages')}
						{if !$editable_lang}{assign('editable_lang', 'en_US')}{/if}
						<label for="object_details_lang_visible">{translate('language')|escape()}:</label>
						<input id="object_details_lang_visible" type="button" class="pselect iconDropdown" title="{translate($languages[$editable_lang])|escape('hexentity')}" value="{translate($languages[$editable_lang])|truncate($pselect_truncation)|escape('hexentity')}" tabindex="9" onclick="pseudoSelect('object_details_lang', '{foreach($languages, 'langkey', 'langname')}|{$langkey|escape('javascript')},{translate($langname)|escape('javascript')}{/foreach}', '', '', [{foreach($languages, 'langkey', 'langname')}'{$langkey|escape('javascript')}',{/foreach}null]);" />
						<input name="object[bf_lang]" id="object_details_lang" type="hidden" value="{$editable_lang|escape('hexentity')}" />
						<br />
						<label for="object_details_schedule_start_dow_visible">{translate('calendar start day of week')|escape()}:</label>
						{editable->getPreference('schedule_start_dow')|assign('editable_schedule_start_dow')}{if !$editable_schedule_start_dow}{assign('editable_schedule_start_dow', 0)}{/if}
						<input id="object_details_schedule_start_dow_visible" type="button" class="pselect iconDropdown" title="{translate($dow[$editable_schedule_start_dow])|escape('hexentity')}" value="{translate($dow[$editable_schedule_start_dow])|truncate($pselect_truncation)|escape('hexentity')}" tabindex="10" onclick="pseudoSelect('object_details_schedule_start_dow', '{foreach($dow, 'dowkey', 'downame')}{$dowkey|escape('javascript')},{translate($downame)|escape('javascript')}|{/foreach}', '');" />
						<input name="object[bf_schedule_start_dow]" id="object_details_schedule_start_dow" type="hidden" value="{$editable_schedule_start_dow|escape('hexentity')}" />
					</div>
					<div class="third">
						<label for="object_details_limit_visible">{translate('limit')|escape()}:</label>
						<input id="object_details_limit_visible" type="button" class="pselect iconDropdown" title="{if $editable_maxbuilds && $editable_maxbuilds != '0'}{$editable_maxbuilds|escape('hexentity')}{else}{translate('unlimited')|escape()}{/if}" value="{if $editable_maxbuilds && $editable_maxbuilds != '0'}{$editable_maxbuilds|truncate($pselect_truncation)|escape('hexentity')}{else}{translate('unlimited')|truncate($pselect_truncation)|escape()}{/if}" tabindex="11" onclick="pseudoSelect('object_details_limit', '{foreach($limits, 'key', 'limit')}|{$limit|escape('javascript')},{if !$limit}{translate('unlimited')|escape('javascript')}{else}{$limit|escape('javascript')}{/if}{/foreach}', '');" />
						<input name="object[bf_maxbuilds]" id="object_details_limit" type="hidden" value="{$editable_maxbuilds|escape('hexentity')}" />
						<br />
						<label for="object_details_priority_visible">{translate('priority login')|escape()}:</label>
						<input id="object_details_priority_visible" type="button" class="pselect iconToggle" title="{if $editable_priority == 'Y'}{translate('yes')|escape()}{else}{translate('no')|escape()}{/if}" value="{if $editable_priority == 'Y'}{translate('yes')|truncate($pselect_truncation)|escape()}{else}{translate('no')|truncate($pselect_truncation)|escape()}{/if}" tabindex="12" onclick="pseudoSelect('object_details_priority', 'N,{translate('no')|escape('javascript')}|Y,{translate('yes')|escape('javascript')}', 'type=toggle');" {if $editable_userid == 1 or $editable_userid == $user['id']} disabled="disabled"{/if} />
						<input name="object[bf_priority]" id="object_details_priority" type="hidden" value="{if $editable_priority}{$editable_priority|escape('hexentity')}{else}N{/if}" />
						<br />
						<label for="object_details_pexpire_visible">{translate('password expires')|escape()}:</label>
						<input id="object_details_pexpire_visible" type="button" class="pselect iconToggle" title="{if $editable_pexpire > 0 or !$editable_userid}{translate('yes')|escape()}{else}{translate('no')|escape()}{/if}" value="{if $editable_pexpire > 0 or !$editable_userid}{translate('yes')|truncate($pselect_truncation)|escape()}{else}{translate('no')|truncate($pselect_truncation)|escape()}{/if}" tabindex="13" onclick="pseudoSelect('object_details_pexpire', '1,{translate('yes')|escape('javascript')}|0,{translate('no')|escape('javascript')}', 'type=toggle');" {if $editable_userid == 1 or $editable_userid == $user['id'] or $editable_ldap} disabled="disabled"{/if} />
						<input name="object[bf_pexpire]" id="object_details_pexpire" type="hidden" value="{if $editable_userid}{$editable_pexpire|escape('hexentity')}{else}1{/if}" />
						<br />					
						<label for="object_details_trunc_visible">{translate('truncation'|escape())}:</label>
						<input id="object_details_trunc_visible" type="button" class="pselect iconDropdown" value="{translate('default value')|escape()}" tabindex="12" onclick="pseudoSelect('object_details_trunc', '-1,{translate('default value')|escape('javascript')}|0,{translate('none')|escape('javascript')}|20|40|60|80|100|200|500', '');" />
						<input name="object[bf_trunc]" id="object_details_trunc" type="hidden" value="-1" />



					</div>
				</div>
			</div>
			<div class="tab_details">
				<table class="Server_Manifest_Table" cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th width="100px">{translate('access group')}</th><th>{translate('direct member')}</th>
						</tr>
					</thead>
					<tbody id="group_tbody">
						<tr class="clone"><td></td><td></td></tr>
					{foreach($levels, 'name', 'direct')}
						<tr><td title="{$name|escape()}">{$name|truncate(100)|escape()}</td><td>{if $direct}{translate('yes')}{else}{translate('no')}{/if}</td></tr>
					{foreachelse}
						<tr><td> </td><td>{translate('2067')}</td></tr>
					{/foreach}
					</tbody>
				</table>
			</div>
			<div class="tab_details">
				<div class="primary">
					<label for="admin_group_bucket_source">
						{translate('2068')|escape()}
					</label>
				</div>
				<select multiple="multiple" id="admin_group_bucket_source" class="admin_group_bucket" style="float: left;" size="2">
					{foreach($nonlevels, 'id', 'name')}
					<option value="{$id|escape()}">{$name|escape()}</option>
					{/foreach}
				</select>
				<span class="admin_group_buttons">
					<div class="details_button"><input type="button" id="admin_group_addBtn" class="bf_button admin_group_button" value="{translate('add >>')|escape()}" onclick="page_details.addGroupMember();" {if !$CanAddMember}disabled="disabled"{/if} /></div><br/><br/>
					<div class="details_button"><input type="button" id="admin_group_remBtn" class="bf_button admin_group_button" value="{translate('<< remove')|escape()}" onclick="page_details.delGroupMember();" {if !$CanDeleteMember}disabled="disabled"{/if} /></div>
				</span>
				<select multiple="multiple" id="admin_group_bucket_target" class="admin_group_bucket" style="float: right;" size="2">
					{foreach($directlevels, 'id', 'name')}
					<option value="{$id|escape()}">{$name|escape()}</option>
					{/foreach}
				</select>
			</div>
		</div>
	</div>
	</form>
