{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{bf_get_levels()|assign('levels')}
{editable->get('bf_lvl')|assign('editable_lvl')}
{editable->referenced|assign('editable_referenced')}
{controller->userHasAccessTo('DeleteAccess')|assign('editable_deletable')}
<permissions>
	<permission id="AddAccess">{controller->userHasAccessTo('AddAccess')|escape('hexentity')}</permission>
	<permission id="DeleteAccess">{if $editable_deletable && !$editable_referenced}1{else}0{/if}</permission>
	<permission id="AddAccessMember">{controller->userHasAccessTo('AddAccessMember')|escape('hexentity')}</permission>
	<permission id="DeleteAccessMember">{controller->userHasAccessTo('DeleteAccessMember')|escape('hexentity')}</permission>
	<permission id="ToggleDefGroup">{controller->userHasAccessTo('ToggleDefGroup')|escape('hexentity')}</permission>
	<permission id="AddLevel">{controller->userHasAccessTo('AddLevel')|escape('hexentity')}</permission>
	<permission id="EditLevel">{controller->userHasAccessTo('EditLevel')|escape('hexentity')}</permission>
</permissions>
<object>
	<property id="bf_level">{editable->get('bf_level')|escape('hexentity')}</property>
	<property id="bf_def">{editable->get('bf_def')|escape('hexentity')}</property>
	<property id="bf_name">{editable->get('bf_name')|escape('hexentity')}</property>
	<property id="bf_lvl">{$editable_lvl|escape('hexentity')}</property>
	<property id="bf_lvl_name">{$levels[$editable_lvl]|escape('hexentity')}</property>
	<property id="bf_dn">{editable->get('bf_dn')|escape('hexentity')}</property>
</object>
<nonmembers>
	{foreach($nonmembers, 'name', 'value')}
	<nonmember>
		<field type="key">{$name|escape('hexentity')}</field>
		<field type="value">{$value|escape('hexentity')}</field>
	</nonmember>
	{/foreach}
</nonmembers>
<members>
	{foreach($members, 'name', 'value')}
	<member>
		<field type="key">{$name|escape('hexentity')}</field>
		<field type="value">{$value|escape('hexentity')}</field>
	</member>
	{/foreach}
</members>
<nonchildren>
	{foreach($nonchildren, 'name', 'value')}
	<nonchild>
		<field type="key">{$name|escape('hexentity')}</field>
		<field type="value">{$value|escape('hexentity')}</field>
	</nonchild>
	{/foreach}
</nonchildren>
<children>
	{foreach($children, 'name', 'value')}
	<child>
		<field type="key">{$name|escape('hexentity')}</field>
		<field type="value">{$value|escape('hexentity')}</field>
	</child>
	{/foreach}
</children>
<navigation>
{module->navigationBlock()}
</navigation>
