{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{listing->getCount()|assign('itemCount')}
{listing->getPageCount()|assign('pageCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
{controller->getLocationName()|assign('location_name')}
{for('i', $itemCount)}
	{listing->next()|assign('message')}
	<record>
		<field class="bf_stamp">{bf_format_date($message['stamp'])|escape()}</field>
		<field class="bf_user">{if $message['bf_user']}{if $location_name}{$usernames[$message['bf_user']]|escape()}{else}{$message['bf_user'])|escape()}{/if}{else}{translate('System')|escape()}{/if}</field>
		<field class="bf_message">{if $location_name}{bf_translate_string($message['message'])|assign('temp_message')}{bf_get_message($temp_message, $message['msgargs'])|escape()}{else}{bf_get_message($message['message'], $message['msgargs'])|escape()}{/if}</field>
		<field class="bf_severity">{$message['severity']|escape()}</field>
	</record>
{/for}
</records>
