{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{editable->referenced|assign('editable_referenced')}
{controller->userHasAccessTo('DeleteUser')|assign('can_delete')}
{controller->userHasAccessTo('UpdateUser')|assign('can_update')}
{editable->get('bf_maxbuilds')|assign('editable_maxbuilds')}
{editable->get('bf_tzone')|assign('editable_tzone')}
{editable->get('bf_datefmt')|assign('editable_datefmt')}
{editable->get('bf_lang')|assign('editable_lang')}
{editable->get('bf_userid')|assign('editable_userid')}
{editable->getPreference('screenreader')|assign('screenreader')}
{editable->getPreference('schedule_start_dow')|assign('schedule_start_dow')}
{editable->getPreference('truncation')|assign('truncation')}
{if $truncation == ''}{assign('truncation','-1')}{/if}
{bf_get_languages()|assign('languages')}
{bf_get_dateformats()|assign('datefmts')}
{if !$editable_datefmt}{foreach($datefmts, 'datefmt', 'description')}{if !$editable_datefmt}{assign('editable_datefmt', $datefmt)}{/if}{/foreach}
{bf_get_timezones()|assign('zones')}
<permissions>
	<permission id="AddUser">{controller->userHasAccessTo('AddUser')|escape('hexentity')}</permission>
	<permission id="AddAccessMember">{controller->userHasAccessTo('AddAccessMember')|escape('hexentity')}</permission>
	<permission id="DeleteUser">{if $can_delete && !$editable_referenced && $editable_userid > 1}1{else}0{/if}</permission>
	<permission id="UpdateUser">{if $can_update or $editable_userid == $user['id']}1{else}0{/if}</permission>
	<permission id="ExpireUserPasswords">{controller->userHasAccessTo('ExpireUserPasswords')|assign('CanExpire')}{editable->get('bf_userid')|assign('bf_userid')}{editable->get('bf_pwexpired')|assign('Expired')}{editable->isLdapUser()|assign('Ldap')}{if $CanExpire && $bf_userid != 1 && (!$Expired or $Expired == 'N') && !$Ldap}1{/if}</permission>
	<permission id="CanLogout">{editable->getCookie()|assign('bf_session')}{if $can_update && $bf_userid != 1 && $bf_session && $bf_userid != $user['id']}1{else}0{/if}</permission>
	<permission id="CanPurgeSeat">{editable->hasLicenseSeat()|assign('has_seat')}{if $can_update &&$has_seat && $bf_userid != 1 && $bf_userid != $user['id']}1{else}0{/if}</permission>
	<permission id="DeleteAccessMember">{controller->userHasAccessTo('DeleteAccessMember')|escape('hexentity')}</permission>
	<permission id="UpdateAccessMember">{controller->userHasAccessTo('UpdateAccessMember')|escape('hexentity')}</permission>
	<permission id="CanChangePriority">{if $can_update && $editable_userid != 1 && $editable_userid != $user['id']}1{else}0{/if}</permission>
	<permission id="CanChangeExpires">{if $can_update && $editable_userid != 1 && $editable_userid != $user['id'] && !$Ldap}1{else}0{/if}</permission>
	<permission id="CanSwitchUser">{controller->userHasAccessTo('SwitchUser')|assign('CanSwitchUser')}{if $CanSwitchUser == '0' or ($editable_userid != 1 && $user['id'] != 1)}0{else}1{/if}</permission>
</permissions>
<object>
	<property id="bf_userid">{$editable_userid|escape('hexentity')}</property>
	<property id="bf_level">{editable->get('bf_level')|escape('hexentity')}</property>
	<property id="bf_name">{editable->get('bf_name')|escape('hexentity')}</property>
	<property id="bf_email">{editable->get('bf_email')|escape('hexentity')}</property>
	<property id="bf_login">{editable->get('bf_login')|escape('hexentity')}</property>
	<property id="bf_password">{editable->get('bf_password')|escape('hexentity')}</property>
	<property id="bf_maxbuilds">{$editable_maxbuilds|escape('hexentity')}</property>
	<property id="bf_maxbuilds_name">{if $editable_maxbuilds && $editable_maxbuilds != '0'}{$editable_maxbuilds|escape('hexentity')}{else}{translate('unlimited')|escape()}{/if}</property>
	<property id="bf_session">{editable->get('bf_session')|escape('hexentity')}</property>
	<property id="bf_pupdate">{editable->get('bf_pupdate')|escape('hexentity')}</property>
	<property id="bf_pexpire">{editable->get('bf_pexpire')|escape('hexentity')}</property>
	<property id="bf_pwexpired">{editable->get('bf_pwexpired')|escape('hexentity')}</property>
	<property id="bf_tzone">{$editable_tzone|escape('hexentity')}</property>
	<property id="bf_tzone_name">{$zones[$editable_tzone]|escape('hexentity')}</property>
	<property id="bf_datefmt">{$editable_datefmt|escape('hexentity')}</property>
	<property id="bf_datefmt_name">{bf_format_date(1041453000, $editable_datefmt, $editable_lang)|escape()}</property>
	<property id="bf_screenreader">{if $screenreader}{$screenreader|escape('hexentity')}{else}0{/if}</property>
	<property id="bf_schedule_start_dow">{if $schedule_start_dow}{$schedule_start_dow|escape('hexentity')}{else}0{/if}</property>
	<property id="bf_schedule_start_dow_name">{if $schedule_start_dow}{translate($dow[$schedule_start_dow])|escape('hexentity')}{else}{translate('sunday')|escape()}{/if}</property>
	<property id="bf_priority">{editable->get('bf_priority')|escape('hexentity')}</property>
	<property id="bf_lang">{if !$editable_lang}en_US{else}{$editable_lang|escape('hexentity')}{/if}</property>
	<property id="bf_lang_name">{if !$editable_lang}English US{else}{translate($languages[$editable_lang])|escape('hexentity')}{/if}</property>
	<property id="bf_tiplevel">{editable->get('bf_tiplevel')|escape('hexentity')}</property>
	<property id="bf_data">{editable->get('bf_data')|escape('hexentity')}</property>
	<property id="referenced">{if $editable_referenced}1{else}0{/if}</property>
	<property id="bf_trunc">{$truncation}</property>
	<property id="bf_trunc_name">{if $truncation == '0'}{translate('none')}{elseif $truncation == '-1'}{translate('default value')}{else}{$truncation}{/if}</property>
</object>
<memberlevels>
	{foreach($levels, 'name', 'direct')}
	<memberlevel>
		<field type="key">{$name|escape('hexentity')}</field>
		<field type="value">{if $direct}{translate('yes')|escape()}{else}{translate('no')|escape()}{/if}</field>
	</memberlevel>
	{foreachelse}
	<memberlevel>
		<field type="key">{translate('2067')|escape()}</field>
		<field type="value"></field>
	</memberlevel>	
	{/foreach}
</memberlevels>
<nonmemberlevels>
	{foreach($nonlevels, 'id', 'name')}
	<nonmemberlevel>
		<field type="key">{$id|escape('hexentity')}</field>
		<field type="value">{$name|escape('hexentity')}</field>
	</nonmemberlevel>
	{/foreach}
</nonmemberlevels>
<directmemberlevels>
	{foreach($directlevels, 'id', 'name')}
	<directmemberlevel>
		<field type="key">{$id|escape('hexentity')}</field>
		<field type="value">{$name|escape('hexentity')}</field>
	</directmemberlevel>
	{/foreach}
</directmemberlevels>
<navigation>
{module->navigationBlock()}
</navigation>
<dateformats>

	{bf_get_dateformats()|assign('datefmts')}
	{foreach($datefmts, 'datefmt', 'description')}
	<format>
		<key>{$datefmt|escape()}</key>
		<name>{bf_format_date(1041453000, $datefmt, $editable_lang)|escape()}</name>
	</format>
	{/foreach}
</dateformats>
