{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}


{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState', "&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby', "&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort', "&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter', "&amp;filter=$temp")}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddEnvGroup')|assign('CanAddEnvGroup')}
{controller->userHasAccessTo('ModifyEnvGroup')|assign('CanModifyEnvGroup')}
{controller->userHasAccessTo('DeleteEnvGroup')|assign('CanDeleteEnvGroup')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_environments_blue.gif" border="0" alt=""/>
			<span class="module_name">{translate('environments')|escape()}</span>
			{if $jTE['get']['bf_id'] == ''}<span class="sepGT">&gt;&gt;</span><span class="location_name">{translate('all environments')|escape()}</span>{/if}
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			{if $CanAddEnvGroup}
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add environment')|escape()}" onclick="page_details.clear();" /></div>
			{/if}
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/environments.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/environments.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>

		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="EnvironmentsDetails">
		<div id="content_summary" class="Projects">
		
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='environment.view'")}
			</div>
		
			<div id="summary_scroller" class="EnvironmentsPage_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'id' && $colname != 'err' && $colname != 'level'}
							<th>{translate($colname)|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby={$colname|escape()}&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('{$colname|escape('javascript')}');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							{/if}
						{/foreach}
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'id' && $colname != 'err' && $colname != 'level'}
							<td>{if $colname == 'name'}
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=environment.edit&amp;bf_bid=" onclick="return !page_details.loadDetails('');"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this environment')|escape()}"/></a>
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=variable.view&amp;bf_bid=" title=""></a>
								{elseif $colname == 'access'}
									<a href="{$linkSelf}?mod=administration&amp;action=groups.view&amp;bf_level=" title=""></a>
								{else}<span title=""></span>{/if}</td>
							{/if}
						{/foreach}
						</tr>
					{for('projectindex', $itemCount)}
						<tr>
							{listing->next()|assign('project')}
							{foreach($project, 'key', 'attr')}
							{if $key != 'id' && $key != 'level'}
								<td>{if $key == 'name'}
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=environment.edit&amp;bf_bid={$project['id']|escape('url')}" onclick="return !page_details.loadDetails('{$project['id']|escape('javascript')}');"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this environment')|escape()}"/></a>
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=variable.view&amp;bf_bid={$project['id']|escape('url')}" title="{$attr|escape('hexentity')}">{$attr|truncate(80)|escape('hexentity')}</a>
									{elseif $key == 'access'}
									<a href="{$linkSelf}?mod=administration&amp;action=groups.view&amp;bf_level={$project['level']|escape('url')}" title="{$attr|escape('hexentity')}">{$attr|truncate(80)|escape('hexentity')}</a>
									{else}{$attr|truncate(80)|escape('hexentity')}{/if}</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>

		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=environment.edit" onsubmit="return !page_details.save();" method="post">
		<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">

			{parent->get('bf_bid')|assign('parent_bid')}
			{parent->get('bf_param')|assign('parent_param')}
			{parent->get('bf_level')|assign('parent_level')}
			{parent->referenced()|assign('parent_referenced')}
			{parent->inserted()|assign('parent_inserted')}
			<input name="environment[bf_bid]" id="environment_details_bid" type="hidden" value="{$parent_bid|escape()}" />
			<span class="details_title" title="{$parent_param|escape('hexentity')}"><img src="{$webroot}images/nav_icon_environments_blue.gif" alt="{translate('environment')|escape()}:"/><span id="details_label">{if $parent_param != ''}{$parent_param|truncate(30)|escape('hexentity')}{else}({translate('new environment')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" /><div class="details_button"><input type="submit" class="bf_button" value="{translate('save environment')|escape()}" name="environment_details_save" id="environment_details_save" onclick="return true;"{if (!$parent_inserted && !$CanAddEnvGroup) or ($parent_inserted && !$CanModifyEnvGroup)} disabled="disabled"{/if} /></div>
				<div class="details_button"><input type="submit" class="bf_button" value="{translate('copy environment')|escape()}" name="environment_details_copy" id="environment_details_copy" onclick="page_details.copy();return false;"{if !$parent_inserted} disabled="disabled"{elseif !$CanModifyEnvGroup} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" /><div class="details_button"{if $parent_referenced} title="{translate('2040')|escape()}"{/if}><input type="submit" class="bf_button" value="{translate('delete environment')|escape()}" id="environment_details_delete" name="environment[delete]" onclick="{if $project_count != 0}displayError('{translate('2041')|escape('javascript')}');return false;{elseif $step_count != 0}displayError('{translate(2041)|escape('javascript')}');return false;{/if}return !page_details.kill();"{if !$parent_inserted or $parent_referenced or !$CanDeleteEnvGroup} disabled="disabled"{/if} /></div>
			</div>
			<div class="BF_tabs" id="details_tabs">
				<div class="generic_tabstrip">
					<ul class="generic_tabs">
						<li class="selected" title="{$parent_param|truncate(30)|escape('hexentity')}"><a href="javascript:goTab(0);return false;">{translate('details')|escape()}</a></li>
					</ul>
				</div>
				<div class="tab_details current">
					<div class="primary">
						<label for="environment_bf_param">
							{translate('name')|escape()}: <input name="environment[bf_param]" id="environment_bf_param" type="text" class="textBox" value="{$parent_param|escape('hexentity')}" style="position: relative; width: 300px; background-color:#FEFFC3; border:solid 1px #7F9DB9;"  />
						</label>
						{bf_get_levels($user['id'])|assign('levels')}
						{if !$parent_level}{foreach($levels, 'id', 'name')}{if !$parent_level}{assign('parent_level', $id)}{/if}{/foreach}
						<label for="environment_bf_level_visible">{translate('access')|escape()}:
							<input id="environment_bf_level_visible" type="button" class="pselect iconDropdown" title="{if $parent_level}{$levels[$parent_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" value="{if $parent_level}{$levels[$parent_level]|truncate($pselect_truncation)|escape()}{else}-- {translate('access groups')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('environment_bf_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
							<input name="environment[bf_level]" id="environment_bf_level" type="hidden" value="{$parent_level|escape('hexentity')}" />
						</label>
					</div>
				</div>
			</div>

		</div>
	</form>
