{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{listing->getCount()|assign('itemCount')}
{listing->getPageCount()|assign('pageCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
{for('i', $itemCount)}
	{listing->next()|assign('record')}
	<record>
		<field class="bf_param">{$record['name']|escape('hexentity')}</field>
		<field class="bf_access">{$record['access']|escape('hexentity')}</field>
		<field class="bf_bid">{$record['id']|escape('hexentity')}</field>
		<field class="bf_level">{$record['level']|escape('hexentity')}</field>
	</record>
{/for}
</records>
