{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PERMISSIONS *}
{controller->userHasAccessTo('AddEnvGroupValue')|assign('CanAddEnvGroupValue')}
{controller->userHasAccessTo('EditEnvValue')|assign('CanEditEnvGroupValue')}
{controller->userHasAccessTo('DeleteEnvGroupValue')|assign('CanDeleteEnvGroupValue')}
{controller->userHasAccessTo('MoveEnvValue')|assign('MoveEnvValue')}
{* ATTRIBUTES *}
{editable->get('bf_bid')|assign('variable_bf_bid')}
{editable->get('bf_eid')|assign('variable_bf_eid')}
{editable->get('bf_param')|assign('variable_details_param')}
{editable->get('bf_value')|assign('variable_bf_value')}
{editable->get('bf_action')|assign('bf_action')}
{editable->get('bf_mode')|assign('bf_mode')}
{if $bf_action == 'H'}{assign('CanEditEnvGroupValue', 0)}{/if}
<permissions>
	<permission id="AddEnvGroupValue">{$CanAddEnvGroupValue|escape()}</permission>
	<permission id="EditEnvValue">{$CanEditEnvGroupValue|escape()}</permission>
	<permission id="DeleteEnvGroupValue">{$CanDeleteEnvGroupValue|escape()}</permission>
	<permission id="MoveEnvValue">{$MoveEnvValue|escape()}</permission>
</permissions>
<object>
	<property id="bf_bid">{editable->get('bf_bid')|escape('hexentity')}</property>
	<property id="bf_eid">{editable->get('bf_eid')|escape('hexentity')}</property>
	<property id="bf_neweid">{editable->get('bf_eid')|escape('hexentity')}</property>
	<property id="bf_param">{editable->get('bf_param')|escape('hexentity')}</property>
	<property id="bf_value">{if $bf_action == 'H'}{translate('2269')|escape()}{else}{$variable_bf_value|escape('hexentity')}{/if}</property>
	<property id="bf_action">{$bf_action|escape('hexentity')}</property>
	<property id="bf_action_name">{if $bf_action == 'S'}{translate('set')|escape()}{elseif $bf_action == 'N'}{translate('set if not set')|escape()}{elseif $bf_action == 'A'}{translate('append')|escape()}{elseif $bf_action == 'P'}{translate('prepend')|escape()}{elseif $bf_action == 'C'}{translate('clear')|escape()}{elseif $bf_action == 'U'}{translate('delete / unset')|escape()}{elseif $bf_action == 'H'}{translate('assign hidden')|escape()}{else}{translate('set')|escape()}{/if}</property>
	<property id="bf_mode">{$bf_mode|escape('hexentity')}</property>
	<property id="bf_mode_name">{if $bf_mode == 'N'}{translate('normal')|escape()}{elseif $bf_mode == 'R'}{translate('required')|escape()}{elseif $bf_mode == 'O'}{translate('read-only')|escape()}{elseif $bf_mode == 'S'}{translate('suppress display')|escape()}{elseif $bf_mode == 'C'}{translate('must change')|escape()}{else}{translate('normal')|escape()}{/if}</property>
</object>
