/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

var mod = '?mod=' + bf_query['mod'];

function MessagesPaginator() {
	this.container = document.getElementById('listing');
	this.oop = true; // TEMP: force it to use the new methods
	this.table_replacer.idfield = 0; // Index of the field containing the identifier
	this.container_id = 'listing';
	this.request.parameters.action = 'home.view.messages';
	this.request.parameters.severity = '';
	this.request.parameters.last = '';

	// Replaces the first cell's contents with a new status image and the message
	this.table_replacer.cellHandlers[2] = function(cell, elems) {
		// Assign the ID of the System to the tr and the href
		var severity = (elems[3].firstChild) ? elems[3].firstChild.nodeValue : '';
		var message = (elems[2].firstChild) ? elems[2].firstChild.nodeValue : '';
		
		var imgs = cell.getElementsByTagName('img');
		if (severity && imgs && imgs.length == 1) {
			var img = imgs.item(0);
			switch (severity)  {
				case 'W':
					img.src = '../images/icons/status_warn.gif';
					img.alt = translate('warning');
					break;
				case 'I':
					img.src = '../images/icons/edit.gif';
					img.alt = translate('info');
					break;
				case 'A':
					img.src = '../images/nav_icon_library.gif';
					img.alt = translate('audit');
					break;
			}
			
			// Actual message
			cell.getElementsByTagName('span').item(0).innerHTML = message;
		}
	}			

}

MessagesPaginator.prototype = new Paginator;
paginator = new MessagesPaginator();

