{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}
 
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}
 
{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('url')|assign('temp')}{assign('linkAction',"&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('url')|assign('temp')}{assign('linkID',"&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('url')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('url')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('url')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('url')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp")}{/if}

{controller->userHasAccessTo('RestartBuild')|assign('CanRestartProject')}
{controller->userHasAccessTo('ChangeBuildClass')|assign('CanChangeClass')}
{build->next()|assign('build_record')}

	{if $jTE['get']['action'] == 'edit' and $build_record['result'] == 'F' and $build_record['state'] == 'C' && $build_record['stage'] == 'Died'}
		{listing->getCount|assign('stepcount')}
		{if !$stepcount}
			{if $jTE['get']['action'] = 'edit.notes'}{/if}
		{/if} 
	{/if}										

    <div id="content_top_header">
    
		<div id="content_title">
			<div id="content_title_left">
				<img class="content_title_image" src="{$webroot}images/nav_icon_project_runs_blue.gif" border="0" alt=""/>
				<span class="module_name"><a href="{$linkSelf}{$linkModule}">{translate('Jobs')|escape()}</a></span>
				<span class="sepGT">&gt;&gt;</span> <span class="module_name"><strong><a href="{$linkSelf}?mod=jobs&action=edit&bf_id={$jTE['get']['bf_id']|escape()}"><span id="build_tag">{$build_record['tag']|escape()}</span></a></strong></span>
			</div>

			<div id="content_title_right">
				<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/project_runs.html&amp;hideToc=true" onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/project_runs.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt="" border="0"/></a>
			</div>
		</div>
		
	</div>		

	<div id="content_top_solo">    
		<div id="content_summary">

		    <div style="padding-left:10px;">
		        <div class="project_property">
		        	<input type="hidden" id="thisRunStatus" value="{$build_record['state']|escape()}" />
		            {translate('Status')|escape()}: <strong>
		            	<span id="jobState" state="{$build_record['state']|escape()}">
		            	{if $build_record['state'] == 'C'}{translate('Completed')|escape()}
		            	{elseif $build_record['state'] == 'F'}{translate('Spawning')|escape()}
		            	{elseif $build_record['state'] == 'W'}{translate('Waiting')|escape()}
		            	{elseif $build_record['state'] == 'L'}{translate('Locked')|escape()}
		            	{elseif $build_record['state'] == 'A'}{translate('Archived')|escape()}
		            	{elseif $build_record['state'] == 'P'}{translate('Pre-Processing')|escape()}
		            	{elseif $build_record['state'] == 'R'}{translate('Running')|escape()}
		            	{elseif $build_record['state'] == 'N'}{translate('Nuke')|escape()}
		            	{/if}</span>
		
						<span id="jobResult">		
		             	{if $build_record['result'] == 'R'} -- {translate('Running')|escape()}
		             	{elseif $build_record['result'] == 'P'} -- {translate('Passed')|escape()}
		             	{elseif $build_record['result'] == 'N'} -- {translate('Filter Warning')|escape()}
		             	{elseif $build_record['result'] == 'W'} -- {translate('pass with warning')|escape()}
		             	{elseif $build_record['result'] == 'F'} --
		             		{if $build_record['cancelled'] == 'Y'}{translate('Canceled')|escape()}
		             		{elseif $build_record['stage'] == 'Break'}{translate('Stopped')|escape()}
		             		{else}{translate('Failed')|escape()}{/if}
		             	{/if}</span>
		             	<span id="jobStage">
		             	{if $build_record['stage']} -- {$build_record['stage']|escape()}{/if}</span>
		             	</strong>
		        </div>
		        <div class="project_property">
		            {translate('Date')|escape()}: <strong><span id="jobStart">{if $build_record['started'] == '0'}{translate('Not Started')|escape()}{else}{bf_format_date($build_record['start'])|escape()}{/if}</span></strong>
		        </div>
		        <div class="project_property">
		            {translate('Project')|escape()}: <strong><a href="{$linkSelf}?mod={if $build_record['selector'] == ''}library{else}projects{/if}&action=steps.view&bf_id={$build_record['pid']|escape()}">{$build_record['projectname']|truncate(45)|escape('hexentity')}</a></strong>
		        </div>
		        <div class="project_property">
		            {translate('Selector')|escape()}: <strong><a href="{$linkSelf}?mod=servers&action=selectors.view.prop&bf_selector_id={$build_record['selector']|escape()}">{$build_record['selector']|truncate(45)|escape('hexentity')}</a></strong>
		        </div>
		        <div class="project_property">
			        {translate('Class')|escape()}:
		        	<input type='hidden' value='{$build_record['class']|escape()}' id='originalClass' />
		        	<input type='hidden' value='{$build_record['bid']|escape()}' id='bf_id' />
		            <select id='changeClassSelect' onchange='page_details.changeClass();'{if $build_record['state'] != 'C' or !$CanChangeClass}style='display:none;'{/if}>
			            {bf_get_classes|assign('projectClasses')}
			            {foreach($projectClasses, 'pcKey', 'pcValue')}
			            	<option value="{$pcKey|escape()}" {if $pcKey == $build_record['class']}selected="selected"{/if}>{$pcKey|truncate(45)|escape('hexentity')}</option>
			            {/foreach}
		            </select>
					<strong><span id='changeClassNoSelect' {if $build_record['state'] == 'C' and $CanChangeClass}style="display:none;"{/if}>{$build_record['class']|escape()}</span></strong>
		        </div>
				{if $build_record['geo']}
		        <div class="project_property">
		            {translate('geo')|escape()}: <strong>{$build_record['geo']|truncate(45)|escape('hexentity')}</strong>
		        </div>
				{/if}
		    </div>		
				
{if $jTE['get']['action'] == 'edit'}
			{include('paging_controls.tpl', "spinner=1")}
{/if}
				
			<div style="clear:left;">
			{assign('form_action',"$linkSelf$linkModule&amp;action=edit$linkID")}
			{include('filter_form.tpl', "action=build.edit"}
			
				<div id='jobsbuttons'>
				    <div class="global_button"><input style='margin-bottom:3px !IEOnly;' id='jobPurgeButton' type="button" class="bf_button" value="{translate('Purge Job')|escape()}" {if $build_record['state'] != 'C' && $build_record['state'] != 'A'}disabled="disabled"{/if} onclick="page_details.purgeJob({$build_record['bid']|escape('javascript')});"  /></div>
					<span class="sepStroke"> </span>
				    <div class="global_button"><input style='margin-bottom:3px !IEOnly;' id='jobRestartButton' type="button" class="bf_button" value="{translate('Restart Job')|escape()}" {if $build_record['state'] != 'C' && $build_record['state'] != 'A'}disabled="disabled" {elseif !$CanRestartProject }disabled="disabled"{/if} onclick="page_details.restartJob({$build_record['bid']|escape('javascript')});"  /><input type="hidden" id="canRestartBuild" name="canRestartBuild" value={if $CanRestartProject}"Y"{elseif !$CanRestartProject}"N"{/if}/></div>
					<span class="sepStroke"> </span>
					<div class="global_button"><input style='margin-bottom:3px !IEOnly;' id='jobCancelButton' type="button" {if $build_record['state'] == 'C' or $build_record['state'] == 'L' or $build_record['state'] == 'A'}disabled="disabled"{/if} class="bf_button" value="{translate('Cancel')|escape()}" onclick="page_details.cancelJob();" /></div>
				</div>
				
			</div>    
	    
{if $jTE['get']['action'] == 'edit'}    
			<div id="summary_scroller" class="ProjectRunsPage_Builds" style="margin:10px 0px 0px 0px;">
		
		        <table cellpadding="0" cellspacing="0" >
		            <thead id="listing_header">
		                <tr>
							<th style='width:20px;'> </th>
		                	<th style='width:25px;text-align:center;'>{translate('step')|escape()}</th>
		                	<th>{translate('step name')|escape()}</th>
		                	<th>{translate('server')|escape()} ({translate('selector')|escape()})</th>
		                	<th style='width:50px;text-align:center;'>{translate('runtime')|escape()}</th>
		                	<th style='width:80px;'>{translate('result')|escape()}</th>
		                	<th style='width:40px;'>{translate('chains')|escape()}</th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td style='width:20px;'> </td>
							<td style='width:25px;text-align:center;'></td>
							<td><img src="{$webroot}images/icons/step" border="0" alt="" title="" /> <a href="{$linkSelf}?mod=jobs&amp;action=edit.log&amp;"></a></td>
							<td></td>
							<td style='width:50px;text-align:center;'></td>
							<td style='width:80px;'><img src="{$webroot}images/icons/" border="0" alt="" title="" /> <span></span></td>
							<td style='width:40px;'><a href="{$linkSelf}?mod=jobs&action=edit&bf_id="><img src="{$webroot}images/icons/chain_link.gif" border="0" title='{translate('chain link')|escape()}' /></a></td>
						</tr>
					
					
		                {listing->getCount|assign('stepcount')}
		                {for('steps_pointer', $stepcount)}
		                {listing->next()|assign('step_instance')}
		                    <tr id="listing_rows_{$step_instance['uid']|escape()}">
								<td style='width:20px;'>
								{if $build_record['state'] == 'R' && $build_record['cancelled'] != 'Y'}
									{if $step_instance['result'] == 'R' and $step_instance['flag'] == 'P'}
											<!-- a href="{$linkSelf}?mod=jobs&action=edit&amp;bf_id={$jTE['get']['bf_id']}&amp;lid={$step_instance['lid']|escape()}&amp;unpausestep" onclick="return !page_details.pauseStep(elems[7].firstChild.nodeValue);" -->
											<a href="#" onclick="return !page_details.pauseStep('{$step_instance['lid']|escape()}');">
											<img src="{$webroot}images/icons/restart_build.gif" alt="{translate('paused')}" border="0" />
											</a>
									{/if}
									{if $step_instance['result'] == 'Q' and $step_instance['flag'] == 'P'}
											<!-- a href="{$linkSelf}?mod=jobs&action=edit&amp;bf_id={$jTE['get']['bf_id']}&amp;lid={$step_instance['lid']|escape()}&amp;unpausestep" onclick="return !page_details.pauseStep(elems[7].firstChild.nodeValue);" -->
											<a href="#" onclick="return !page_details.pauseStep('{$step_instance['lid']|escape()}');">
											<img src="{$webroot}images/icons/restart_build.gif" alt="{translate('paused')}" border="0" />
											</a>
									{/if}
									{if $step_instance['result'] == 'Q' and $step_instance['flag'] == 'R'}
											<!-- a href="{$linkSelf}?mod=jobs&action=edit&amp;bf_id={$jTE['get']['bf_id']}&amp;lid={$step_instance['lid']|escape()}&amp;pausestep" onclick="return !page_details.pauseStep(elems[7].firstChild.nodeValue);" -->
											<a href="#" onclick="return !page_details.pauseStep('{$step_instance['lid']|escape()}');">
											<img src="{$webroot}images/icons/pause_build.gif" alt="{translate('pause job')}" border="0" />
											</a>
									{/if}
									{if $step_instance['result'] == 'R' and $step_instance['flag'] == 'R'}
											<a href="#" onclick="return !page_details.cancelJob();">
											<img src="{$webroot}images/icons/cancel_build.gif" alt="{translate('cancel')}" border="0" />
											</a>
									{/if}
								{/if}
								</td>
								<td style='width:25px;text-align:center;'>
									{$step_instance['step']|escape()}
								</td>
								{assign('depth', $depths[$step_instance['step']])}
								<td style='padding-left:{math(20*$depth)}px'>
									{if $step_instance['thread'] == 'Y'}
										<img src="{$webroot}images/icons/step_threaded.gif" border="0" alt='{translate('threaded step')|escape()}' title='{translate('threaded step')|escape()}' />
									{elseif $step_instance['thread'] == 'J'}
										<img src="{$webroot}images/icons/step_joined.gif" border="0" alt='{translate('join step')|escape()}' title='{translate('join step')|escape()}' />
									{else}
										<img src="{$webroot}images/icons/step.gif" border="0" alt='{translate('step')|escape()}' title='{translate('step')|escape()}' />
									{/if}
									<a href="{$linkSelf}?mod=jobs&amp;action=edit.log&amp;bf_id={$jTE['get']['bf_id']}&amp;lid={$step_instance['lid']|escape()}">
									{$step_instance['stepname']|escape()}
									</a>
								</td>
								<td>						
									{if $step_instance['server'] == ''}{translate('default')|escape()}{else}{$step_instance['server']|escape('hexentity')}{/if} 
									({if $step_instance['selector'] == ''}{translate('default')|escape()}{else}{$step_instance['selector']|escape('hexentity')}{/if})						
								</td>
								<td style='width:50px;text-align:center;'>
									{bf_seconds_to_time($step_instance['runtime'])|escape()}
								</td>
								<td style='width:80px;'>						
									{if $step_instance['result'] == 'C'}<img src="{$webroot}images/icons/status_cancelled.gif" alt="{translate('canceled')|escape()}" border="0" /> {translate('canceled')|escape()}
									{elseif $step_instance['result'] == 'P'}<img src="{$webroot}images/icons/status_pass.gif" alt="{translate('passed')|escape()}" border="0" /> {translate('passed')|escape()}
									{elseif $step_instance['result'] == 'W'}<img src="{$webroot}images/icons/status_warn.gif" alt="{translate('warning')|escape()}" border="0" /> {translate('warning')|escape()}
									{elseif $step_instance['result'] == 'N'}<img src="{$webroot}images/icons/status_warn.gif" alt="{translate('warning')|escape()}" border="0" /> {translate('warning')|escape()}
									{elseif $step_instance['result'] == 'F'}<img src="{$webroot}images/icons/status_fail.gif" alt="{translate('failed')|escape()}" border="0" /> {translate('failed')|escape()}
									{elseif $step_instance['result'] == 'B'}<img src="{$webroot}images/icons/status_stopped.gif" alt="{translate('stopped')|escape()}" border="0" /> {translate('stopped')|escape()}
									{elseif $step_instance['result'] == 'R'}
										{if $step_instance['flag'] == 'P'}
											<img src="{$webroot}images/icons/status_running_paused.gif" alt="{translate('paused')|escape()}" border="0" /> {translate('paused')|escape()}
										{elseif $step_instance['flag'] == 'C'}
											<img src="{$webroot}images/icons/step_cancelled.gif" alt="{translate('canceling')|escape()}" border="0" /> {translate('canceling')|escape()}
										{else}
											<img src="{$webroot}images/icons/status_running.gif" alt="{translate('running')|escape()}" border="0" /> {translate('running')|escape()}
										{/if}
									{elseif $step_instance['result'] == 'S'}
										<img src="{$webroot}images/icons/status_skipped.gif" alt="{translate('skipped')|escape()}" border="0" /> {translate('skipped')|escape()}
									{elseif $step_instance['result'] == 'Q'}  ----
									{/if}
								</td>
								<td>
								{if $step_instance['chainbuild']}
								<a href="{$linkSelf}?mod=jobs&action=edit&bf_id={$step_instance['chainbuild']|escape()}"><img src="{$webroot}images/icons/chain_link.gif" border="0" title='{translate('chain link')|escape()}' /></a>
								{/if}
								</td>
							</tr>			
						{/for}
					</tbody>
				</table>
			
			</div>
			
{elseif $jTE['get']['action'] == 'edit.log'}

			<div id="summary_scroller" class="ProjectRunsPage_Builds" style="margin:10px 0px 0px 0px;">
		
		        <table cellpadding="0" cellspacing="0" >
		            <thead id="listing_header">
		                <tr>
		                	<th style='padding-left:10px;width:30px;text-align:center;'>{translate('step')|escape()}</th>
		                	<th>{translate('step name')|escape()}</th>
		                	<th>{translate('server')|escape()} ({translate('selector')|escape()})</th>
		                	<th style='width:50px;text-align:center;'>{translate('runtime')|escape()}</th>
		                	<th style='width:80px;'>{translate('result')|escape()}</th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td style='padding-left:10px;width:30px;text-align:center;'></td>
							<td><img src="{$webroot}images/icons/step.gif" border="0" alt="" title="" /> <a href="{$linkSelf}"></a></td>
							<td></td>
							<td style='width:50px;text-align:center;'></td>
							<td style='width:80px;'><img src="{$webroot}images/icons/" border="0" alt="" title="" /> <span></span></td>
						</tr>
					
		                {step->next()|assign('step_instance')}
	                    <tr id="listing_rows_{$step_instance['uid']}">
							<td style='padding-left:10px;width:30px;text-align:center;'>
								{$step_instance['step']|escape()}
							</td>
							<td>						
								{if $step_instance['thread'] == 'Y'}
									<img src="{$webroot}images/icons/step_threaded.gif" border="0" alt='{translate('threaded step')|escape()}' title='{translate('threaded step')|escape()}' />
								{elseif $step_instance['thread'] == 'J'}
									<img src="{$webroot}images/icons/step_joined.gif" border="0" alt='{translate('join step')|escape()}' title='{translate('join step')|escape()}' />
								{else}
									<img src="{$webroot}images/icons/step.gif" border="0" alt='{translate('step')|escape()}' title='{translate('step')|escape()}' />
								{/if}													
								<a href="{$linkSelf}?mod=jobs&amp;action=edit.log&amp;bf_id={$jTE['get']['bf_id']}&amp;lid={$step_instance['lid']|escape()}">
								{$step_instance['stepname']|escape()}
								</a>
							</td>
							<td>						
								{if $step_instance['server'] == ''}{translate('default')|escape()}{else}{$step_instance['server']|escape('hexentity')}{/if} 
								({if $step_instance['selector'] == ''}{translate('default')|escape()}{else}{$step_instance['selector']|escape('hexentity')}{/if})						
							</td>
							<td style='width:50px;text-align:center;'>
								{bf_seconds_to_time($step_instance['runtime'])|escape()}
							</td>
							<td style='width:80px;'>						
								{if $step_instance['result'] == 'C'}<img src="{$webroot}images/icons/status_cancelled.gif" alt="{translate('canceled')|escape()}" border="0" /> {translate('canceled')|escape()}
								{elseif $step_instance['result'] == 'P'}<img src="{$webroot}images/icons/status_pass.gif" alt="{translate('passed')|escape()}" border="0" /> {translate('passed')|escape()}
								{elseif $step_instance['result'] == 'W'}<img src="{$webroot}images/icons/status_warn.gif" alt="{translate('warning')|escape()}" border="0" /> {translate('warning')|escape()}
								{elseif $step_instance['result'] == 'N'}<img src="{$webroot}images/icons/status_warn.gif" alt="{translate('warning')|escape()}" border="0" /> {translate('warning')|escape()}
								{elseif $step_instance['result'] == 'F'}<img src="{$webroot}images/icons/status_fail.gif" alt="{translate('failed')|escape()}" border="0" /> {translate('failed')|escape()}
								{elseif $step_instance['result'] == 'B'}<img src="{$webroot}images/icons/status_stopped.gif" alt="{translate('stopped')|escape()}" border="0" /> {translate('stopped')|escape()}
								{elseif $step_instance['result'] == 'R'}
									{if $step_instance['flag'] == 'P'}
										<img src="{$webroot}images/icons/status_running_paused.gif" alt="{translate('paused')|escape()}" border="0" /> {translate('paused')|escape()}
									{elseif $step_instance['flag'] == 'C'}
										<img src="{$webroot}images/icons/step_cancelled.gif" alt="{translate('canceling')|escape()}" border="0" /> {translate('canceling')|escape()}
									{else}
										<img src="{$webroot}images/icons/status_running.gif" alt="{translate('running')|escape()}" border="0" /> {translate('running')|escape()}
									{/if}
								{elseif $step_instance['result'] == 'S'}
									<img src="{$webroot}images/icons/status_skipped.gif" alt="{translate('skipped')|escape()}" border="0" /> {translate('skipped')|escape()}
								{elseif $step_instance['result'] == 'Q'}  ----
								{/if}
							</td>
						</tr>			
					</tbody>
				</table>
							
				<div id='logOptions' style="height:22px;">
					<div style="display:inline;float:right;padding-right:10px;">
						<!-- a href='javascript:page_details.loadLog("0");' id='logViewLink'>{translate('detailed view')|escape()}</a-->
						<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
						<span id="logBuckets">
						{if $logBuckets}
						{foreach($logBuckets, 'key', 'value')}
						<input type='checkbox' {if $value['preference'] == 'Y'}checked="checked"{/if} onclick="page_details.setLogBucket(this,'{$value['bucket']|escape('javascript')}');"> {$value['bucket']|escape()} &nbsp;&nbsp;
						{/foreach}	
						{else}
						{translate('2255')|escape()}
						{/if}
						</span>											 
						<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
						<a href='javascript:page_details.logReload();'>{translate('refresh')|escape()}</a>
					</div>
				</div>
			
				<iframe name="foo" frameborder='0' id='logframe' scrolling='auto' source="{$linkSelf}?mod=jobs&action=edit.log&bf_id={$jTE['get']['bf_id']}&amp;lid={$step_instance['lid']|escape()}&type=raw" src="/unbuffered.php"></iframe>
	
			</div>
			
{elseif $jTE['get']['action'] == 'edit.bom'}

			<div id="summary_scroller" class="ProjectRunsPage_Builds" style="margin:10px 0px 0px 0px;">
				<iframe name="foo" frameborder='0' id='bomframe' scrolling='auto' source="{$linkSelf}?mod=jobs&amp;action=edit.bom&amp;bf_id={$jTE['get']['bf_id']}&amp;type=raw" src="/unbuffered.php"></iframe>
			</div>
			
{elseif $jTE['get']['action'] == 'edit.notes'}
			<div id="summary_scroller" class="ProjectRunsPage_Builds" style="margin:10px 0px 0px 0px;">


				<input type='hidden' id='notes_pid' value='{$jTE['get']['bf_id']|escape()}' />
				<input type='hidden' id='notes_sid' value='{$step_record['uid']|escape()}' />
				<input type='hidden' id='note_id' name='notes[note_id]' value='' />
					
				<input type='hidden' id='force_action' value='edit.notes' />
				<input type='hidden' id='force_id' value='{$jTE['get']['bf_id']|escape()}' />					
					
				<table width="100%">
			        <tbody>
			            <tr>
			                <td width="140">
								<div class='BF_form_title'>{translate('user')|escape()}: <input type='text' id='fake_user' value='' style='border: 0px none; background: transparent;' /></div>
								<div class='BF_form_title'>{translate('date')|escape()}: <input type='text' id='fake_date' value='' style='border: 0px none; background: transparent;' /></div>
							</td>
			                <td rowspan="2"><textarea class='textBox' name='' id='note_text' style='width:98%;height:80px;'></textarea></td>
						</tr>			
						<tr>
							<td width="140">
								<div style='text-align:center;padding:3px;line-height:2em;'>
									<div class="details_button"><input class='bf_button' type='button' id='notes_form_submit' value='{translate('submit')|escape()}' onclick='page_notes.submitNote("StepNotesForm");' /></div>
									<div class="details_button"><input class='bf_button' type='button' id='notes_form_clear' value='{translate('clear')|escape()}' onclick='page_notes.clearNoteForm();' /></div>
									<!-- div class="details_button"><input class='bf_button' type='button' id='notes_form_reload' value='{translate('reload note')|escape()}' onclick='page_notes.reloadNote();' disabled='disabled' /></div -->
									<!-- div class="details_button"><input class='bf_button' type='button' id='notes_form_refresh' value='{translate('refresh list')|escape()}' onclick='page_notes.refreshList();' disabled='disabled' /></div -->
								</div>
							</td>
						</tr>
					</tbody>
				</table>										

				<table cellpadding="0" cellspacing="0" class="projectRuns_StepResults" width="100%">
					<thead>
						<tr>
							<th style='width:15px;'> </th>
							<th style='width:15px;'> </th>
							<th style='width:90px;'><strong>{translate('date')|escape()}</strong></th>
							<th style='width:60px;'><strong>{translate('user')|escape()}</strong></th>
							<th><strong>{translate('note')|escape()}</strong></th>
						</tr>
					</thead>
					<tbody id='noteslisting'>
						<tr id="noteslisting_rows_" class="clone">
							<td style='width:15px;'><a href='' form='StepNotesForm'><img src="{$webroot}images/icons/delete.gif" alt="{translate('delete this note')|escape()}" title="{translate('delete this note')|escape()}" border='0' /></a></td>
							<td style='width:15px;'><a href='' form='StepNotesForm'><img src="{$webroot}images/icons/edit.gif" alt="{translate('edit this note')|escape()}" title="{translate('edit this note')|escape()}" border="0" /></a></td>
							<td style='width:90px;'></td>
							<td style='width:60px;'></td>
							<td></td>
						</tr>

						{if $noteslistcount != 0}
							{foreach($noteslist, 'key', 'attr')}
							<tr id="noteslisting_rows_{$key}">
								<td style='width:15px;'><a href="javascript:void(page_notes.deleteNote('StepNotesForm','{$attr['noteid']|escape('javascript')}'));"><img src="{$webroot}images/icons/delete.gif" alt="{translate('delete this note')|escape()}" title="{translate('delete this note')|escape()}" border="0" /></a></td>
								<td style='width:15px;'><a href="javascript:void(page_notes.editNote('StepNotesForm','{$attr['noteid']|escape('javascript')}'));"><img src="{$webroot}images/icons/edit.gif" alt="{translate('edit this note')|escape()}" title="{translate('edit this note')|escape()}" border="0" /></a></td>
								<td style='width:90px;'>{bf_format_date($attr['date'])|escape()}</td>
								<td style='width:60px;'>{$attr['user']|escape('hexentity')}</td>
								<td>{$attr['note']|escape('hexentity')}</td>
							</tr>
							{/foreach}
						{/if}
					</tbody>
				</table>
			
			</div>			
{/if}
	
		</div>
	</div>
