{* (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
 Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}
 
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}
 
{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('url')|assign('temp')}{assign('linkAction',"&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('url')|assign('temp')}{assign('linkID',"&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('url')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('url')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('url')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('url')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp")}{/if}


{if $jTE['get']['action'] == 'start' and $jTE['get']['bf_id'] == ''}
	{assign('forceList',true)}
{/if}

{if $jTE['get']['action'] == 'start' or $jTE['get']['action'] == 'restart'}
	{start->next()|assign('project_instance')}
{/if}

    <div id="content_top_header">
    
		<div id="content_title">
			<div id="content_title_left">
				<img class="content_title_image" src="{$webroot}images/nav_icon_project_runs_blue.gif" border="0" alt=""/>
				<span class="module_name"><a href="{$linkSelf}{$linkModule}">{translate('Jobs')|escape()}</a></span>
{if $jTE['get']['action'] == 'start.list'}
				<span class="sepGT">&gt;&gt;</span> <span class="location_name">{translate('Project List')|escape()}</span>				
{else}
				<span class="sepGT">&gt;&gt;</span>	<span class="module_name">
					{if $jTE['get']['action'] == 'restart'}
						{if $project_instance['selector'] == ''}{translate('restart library')|escape()}{else}{translate('restart project')|escape()}{/if}
					{else}
						{if $project_instance['selector'] == ''}{translate('start library')|escape()}{else}{translate('start project')|escape()}{/if}
					{/if}
				</span>
				<span class="sepGT">&gt;&gt;</span> <span class="location_name">
				<a href="{$linkSelf}?mod=projects&action=steps.view&bf_id={$project_instance['id']|escape()}">{$project_instance['project']|truncate(35)|escape('hexentity')}</a></span>
{/if}				
			</div>

			<div id="content_title_right">
				<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/project_runs.html&amp;hideToc=true" onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/project_runs.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt="" border="0"/></a>
			</div>
		</div>

{if $jTE['get']['action'] == 'start.list' or $forceList}
        <div class="ProjectRuns_View">			
			{include('paging_controls.tpl')}
		</div>
		
		<div>					
			{assign('form_action', "$linkSelf$linkModule$linkAction")}
			{include('filter_form.tpl', "action=start.list"}
		</div>
{/if}

	</div>
	
    <div id="start_page_wrapper" style='clear:left;position:relative;top:5px;'>

{if $jTE['get']['action'] == 'start.list' or $forceList}

		{userobj->get('bf_maxbuilds')|assign('maxbuilds')}
		{controller->userHasAccessTo('UpdateProject')|assign('CanUpdateProject')}
		{controller->userHasAccessTo('DeleteProject')|assign('CanDeleteProject')}
		{controller->userHasAccessTo('ClobberProject')|assign('CanClobberProject')}
		{controller->userHasAccessTo('AddProjectTagVar')|assign('CanAddTagVar')}
		{controller->userHasAccessTo('DeleteProjectTagVar')|assign('CanDelTagVar')}
		{controller->userHasAccessTo('AddProjectReg')|assign('CanAddProjReg')}
		{controller->userHasAccessTo('DelProjectReg')|assign('CanDelProjReg')}
		{controller->userHasAccessTo('EditProjectReg')|assign('CanUpdateProjReg')}
		{controller->userHasAccessTo('RunBuild')|assign('CanExecuteProject')}
    
    	{* DISPLAY START PAGE *}
        <div id="summary_scroller" class="ProjectRunsPage_Home">
            <table cellpadding="0" cellspacing="0">
                <thead id="listing_header">
                    <tr>
                        <th> <!-- Quick Start --></th>
                        <th> <!-- Edit button --></th>
						<th>{translate('Projects and Libraries')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=project&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('project');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('tag')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=tag&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('tag');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('class')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=class&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('class');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('environment')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=env&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('env');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('selector')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=selector&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('selector');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
                        <th {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=s&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('s');"><img src="{$webroot}images/icons/email.gif" border="0" alt="" /></a></th>
                        <th {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=p&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('p');"><img src="{$webroot}images/icons/email_pass.gif" border="0" alt="" /></a></th>
                        <th {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=f&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('f');"><img src="{$webroot}images/icons/email_fail.gif" border="0" alt="" /></a></th>							
						<th {if $is_styx}style='display:none'{/if}>{translate('access')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=access&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('access');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>                    
                    </tr>
                </thead>
                <tbody id="listing">
					<tr id="start_list_clone" class="clone">
                        <td width="16"><a href=''><img class="clickableIMG" src="{$webroot}" border="0" alt="" /></a></td>
                        <td width="12"><a href='{$linkSelf}'><img class="clickableIMG" src="{$webroot}" border="0" alt="" /></a></td>
						<td><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=start&amp;bf_id=" title=""></a></td>
						<td></td>	                        
						<td><a href="{$linkSelf}?mod=projects&action=classes.view&bf_name="></a></td>
						<td><a href="{$linkSelf}?mod=environments&amp;action=variable.view&amp;bf_bid="></a></td>
						<td><a href="{$linkSelf}?mod=servers&amp;action=selectors.view.prop&amp;bf_selector_id="></a></td>
                        <td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email.gif" border="0" alt="" /></td>
                        <td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_pass.gif" border="0" alt="" /></td>
                        <td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_fail.gif" border="0" alt="" /></td>
						<td {if $is_styx}style='display:none'{/if}></td>	                        
					</tr>

	                {listing->getCount|assign('jobcount')}
	                {for('projects_pointer', $jobcount)}
	                {listing->next()|assign('job_instance')}
                    
		                {if $CanUpdateProject or $CanDeleteProject or $CanClobberProject or $CanAddTagVar or $CanDelTagVar or $CanAddProjReg or $CanDelProjReg or $CanUpdateProjReg}{assign('show_edit_link', 1)}{else}{assign('show_edit_link', 0)}{/if}

	                    <tr id="listing_rows_{$job_instance['pid']|escape()}">
	                        <td width="16">
							{if $clobbers[$job_instance['pid']]}
								{assign('quickstart','2035')}
								{assign('show_edit_link','2035')}
							{else}
								{bf_can_quickstart($job_instance['pid'])|assign('quickstart')}
							{/if}
							{if $quickstart}
								<a href='javascript:void(displayError('{translate($quickstart)|escape()}');'><img class="clickableIMG" src="{$webroot}images/icons/quick_start_gray.gif" border="0" /></a>
							{else}
								<a href='javascript:void(page_details.quickStartProject("{$job_instance['pid']|escape()}"));'><img id='qsicon_{$job_instance['pid']}' class="clickableIMG" src="{$webroot}images/icons/quick_start.gif" border="0" /></a>
                        	{/if}
	                        </td>

	                        <td width="12">
                         	{if $show_edit_link == 1}
                        		<a href="{$linkSelf}?mod=projects&action=projects.view&bf_id={$job_instance['pid']|escape()}"><img class="clickableIMG" src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this project')|escape()}" /></a>
                        	{else}
                        		<a href="javascript:void({if $show_edit_link == 0}page_details.showMessageNoAccess(){else}displayError('{translate($show_edit_link)|escape('javascript')}'){/if});"><img class="clickableIMG" src="{$webroot}images/icons/edit_gray.gif" border="0" alt="No Access to Edit Projects" /></a>
                        	{/if}
							</td>

                            <td><a href="{if $clobbers[$job_instance['pid']]}javascript:void(displayError('{translate($quickstart)|escape('javascript')}'));{else}{$linkSelf}?mod=jobs&amp;action=start&amp;bf_id={$job_instance['pid']|escape()}{/if}" title="{$job_instance['project']|truncate(35)|escape('hexentity')}">{$job_instance['project']|truncate(35)|escape('hexentity')}</a></td>                        	
                        	<td>{$job_instance['tag']|truncate(25)|escape('hexentity')}</td>
                        	<td><a href="{$linkSelf}?mod=projects&action=classes.view&bf_name={$job_instance['class']|escape('url')}">{$job_instance['class']|truncate(25)|escape('hexentity')}</a></td>
                        	<td><a href="{$linkSelf}?mod=environments&amp;action=variable.view&amp;bf_bid={$job_instance['envid']|escape()}">{$job_instance['env']|truncate(25)|escape('hexentity')}</a></td>
                        	<td><a href="{$linkSelf}?mod=servers&amp;action=selectors.view.prop&amp;bf_selector_id={$job_instance['selector']|escape('url')}">{$job_instance['selector']|truncate(25)|escape('hexentity')}</a></td>
                            <td width="20" {if $is_styx}style='display:none'{/if}>{if $job_instance['s'] == '0' or !$job_instance['s']}----{else}<img src="{$webroot}images/icons/email.gif" border="0" alt="" />{/if}</td>
                            <td width="20" {if $is_styx}style='display:none'{/if}>{if $job_instance['p'] == '0' or !$job_instance['p']}----{else}<img src="{$webroot}images/icons/email_pass.gif" border="0" alt="" />{/if}</td>
                            <td width="20" {if $is_styx}style='display:none'{/if}>{if $job_instance['f'] == '0' or !$job_instance['f']}----{else}<img src="{$webroot}images/icons/email_fail.gif" border="0" alt="" />{/if}</td>
                        	<td {if $is_styx}style='display:none'{/if}>{$job_instance['access']|truncate(25)|escape('hexentity')}</td>
	                    </tr>                    
	                {/for}
    
    
				</tbody>
			</table>    
		</div>
		     		     
{else}

	{controller->getSysconfig('run_man_link')|assign('manlink')}
	{controller->getSysconfig('link_debug')|assign('linkdebug')}
	
	{userobj->get('bf_maxbuilds')|assign('maxbuilds')}
	{controller->userHasAccessTo('RunBuild')|assign('CanExecuteProject')}
	{controller->userHasAccessTo('EditStartTagVars')|assign('CanChangeTagVars')}
	{controller->userHasAccessTo('DeselectSteps')|assign('CanDeselectSteps')}


	<form action="{$linkSelf}?mod=jobs&action={$jTE['get']['action']}&bf_id={$project_instance['id']|escape()}" method="post" id="BF_Run_Parameters_Steps" class="BF_DynamicStepsTree">
{if $jTE['get']['action'] == 'restart'}
	<input type='hidden' name='parameter[bid]' value='{$project_instance['bid']|escape()}' />
	<input type='hidden' name='parameter[env]' value='{$project_instance['env']|escape()}' />
{/if}		
	<input type='hidden' name='parameter[pid]' value='{$project_instance['id']|escape()}' />
	<input type='hidden' name='parameter[level]' value='{$project_instance['level']|escape()}' />
	<!-- input type='hidden' name='parameter[linked]' id='cb_manlink' value='{if $project_instance['activescope'] == 'Y'}{$manlink|escape()}{else}N{/if}' / -->

	<div class="details_title" style="padding-left:10px;">
		{if $project_instance['selector'] == ''}
			<img title="{translate('Library')|escape()}:" src="{$webroot}/images/nav_icon_library_blue.gif" />
		{else}
			<img title="{translate('Project')|escape()}:" src="{$webroot}/images/nav_icon_projects_blue.gif" />
		{/if}
		{$project_instance['project']|escape('hexentity')}
		
		<div class="details_button" style="margin-left:20px;"><input id="execute_button" value="{if $jTE['get']['action'] == 'restart'}{translate('Restart')|escape()}{else}{translate('Execute')|escape()}{/if}" class="bf_button" type="submit" onclick="this.disabled=1;this.form.submit();" /></div>
		<img src="{$webroot}images/sepImg.gif" class="sepImg" border="0" alt="|" />
		<div class="details_button"><input value="{translate('Cancel')|escape()}" class="bf_button" type="button" onclick="{if $jTE['get']['action'] == 'restart' or $jTE['get']['p'] == 1}javascript:history.go(-1);{else}location.href ='{$linkSelf}?mod=jobs&action=start.list';{/if}" /></div>
				
	</div>

	
	<div id="details_tabs" class="BF_tabs">
		<div class="generic_tabstrip" style='border-bottom: solid 1px #b5b5b5;margin-bottom:1px;'>
			<ul class="generic_tabs" style='margin-left:10px;'>
				<li class='selected'><a href="{$linkSelf}?mod=jobs&amp;action=start&amp;bf_id={$project_instance['id']|escape()}" onclick="page_details.goTab(0);return false;">{translate('Job Details')|escape()}</a></li>
				<li><a href="{$linkSelf}?mod=jobs&amp;action=start&amp;bf_id={$project_instance['id']|escape()}" onclick="page_details.goTab(1);return false;">{translate('Job Steps')|escape()}</a></li>
			</ul>
		</div>
		
		<div id="jobs_start_jobdetails" class="tab_details current" style='border:none;'>
			<div style="width:40%;float:left;margin-top:20px !IEOnly;">
				<div style='font-weight:bold;'>{if $project_instance['selector'] == ''}{translate('library parameters')|escape()}{else}{translate('project parameters')|escape()}{/if}</div><br />

				<div class="properties">
					{if $jTE['get']['action'] == 'restart'}
					<div class='pad'>
					<label for="edit_project_sticky_visible">{translate('Sync Commands')|escape()}:</label>
					<input id="edit_sync_commands_visible" type="button" class="pselect iconToggle" title="{translate('No')|escape()}" value="{translate('No')|escape()}" tabindex="2" onclick="pseudoSelect('edit_sync_commands', 'sync,{translate('Yes')|escape('javascript')}|,{translate('No')|escape('javascript')}', 'type=toggle');" />
					<input name="parameter[synccommands]" id="edit_sync_commands" type="hidden" value="" />
					</div>
					{/if}			
					
					{if $project_instance['activescope'] == 'Y' or $project_instance['activescope'] == 'D'}
						<div class='pad'>
						<label for='form_manlink'>{translate('Run Link')|escape()}:</label>
						<input id="form_manlink" name="parameter[manlink]" value="Y" type="checkbox" {if $manlink == 'Y' or $manlink == 'Yes' or $linkdebug == 'Y' or $linkdebug == 'Yes' or $project_instance['activescope'] == 'D'}checked="checked"{/if} />
						</div>
					{/if}
			
					<div class='pad'>
						<label for="edit_project_selector_visible">{translate('Selector')|escape()}:</label>
						<input id="edit_project_selector_visible" type="button" class="pselect iconDropdown" title="{if $project_instance['selector'] != ''}{$project_instance['selector']|escape('hexentity')}{else}-- {translate('Choose a Selector')|escape()} --{/if}" value="{if $project_instance['selector'] != ''}{$project_instance['selector']|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('Choose a Selector')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('edit_project_selector', 'mod=servers&action=selectors.view&type=xml', 'title={translate('selectors')|escape('javascript')}&attribute=class&value=bf_coll_id&name=bf_coll_id&seedlist=|,-- {translate('Choose a Selector')|escape('javascript')} --|');" />
						<input name="parameter[selector]" id="edit_project_selector" type="hidden" value="{if $project_instance['selector'] != ''}{$project_instance['selector']|escape('hexentity')}{else}{/if}" />
					</div>

					<div class='pad'>
						<label for="edit_project_class_visible">{translate('Class')|escape()}:</label>
						<input id="edit_project_class_visible" type="button" class="pselect iconDropdown" title="{if $project_instance['class'] != ''}{$project_instance['class']|escape('hexentity')}{else}-- {translate('Choose a Class')|escape()} --{/if}" value="{if $project_instance['class'] != ''}{$project_instance['class']|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('Choose a Class')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('edit_project_class', 'mod=projects&action=classes.view&type=xml', 'title={translate('class')|escape('javascript')}&attribute=class&value=bf_name&name=bf_name&seedlist=|,-- {translate('Choose a Class')|escape('javascript')} --|');" />
						<input name="parameter[class]" id="edit_project_class" type="hidden" value="{if $project_instance['class'] != ''}{$project_instance['class']|escape('hexentity')}{else}{/if}" />
					</div>
					
					<div class='pad'>
					<label for='form_tagformat'>{translate('Tag Format')|escape()}:</label>
					{if $jTE['get']['action'] == 'restart'}
					<input name="parameter[tagformat]" type="text" class='readonly' value="{$project_instance['tag']|escape('hexentity')}" readonly="readonly" style='width:200px;' />
					{else}
					<input name="parameter[tagformat]" type="text" class="text" value="{$project_instance['tag']|escape('hexentity')}" id="form_tagformat" {if !$CanChangeTagVars}disabled="disabled"{else}onkeyup='page_details.updateTagExample();'{/if}  style='width:200px;' />
					{/if}
					</div>
					
					{if $jTE['get']['action'] != 'restart'}
					<div class='pad'>
					<label for='form_tagexample'>{translate('Tag Example')|escape()}:</label>
					<input type="text" value="" id="form_tagexample" style='width:200px;background-color:white;border:0px;color:black;' disabled='disabled'  />										
					</div>
					{/if}
					
					{if $controller->local or $controller->master}
					<div class="pad">
						<label for="form_geo_id_visible">{translate('geo')|escape()}:</label>
						<input id="form_geo_id_visible" type="button" class="pselect iconDropdown" value="{if $project_instance['geo_id']}{if $project_instance['geo_id'] == ''}{translate('master')|escape()}{else}{$project_instance['geo_name']|escape()}{/if}{else}{translate('master')|escape()}{/if}" tabindex="2" onclick="pseudoSelect('form_geo_id', 'mod=administration&action=geo.view&type=xml', 'title={translate('geo options')|escape('javascript')}&attribute=class&value=id&name=location&seedlist=|,{translate('master')|escape('javascript')}|');" />
						<input name="parameter[geo]" id="form_geo_id" type="hidden" value="{if $project_instance['geo_id']}{$project_instance['geo_id']|escape('hexentity')}{/if}" />
					</div>
					{/if}
				</div>
				{if $jTE['get']['action'] != 'restart'}
				<br  clear='all' /><br />
				<div class="properties">
					<div style='font-weight:bold;'>{if $project_instance['selector'] == ''}{translate('library tags')|escape()}{else}{translate('project tags')|escape()}{/if}
					<span style='font-weight:normal;'><input type="checkbox" style="margin-left:62px;" name="dirtyTags" onclick="page_details.editableTagsToggle(this);" />{translate('editable tags')|escape()}</span>										
					</div><br />
					<div id='tag_block'>	
	<input type='hidden' name='tag[BF_D]' value='{$BF_D|escape()}' />
	<input type='hidden' name='tag[BF_T]' value='{$BF_T|escape()}' />
	<input type='hidden' name='tag[BF_J]' value='{$BF_J|escape()}' />
	<input type='hidden' name='tag[BF_W]' value='{$BF_W|escape()}' />
					{tagslist->hasResults()|assign('tagResults')}
					{if $tagResults}
					{tagslist->getCount()|assign('tagcount')}
					{for('secTag', $tagcount)}
						{tagslist->next()|assign('tag')}
						<div class='pad'>
							<label for='tag{$secTag|escape()}'>{$tag['name']|escape('hexentity')}</label>
							<input type="text" class="text readonly" readonly="readonly" id='tag{$secTag|escape()}' value="{$tag['value']|escape('hexentity')}" name='tag[{$tag['name']|escape('hexentity')}]' style='width:200px;' {if !$CanChangeTagVars}disabled="disabled"{else}onkeyup='page_details.updateTagExample();' onblur='page_details.scrubTag(this);'{/if} padding="{$tag['padding']|escape('hexentity')}" />
						</div>
					{/for}
					{/if}
					</div>
				</div>
				{/if}
			</div>

			<div style="width:59%;float:left;margin-top:20px !IEOnly;">
				{if $project_instance['eid'] != '0' && $jTE['get']['action'] != 'restart'}
					<span style="float:right;">{translate('Save Environment')|escape()} <input name="parameter[saveenv]" type="checkbox" value="" onclick="this.value=(this.checked)?'save':'';" /></span>
				{/if}
				<div style='font-weight:bold;'>{if $project_instance['selector'] == ''}{translate('library environment')|escape()}{else}{translate('project environment')|escape()}{/if}</div><br />
				
				<div class="properties">
{if $jTE['get']['action'] == 'restart'}
					{bf_env_treeview('0','restart',$project_instance['id'],$project_instance['bid'])}
{else}								
				{if $project_instance['eid'] != '0'}
					{bf_env_treeview($project_instance['eid'])}
				{else}
					{translate('2045')|escape()}
				{/if}
{/if}				
				</div>
			</div>
			
		</div>
		
		<div id="jobs_start_stepslist" class="tab_details" >
			<span style="padding-right:20px;">{translate('2046')|escape()}</span>
			<table width="100%" cellpadding="0" cellspacing="0" id="stepstable">
				<thead><tr>
					<th style='width:5px;'></th>
					<th><input id="Steps_Toggle_Select_All" class='s_master' type="checkbox" checked="checked" onclick="page_details.stepSetState('', this.checked);" {if !$CanDeselectSteps}disabled="disabled"{/if} />{translate('Step Name')|escape()}
					</th>
					<th>{translate('Command')|escape()}</th>
					<th>{translate('Selector')|escape()}</th>
					{if $jTE['get']['action'] == 'restart'}<th>{translate('Result')|escape()}</th>{/if}
				</tr></thead>
				<tbody>
{if $jTE['get']['action'] == 'restart'}
					{bf_steps_treeview($project_instance['id'], $project_instance['uid'], $project_instance['bid'], $CanDeselectSteps)}
{else}					
					{bf_steps_treeview($project_instance['id'], $project_instance['uid'], '', $CanDeselectSteps)}
{/if}
				</tbody>
			</table>
		</div>
		
	</div>
	</form>

{/if}

	</div>
