{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{"&amp;action=$temp"|assign('linkAction')}{/if}
{if $jTE['get']['bf_sid'] != ''}{$jTE['get']['bf_sid']|escape('hexentity')|assign('temp')}{"&amp;bf_sid=$temp"|assign('linkID')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{"&amp;state=$temp"|assign('linkState')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{"&amp;orderby=$temp"|assign('linkOrderby')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{"&amp;sort=$temp"|assign('linkSort')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{"&amp;filter=$temp"|assign('linkFilter')}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddLink')|assign('CanAddLink')}
{controller->userHasAccessTo('DeleteLink')|assign('CanDeleteLink')}
{controller->userHasAccessTo('ToggleLink')|assign('CanToggleLink')}

		{editable->get('bf_sid')|assign('editable_sid')}
		{editable->get('bf_link')|assign('editable_link')}
		{editable->get('bf_name')|assign('editable_name')}
		{editable->get('bf_pid')|assign('editable_pid')}
		{editable->get('bf_active')|assign('editable_active')}
		{editable->get('bf_stamp')|assign('editable_stamp')}
		{editable->get('bf_state')|assign('editable_state')}
		{editable->get('bf_jobid')|assign('editable_jobid')}
		{editable->get('bf_eid')|assign('editable_eid')}

		{bf_get_interface_template_name($editable_link)|assign('editable_template')}
		{bf_get_environments()|assign('envs')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_admin_blue.gif" border="0" alt="" />
			<span class="module_name">{translate('adaptor links')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<form name="create_user_form" id="create_user_form" action="{$linkSelf}{$linkModule}&amp;action=adaptorlinks.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add adaptor link')|escape()}" {if !$CanAddLink}disabled="disabled"{/if}/></div>
			</form>
		</div>
		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/adaptor_links_def.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/adaptor_links_def.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='adaptorlinks.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('adaptor')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=adaptor&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('adaptor');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('project')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=project&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('project');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td><img src="{$webroot}images/icons/adaptor.gif" alt="{translate{'adaptor link')}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=adaptorlinks.view&amp;bf_sid=" onclick="return !page_details.loadDetails('');"></a></td>
							<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=projects&amp;action=projects.view&amp;bf_id="></a></td>
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr>
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							{if $key != 'id' && $key != 'pid'}
							<td>
							{if $key == 'adaptor'}
								<img src="{$webroot}images/icons/adaptor.gif" alt="{translate('adaptor link')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=adaptorlinks.view&amp;bf_sid={$item['id']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');">{$attr|truncate(80)|escape('hexentity')}</a>
							{elseif $key == 'project'}
								<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=projects&amp;action=projects.view&amp;bf_id={$item['pid']|escape('url')}">{$attr|truncate(80)|escape('hexentity')}</a>
							{else}
								{$attr|truncate(80)|escape('hexentity')}
							{/if}
							</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=adaptorlinks.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">

		<input id="object_details_id" type="hidden" class="textBox" name="object_details_id" value="{$editable_sid}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('adaptor link')|escape()}"/><span id="object_label">{if $editable_sid}{$editable_link|truncate(80)|escape('hexentity')}{else}({translate('new adaptor link')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				{if $CanAddLink}
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" name="object[save]" id="object_details_save" value="{translate('save')|escape()}" /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				{/if}
				{if $CanDeleteLink}
				<div class="details_button"><input type="submit" class="bf_button" name="object[delete]" id="object_details_delete" value="{translate('delete')|escape()}" onclick="{if $reference_count != 0}displayError({translate('2062', $reference_count)|escape('javascript')});return false;{/if}return !page_details.kill();"{if !$editable_sid} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				{/if}
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$linkModule}&amp;action=adaptorlinks.view&amp;bf_sid={$editable_sid|escape()}&amp;dtab=0" onclick="goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">

					<label for="object_details_active_visible">{translate('state')|escape()}:</label>
					<input id="object_details_active_visible" type="button" class="pselect iconToggle" title="{if $editable_active == 'D'}{translate('debug')|escape()}{elseif $editable_active == 'N'}{translate('inactive')|escape()}{else}{translate('active')|escape()}{/if}" value="{if $editable_active == 'D'}{translate('debug')|truncate($pselect_truncation)|escape()}{elseif $editable_active == 'N'}{translate('inactive')|truncate($pselect_truncation)|escape()}{else}{translate('active')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_active', 'Y,{translate('active')|escape('javascript')}|D,{translate('debug')|escape('javascript')}|N,{translate('inactive')|escape('javascript')}', 'type=toggle');" />
					<input name="object[bf_active]" id="object_details_active" type="hidden" value="{if !$editable_active}Y{else}{$editable_active|escape()}{/if}" />
					
					<label for="object_details_link_visible">{translate('adaptor')|escape()}:</label>
					<input id="object_details_link_visible" type="button" class="pselect iconDropdown" title="{if $editable_link}{$editable_link|escape('hexentity')}{else}-- {translate('adaptor list')|escape()} --{/if}" value="{if $editable_link}{$editable_link|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('adaptor list')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('object_details_link', 'mod=projects&action=adaptorlinks.adaptors&type=xml', 'title={translate('adaptors')|escape('javascript')}&attribute=type&value=key&name=value', page_details.loadEntryPointsFor);" />
					<input name="object[bf_link]" id="object_details_link" type="hidden" value="{$editable_link|escape()}" onchange="page_details.loadEntryPointsFor(this.value)" />
					<input name="object[bf_template]" id="object_details_template" type="hidden" value="{$editable_template|escape()}" onchange="page_details.loadEntryPointsFor(this.value)" />

					<label for="object_details_name_visible">{translate('entry point')}:</label>
					<input id="object_details_name_visible" type="button" class="pselect iconDropdown" title="{if $editable_name}{$editable_name|escape('hexentity')}{else}-- {translate('default')|escape()} --{/if}" value="{if $editable_name}{$editable_name|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('default')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('object_details_name', 'mod=projects&action=adaptorlinks.entrypoints&type=xml', 'title={translate('entry points')|escape('javascript')}&attribute=type&value=key&name=value&forceRefresh=1&seedList=|,-- {translate('default')|escape('javascript')} --', null);" />
					<input name="object[bf_name]" id="object_details_name" type="hidden" value="{$editable_name|escape()}" />
					
					<label for="object_details_pid_visible">{translate('project')|escape()}:</label>
					<input id="object_details_pid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_pid}-- {translate('projects')|escape()} --{else}{bf_get_project_names($editable_pid)|escape('hexentity')}{/if}" value="{if !$editable_pid}-- {translate('projects')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($editable_pid)|truncate($pselect_truncation)|escape('hexentity')}{/if}" onclick="pseudoSelect('object_details_pid', 'mod=projects&action=adaptorlinks.projects&type=xml', 'title={translate('project')|escape('javascript')}&attribute=name&value=pid&name=description&seedlist=|0,-- {translate('projects')|escape('javascript')} --|');" />
					<input name="object[bf_pid]" id="object_details_pid" type="hidden" value="{if $editable_pid}{$editable_pid|escape('hexentity')}{else}0{/if}" />
					
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_eid_visible">{translate('environment')|escape()}:</label>
						<input id="object_details_eid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_eid}-- {translate('default')|escape()} --{else}{$envs[$editable_eid][name]|escape()}{/if}" value="{if !$editable_eid}-- {translate('default')|truncate($pselect_truncation)|escape()} --{else}{$envs[$editable_eid][name]|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_eid', 'mod=environments&type=xml', 'title={translate('environments')|escape('javascript')}&attribute=class&value=bf_bid&name=bf_param&seedlist=|0,-- {translate('default')|escape('javascript')} --|');" />
						<input name="object[bf_eid]" id="object_details_eid" type="hidden" value="{if $editable_eid}{$editable_eid|escape('hexentity')}{else}0{/if}" />
					</div>
					<div class="third">
						<label for="object_populate_env_visible">{translate('populate env')|escape()}:</label>
						<input id="object_populate_env_visible" type="button" class="pselect iconToggle" title="{translate('no')|escape()}" value="{translate('no')|truncate($pselect_truncation)|escape()}" onclick="pseudoSelect('object_populate_env', ',{translate('no')|escape('javascript')}|1,{translate('yes')|escape('javascript')}', 'type=toggle');" />
						<input name="object[populate_env]" id="object_populate_env" type="hidden" value="" />
					</div>
					<div class="third">
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>
