{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddInterface')|assign('CanAddInterface')}
{controller->userHasAccessTo('DeleteInterface')|assign('CanDeleteInterface')}
{controller->userHasAccessTo('EditInterface')|assign('CanEditInterface')}

		{editable->get('bf_link')|assign('editable_link')}
		{editable->get('bf_template')|assign('editable_template')}
		{editable->get('bf_mode')|assign('editable_mode')}
		{editable->get('bf_type')|assign('editable_type')}
		{editable->referenced()|assign('editable_referenced')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_admin_blue.gif" border="0" alt="" />
			<span class="module_name">{translate('adaptor')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<form name="create_user_form" id="create_user_form" action="{$linkSelf}{$linkModule}&amp;action=adaptors.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input id="object_details_add" type="submit" class="bf_button" value="{translate('add adaptor')|escape()}" {if !$CanAddInterface}disabled="disabled"{/if}/></div>
			</form>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/adaptor_def.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/adaptor_def.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>
	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl'}
				{include('filter_form.tpl', "action='adaptors.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
						{foreach($columns, 'key', 'colname')}
						{if $colname != 'id'}
							<th><strong>{translate($colname)|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby={$colname|escape('hexentity')}&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('{$colname|escape('javascript')}');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						{/if}
						{/foreach}
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td><img src="{$webroot}images/icons/adaptor.gif" alt="{translate{'adaptors')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=adaptor.edit&amp;bf_sid=" onclick="return !page_details.loadDetails('');"></a></td>
							<td></td>
						</tr>
					{listing->getCount()|assign('count')}
					{for('itemindex', $count)}
						<tr>
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							{if $key != 'id'}
							<td>{if $key == 'name'}<img src="{$webroot}images/icons/adaptor.gif" alt="{translate{'adaptors')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=adaptor.edit&amp;bf_link={$item['id']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');">{$attr|truncate(80)|escape('hexentity')}</a>{elseif $key == 'type'}{if $attr == 'S'}{translate('source')|escape()}{elseif $attr == 'D'}{translate('defect')|escape()}{elseif $attr == 'T'}{translate('test')|escape()}{/if}{else}{$attr|truncate(80)|escape('hexentity')}{/if}</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=adaptors.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input id="object_details_id" type="hidden" class="textBox" name="object_details_id" value="{$editable_link|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('adaptor')|escape()}"/><span id="object_label">{if $editable_link}{$editable_link|truncate(80)|escape('hexentity')}{else}({translate('new adaptor')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" id="object_details_save" class="bf_button" value="{translate('save adaptor')|escape()}" {if (!$editable_link and !$CanAddInterface) or ($editable_link and !$CanEditInterface)}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy adaptor')|escape()}" onclick="return !page_details.copy();" {if !$editable_link or !$CanAddInterface}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" id="object_details_delete" class="bf_button" name="object[delete]" value="{translate('delete adaptor')|escape()}" onclick="{if $editable_referenced}displayError('{translate('2062', $editable_referenced)|escape('javascript')}');return false;{/if}page_details.kill();return false;" {if !$editable_link or !$CanDeleteInterface or $editable_referenced}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$linkModule}&amp;action=adaptors.view&amp;bf_link={$editable_sid|escape()}&amp;dtab=0" onclick="goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="object_details_link">{translate('name')|escape()}:</label>
					<input id="object_details_link" type="text" class="textBox" name="object[bf_link]" value="{$editable_link|escape('hexentity')}" />
										
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_mode_visible">{translate('type')|escape()}:</label>
						<input id="object_details_mode_visible"type="button" class="pselect iconToggle" title="{if $editable_mode == 'D'}{translate('defect')|escape()}{elseif $editable_mode == 'T'}{translate('test')|escape()}{else}{translate('source')|escape()}{/if}" value="{if $editable_mode == 'D'}{translate('defect')|truncate($pselect_truncation)|escape()}{elseif $editable_mode == 'T'}{translate('test')|truncate($pselect_truncation)|escape()}{else}{translate('source')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_mode', 'S,{translate('source')|escape('javascript')}|D,{translate('defect')|escape('javascript')}|T,{translate('test')|escape('javascript')}', 'type=toggle', page_details.displayTemplates);" />
						<input name="object[bf_mode]" id="object_details_mode" type="hidden" value="{if !$editable_mode}S{else}{$editable_mode|escape()}{/if}" />
					</div>
					<div class="third">
						{for('i', 3)}
							{if $i == 0}{assign('template_type', 'S')}{elseif $i == 1}{assign('template_type', 'T')}{else}{assign('template_type', 'D')}{/if}
							{bf_get_interfacetemplates($template_type)|assign('templates')}
						<label id="object_details_template_{$template_type}_label" {if $i}style="display:none"{/if} for="object_details_template_{$template_type}_visible">{translate('template')|escape()}:</label>
						<input id="object_details_template_{$template_type}_visible" {if $i}style="display:none"{/if} type="button" class="pselect iconDropdown" title="{if $editable_mode == $template_type && $editable_template}{$editable_template|escape('hexentity')}{else}-- {translate('none')|escape()} --{/if}" value="{if $editable_mode == $template_type && $editable_template}{$editable_template|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('object_details_template_{$template_type}', '|,-- {translate('none')|escape('javascript')} --{foreach($templates, 'key', 'template')}|{$key|escape('javascript')},{$template|escape('javascript')}{/foreach}', '', page_details.loadTemplate);" />
						<input name="object[bf_template_{$template_type}]" id="object_details_template_{$template_type}" type="hidden" value="{$editable_template|escape()}" />			
						{/for}
					</div>
					<div class="third">
						{bf_get_levels($user['id'])|assign('levels')}
						{if !$editable_level}{foreach($levels, 'id', 'name')}{if !$editable_level}{assign('editable_level', $id)}{/if}{/foreach}
						<label for="object_details_access_visible">{translate('access')|escape()}:</label>
						<input id="object_details_access_visible"type="button" class="pselect iconDropdown" title="{if $editable_level}{$levels[$editable_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" value="{if $editable_level}{$levels[$editable_level]|truncate($pselect_truncation)|escape()}{else}-- {translate('access groups')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('object_details_access', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
						<input name="object[bf_level]" id="object_details_access" type="hidden" value="{$editable_level|escape('hexentity')}" />
					</div>
				</div>
				<div class="properties">
					<label for="object_details_interface">{translate('interface')|escape()}:</label>
					<textarea id="object_details_interface" name="object[bf_interface]" cols="60" rows="10">{editable->get('bf_interface')|escape('hexentity')}</textarea>
				</div>
			</div>
		</div>
	</div>
	</form>
