{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/filter.gif" border="0" alt=""/>
			<span class="module_name"><a href="{$linkModule}&amp;action=filters.view">{translate('log filters')|escape()}</a></span><span class="sepGT">&gt;&gt;</span><span class="location_name">{parent->get('bf_pattern')|assign('parent_pattern')}{$parent_pattern|truncate(80)|escape('hexentity')}</span>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=filters.edit.pattern" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add log filter pattern')|escape()}" /></div>
			</form>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_log_filters.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_log_filters.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
	<div class="summary_list_controls">
		{include('paging_controls.tpl')}
		{include('filter_form.tpl', "action='filters.view.pattern'")}
	</div>

					<div id="summary_scroller" class="Admin_Details">
						{listing->getColumnNames()|assign('columns')}
						<table cellpadding="0" cellspacing="0">
							<thead>
								<tr>
									<th width="20"></th>
									<th>{translate('pattern')|escape()}</th>
									<th>{translate('action')|escape()}</th>
									<th>{translate('notify')|escape()}</th>
								</tr>
							</thead>
							<tbody id="listing">
								<tr class="clone">
									<td>
										<ul class='hoverMenu'>
											<li class='folder'>
												<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
												<ul class='primary'>
													<li class='header'>{translate('button menu options')|escape()}</li>
													<li menuitem='insertNew' class='icon_clone'><a href="#">{translate('insert new pattern')|escape()}</a></li>
													<li class='folder icon_submenu'><span class='submenu'>{translate('clone pattern')|escape()}</span>
														<ul>
															<li menuitem='cloneTop' class='icon_clone_above'><a href="#">{translate('clone to top')|escape()}</a></li>
															<li menuitem='cloneAbove' class='icon_clone_above'><a href="#">{translate('clone to above')|escape()}</a></li>
															<li menuitem='cloneBelow' class='icon_clone_below'><a href="#">{translate('clone to below')|escape()}</a></li>
															<li menuitem='cloneBottom' class='icon_clone_below'><a href="#">{translate('clone to bottom')|escape()}</a></li>
														</ul>
													</li>												
													<li class='folder icon_submenu'><span class='submenu'>{translate('move pattern')|escape()}</span>
														<ul>
															<li menuitem='moveTop' class='icon_up'><a href="#">{translate('move to top')|escape()}</a></li>
															<li menuitem='moveUp' class='icon_up'><a href="#">{translate('move up')|escape()}</a></li>
															<li menuitem='moveDown' class='icon_down'><a href="#">{translate('move down')|escape()}</a></li>
															<li menuitem='moveBottom' class='icon_down'><a href="#">{translate('move to bottom')|escape()}</a></li>
														</ul>
													</li>
													<li menuitem='delete' class='icon_delete'><a href="#">{translate('delete pattern')|escape()}</a></li>
												</ul>
											</li>
										</ul>
									</td>
									<td>
										<img src="{$webroot}images/icon_variable.gif" border="0" />
										<a href="{$linkSelf}{$linkModule}&amp;action=filters.edit.pattern&amp;bf_did={$jTE['get']['bf_did']|escape('url')}&amp;bf_fid=" onclick="return !page_details.loadDetails('');"></a>
									</td>
									<td></td>
									<td></td>
								</tr>
							{listing->getCount()|assign('projectcount')}
							{for('project', $projectcount)}
								{listing->next()|assign('node')}

								<tr>
									<td>
										<ul class='hoverMenu'>
											<li class='folder'>
												<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
												<ul class='primary'>
													<li class='header'>{translate('button menu options')|escape()}</li>
													<li class='icon_clone'><a href="javascript:void(page_details.newPatternAt('{$node['id']|escape('javascript')}'));" onclick="page_details.newPatternAt('{$node['id']|escape('javascript')}');return false;">{translate('insert new pattern')|escape()}</a></li>
													<li class='folder icon_submenu'><span class='submenu'>{translate('clone pattern')|escape()}</span>
														<ul>
															<li class='icon_clone_above'><a href="javascript:void(page_details.clonePattern('{$node['id']|escape('javascript')}','-100000'));" onclick="page_details.clonePattern('{$node['id']|escape('javascript')}','-100000');return false;">{translate('clone to top')|escape()}</a></li>
															<li class='icon_clone_above'><a href="javascript:void(page_details.clonePattern('{$node['id']|escape('javascript')}','-1'));" onclick="page_details.clonePattern('{$node['id']|escape('javascript')}','-1');return false;">{translate('clone to above')|escape()}</a></li>
															<li class='icon_clone_below'><a href="javascript:void(page_details.clonePattern('{$node['id']|escape('javascript')}','1'));" onclick="page_details.clonePattern('{$node['id']|escape('javascript')}','1');return false;">{translate('clone to below')|escape()}</a></li>
															<li class='icon_clone_below'><a href="javascript:void(page_details.clonePattern('{$node['id']|escape('javascript')}','100000'));" onclick="page_details.clonePattern('{$node['id']|escape('javascript')}','100000');return false;">{translate('clone to bottom')|escape()}</a></li>
														</ul>
													</li>
													<li class='folder icon_submenu'><span class='submenu'>{translate('move pattern')|escape()}</span>
														<ul>
															<li class='icon_up'><a href="javascript:void(page_details.movePattern('{$node['id']|escape('javascript')}','-100000'));" onclick="page_details.movePattern('{$node['id']|escape('javascript')}','-100000');return false;">{translate('move to top')|escape()}</a></li>
															<li class='icon_up'><a href="javascript:void(page_details.movePattern('{$node['id']|escape('javascript')}','-1'));" onclick="page_details.movePattern('{$node['id']|escape('javascript')}','-1');return false;">{translate('move up')|escape()}</a></li>
															<li class='icon_down'><a href="javascript:void(page_details.movePattern('{$node['id']|escape('javascript')}','1'));" onclick="page_details.movePattern('{$node['id']|escape('javascript')}','1');return false;">{translate('move down')|escape()}</a></li>
															<li class='icon_down'><a href="javascript:void(page_details.movePattern('{$node['id']|escape('javascript')}','100000'));" onclick="page_details.movePattern('{$node['id']|escape('javascript')}','100000');return false;">{translate('move to bottom')|escape()}</a></li>
														</ul>
													</li>
													<li class='icon_delete'><a href="javascript:void(page_details.deletePattern('{$node['id']|escape('javascript')}'));" onclick="page_details.deletePattern('{$node['id']|escape('javascript')}');return false;">{translate('delete pattern')|escape()}</a></li>
												</ul>
											</li>
										</ul>
									</td>
									{foreach($node, 'key', 'attr')}
									{if $key != 'id' && $key != 'did'}
										<td>{if $key == 'pattern'}
											<img src="{$webroot}images/icon_variable.gif" border="0" />
											<a href="{$linkSelf}{$linkModule}&amp;action=filters.edit.pattern&amp;bf_did={$jTE['get']['bf_did']|escape('url')}&amp;bf_fid={$node['id']|escape('url')}" onclick="return !page_details.loadDetails('{$jTE['get']['bf_did']|escape('javascript')}', '{$node['id']|escape('javascript')}');">{$attr|truncate(30)|escape('hexentity')}</a>{elseif $key == 'action'}{if $attr == 'F'}{translate('set fail')|escape()}{elseif $attr == 'H'}{translate('set fail / halt')|escape()}{elseif $attr == 'C'}{translate('clear fail')|escape()}{elseif $attr == 'S'}{translate('clear fail / halt')|escape()}{elseif $attr == 'I'}{translate('halt')|escape()}{elseif $attr == 'A'}{translate('include')|escape()}{elseif $attr == 'N'}{translate('warning')|escape()}{elseif $attr == 'U'}{translate('clear warning')|escape()}{elseif $attr == 'G'}{translate('clear warning / halt')|escape()}{elseif $attr == 'R'}{translate('notify changers')|escape()}{else}(invalid action){/if}{else}{$attr|truncate(30)|escape('hexentity')}{/if}
										</td>
									{/if}
									{/foreach}
								</tr>
							{/for}
							</tbody>
						</table>
					</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=filters.edit.pattern&amp;bf_did={$jTE['get']['bf_did']|escape('url')}" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		{editable->get('bf_did')|assign('details_did')}
		{editable->get('bf_fid')|assign('details_fid')}
		{editable->get('bf_pattern')|assign('details_pattern')}
		{editable->get('bf_action')|assign('details_action')}
		<input type="hidden" id="variable_details_id" name="variable[bf_did]" value="{$jTE['get']['bf_did']|escape('hexentity')}" />
		<input type="hidden" id="variable_details_fid" name="bf_fid" value="{$details_fid|escape()}" />
		<input type="hidden" id="variable_details_newfid" name="variable[bf_fid]" value="{$details_fid|escape()}" />
		<span class="details_title"><img src="{$webroot}images/icon_variable.gif" alt="{translate('pattern')|escape()}:"/><span id="object_label">{if $details_pattern != ''}{$details_pattern|truncate(30)|escape('hexentity')}{else}({translate('new pattern')|escape()}){/if}</span></span>
		<div class="bf_button_bar">
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('save')|escape()}" name="variable_details_save" id="variable_details_save" onclick="return true;"/></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<div class="details_button"><input type="submit" class="bf_button" id="variable_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if $details_fid == ''}disabled="disabled"{/if}/></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('delete')|escape()}" id="variable_details_delete" name="variable[delete]"{if $details_fid == ''} disabled="disabled"{/if} onclick="return !page_details.kill();"/></div>
		</div>
		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$linkModule}&amp;action=filters.view.pattern&amp;bf_did={$jTE['get']['bf_did']|escape('url')}&amp;bf_fid={$details_fid|escape('url')}dtab=0" onclick="goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="variable_details_pattern">
						{translate('pattern')|escape()}: <input name="variable[bf_pattern]" id="variable_details_pattern" maxlength="255" type="text" class="textBox" value="{$details_pattern|escape('hexentity')}" />
					</label>
					<label for="variable_details_action_visible">{translate('action')|escape()}:</label>
					<input id="variable_details_action_visible" type="button" class="pselect iconDropdown" title="{if $details_action == 'F'}{translate('set fail')|escape()}{elseif $details_action == 'H'}{translate('set fail / halt')|escape()}{elseif $details_action == 'C'}{translate('clear fail')|escape()}{elseif $details_action == 'S'}{translate('clear fail / halt')|escape()}{elseif $details_action == 'I'}{translate('halt')|escape()}{elseif $details_action == 'A'}{translate('include')|escape()}{elseif $details_action == 'N'}{translate('warning')|escape()}{elseif $details_action == 'U'}{translate('clear warning')|escape()}{elseif $details_action == 'G'}{translate('clear warning / halt')|escape()}{elseif $details_action == 'R'}{translate('notify changers')|escape()}{else}{translate('set fail')|escape()}{/if}" value="{if $details_action == 'F'}{translate('set fail')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'H'}{translate('set fail / halt')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'C'}{translate('clear fail')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'S'}{translate('clear fail / halt')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'I'}{translate('halt')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'A'}{translate('include')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'N'}{translate('warning')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'U'}{translate('clear warning')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'G'}{translate('clear warning / halt')|truncate($pselect_truncation)|escape()}{elseif $details_action == 'R'}{translate('notify changers')|truncate($pselect_truncation)|escape()}{else}{translate('set fail')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('variable_details_action', 'F,{translate('set fail')|escape('javascript')}|H,{translate('set fail / halt')|escape('javascript')}|C,{translate('clear fail')|escape('javascript')}|S,{translate('clear fail / halt')|escape('javascript')}|I,{translate('halt')|escape('javascript')}|A,{translate('include')|escape('javascript')}|N,{translate('warning')|escape('javascript')}|U,{translate('clear warning')|escape('javascript')}|G,{translate('clear warning / halt')|escape('javascript')}|R,{translate('notify changers')|escape('javascript')}', '');" />
					<input name="variable[bf_action]" id="variable_details_action" type="hidden" value="{if !$details_action}F{else}{$details_action|escape()}{/if}" />
					
					<label for="variable_details_level_visible">{translate('notify')|escape()}:</label>
					<input id="variable_details_level_visible" type="button" class="pselect iconDropdown" title="{if $editable_level}{$levels[$editable_level]|escape()}{else}-- {translate('none')|escape()} --{/if}" value="{if $editable_level}{$levels[$editable_level]|truncate($pselect_truncation)|escape()}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('variable_details_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('notify')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|,-- {translate('none')|escape('javascript')} --|');" />
					<input name="variable[bf_level]" id="variable_details_level" type="hidden" value="{$editable_level|escape('hexentity')}" />
					
				</div>
			</div>
		</div>
	</div>
	</form>
