{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* Permissions *}
{controller->userHasAccessTo('AddFilterSet')|assign('CanAddFilterSet')}
{controller->userHasAccessTo('DeleteFilterSet')|assign('CanDeleteFilterSet')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/filter.gif" border="0" alt=""/>
			<span class="module_name">{translate('log filters')|escape()}</span>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<!-- <form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=variable.edit" onsubmit="return !page_details.clear();" method="post"> -->
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add log filter')|escape()}" onclick="page_details.clear();" /></div>
			<!-- </form> -->
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_log_filters.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_log_filters.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='filters.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('name')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=name&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('name');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td>
								<a href="#" onclick="page_details.loadDetails('');return false;"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this filter')|escape()}"/></a>
								<img src="{$webroot}images/icons/filter.gif" border="0" alt="{translate('log filter')|escape()}" />
								<a href="{$linkSelf}{$linkModule}&amp;action=filters.view.pattern&amp;bf_did="></a>
							</td>
						</tr>
					{listing->getCount()|assign('projectcount')}
					{for('project', $projectcount)}
						<tr>
							{listing->next()|assign('project')}
							{foreach($project, 'key', 'attr')}
							{if $key != 'id'}
								<td>
									{if $key == 'name'}
									<a href="#" onclick="page_details.loadDetails('{$project['id']|escape('javascript')}');return false;"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this filter')|escape()}"/></a>
									<img src="{$webroot}images/icons/filter.gif" border="0" />
									<a href="{$linkSelf}{$linkModule}&amp;action=filters.view.pattern&amp;bf_did={$project['id']|escape('hexentity')}" title="{$attr|escape('hexentity')}">{$attr|truncate(80)|escape('hexentity')}</a>{else}{$attr|truncate(50)|escape('hexentity')}
									{/if}
								</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=filters.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		{parent->get('bf_did')|assign('parent_param')}
		{parent->get('bf_pattern')|assign('parent_pattern')}
		{parent->referenced()|assign('parent_referenced')}
		<input name="parent[bf_did]" id="parent_bf_did" type="hidden" value="{$parent_param}"  />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('log filter')|escape()}"/><span id="object_label">{if $parent_pattern != ''}{$parent_pattern|truncate(80)|escape('hexentity')}{else}({translate('new log filter')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="parent_details_save" value="{translate('save')|escape()}"{if !$CanAddFilterSet} disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="parent_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if $parent_param == ''}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button" id="parent_details_delete"{if $parent_referenced} title="{translate('2054')|escape()}"{/if}><input type="submit" id="parent_details_delete_button" class="bf_button" name="parent[delete]" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;"{if $parent_param == '' or $parent_referenced or !$CanDeleteFilterSet} disabled="disabled" {/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$linkModule}&amp;action=filters.view&amp;bf_did={$parent_param|escape()}&amp;dtab=0" onclick="goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="parent_bf_pattern">
						{translate('name')|escape()}:
						<input name="parent[bf_pattern]" id="parent_bf_pattern" maxlength="255" type="text" class="textBox" value="{$parent_pattern|escape('hexentity')}" style="position: relative; width: 300px; background-color:#FEFFC3; border:solid 1px #7F9DB9;"  />
					</label>
					{bf_get_levels($user['id'])|assign('levels')}
					{if !$editable_level}{foreach($levels, 'id', 'name')}{if !$editable_level}{assign('editable_level', $id)}{/if}{/foreach}
					<label for="parent_bf_level_visible">{translate('access')|escape()}:</label>
					<input id="parent_bf_level_visible" type="button" class="pselect iconDropdown" title="{if $editable_level}{$levels[$editable_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" value="{if $editable_level}{$levels[$editable_level]|truncate($pselect_truncation)|escape()}{else}-- {translate('access groups')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('parent_bf_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
					<input name="parent[bf_level]" id="parent_bf_level" type="hidden" value="{$editable_level|escape('hexentity')}" />
				</div>
			</div>
		</div>
	</div>
	</form>
