{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('htmlall')|assign('temp')}{assign('linkAction', '&amp;action=$temp')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('htmlall')|assign('temp')}{assign('linkID', '&amp;bf_id=$temp')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('htmlall')|assign('temp')}{assign('linkState', '&amp;state=$temp')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('htmlall')|assign('temp')}{assign('linkOrderby', '&amp;orderby=$temp')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('htmlall')|assign('temp')}{assign('linkSort', '&amp;sort=$temp')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('htmlall')|assign('temp')}{assign('linkFilter', '&amp;filter=$temp')}{/if}

{if $jTE['get']['mod'] == 'projects'}
	{assign('tplTitle', 'Projects')}
	{assign('tplType', 'Project')}
{else}
	{assign('tplTitle', 'Libraries')}
	{assign('tplType', 'Library')}
{/if}

{project->next()|assign('ourproject')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* Permissions *}
{controller->userHasAccessTo('AddProject')|assign('CanAddProject')}
{controller->userHasAccessTo('UpdateProject')|assign('CanUpdateProject')}
{controller->userHasAccessTo('DeleteProject')|assign('CanDeleteProject')}
{controller->userHasAccessTo('ClobberProject')|assign('CanClobberProject')}

{bf_get_levels($user['id'])|assign('levelnames')}

    <form id='page_information' action='{$linkSelf}{$linkModule}' style='display:none;'></form>

    <div id="content_title">
        <div id="content_title_left">
            <img class="content_title_image" src="{$webroot}images/nav_icon_projects_blue.gif" border="0" alt=""/>
            <span class="module_name"><a href='{$linkSelf}{$linkModule}'>{translate($tplTitle)|escape()}</a></span>
            <span class="sepGT">&gt;&gt;</span> <span class="location_name">{translate($tplTitle)|escape()}</span>
            {if $CanAddProject}
            <img src="{$webroot}images/b_tab_background.gif" alt="|" />
            <div class="global_button"><input type="submit" class="bf_button" value="{if $tplType == 'Project'}{translate('add project')|escape()}{else}{translate('add library')|escape()}{/if}" id="" name="" onclick="page_details.clear();" /></div>
            {/if}
        </div>

        <div id="content_title_right">
			{if $jTE['get']['mod'] == 'library'}
            <a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/libraries.html&hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/libraries.html&hideToc=true');return false;">
                {translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
            </a>
			{else}
            <a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/projects.html&hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/projects.html&hideToc=true');return false;">
                {translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
            </a>
			{/if}
        </div>
    </div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

    <div id="content_top" style="height:{$content_top_height}px;" class="ProjectsHome">
        <div id="content_summary" class="Projects">

		{userobj->get('bf_maxbuilds')|assign('maxbuilds')}

		{controller->userHasAccessTo('UpdateProject')|assign('CanUpdateProject')}
		{controller->userHasAccessTo('DeleteProject')|assign('CanDeleteProject')}
		{controller->userHasAccessTo('AddProjectTagVar')|assign('CanAddTagVar')}
		{controller->userHasAccessTo('DeleteProjectTagVar')|assign('CanDelTagVar')}
		{controller->userHasAccessTo('AddProjectReg')|assign('CanAddProjReg')}
		{controller->userHasAccessTo('DelProjectReg')|assign('CanDelProjReg')}
		{controller->userHasAccessTo('EditProjectReg')|assign('CanUpdateProjReg')}

		{listing->rewind()}

	        <div class="summary_list_controls">
	            {include('paging_controls.tpl')}
	            {assign('form_action', "$linkSelf$linkModule&amp;action=projects.view")}
	            {include('filter_form.tpl', "action=projects.view")}

	        </div>


	        <div id="summary_scroller" class="ProjectsPage_Home">
	            <table cellpadding="0" cellspacing="0">
	                <thead>
	                    <tr>
	                        <th width="16"> <!-- Quick Start --></th>
	                        <th width="12"> <!-- Edit button --></th>
							<th>{translate($tplType)|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=project&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('project');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('tag')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=tag&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('tag');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('class')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=class&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('class');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('environment')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=env&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('env');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('selector')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=selector&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('selector');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
                            <th width="20" {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=s&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('s');"><img src="{$webroot}images/icons/email.gif" border="0" alt="" /></a></th>
                            <th width="20" {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=p&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('p');"><img src="{$webroot}images/icons/email_pass.gif" border="0" alt="" /></a></th>
                            <th width="20" {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=f&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('f');"><img src="{$webroot}images/icons/email_fail.gif" border="0" alt="" /></a></th>							
							<th {if $is_styx}style='display:none'{/if}>{translate('access')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=access&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('access');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>															                        
	                    </tr>
	                </thead>
	                <tbody id="listing">
						<tr id="listing_rows_" class="clone">
	                        <td width="16"><a href=''><img class="clickableIMG" src="{$webroot}images/icons/quick_start.gif" border="0" alt="" /></a></td>
	                        <td width="12"><a href=''><img class="clickableIMG" src="{$webroot}images/icons/edit_gray.gif" border="0" alt="" /></a></td>
							<td><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=steps.view&amp;bf_id=" title=""></a></td>
							<td></td>	                        
							<td><a href="{$linkSelf}?mod=projects&action=classes.view&bf_name="></a></td>
							<td><a href="{$linkSelf}?mod=environments&amp;action=variable.view&amp;bf_bid="></a></td>
							<td><a href="{$linkSelf}?mod=servers&amp;action=selectors.view.prop&amp;bf_selector_id="></a></td>
                            <td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email.gif" border="0" alt="" /></td>
                            <td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_pass.gif" border="0" alt="" /></td>
                            <td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_fail.gif" border="0" alt="" /></td>
							<td {if $is_styx}style='display:none'{/if}></td>	                        
						</tr>

	                {listing->getCount|assign('itemCount')}
	                {for('projects_pointer', $itemCount)}
	                {listing->next()|assign('project_instance')}

		                {if $CanUpdateProject or $CanDeleteProject or $CanClobberProject or $CanAddTagVar or $CanDelTagVar or $CanAddProjReg or $CanDelProjReg or $CanUpdateProjReg}{assign('show_edit_link', 1)}{else}{assign('show_edit_link', 0)}{/if}

	                    <tr id="listing_rows_{$project_instance['id']}">							

							<td width="16">
							{if $clobbers[$project_instance['id']]}
								{assign('quickstart','2035')}
								{assign('show_edit_link','2035')}
							{else}
								{bf_can_quickstart($project_instance['id'])|assign('quickstart')}
							{/if}
                        	{if $quickstart}
								<a href="javascript:void(displayError('{translate($quickstart)|escape('javascript')}'));"><img class="clickableIMG" src="{$webroot}images/icons/quick_start_gray.gif" border="0" /></a>
                        	{else}
								<a href="javascript:void(page_details.quickStartProject('{$project_instance['id']|escape('javascript')}'));"><img id='qsicon_{$project_instance['id']}' class="clickableIMG" src="{$webroot}images/icons/quick_start.gif" border="0" /></a>
                        	{/if}
							</td>

							<td width="12">
	                        {if $show_edit_link == 1}								
                        		<a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;bf_id={$project_instance['id']|escape('url')}" onclick="page_details.loadDetails('{$project_instance['id']|escape('javascript')}');return false;"><img class="clickableIMG" src="{$webroot}images/icons/edit.gif" border="0" alt="{if $tplType == 'Project'}{translate('edit this project')|escape()}{else}{translate('edit this library')|escape()}{/if}" /></a>
                        	{else}								
                        		<a href="javascript:void({if $show_edit_link == 0}page_details.showMessageNoAccess(){else}displayError('{translate($show_edit_link)|escape('javascript')}'){/if});"><img class="clickableIMG" src="{$webroot}images/icons/edit_gray.gif" border="0" alt="No Access to Edit Projects" /></a>
	                        {/if}
							</td>
	                        
                            <td><a href="{if $clobbers[$project_instance['id']]}javascript:void(displayError('{translate($quickstart)|escape('javascript')}'));{else}{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=steps.view&amp;bf_id={$project_instance['id']|escape('url')}{/if}" title="{$attr|escape('hexentity')}">{$project_instance['project']|truncate(35)|escape('hexentity')}</a></td>                        	
                        	<td>{$project_instance['tag']|truncate(25)|escape('hexentity')}</td>
                        	<td><a href="{$linkSelf}?mod=projects&action=classes.view&bf_name={$project_instance['class']|escape('url')}">{$project_instance['class']|truncate(25)|escape('hexentity')}</a></td>
                        	<td><a href="{$linkSelf}?mod=environments&amp;action=variable.view&amp;bf_bid={$project_instance['envid']|escape()}">{$project_instance['env']|truncate(25)|escape('hexentity')}</a></td>
                        	<td><a href="{$linkSelf}?mod=servers&amp;action=selectors.view.prop&amp;bf_selector_id={$project_instance['selector']|escape('url')}">{$project_instance['selector']|truncate(25)|escape('hexentity')}</a></td>
                            <td width="20" {if $is_styx}style='display:none'{/if}>{if !$project_instance['s'] or $project_instance['s'] == '0'}----{else}<img src="{$webroot}images/icons/email.gif" border="0" alt="" />{/if}</td>
                            <td width="20" {if $is_styx}style='display:none'{/if}>{if !$project_instance['p'] or $project_instance['p'] == '0'}----{else}<img src="{$webroot}images/icons/email_pass.gif" border="0" alt="" />{/if}</td>
                            <td width="20" {if $is_styx}style='display:none'{/if}>{if !$project_instance['f'] or $project_instance['f'] == '0'}----{else}<img src="{$webroot}images/icons/email_fail.gif" border="0" alt="" />{/if}</td>
                        	<td title="{$project_instance['access']|escape('hexentity')}" {if $is_styx}style='display:none'{/if}>{$project_instance['access']|truncate(25)|escape('hexentity')}</td>
	                    </tr>
	                {/for}
	                </tbody>
	            </table>
	        </div>


        </div>
    </div>

    <div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
    
	<form method='post' action='{$linkSelf}{$linkModule}&amp;action=steps.view' id='content_bottom_form' onsubmit='return !page_details.customSave();'>

    {if $ourproject == ''}{project->next()|assign('ourproject')}{/if}
    {$ourproject->referenced|assign('project_referenced')}

		<div id="content_bottom_top_bar" style="border:solid 0px green;">
 			<span class="details_title"><img src="{$webroot}images/nav_icon_projects_blue.gif" alt="{if $tplType == 'Project'}{translate('project')|escape()}{else}{translate('library')|escape()}{/if}"/> {translate($tplType)|escape()}: <span id='project_details_title'>{if $ourproject['name'] != ''}{$ourproject['name']|truncate(35)|escape('hexentity')}{else}{if $tplType == 'Project'}{translate('add project')|escape()}{else}{translate('add library')|escape()}{/if}{/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input id="details_button_submit" type="submit" class="bf_button" value="{if $tplType == 'Project'}{translate('save project')|escape()}{else}{translate('save library')|escape()}{/if}" {if ($jTE['get']['bf_id'] == '' && !$CanAddProject) or ($jTE['get']['bf_id'] != '' && !$CanUpdateProject)}disabled="disabled" {/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="details_button_copy" value="{if $tplType == 'Project'}{translate('copy project')|escape()}{else}{translate('copy library')|escape()}{/if}" onclick="return !page_details.copy();" {if $jTE['get']['bf_id'] == ''}disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input id="details_button_delete" type="button" class="bf_button" value="{if $tplType == 'Project'}{translate('delete project')|escape()}{else}{translate('delete library')|escape()}{/if}" onclick="return !page_details.kill();" {if $jTE['get']['bf_id'] == ''}disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input id="details_button_clobber" type="button" class="bf_button" value="{translate('Clobber')|escape()}" onclick="return !page_details.clobberProject('{$ourproject['id']|escape('javascript')}');" {if $jTE['get']['bf_id'] == ''}disabled="disabled"{/if} /></div>
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=projects.view{if $ourproject['id']}&amp;bf_id={$ourproject['id']|escape('url')}{/if}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{if $tplType == 'Project'}{translate('project details')|escape()}{else}{translate('library details')|escape()}{/if}</a></li>
					<li{if !$ourproject['id']} class="disabledTab"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=projects.view{if $ourproject['id']}&amp;bf_id={$ourproject['id']|escape('url')}{/if}&amp;dtab=1"{if $ourproject['id']} onclick="page_details.goTab(1);return false;"{else} onclick="page_details.showMessageMustEdit();return false;"{/if}>{translate('Tags')|escape()}</a></li>
					<li{if !$ourproject['id']} class="disabledTab"{/if} {if $is_styx}style='display:none'{/if} ><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=projects.view{if $ourproject['id']}&amp;bf_id={$ourproject['id']|escape('url')}{/if}&amp;dtab=2"{if $ourproject['id']} onclick="page_details.goTab(2);return false;"{else} onclick="page_details.showMessageMustEdit();return false;"{/if}>{translate('Registers')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">

				<input type="hidden" name="typeofprojectsubmit" id="typeofprojectsubmit" value="edit" />
				<input type="hidden" name="project[bf_pid]" id="bf_id" value="{$ourproject['id']|escape()}" />
				<input type="hidden" name="sa" value="Save Project" />
				<input type="hidden" name="project_or_library" id="project_or_library" value="{$tplType}" />

				<div class="primary">
					
					<label for="edit_project_name">
						{translate('Name')|escape()}:
						<input name="project[bf_description]" id="edit_project_name" autocomplete="off" type="text" class="text" value="{$ourproject['name']|escape('hexentity')}" style="width: 500px;" tabindex="1" />
					</label>
										
					<label {if $is_styx}style='display:none'{/if} for="edit_project_level_visible" style="width:30px;">{translate('Access')|escape()}:</label>
					<input {if $is_styx}style='display:none'{/if} id="edit_project_level_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['level']}{$levelnames[$ourproject['level']]|truncate($pselect_truncation)|escape()}{else}{$levelnames[6]|truncate($pselect_truncation)|escape()}{/if}" value="{if $ourproject['level']}{$levelnames[$ourproject['level']]|escape()}{else}{$levelnames[6]|escape()}{/if}" tabindex="2" onclick="pseudoSelect('edit_project_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
					<input name="project[bf_level]" id="edit_project_level" type="hidden" value="{if $ourproject['level']}{$ourproject['level']|escape()}{else}6{/if}" />

				</div>
				<div class="properties">
					<div class="third" {if $is_styx}style='display:none'{/if}>
						<label for="edit_project_thread_visible">{translate('Max Threads')|escape()}:</label>
						<input id="edit_project_thread_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['maxthread'] >='1'}{$ourproject['maxthread']|escape('hexentity')}{else}{translate('Unlimited')|escape()}{/if}" value="{if $ourproject['maxthread'] >='1'}{$ourproject['maxthread']|truncate($pselect_truncation)|escape('hexentity')}{else}{translate('Unlimited')|truncate($pselect_truncation)|escape()}{/if}" tabindex="3" onclick="pseudoSelect('edit_project_thread', '0,{translate('Unlimited')|escape('javascript')}|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|20|25|50', 'title={translate('max threads')|escape('javascript')}');" />
						<input name="project[bf_maxthread]" id="edit_project_thread" type="hidden" value="{if $ourproject['maxthread'] != '0'}{$ourproject['maxthread']|escape('hexentity')}{else}0{/if}" />
						<br />
						<label for="edit_project_limit_visible">{translate('Run Limit')|escape()}:</label>
						<input id="edit_project_limit_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['runlimit'] >='1'}{$ourproject['runlimit']|escape('hexentity')}{else}{translate('Unlimited')|escape()}{/if}" value="{if $ourproject['runlimit'] >='1'}{$ourproject['runlimit']|truncate($pselect_truncation)|escape('hexentity')}{else}{translate('Unlimited')|truncate($pselect_truncation)|escape()}{/if}" tabindex="4" onclick="pseudoSelect('edit_project_limit', '0,{translate('Unlimited')|escape('javascript')}|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|20|25|50', 'title={translate('run limit')|escape('javascript')}');" />
						<input name="project[bf_exclusive]" id="edit_project_limit" type="hidden" value="{if $ourproject['runlimit'] != ''}{$ourproject['runlimit']|escape('hexentity')}{else}0{/if}" />
						<br />
						<label for="edit_project_passchain_visible">{translate('Pass Chain')|escape()}:</label>
						<input id="edit_project_passchain_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['passchain']}{if $ourproject['passchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourproject['passchain'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $ourproject['passchain']}{if $ourproject['passchain'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($ourproject['passchain'])|truncate($pselect_truncation)|escape('hexentity')}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="5"  onclick="pseudoSelect('edit_project_passchain', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project&excludevalue=bf_id&forceRefresh=1&seedlist=|,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_pcid]" id="edit_project_passchain" type="hidden" value="{$ourproject['passchain']|escape('hexentity')}" />
						<br />
						<label for="edit_project_failchain_visible">{translate('Fail Chain')|escape()}:</label>
						<input id="edit_project_failchain_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['failchain']}{if $ourproject['failchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourproject['failchain'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $ourproject['failchain']}{if $ourproject['failchain'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($ourproject['failchain'])|truncate($pselect_truncation)|escape('hexentity')}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="6" onclick="pseudoSelect('edit_project_failchain', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project&excludevalue=bf_id&forceRefresh=1&forceRefresh&seedlist=|,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_fcid]" id="edit_project_failchain" type="hidden" value="{$ourproject['failchain']|escape('hexentity')}" />

					</div>
					<div class="third">
						<label for="edit_project_class_visible">{translate('Class')|escape()}:</label>
						<input id="edit_project_class_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['class'] != ''}{$ourproject['class']|escape('hexentity')}{else}{bf_get_classes(1)|escape('hexentity')}{/if}" value="{if $ourproject['class'] != ''}{$ourproject['class']|truncate($pselect_truncation)|escape('hexentity')}{else}{bf_get_classes(1)|truncate($pselect_truncation)|escape('hexentity')}{/if}" tabindex="7" onclick="pseudoSelect('edit_project_class', 'mod=projects&action=classes.view&type=xml', 'title={translate('classes')|escape('javascript')}&attribute=class&value=bf_name&name=bf_name');" />
						<input name="project[bf_class]" id="edit_project_class" type="hidden" value="{if $ourproject['class'] != ''}{$ourproject['class']|escape('hexentity')}{else}{bf_get_classes(1)|escape('hexentity')}{/if}" />
						<br />						
						<label for="edit_project_selector_visible">{translate('Selector')|escape()}:</label>
						<input id="edit_project_selector_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['selector'] != ''}{$ourproject['selector']|escape('hexentity')}{elseif $jTE['get']['mod'] != 'projects'}-- {translate('none')|escape()} --{else}{bf_get_selectors(1)|escape('hexentity')}{/if}" value="{if $ourproject['selector'] != ''}{$ourproject['selector']|truncate($pselect_truncation)|escape('hexentity')}{elseif $jTE['get']['mod'] != 'projects'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_selectors(1)|truncate($pselect_truncation)|escape('hexentity')}{/if}" tabindex="8" onclick="pseudoSelect('edit_project_selector', 'mod=servers&action=selectors.view&type=xml', 'title={translate('selectors')|escape('javascript')}&attribute=class&value=bf_coll_id&name=bf_coll_id&seedlist=|,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_platform]" id="edit_project_selector" type="hidden" value="{if $ourproject['selector'] != ''}{$ourproject['selector']|escape('hexentity')}{elseif $jTE['get']['mod'] != 'projects'}{else}{bf_get_selectors(1)|escape('hexentity')}{/if}" />
						<br />
						<label for="edit_project_env_visible">{translate('Environment')|escape()}:</label>
						<input id="edit_project_env_visible" type="button" class="pselect iconDropdown" title="{if !$ourproject['env']}-- {translate('none')|escape()} --{else}{$ourproject['env']|escape()}{/if}" value="{if !$ourproject['env']}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$ourproject['env']|truncate($pselect_truncation)|escape()}{/if}" tabindex="9" onclick="pseudoSelect('edit_project_env', 'mod=environments&type=xml', 'title={translate('environments')|escape('javascript')}&attribute=class&value=bf_bid&name=bf_param&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_eid]" id="edit_project_env" type="hidden" value="{$ourproject['envid']|escape('hexentity')}" />
						<br />
						<label {if $is_styx}style='display:none'{/if} for="edit_project_sticky_visible">{translate('Sticky')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_project_sticky_visible" type="button" class="pselect iconToggle" title="{if $ourproject['sticky'] == 'Y'}{translate('Sticky')|escape()}{else}{translate('Not Sticky')|escape()}{/if}" value="{if $ourproject['sticky'] == 'Y'}{translate('Sticky')|truncate($pselect_truncation)|escape()}{else}{translate('Not Sticky')|truncate($pselect_truncation)|escape()}{/if}" tabindex="10"onclick="pseudoSelect('edit_project_sticky', 'Y,{translate('Sticky')|escape('javascript')}|N,{translate('Not Sticky')|escape('javascript')}', 'type=toggle');" />
						<input name="project[bf_sticky]" id="edit_project_sticky" type="hidden" value="{if $ourproject['sticky'] == 'Y'}Y{else}N{/if}" />

					</div>
					<div class="third" {if $is_styx}style='display:none'{/if} >
						{if $controller->local or $controller->master}
						<label for="edit_project_geo_id_visible">{translate('geo')|escape()}:</label>
						<input id="edit_project_geo_id_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['geo_id']}{if $ourproject['geo_id'] == ''}{translate('master')|escape()}{else}{bf_get_geo($ourproject['geo_id'])|escape()}{/if}{else}{translate('master')|escape()}{/if}" value="{if $ourproject['geo_id']}{if $ourproject['geo_id'] == ''}{translate('master')|truncate($pselect_truncation)|escape()}{else}{bf_get_geo($ourproject['geo_id'])|truncate($pselect_truncation)|escape()}{/if}{else}{translate('master')|truncate($pselect_truncation)|escape()}{/if}" tabindex="11"onclick="pseudoSelect('edit_project_geo_id', 'mod=administration&action=geo.view&type=xml', 'title={translate('geo options')|escape('javascript')}&attribute=class&value=id&name=location');" />
						<input name="project[bf_geo_id]" id="edit_project_geo_id" type="hidden" value="{if $ourproject['geo_id']}{$ourproject['geo_id']|escape('hexentity')}{/if}" />
						{/if}
						<br />
						<label for="edit_project_start_visible">{translate('Start Notify')|escape()}:</label>
						<input id="edit_project_start_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['snotify']}{if $ourproject['snotify'] == '0'}-- {translate('none')|escape()} --{else}{$levelnames[$ourproject['snotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $ourproject['snotify']}{if $ourproject['snotify'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$levelnames[$ourproject['snotify']]|truncate($pselect_truncation)|escape()}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="12"onclick="pseudoSelect('edit_project_start', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_snotify]" id="edit_project_start" type="hidden" value="{if $ourproject['snotify']}{$ourproject['snotify']|escape('hexentity')}{else}0{/if}" />
						<br />
						<label for="edit_project_pass_visible">{translate('Pass Notify')|escape()}:</label>
						<input id="edit_project_pass_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['pnotify']}{if $ourproject['pnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levelnames[$ourproject['pnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $ourproject['pnotify']}{if $ourproject['pnotify'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$levelnames[$ourproject['pnotify']]|truncate($pselect_truncation)|escape()}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="13" onclick="pseudoSelect('edit_project_pass', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_pnotify]" id="edit_project_pass" type="hidden" value="{if $ourproject['pnotify']}{$ourproject['pnotify']|escape('hexentity')}{else}0{/if}" />
						<br />
						<label for="edit_project_fail_visible">{translate('Fail Notify')|escape()}:</label>
						<input id="edit_project_fail_visible" type="button" class="pselect iconDropdown" title="{if $ourproject['fnotify']}{if $ourproject['fnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levelnames[$ourproject['fnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $ourproject['fnotify']}{if $ourproject['fnotify'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$levelnames[$ourproject['fnotify']]|truncate($pselect_truncation)|escape()}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="14" onclick="pseudoSelect('edit_project_fail', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="project[bf_fnotify]" id="edit_project_fail" type="hidden" value="{if $ourproject['fnotify']}{$ourproject['fnotify']|escape('hexentity')}{else}0{/if}" />

					</div>
				</div>
			</div>
			
			<div class="tab_details" id="tagForm">
				<input type="hidden" name="bf_id" id="tag_bf_id" value="{$ourproject['id']|escape()}" />
				<input type="hidden" name="tag_edited" id="tag_edited" value="" />
			
				<div class="primary">
					<label for="edit_project_tag">{translate('Tag Format')|escape()}:
						<input name="project[bf_tag]" autocomplete="off" id="edit_project_tag" type="text" class="text" value="{if $ourproject['tag'] != ''}{$ourproject['tag']|escape('hexentity')}{else}BUILD_$B{/if}"  style="width: 500px;" />
					</label>
					
					<label for="edit_project_passchain_visible">{translate('Tag Sync')|escape()}:</label>
					<input id="edit_project_tagsync_visible" type="button" class="pselect iconDropdown" value="{if $ourproject['tagsync']}{if $ourproject['tagsync'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourproject['tagsync'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}" onclick="pseudoSelect('edit_project_tagsync', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project&seedlist=|,-- {translate('none')|escape('javascript')} --|');" />
					<input name="project[bf_tagsync]" id="edit_project_tagsync" type="hidden" value="{$ourproject['tagsync']|escape('hexentity')}" />
					
				</div>
				<div class="properties">											    
					<table width="100%">
				        <thead>
				            <tr>
				                <th width='55'>{translate('Options')|escape()}</th>
				                <th width='110'>{translate('Tag Name')|escape()}</th>
				                <th width='110'>{translate('Initial value')|escape()}</th>
				                <th width='200'>{translate('Padding')|escape()}</th>
				                <th width='200'>{translate('Auto Inc')|escape()}</th>
				            </tr>
				        </thead>
				        <tbody>
				            <tr style='height:20px;'>
				                <td width='55'><div class="details_button"><input id="tag_button" class="bf_button" value="{translate('Create')|escape()}" type="button" onclick='return !page_details.saveTag();' /></div></td>
				                <td width='110'><input name="tag[bf_name]" id="tag_name" type="text" class="textBox" value="" maxlength="255" /></td>
	                            <td width='110'><input name="tag[bf_value]" id="tag_initvalue" type="text" class="textBox" value="0" /></td>
				                <td width='200'>
									<input id="tag_padding_visible" type="button" class="pselect iconDropdown" title="-- {translate('None')|escape()} --" value="-- {translate('None')|truncate($pselect_truncation)|escape()} --" onclick="pseudoSelect('tag_padding', '0,-- {translate('None')|escape('javascript')} --|1|2|3|4|5|6|7|8', 'title={translate('padding')|escape('javascript')}');" />
									<input name="tag[bf_parent]" id="tag_padding" type="hidden" value="0" />
								</td>
								<td width='200'>
									<input id="tag_autoinc_visible" type="button" class="pselect iconToggle" title="{translate('No')|escape()}" value="{translate('No')|truncate($pselect_truncation)|escape()}" onclick="pseudoSelect('tag_autoinc', 'Y,{translate('Yes')|escape('javascript')}|N,{translate('No')|escape('javascript')}', 'type=toggle');" />
									<input name="tag[bf_autoinc]" id="tag_autoinc" type="hidden" value="N" />
								</td>


				            </tr>                           				            
				        </tbody>
				    </table>
				</div>
				
				<br />
                
                <table width="100%" id="project_tag_list">
			        <tbody id='taglisting'>
                        <tr class='clone'>
                            <td width='55'>
                                <a href=''><img src='{$webroot}images/icons/delete.gif' alt='{translate('delete tag')|escape()}' title='{translate('delete tag')|escape()}' border='0' /></a>
                                <a href=''><img src='{$webroot}images/icons/edit.gif' alt='{translate('edit tag')|escape()}' title='{translate('edit tag')|escape()}' border='0' /></a>
                            </td>
                            <td width='170'></td>
                            <td width='170'></td>
                            <td width='170'></td>
                            <td width='170'></td>
                        </tr>

		                {tagslist->getCount|assign('tagCount')}
		                {for('projects_pointer', $tagCount)}
		                {tagslist->next()|assign('tag_instance')}
						<tr>
							<td width='55'>
								<a href="javascript:void(page_details.deleteTag('{$tag_instance['id']}'));"><img src='{$webroot}images/icons/delete.gif' alt='{translate('delete tag')|escape()}' title='{translate('delete tag')|escape()}' border='0' /></a>
								<a href="javascript:void(page_details.editTag('{$tag_instance['id']}'));"><img src='{$webroot}images/icons/edit.gif' alt='{translate('edit tag')|escape()}' title='{translate('edit tag')|escape()}' border='0' /></a>
							</td>
							<td width='170'>{$tag_instance['name']}</td>
							<td width='170'>{$tag_instance['value']}</td>
							<td width='170'>{$tag_instance['padding']}</td>
							<td width='170'>{if $tag_instance['autoincrement'] == 'Y'}{translate('yes')}{else}{translate('no')}{/if}</td>
							
						</tr>
						{/for}
			        </tbody>
                </table>
			
			</div>
						
			<div class="tab_details">
				<input type="hidden" name="bf_id" id="reg_bf_id" value="{$ourproject['id']|escape()}" />
				<input type="hidden" name="reg_edited" id="reg_edited" value="" />
				
			    <table width="100%">
			        <thead>
			            <tr>
			                <th width='140'>{translate('Register')|escape()}</th>
			                <th>{translate('Contents')|escape()}</th>
			            </tr>
			        </thead>
			        <tbody>
			            <tr>
			                <td width='140'><input name="reg[bf_name]" id="reg_name" type="text" class="textBox" value="" maxlength="255" /></td>
			                <td rowspan='2'><textarea name="reg[bf_value]" id="reg_content" class="textBox" style='width:90%;height:44px;'></textarea></td>
						</tr>			
						<tr>
							<td width='140'><div class="details_button"><input id="reg_button" class="bf_button" value="{translate('Create')|escape()}" type="button" onclick='return !page_details.saveReg();' /></div></td>
						</tr>	
					</tbody>
				</table>
				
				<hr />				
				
                <table width="100%" id="project_tag_list">
			        <tbody id='reglisting'>
                        <tr class='clone'>
                            <td width='40'>
                                <a href=''><img src='{$webroot}images/icons/delete.gif' alt='{translate('delete register')|escape()}' title='{translate('delete register')|escape()}' border='0' /></a>
                                <a href=''><img src='{$webroot}images/icons/edit.gif' alt='{translate('edit register')|escape()}' title='{translate('edit register')|escape()}' border='0' /></a>
                            </td>
                            <td width='100'></td>
                            <td></td>
                        </tr>

						{reglist->getCount()|assign('regcount')}
						{for('secReg', $regcount)}
						{reglist->next()|assign('reg')}

						<tr>
                            <td width='40'>
                                <a href='javascript:void(page_details.deleteReg("{$reg['id']}"));'><img src='{$webroot}images/icons/delete.gif' alt='{translate('delete register')|escape()}' title='{translate('delete register')|escape()}' border='0' /></a>
                                <a href='javascript:void(page_details.editReg("{$reg['id']}"));'><img src='{$webroot}images/icons/edit.gif' alt='{translate('edit register')|escape()}' title='{translate('edit register')|escape()}' border='0' /></a>
                            </td>
                            <td width='100'>{$reg['name']}</td>
                            <td>{bf_get_storage($reg['content'])}</td>
						</tr>

						{/for}

			        </tbody>
                </table>
				
			</div>
		</div>    
    
	</form>
    
    </div>

