{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{editable->get('bf_pid')|assign('bf_pid')}
{editable->get('bf_active')|assign('bf_active')}
{editable->get('bf_link')|assign('bf_link')}
{editable->get('bf_name')|assign('bf_name')}
{editable->get('bf_eid')|assign('bf_eid')}

{bf_get_interface_template_name($bf_link)|assign('bf_template')}
{bf_get_environments()|assign('envs')}

<permissions>
	<permission id="AddLink">{controller->userHasAccessTo('AddLink')|escape('hexentity')}</permission>
	<permission id="ToggleLink">{controller->userHasAccessTo('ToggleLink')|escape('hexentity')}</permission>
	<permission id="DeleteLink">{controller->userHasAccessTo('DeleteLink')|escape('hexentity')}</permission>
</permissions>
<object>
	<property id="bf_sid">{editable->get('bf_sid')|escape('hexentity')}</property>
	<property id="bf_pid">{$bf_pid|escape('hexentity')}</property>
	<property id="bf_pid_name">{if $bf_pid}{bf_get_project_names($bf_pid)|escape('hexentity')}{else}-- {translate('projects')|escape()} --{/if}</property>
	<property id="bf_active">{$bf_active|escape('hexentity')}</property>
	<property id="bf_active_name">{if $bf_active == 'N'}{translate('inactive')|escape()}{elseif $bf_active == 'D'}{translate('debug')|escape()}{else}{translate('active')|escape()}{/if}</property>
	<property id="bf_link">{$bf_link|escape('hexentity')}</property>
	<property id="bf_link_name">{if $bf_link}{$bf_link|escape('hexentity')}{else}-- {translate('adaptor list')|escape()} --{/if}</property>
	<property id="bf_name">{$bf_name|escape('hexentity')}</property>
	<property id="bf_name_name">{if $bf_name}{$bf_name|escape('hexentity')}{else}-- {translate('default')|escape()} --{/if}</property>
	<property id="bf_eid">{$bf_eid|escape('hexentity')}</property>
	<property id="bf_eid_name">{if $bf_eid}{$envs[$bf_eid][name]|escape()}{else}-- {translate('default')|escape()} --{/if}</property>
	<property id="bf_template">{$bf_template|escape('hexentity')}</property>
</object>
<navigation>
{module->navigationBlock()}
</navigation>

