{*	(c)2003-2008, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{* PAGE VARIABLES *}
{unused_projects->hasResults()|assign('valid')}
{unused_projects->getCount()|assign('itemCount')}
{unused_projects->getLimit()|assign('itemLimit')}
{unused_projects->getOffset()|assign('offsetLeft')}
{unused_projects->getGrandTotal()|assign('grandTotal')}
{unused_projects->getPageCount()|assign('pageCount')}
{unused_projects->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{unused_projects->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{unused_projects->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{unused_projects->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
    {for('projects_pointer', $itemCount)}
    {unused_projects->next()|assign('project_instance')}
	{if !$project_instance['linked']}
    <record>
		<field name="pid">{$project_instance['pid']|escape()}</field>
		<field name="description">{$project_instance['name']|escape()}</field>
    </record>
	{/if}
	{/for}
</records>
