{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{editable->referenced|assign('editable_referenced')}
{editable->get('bf_level')|assign('editable_level')}
{editable->get('bf_precious')|assign('editable_precious')}
{editable->get('bf_purge_days')|assign('editable_purge_days')}
{editable->get('bf_archive_days')|assign('editable_archive_days')}
{editable->get('bf_archive_server')|assign('editable_archive_server')}
{editable->get('bf_pid')|assign('editable_pid')}
{editable->get('bf_npid')|assign('editable_npid')}
{editable->get('bf_xpid')|assign('editable_xpid')}
{bf_get_levels($user['id'])|assign('levelnames')}
{controller->userHasAccessTo('DeleteClass')|assign('CanDelete')}
<permissions>
	<permission id="AddClass">{controller->userHasAccessTo('AddClass')|escape('hexentity')}</permission>
	<permission id="UpdateClass">{controller->userHasAccessTo('UpdateClass')|escape('hexentity')}</permission>
	<permission id="DeleteClass">{if $CanDelete && !$editable_referenced}1{else}0{/if}</permission>
</permissions>
<object>
	<property id="bf_name">{editable->get('bf_name')|escape('hexentity')}</property>
	<property id="bf_level">{$editable_level|escape('hexentity')}</property>
	<property id="bf_level_name">{$levelnames[$editable_level]|escape('hexentity')}</property>
	<property id="bf_precious">{$editable_precious|escape('hexentity')}</property>
	<property id="bf_precious_name">{if $editable_precious == 'B'}{translate('console data')|escape('hexentity')}{elseif $editable_precious == 'D'}{translate('logs & files')|escape('hexentity')}{elseif $editable_precious == 'L'}{translate('logs only')|escape('hexentity')}{elseif $editable_precious == 'F'}{translate('files only')|escape('hexentity')}{else}{translate('everything')|escape('hexentity')}{/if}</property>
	<property id="bf_purge_days">{$editable_purge_days|escape('hexentity')}</property>
	<property id="bf_purge_days_name">{if !$editable_purge_days or $editable_purge_days == '0'}{translate('forever')|escape()}{else}{$editable_purge_days|escape('hexentity')}{/if}</property>
	<property id="bf_archive_days">{$editable_archive_days|escape('hexentity')}</property>
	<property id="bf_archive_days_name">{if !$editable_archive_days or $editable_archive_days == '0'}{translate('unlimited')|escape()}{else}{$editable_archive_days|escape('hexentity')}{/if}</property>
	<property id="bf_archive_server">{$editable_archive_server|escape('hexentity')}</property>
	<property id="bf_archive_server_name">{if $editable_archive_server == 'Only Failed'}{translate('only failed')|escape()}{elseif $editable_archive_server == 'Only Passed'}{translate('only passed')|escape()}{elseif $editable_archive_server == 'KeepPass'}{translate('keep 1 pass')|escape()}{else}{translate('any build')|escape()}{/if}</property>
	<property id="bf_pid">{$editable_pid|escape('hexentity')}</property>
	<property id="bf_pid_name">{if $editable_pid == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($editable_pid)|escape('hexentity')}{/if}</property>
	<property id="bf_npid">{$editable_npid|escape('hexentity')}</property>
	<property id="bf_npid_name">{if $editable_npid == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($editable_npid)|escape('hexentity')}{/if}</property>
	<property id="bf_xpid">{$editable_xpid|escape('hexentity')}</property>
	<property id="bf_xpid_name">{if $editable_xpid == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($editable_xpid)|escape('hexentity')}{/if}</property>
</object>
<navigation>
{module->navigationBlock()}
</navigation>