{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{if $ourstep == ''}{step->next()|assign('ourstep')}{/if}

{bf_get_levels()|assign('levels')}

<permissions>
	<permission id="AddProjectStep">{controller->userHasAccessTo('AddProjectStep')|escape()}</permission>
	<permission id="UpdateProjectStep">{controller->userHasAccessTo('UpdateProjectStep')|escape()}</permission>
	<permission id="DeleteProjectStep">{controller->userHasAccessTo('DeleteProjectStep')|escape()}</permission>
</permissions>

<step>
	<field id='uid'>{$ourstep['uid']|escape('hexentity')}</field>
	<field id='step'>{$ourstep['step']|escape('hexentity')}</field>
	<field id='name'>{$ourstep['name']|escape('hexentity')}</field>
	<field id='command'>{bf_get_storage($ourstep['command'])|escape('hexentity')}</field>
	<field id='dir'>{$ourstep['dir']|escape('hexentity')}</field>
	<field id='active'>{$ourstep['active']|escape('hexentity')}</field>
	<field id='absolute'>{$ourstep['absolute']|escape('hexentity')}</field>
	<field id='level'>{$ourstep['level']|escape('hexentity')}</field>
	<field id='timeout'>{$ourstep['timeout']|escape('hexentity')}</field>
	<field id='onfail'>{$ourstep['onfail']|escape('hexentity')}</field>
	<field id='broadcast'>{$ourstep['broadcast']|escape('hexentity')}</field>
	<field id='thread'>{$ourstep['thread']|escape('hexentity')}</field>
	<field id='inline'>{$ourstep['inline']|escape('hexentity')}</field>
	<field id='passchain'>{$ourstep['passchain']|escape('hexentity')}</field>
	<field id='failchain'>{$ourstep['failchain']|escape('hexentity')}</field>
	<field id='passwait'>{$ourstep['passwait']|escape('hexentity')}</field>
	<field id='failwait'>{$ourstep['failwait']|escape('hexentity')}</field>
	<field id='result'>{$ourstep['result']|escape('hexentity')}</field>
	<field id='env'>{$ourstep['env']|escape('hexentity')}</field>
	<field id='selector'>{$ourstep['selector']|escape('hexentity')}</field>
	<field id='pnotify'>{$ourstep['pnotify']|escape('hexentity')}</field>
	<field id='fnotify'>{$ourstep['fnotify']|escape('hexentity')}</field>
	<field id='nchange'>{$ourstep['nchange']|escape('hexentity')}</field>
    
	<field id='active_visible'>{if $ourstep['active'] == 'Y'}{translate('Enabled')|escape()}{else}{translate('Disabled')|escape()}{/if}</field>
	<field id='path_visible'>{if $ourstep['absolute'] == 'Y'}{translate('Absolute')|escape()}{else}{translate('Relative')|escape()}{/if}</field>
	<field id='level_visible'>{if $ourstep['level']}{$levels[$ourstep['level']]|escape()}{else}-- {translate('Project Default')|escape()} --{/if}</field>
	<field id='env_visible'>{if !$ourstep['env']}-- {translate('none')|escape()} --{else}{bf_get_environments($ourstep['env'])|assign('ourenv')}{$ourenv[$ourstep['env']]['name']|escape()}{/if}</field>
	<field id='selector_visible'>{if $ourstep['selector'] != ''}{$ourstep['selector']|escape('hexentity')}{else}-- {translate('Project Default')|escape()} --{/if}</field>
	<field id='broadcast_visible'>{if $ourstep['broadcast'] == 'Y'}{translate('Yes')|escape()}{else}{translate('No')|escape()}{/if}</field>
	<field id='result_visible'>{if $ourstep['result']}{if $ourstep['result'] == '0'}-- {translate('Exit Code')|escape()} --{else}{bf_get_filters($ourstep['result'])|escape()}{/if}{else}-- {translate('Exit Code')|escape()} --{/if}</field>
	<field id='onfail_visible'>{if $ourstep['onfail'] == 'C'}{translate('Continue')|escape()}{else}{translate('Halt')|escape()}{/if}</field>
	<field id='thread_visible'>{if $ourstep['thread'] == 'Y'}{translate('Yes')|escape()}{elseif $ourstep['thread'] == 'J'}{translate('Join')|escape()}{else}{translate('No')|escape()}{/if}</field>
	<field id='inline_visible'>{if $ourstep['inline']}{if $ourstep['inline'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourstep['inline'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
	<field id='pnotify_visible'>{if $ourstep['pnotify']}{if $ourstep['pnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levels[$ourstep['pnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
	<field id='passchain_visible'>{if $ourstep['passchain']}{if $ourstep['passchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourstep['passchain'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
	<field id='passwait_visible'>{if $ourstep['passwait'] == 'Y'}{translate('Yes')|escape()}{else}{translate('No')|escape()}{/if}</field>
	<field id='fnotify_visible'>{if $ourstep['fnotify']}{if $ourstep['fnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levels[$ourstep['fnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
	<field id='failchain_visible'>{if $ourstep['failchain']}{if $ourstep['failchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourstep['failchain'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
	<field id='failwait_visible'>{if $ourstep['failwait'] == 'Y'}{translate('Yes')|escape()}{else}{translate('No')|escape()}{/if}</field>
	
</step>

<count>
	<field id='noteslistcount'>{$noteslistcount|escape()}</field>	
	<field id='noteslistpid'>{$noteslistpid|escape()}</field>
	<field id='noteslistid'>{$noteslistid|escape()}</field>
</count>

<records>
	{foreach($noteslist, 'key', 'attr'}
	<record>
		{foreach($attr, 'foo', 'bar'}
		{if $foo == 'date'}
		<field name='{$foo|escape()}'>{bf_format_date($bar)|escape()}</field>
		{else}
		<field name='{$foo|escape()}'>{$bar|escape('hexentity')}</field>
		{/if}
		{/foreach}
	</record>
	{/foreach}
</records>
{if $noteslistsingle}
<note>
	{foreach($noteslistsingle[0], 'skey', 'sval'}
	{if $skey == 'note_response_date'}
	<field id='{$skey|escape()}'>{bf_format_date($sval)|escape()}</field>
	{else}
	<field id='{$skey|escape()}'>{$sval|escape('hexentity')}</field>
	{/if}
	{/foreach}
</note>
{/if}
<navigation>
{module->stepNavigationBlock()}
</navigation>
