{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{editable->get('bf_pid')|assign('editable_pid')}
{editable->get('bf_name')|assign('editable_name')}
{editable->get('bf_sid')|assign('editable_sid')}
{editable->get('bf_lang')|assign('editable_lang')}
{bf_get_languages()|assign('languages')}
{if !$editable_lang}{assign('editable_lang', 'en_US')}{/if}
<permissions>
	<permission id="AddTemplate">{controller->userHasAccessTo('AddTemplate')|escape('hexentity')}</permission>
	<permission id="UpdateTemplate">{controller->userHasAccessTo('UpdateTemplate')|escape('hexentity')}</permission>
	<permission id="DeleteTemplate">{controller->userHasAccessTo('DeleteTemplate')|assign('delete')}{editable->get('bf_pid')|assign('pid')}{if $delete and $pid != 0}1{else}0{/if}</permission>
	<permission id="CoreTemplate">{controller->userHasAccessTo('UpdateTemplate')|assign('update')}{editable->get('bf_pid')|assign('pid')}{if $update and $pid != 0}1{else}0{/if}</permission>
</permissions>
<object>
	<property id="bf_pid">{$editable_pid|escape('hexentity')}</property>
	<property id="bf_pid_name">{if $editable_pid == '0'}-- {translate('all')|escape()} --{else}{bf_get_project_names($editable_pid)|escape('hexentity')}{/if}</property>
	<property id="bf_name">{$editable_name|escape('hexentity')}</property>
	<property id="bf_name_name">{bf_get_templates($editable_lang, $editable_name)|escape('hexentity')}</property>
	<property id="bf_description">{editable->get('bf_description')|escape('hexentity')}</property>
	<property id="bf_frm">{editable->get('bf_frm')|escape('hexentity')}</property>
	<property id="bf_subj">{editable->get('bf_subj')|escape('hexentity')}</property>
	<property id="bf_body">{editable->get('bf_body')|escape('hexentity')}</property>
	<property id="bf_sid">{$editable_sid|escape('hexentity')}</property>
	<property id="bf_sid_name">{if $editable_sid == '0'}-- {translate('all')|escape()} --{else}{bf_get_steps($editable_pid, $editable_sid)|escape('hexentity')}{/if}</property>
	<property id="bf_lang">{$editable_lang|escape('hexentity')}</property>
	<property id="bf_lang_name">{$languages[$editable_lang]|escape('hexentity')}</property>
</object>
<navigation>
{module->navigationBlock()}
</navigation>
