{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}

{* PAGE VARIABLES *}
{scheduler->getCalendar()|assign('calendar')}
{scheduler->getEvents()|assign('events')}
{scheduler->getEventsCount()|assign('eventCount')}
{scheduler->getMonthCount()|assign('monthCount')}
{scheduler->getToday()|assign('today')}
{scheduler->getAllProjects()|assign('projects')}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape()|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape()|assign('temp')}{"&amp;action=$temp"|assign('linkAction')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape()|assign('temp')}{"&amp;bf_id=$temp"|assign('linkID')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape()|assign('temp')}{"&amp;state=$temp"|assign('linkState')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape()|assign('temp')}{"&amp;orderby=$temp"|assign('linkOrderby')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape()|assign('temp')}{"&amp;sort=$temp"|assign('linkSort')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape()|assign('temp')}{"&amp;filter=$temp"|assign('linkFilter')}{/if}
{assign('now', $jTE['now'])}
{assign('perColumn', 3)}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddSchedule')|assign('CanAddSchedule')}
{controller->userHasAccessTo('EditSchedule')|assign('CanEditSchedule')}
{controller->userHasAccessTo('DeleteSchedule')|assign('CanDeleteSchedule')}

{bf_get_levels($user['id'], 1)|assign('allowedlevels')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/schedule.gif" border="0" alt="" />
			<span class="module_name">{translate('schedules')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
            <div class="global_button"><input id="PRun_Btn_AddSchedule" type="button" class="bf_button" value="{translate('add scheduled run')|escape()}" onclick="page_details.clear();return false;" {if !$CanAddSchedule}disabled="disabled"{/if}/></div>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Scheduling_Builds.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Scheduling_Builds.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
        </div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

		{if $jTE['get']['action'] != 'schedule.calendar.view' && $jTE['get']['action'] != 'schedule.list.view'}
			{userobj->getPreference('schedule_defaultpage')|assign('selectedTab')}
			{if $selectedTab != 'schedule.calendar.view' && $selectedTab != 'schedule.list.view'}
				{assign('selectedTab','schedule.calendar.view')}
			{/if}
		{else}
			{assign('selectedTab', $jTE['get']['action'])}
		{/if}

	<div id="content_top">

		<div class="BF_tabs" id="listing_tabs">

			<ul class="tabs" style="margin:9px 0 0 0;padding:0 0 2px 15px;border-bottom:1px solid #B5B5B5;">		
				<li id="listnav" {if $selectedTab == 'schedule.list.view'}class="selected"{/if}><a href="{$linkSelf}?mod={$linkModule}&amp;action=schedule.list.view{$linkFilter}{$linkOrderby}{$linkSort}" onclick="return !paginator.refreshPage('schedule.list.view');" style='padding:0.7em;'>{translate('schedule list')|escape()}</a></li>
				<li id="calendarnav" {if $selectedTab == 'schedule.calendar.view'}class="selected"{/if}><a href="{$linkSelf}?mod={$linkModule}&amp;action=schedule.calendar.view{$linkFilter}{$linkOrderby}{$linkSort}" onclick="return !paginator.refreshPage('schedule.calendar.view');" style='padding:0.7em;'>{translate('calendar')|escape()}</a></li>
			</ul>

			<div id="content_summary" class="Projects">

		        <div class="ProjectRuns_View">			
					{include('paging_controls.tpl', "spinner=1")}
				</div>

				<div>
					{assign('form_action', "$linkSelf$linkModule$linkAction")}
					{include('filter_form.tpl', "action=schedule.view"}
				</div>

				<div id="summary_scroller" class="tab_details{if $selectedTab == 'schedule.list.view'} current{/if}" style="height:{math($content_top_height-33)}px;padding:0 0 3px 0 !important;overflow:auto;clear:left;border-left:0px !important;;margin-top:0 !IEOnly;">			
					<table cellpadding="0" cellspacing="0">
						<thead>
							<tr>
								<th>{translate('description')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=description&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('description');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
								<th>{translate('project')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=project&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('project');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
								<th>{translate('class')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=class&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('class');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
								<th>{translate('owner')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=owner&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('owner');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
								<th>{translate('environment')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=environment&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('environment');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
								<th>{translate('selector')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=selector&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('selector');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
								<th>{translate('next run')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=nextrun&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('nextrun');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							</tr>
						</thead>
						<tbody id="listing">
							<tr class="clone" id="listing_row">
								<td><img src="{$webroot}images/icons/schedule.gif" alt="{translate('schedule')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape()}?mod={$jTE['get']['mod']|escape()}&amp;action=schedule.edit&amp;bf_cid={$item['id']|escape()}" onclick="return !page_details.loadDetails('');"></a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=projects&amp;action=projects.view&amp;bf_id="></a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=projects&amp;action=classes.view&amp;bf_name="></a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=administration&amp;action=users.view&amp;bf_userid="></a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=environments&amp;action=environment.view&amp;bf_bid="></a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=servers&amp;action=selectors.view&amp;bf_selector_id="></a></td>
								<td></td>
							</tr>
						{listing->getCount()|assign('count')}
						{for('itemindex', $count)}
							<tr>
								{listing->next()|assign('item')}
								<td><img src="{$webroot}images/icons/schedule.gif" alt="{translate('schedule')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape()}?mod={$jTE['get']['mod']|escape('url')}&amp;action=schedule.edit&amp;bf_cid={$item['cid']|escape('url')}" onclick="return !page_details.loadDetails('{$item['cid']|escape('javascript')}');">{$item['pname']|escape()}</a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=projects&amp;action=projects.view&amp;bf_id={$item['pid']|escape('url')}">{$item['pdescription']|truncate(35)|escape()}</a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=projects&amp;action=classes.view&amp;bf_name={$item['class']|escape('url')}">{$item['class']|truncate(35)|escape()}</a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=administration&amp;action=users.view&amp;bf_userid={$item['ownerid']|escape('url')}">{$item['owner']|truncate(35)|escape()}</a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=environments&amp;action=environment.view&amp;bf_bid={$item['eid']|escape('url')}">{$item['environment']|truncate(35)|escape()}</a></td>
								<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=servers&amp;action=selectors.view&amp;bf_selector_id={$item['selector']|escape('url')}">{$item['selector']|truncate(35)|escape()}</a></td>
								<td>
									{if !$item['nextrun']}
										{if $item['active'] == 'N'}
											{translate('inactive')|escape()}
										{else}
											{translate('calculating')|escape()}
										{/if}
									{else}
										{if $item['nextrun'] == -2}
											{translate('unreachable date')|escape()}
										{elseif $item['nextrun'] == -1}
											{translate('invalid date')|escape()}
										{else}
											{bf_format_date($item['nextrun'])|escape()}
										{/if}
									{/if}
								</td>
							</tr>
						{/for}
						</tbody>
					</table>
				</div>

				<div id="calendardiv" class="tab_details{if $selectedTab == 'schedule.calendar.view'} current{/if}" style="height:{math($content_top_height-33)}px;padding:0 0 3px 0 !important;overflow:auto;clear:left;border-left:0px !important;">
					<center>
					<div id="calendars" style="width:{if $monthCount > $perColumn}{math(320 * $perColumn)}{else}{math(320 * $monthCount)}{/if}px;">
						{assign('calendarCounter', 0)}
						{foreach($calendar, 'key', 'value')}
							{math($calendarCounter + 1)|assign('calendarCounter')}
							<div class="calendarBody">
								<div class="calHeader" style="border-bottom:1px solid black;">
									<label class="fLeft"><a href="#" onclick="paginator.decMonth(); return false"><img src="{$webroot}images/prev.gif" alt="{translate('previous')|escape()}" style="padding-right: 0px"/></a></label>
									<label class="fRight"><a href="#" onclick="paginator.incMonth(); return false"><img src="{$webroot}images/next.gif" alt="{translate('next')|escape()}" style="padding-right: 0px"/></a></label>
									<label class="fCenter" id="month_name">{$key|escape('hexentity')}</label>
								</div>

								<div class="wkHeader">
									{userobj->getPreference('schedule_start_dow')|assign('start_dow')}
									{if !$start_dow}{assign('start_dow', 0)}{/if}
									{for('i', 7)}
									{math(($i+$start_dow) % 7)|assign('curday')}
									<span class="{if $curday == 6 or $curday == 0}wknd{/if}">{translate($dow[$curday])|escape()}</span>
									{/for}
								</div>

								{assign('week', 0)}
								{foreach($value, 'subkey', 'subvalue')}
									<div class="week" id="week_{$week}">
										{assign('day', 0)}
										{foreach($subvalue, 'dayofyear', 'dayinformation')}
											{math($dayofyear + $now)|assign('uniqueName')}
											<span class="day {if !$dayinformation['MONTH']} offMonth {/if}{if $dayinformation['WKND']} wknd {/if}" id="day_{$week}_{$day}">
												<span id="day_name_{$week}_{$day}">{if $dayinformation['CURRENT'] && $dayinformation['MONTH']}<b>{$dayinformation['NUM']|escape()}</b>{else}{$dayinformation['NUM']|escape()}{/if}</span>
												<ul class="hoverMenu"{if !$dayinformation['NUMTASKS'] or !$dayinformation['MONTH']} style="display: none"{/if} id="day_tasklist_{$week}_{$day}">
													<li class="folder">
														<a href="#" class="task_number submenu">{$dayinformation['NUMTASKS']|escape()}</a>
														<ul class="primary">
															<li class="header icon_submenu">{translate('schedule list')|escape()}</li>
															{foreach($dayinformation['TASKS'], 'subsubkey', 'task_entry')}
															<li class="icon_up"><a href="{$linkSelf}?mod=schedules&amp;action=schedule.edit&amp;bf_cid={$task_entry['cid']|escape()}" onclick="{if $task_entry['owner'] == $user['id'] or $user['id'] == 1}page_details.loadDetails({$task_entry['cid']|escape('javascript')});{else}page_details.showMessageNotOwner();{/if}return false;" title="&quot;{$task_entry['minute']|escape()}&quot; &quot;{$task_entry['hour']|escape()}&quot; &quot;{$task_entry['day']|escape()}&quot; &quot;{$task_entry['month']|escape()}&quot; &quot;{$task_entry['dayofweek']|escape()}&quot;">{$task_entry['pname']|escape('hexentity')}</a></li>
															{/foreach}
														</ul>
													</li>
												</ul>
											{math($day + 1)|assign('day')}
											</span>
										{/foreach}
									</div>
									{math($week + 1)|assign('week')}
								{/foreach}
								{if $week == 4}
									<div class="week" id="week_4" style="display:none">
										{for('day', 7)}
											<span class="day" id="day_4_{$day}">
												<span id="day_name_4_{$day}"></span>
												<ul class="hoverMenu"{if !$dayinformation['NUMTASKS'] or !$dayinformation['MONTH']} style="display: none"{/if} id="day_tasklist_4_{$day}">
													<li class="folder" id="day_tasklist_4_{$day}">
														<a href="#" class="task_number submenu"></a>
														<ul class="primary">
															<li class="header icon_submenu">{translate('schedule list')|escape()}</li>
														</ul>
													</li>
												</ul>
											</span>
											{math($day + 1)|assign('day')}
										{/for}
									</div>
									{math($week + 1)|assign('week')}
								{/if}
								{if $week == 5}
									<div class="week" id="week_5" style="display:none">
										{for('day', 7)}
											<span class="day" id="day_5_{$day}">
												<span id="day_name_5_{$day}"></span>
												<ul class="hoverMenu"{if !$dayinformation['NUMTASKS'] or !$dayinformation['MONTH']} style="display: none"{/if} id="day_tasklist_5_{$day}">
													<li class="folder" id="day_tasklist_5_{$day}">
														<a href="#" class="task_number submenu"></a>
														<ul class="primary">
															<li class="header icon_submenu">{translate('schedule list')|escape()}</li>
														</ul>
													</li>
												</ul>
											</span>
											{math($day + 1)|assign('day')}
										{/for}
									</div>
								{/if}

							</div>
							{/foreach}
						

						<br clear="all" />
					</div>
					</center>
				</div>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=schedule.edit" 
			onsubmit="return !page_details.save();" method="post">
		<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">

		{editable->get('bf_cid')|assign('editable_cid')}
		{editable->get('bf_description')|assign('editable_description')}
		{editable->get('bf_pid')|assign('editable_pid')}
		{editable->get('bf_owner')|assign('editable_owner')}
		{editable->get('bf_eid')|assign('editable_eid')}
		{editable->get('bf_active')|assign('editable_active')}
		{editable->get('bf_minute')|assign('editable_minute')}
		{editable->get('bf_hour')|assign('editable_hour')}
		{editable->get('bf_dom')|assign('editable_dom')}
		{editable->get('bf_month')|assign('editable_month')}
		{editable->get('bf_dow')|assign('editable_dow')}
		{editable->get('bf_fired')|assign('editable_fired')}
		{editable->get('bf_nextrun')|assign('editable_nextrun')}
		{editable->get('bf_selector')|assign('editable_selector')}
		{editable->get('bf_class')|assign('editable_class')}

		<input type="hidden" id="object_details_id" name="object[bf_cid]" value="{$editable_cid|escape()}" />
		<input type="hidden" id="object_details_nextrun" name="object[bf_nextrun]" value="{$editable_nextrun|escape()}" />
		<input type="hidden" id="object_details_fired" name="object[bf_fired]" value="{if $editable_fired}{$editable_fired|escape()}{else}0{/if}" />

		<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" /><span id="object_label">{if $editable_description != ''}{$editable_description|escape('hexentity')}{else}({translate('new entry')|escape()}){/if}</span></span>
		<div class="bf_button_bar">
			<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_save" value="{translate('save schedule')|escape()}" {if (!$editable_description and !$CanAddSchedule) or ($editable_description and !$CanEditSchedule)}disabled="disabled"{/if}/></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy schedule')|escape()}" onclick="return !page_details.copy();" {if !$editable_description or !$CanAddSchedule}disabled="disabled"{/if}/></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<div class="details_button"><input type="submit" class="bf_button" id="object_details_delete" name="object_details_delete" value="{translate('delete schedule')|escape()}" onclick="return !page_details.kill();" {if !$CanDeleteSchedule or !$editable_description}disabled="disabled"{/if} /></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li{if !$dtab or $dtab === 0} class="selected"{/if}><a href="{$linkSelf}?mod={$linkModule}&amp;action=schedule.edit&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('schedule details')|escape()}</a></li>
					<li{if $dtab === 1} class="selected"{/if}><a href="{$linkSelf}?mod={$linkModule}&amp;action=schedule.edit&amp;dtab=1" onclick="{if $editable_cid}page_details.goTab(1);{else}page_details.showMessageMustEdit();{/if}return false;">{translate('environment')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details{if !$dtab or $dtab === 0} current{/if}">
				<div class="properties">
					<div class='third'>
						<label for="object_details_description">{translate('description')|escape()}: </label>
						<input id="object_details_description" type="text" class="textBox" name="object[bf_description]" value="{$editable_description|escape('hexentity')}" />
					</div>

					<div class='third'>
						<label for="object_details_pid_visible">{translate('project')|escape()}:</label>
						<input id="object_details_pid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_pid}-- {translate('class purge schedule')|escape()} --{else}{bf_get_project_names($editable_pid)|escape('hexentity')}{/if}" value="{if !$editable_pid}-- {translate('class purge schedule')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($editable_pid)|truncate($pselect_truncation)|escape('hexentity')}{/if}" tabindex="2" onclick="pseudoSelect('object_details_pid', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('project')|escape('javascript')}&attribute=name&value=id&name=project&seedlist=|0,-- {translate('class purge schedule')|escape('javascript')} --|', page_details.scheduleClassPurge);" />
						<input name="object[bf_pid]" id="object_details_pid" type="hidden" value="{if $editable_pid}{$editable_pid|escape('hexentity')}{else}0{/if}" />
					</div>
					<div class='third'>
						<label for="object_details_active_visible">{translate('mode')|escape()}:</label>
						<input id="object_details_active_visible" type="button" class="pselect iconToggle" title="{if $editable_active == 'O'}{translate('once')|escape()}{elseif $editable_active == 'N'}{translate('inactive')|escape()}{else}{translate('active')|escape()}{/if}" value="{if $editable_active == 'O'}{translate('once')|truncate($pselect_truncation)|escape()}{elseif $editable_active == 'N'}{translate('inactive')|truncate($pselect_truncation)|escape()}{else}{translate('active')|truncate($pselect_truncation)|escape()}{/if}" tabindex="3" onclick="pseudoSelect('object_details_active', 'Y,{translate('active')|escape('javascript')}|O,{translate('once')|escape('javascript')}|N,{translate('inactive')|escape('javascript')}', 'type=toggle');" />
						<input name="object[bf_active]" id="object_details_active" type="hidden" value="{if !$editable_active}Y{else}{$editable_active|escape()}{/if}" />
					</div>

				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_eid_visible">{translate('environment')|escape()}:</label>
						<input id="object_details_eid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_eid}-- {translate('project default')|escape()} --{else}{bf_get_environments($editable_eid)|assign('editable_env')}{$editable_env[$editable_eid]['name']|escape('hexentity')}{/if}" value="{if !$editable_eid}-- {translate('project default')|truncate($pselect_truncation)|escape()} --{else}{bf_get_environments($editable_eid)|assign('editable_env')}{$editable_env[$editable_eid]['name']|truncate($pselect_truncation)|escape('hexentity')}{/if}" tabindex="4" onclick="pseudoSelect('object_details_eid', 'mod=environments&type=xml', 'title={translate('environments')|escape('javascript')}&attribute=class&value=bf_bid&name=bf_param&seedlist=|0,-- {translate('project default')|escape('javascript')} --|');" />
						<input name="object[bf_eid]" id="object_details_eid" type="hidden" value="{if $editable_eid}{$editable_eid|escape('hexentity')}{else}0{/if}" />
					</div>
					{if ((!$editable_pid or $editable_pid == '0') and $editable_class == '')}{bf_get_classes()|assign('classes')}{foreach($classes, 'key', 'value')}{if ($editable_class == '')}{assign('editable_class', $key)}{/if}{/foreach}{/if}
					<div class="third">
						<label for="object_details_class_visible">{translate('class')|escape()}:</label>
						<input id="object_details_class_visible" type="button" class="pselect iconDropdown" title="{if $editable_class != ''}{$editable_class|escape('hexentity')}{else}-- {translate('project default')|escape()} --{/if}" value="{if $editable_class != ''}{$editable_class|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('project default')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="5" onclick="pseudoSelect('object_details_class', 'mod=projects&action=classes.view&type=xml', 'title={translate('classes')|escape('javascript')}&attribute=class&value=bf_name&name=bf_name&seedlist=|,-- {translate('project default')|escape('javascript')} --|');" />
						<input name="object[bf_class]" id="object_details_class" type="hidden" value="{$editable_class|escape()}" />
					</div>
					<div class="third">
						<label for="object_details_selector_visible">{translate('Selector')|escape()}:</label>
						<input id="object_details_selector_visible" type="button" class="pselect iconDropdown" title="{if $editable_selector != ''}{$editable_selector|escape('hexentity')}{else}-- {translate('project default')|escape()} --{/if}" value="{if $editable_selector != ''}{$editable_selector|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('project default')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="6" onclick="pseudoSelect('object_details_selector', 'mod=servers&action=selectors.view&type=xml', 'title={translate('selectors')|escape('javascript')}&attribute=class&value=bf_coll_id&name=bf_coll_id&seedlist=|,-- {translate('project default')|escape('javascript')} --|');" />
						<input name="object[bf_selector]" id="object_details_selector" type="hidden" value="{$editable_selector|escape()}" />
					</div>
					<div class="third" id="object_details_nextrun_block" style="display: none">
						<label for="object_details_nextrun_display">{translate('next run')|escape()}:</label>
						<span id="object_details_nextrun_display">
							{if !$editable_nextrun}
								{if $editable_active == 'N'}
									{translate('inactive')|escape()}
								{else}
									{translate('calculating')|escape()}
								{/if}
							{else}
								{if $editable_nextrun == -2}
									{translate('unreachable date')|escape()}
								{elseif $editable_nextrun == -1}
									{translate('invalid date')|escape()}
								{else}
									{bf_format_date($editable_nextrun)|escape()}
								{/if}
							{/if}
						</span>
					</div>
				</div>
				<div class="properties" style='clear:left;'>
					{if $user['id'] == '1'}
					<div class='third'>
						{if !$editable_owner}{assign('editable_owner', 1)}{/if}
						<label for="object_details_owner_visible">{translate('owner')|escape()}:</label>
						<input id="object_details_owner_visible" type="button" class="pselect iconDropdown" title="{bf_get_users($editable_owner)|escape()}" value="{bf_get_users($editable_owner)|truncate($pselect_truncation)|escape()}" tabindex="7" onclick="pseudoSelect('object_details_owner', 'mod=administration&action=users.view&type=xml', 'title={translate('owner')|escape('javascript')}&attribute=class&value=bf_userid&name=bf_name');" />
						<input name="object[bf_owner]" id="object_details_owner" type="hidden" value="{$editable_owner|escape()}" />
					</div>
					{else}
						<input type="hidden" name="object[bf_owner]" value="{$user['id']|escape()}" />
					{/if}

					<div class='twothirds'>


						<div style="display:inline">
						{translate('minutes')|escape()}: 
						<input size="3" style="width:25px;" id="object_details_minute" name="object[bf_minute]" value="{if $editable_minute != ''}{$editable_minute|escape('hexentity')}{else}0{/if}" type="text" tabindex="8" />
						</div>
					
						<div style="display:inline;padding-left:15px;">
						{translate('hours')|escape()}: 
						<input size="3" style="width:25px;" id="object_details_hour" name="object[bf_hour]" value="{if $editable_hour != ''}{$editable_hour|escape('hexentity')}{else}0{/if}" type="text" tabindex="9" />
						</div>
					
						<div style="display:inline;padding-left:15px;">
						{translate('dates')|escape()}: 
						<input size="3" style="width:25px;" id="object_details_dom" name="object[bf_dom]" value="{if $editable_dom != ''}{$editable_dom|escape('hexentity')}{else}*{/if}" type="text" tabindex="10" />
						</div>
					
						<div style="display:inline;padding-left:15px;">
						{translate('months')|escape()}: 
						<input size="3" style="width:25px;" id="object_details_month" name="object[bf_month]" value="{if $editable_month != ''}{$editable_month|escape('hexentity')}{else}*{/if}" type="text" tabindex="11" />
						</div>
					
						<div style="display:inline;padding-left:15px;">
						{translate('days')|escape()}: 
						<input size="3" style="width:25px;" id="object_details_dow" name="object[bf_dow]" value="{if $editable_dow != ''}{$editable_dow|escape('hexentity')}{else}*{/if}" type="text" tabindex="12" />
						</div>
					
					</div>
				</div>
			</div>
			<div class="tab_details" style="overflow: auto;">
				<div class="properties">
					<div class="pad" id="object_details_env_block">
						{if $editable_pid != ''}
							{bf_env_treeview($editable_eid)}
						{/if}
					</div>
				</div>
			</div>

		</div>
	</div>
</form>
