/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

function NewPaginator() {
	this.container = $('listing');
	this.oop = true; // TEMP: force it to use the new methods
	this.table_replacer.idfield = 4; // Index of the field containing the identifier
	this.container_id = 'listing';
	this.request.parameters.action = 'collectors.view.prop';
	this.request.parameters.bf_coll_id = bf_query.bf_coll_id;


	this.table_replacer.cellHandlers[0] = function(cell, elems) {
		var ourListItems = cell.getElementsByTagName('li');
		// walk the list items and adjust those that need it.
		for (i=0;i<ourListItems.length;i++) {
			// Test to see which menuitem it is and perform the correct action
			switch (ourListItems.item(i).getAttribute('menuitem')) {
				case 'insertNew':
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.newVariableAt('" + elems[4].firstChild.nodeValue + "'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.newVariableAt('" + elems[4].firstChild.nodeValue + "');return false;");
					break;
				case 'moveTop':
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','-100000'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','-100000');return false;");
					break;
				case 'moveUp':
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','-1'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','-1');return false;");
					break;
				case 'moveDown':
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','1'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','1');return false;");
					break;
				case 'moveBottom':
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','100000'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.moveVariable('" + elems[4].firstChild.nodeValue + "','100000');return false;");
					break;
				case 'delete':
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.deleteVariable('" + elems[4].firstChild.nodeValue + "'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.deleteVariable('" + elems[4].firstChild.nodeValue + "');return false;");
					break;				
			}
		}
		var tester = ourListItems.item(0);
		// Due to IE being goofie
		cell.innerHTML = cell.innerHTML
	}


	// Replaces the first cell's contents with a new status image, the id for the link, and the name
	this.table_replacer.cellHandlers[1] = function(cell, elems) {
		// Assign the ID to the tr and the href
		var links = cell.getElementsByTagName('a');
		if (elems[0].firstChild && links && links.length == 1) {
			var link = links.item(0);
			// Assign the ID in the HREF
			link.setAttribute('href', 'javascript:void(page_details.loadDetails(\'' + 
					elems[4].firstChild.nodeValue + '\'));');
			link.setAttribute('onclick', '');
			// Actual name
			link.innerHTML = replace_html_entities(elems[0].firstChild.nodeValue);
		}
	}

	this.table_replacer.cellHandlers[2] = function(cell, elems) {
		cell.innerHTML = elems[1].firstChild ? replace_html_entities(elems[1].firstChild.nodeValue) : '';
	}

	this.table_replacer.cellHandlers[3] = function(cell, elems) {
		cell.innerHTML = elems[2].firstChild ? replace_html_entities(elems[2].firstChild.nodeValue) : '';
	}

	this.table_replacer.cellHandlers[4] = function(cell, elems) {
		cell.innerHTML = elems[3].firstChild ? replace_html_entities(elems[3].firstChild.nodeValue) : '';
	}


}
NewPaginator.prototype = new Paginator;
paginator = new NewPaginator();

function CollectorDetails() {
	this.oop = true;
	this.request.parameters.action = 'collectors.edit.prop';
	this.request.parameters.bf_coll_id = bf_query.bf_coll_id;
	this.first_field = 'variable_details_name';
	this.input_match = /variable\[[^\]]+\]/;
	this.delete_flag = 'variable[delete]';
	this.primary_key = {bf_seq:'variable_details_id'};
	this.new_fid = null;
	this.replacer.elements = {
			'bf_seq':new Array('variable_details_id','variable_details_newseq'),
			'bf_prop':new Array('variable_details_name','object_label'),
			'bf_value':new Array('variable_details_value','variable_details_value_include',
					'variable_details_value_include_visible'),
			'bf_regex':'variable_details_regex'
		};
	this.clear_elements = {
			// Clear the form
			'variable_details_id':'',
			'variable_details_newseq':'',
			'variable_details_type':'Set Value',
			'variable_details_name':'',
			'variable_details_value':'',
			'variable_details_value_include':'',
			'variable_details_value_include_visible':'-- ' + translate('collectors') + ' --',
			'variable_details_regex':'',
			// Clear misc elements
			'object_label':'(' + translate('new variable') + ')'
		};
	
	this.customClear = function() {
		viewVariableForm(); // switch back to the standard view
		$('variable_details_delete').disabled = 'disabled';
	}

	
	/**
	 * Lots of rejiggery-pokery to happen in order to manage the view onLoad
	 */
	this.customLoad = function(event) {
		// Handle passed permissions
		var permissions = new PermissionApplier();
		permissions.response = event.arguments[0]; // the response gets passed as the first
		permissions.key = 'permissions';
		permissions.container = document.getElementById('content_bottom');
		permissions.elements = {
			'EditCollector':new Array('variable_details_save', 'variable_details_delete')
		};
		permissions.handleResponse();

		// Rest of the crap
		var var_value = $('variable_details_value').value;
		var bf_user = null;
		if (ieNeedsLoveAndCare())  {
			var fields = event.arguments[0].responseXML.getElementsByTagName('property');
			for(var i = 0; i < fields.length; i++)  {
				if (fields[i].getAttribute('id') == 'bf_user')  {
					bf_user = fields[i];
				}
			}
		}  else {
			bf_user = event.arguments[0].responseXML.getElementById('bf_user');
		}
		if (bf_user && bf_user.firstChild && bf_user.firstChild.nodeValue == 'Y') {
			viewVariableForm('Run Command');
		} else if (var_value.length > 0) {
			if ($('variable_details_name').value == '.include') {
				viewVariableForm('.include');
			} else {
				viewVariableForm('Set Value');
			}
		} else {
			viewVariableForm('Built-in'); // Built-in
			$('variable_details_type').selectedIndex = 1;
			$('variable_details_name_builtin_visible').value = $('variable_details_name').value;
			$('variable_details_name_builtin').value = $('variable_details_name').value;
			$('variable_details_name').value = '';
		}
	}
	
	this.valid = function() {
		var errors = false;
		
		// If using a built-in, no need to validate
		if ($('variable_details_type').value == 'Built-in') {
			return true;
		}  else if ($('variable_details_type').value == '.include') {
			var param = $('variable_details_value_include');
			if (!param || param.value == '') {
				errors = true;
				displayError(translate('2050'));
				param.focus();
			}
		}  else {
			var param = $('variable_details_name');
			if (param && param.value != '') {
				var varmatch = /^BF_/i;
				if (varmatch.test(param.value)) {
					errors = true;
					displayError(translate('2116'));
					param.focus();
				}
			} else {
				errors = true;
				displayError(translate('2131'));
				param.focus();
			}
			var val = $('variable_details_value');
			if (!errors && (!val || val.value == ''))  {
				errors = true;
				displayError(translate('2256', translate('variable'), 
						$('variable_details_type').value == 'Set Value' ? translate('value') : 
						translate('command')));
				param.focus();
			}
		}
		return !errors;
	}


	this.newVariableAt = function(fid) {
		page_details.new_fid = fid;
		page_details.addEventListener('clear', page_details.setNewFID);
		page_details.clear();
	}
	
	this.setNewFID = function() {
		$('variable_details_newseq').value = page_details.new_fid;
		page_details.new_fid = null;
		page_details.removeEventListener('clear', page_details.setNewFID);
	}
	
	this.moveVariable = function(fid, direction) {
		var content = makeRequest('Request');
		content.parameters.action = 'collectors.view.prop';
		content.parameters.bf_coll_id = bf_query['bf_coll_id'];;
		content.parameters.bf_seq = fid;
		content.content['variable[move]'] = direction;
		content.message = translate('saving...');
		content.addEventListener('load', paginator.refresh);
		content.send();
		return true;
	}
	
	this.deleteVariable = function(fid) {
		// If in the details, just call that method
		if (Number($('variable_details_id').value) == fid) {
			return page_details.kill();
		}
		
		if (!confirm(translate('2119'))) {
			return true;
		}
		
		var content = makeRequest('Request');
		content.parameters.action = 'collectors.edit.prop';
		content.parameters.bf_coll_id = bf_query['bf_coll_id'];;
		content.parameters.bf_seq = fid;
		content.content['variable[delete]'] = 1;
		content.message = translate('saving...');
		content.addEventListener('load', paginator.refresh);
		content.send();
		return true;
	}
	

}

// Override with server-specific urls, variables and keys
CollectorDetails.prototype = new Details();
page_details = new CollectorDetails();
page_details.addEventListener('clear', page_details.customClear);
page_details.addEventListener('load', page_details.customLoad);
page_details.nav_replacer.replace_contents = false;

function viewVariableForm(type) {
	if (type)  {
		$('variable_details_type').value = type;
	}  else {
		type = $('variable_details_type').value;
	}
	switch(type) {
		// First, the Set Value display
		case 'Set Value':
			$('container_bf_name_label').innerHTML = translate('variable') + ':';
			$('container_bf_value_label').innerHTML = translate('value') + ':';
			$('variable_details_name').style.display = 'inline';
			$('variable_details_name_builtin_select').style.display = 'none';
			$('container_bf_value').style.display = 'block';
			$('container_bf_value_include').style.display = 'none';
			$('container_bf_regex').style.display = 'none';
			$('variable_details_name').disabled = false;
			$('variable_details_regex').value = '';
			$('variable_details_type_visible').value = translate('set value');
			break;
		// Then, the Built-in display
		case 'Built-in':
			$('container_bf_name_label').innerHTML = translate('variable') + ':';
			$('container_bf_value_label').innerHTML = translate('value') + ':';
			$('variable_details_name_builtin_select').style.display = 'inline';
			$('container_bf_value').style.display = 'none';
			$('container_bf_value_include').style.display = 'none';
			$('container_bf_regex').style.display = 'none';
			$('variable_details_name').disabled = false;
			$('variable_details_name').style.display = 'none';
			$('variable_details_value').value = '';
			$('variable_details_regex').value = '';
			$('variable_details_type_visible').value = translate('built-in');
			break;
		// Then, the Run Command display
		case 'Run Command':
			$('container_bf_name_label').innerHTML = translate('variable') + ':';
			$('container_bf_value_label').innerHTML = translate('command') + ':';
			$('variable_details_name').style.display = 'inline';
			$('variable_details_name_builtin_select').style.display = 'none';
			$('variable_details_name').disabled = false;
			$('container_bf_value').style.display = 'block';
			$('container_bf_value_include').style.display = 'none';
			$('container_bf_regex').style.display = 'block';
			$('variable_details_type_visible').value = translate('run command');
			break;
		// .include gets its own special place
		case '.include':
			$('container_bf_name_label').innerHTML = '';
			$('variable_details_name').style.display = 'none';
			$('variable_details_name_builtin_select').style.display = 'none';
			$('container_bf_regex').style.display = 'none';
			$('container_bf_value_include').style.display = 'block';
			$('container_bf_value').style.display = 'none';
			$('variable_details_name').disabled = true;
			$('variable_details_name').value = '.include';
			$('variable_details_regex').value = '';
			$('variable_details_type_visible').value = translate('include');
			break;
	}
}
