{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/collector.gif" border="0" alt=""/>
			<span class="module_name"><a href="{$linkSelf}{$linkModule}&amp;action=collectors.view">{translate('collectors')|escape()}</a></span><span class="sepGT">&gt;&gt;</span><span class="location_name">{$jTE['get']['bf_coll_id']|truncate(30)|escape()}</span>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<span class="sepStroke"> </span>
			<form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=collectors.view.prop" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add collector variable')|escape()}" /></div>
			</form>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
		</div>

		<div id="content_title_right">
<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_collectors.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_collectors.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
	<div class="summary_list_controls">
		{include('paging_controls.tpl')}
		{include('filter_form.tpl', "action='collectors.view.prop'")}
	</div>

		<div id="summary_scroller" class="Admin_Details">
			{listing->getColumnNames()|assign('columns')}
			<table cellpadding="0" cellspacing="0">
				<thead>
					<tr>
						<th width="20"></th>
						<th>{translate('variable')|escape()}</th>
						<th>{translate('value')|escape()}</th>
						<th>{translate('type')|escape()}</th>
						<th>{translate('regular expression')|escape()}</th>
					</tr>
				</thead>
				<tbody id="listing">
					<tr class="clone">
						<td>
							<ul class='hoverMenu'>
								<li class='folder'>
									<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
									<ul class='primary'>
										<li class='header'>{translate('button menu options')|escape()}</li>
										<li menuitem='insertNew' class='icon_clone'><a href="#">{translate('insert new variable')|escape()}</a></li>
										<li class='folder icon_submenu'><span class='submenu'>{translate('move variable')|escape()}</span>
											<ul>
												<li menuitem='moveTop' class='icon_up'><a href="#">{translate('move to top')|escape()}</a></li>
												<li menuitem='moveUp' class='icon_up'><a href="#">{translate('move up')|escape()}</a></li>
												<li menuitem='moveDown' class='icon_down'><a href="#">{translate('move down')|escape()}</a></li>
												<li menuitem='moveBottom' class='icon_down'><a href="#">{translate('move to bottom')|escape()}</a></li>
											</ul>
										</li>
										<li menuitem='delete' class='icon_delete'><a href="#">{translate('delete variable')|escape()}</a></li>
									</ul>
								</li>
							</ul>
						</td>
						<td>
							<img src="{$webroot}images/icon_variable.gif" border="0" />
							<a href="{$linkSelf}{$linkModule}&amp;action=collectors.edit.prop&amp;bf_coll_id={$jTE['get']['bf_coll_id']|escape('url')}&amp;bf_seq=" onclick="return !page_details.loadDetails('');"></a>
						</td>
						<td></td>
						<td></td>
						<td></td>
					</tr>
				{listing->getCount()|assign('projectcount')}
				{for('project', $projectcount)}
					{listing->next()|assign('node')}
					<tr>
						<td>
							<ul class='hoverMenu'>
								<li class='folder'>
									<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
									<ul class='primary'>
										<li class='header'>{translate('button menu options')|escape()}</li>
										<li class='icon_clone'><a href="javascript:void(page_details.newVariableAt('{$node['id']|escape('javascript')}');return false);" onclick="page_details.newVariableAt('{$node['id']|escape('javascript')}');return false;">{translate('insert new variable')|escape()}</a></li>
										<li class='folder icon_submenu'><span class='submenu'>{translate('move variable')|escape()}</span>
											<ul>
												<li class='icon_up'><a href="javascript:void(page_details.moveVariable('{$node['id']|escape('javascript')}','-100000');return false);" onclick="page_details.moveVariable('{$node['id']|escape('javascript')}','-100000');return false;">{translate('move to top')|escape()}</a></li>
												<li class='icon_up'><a href="javascript:void(page_details.moveVariable('{$node['id']|escape('javascript')}','-1');return false);" onclick="page_details.moveVariable('{$node['id']|escape('javascript')}','-1');return false;">{translate('move up')|escape()}</a></li>
												<li class='icon_down'><a href="javascript:void(page_details.moveVariable('{$node['id']|escape('javascript')}','1');return false);" onclick="page_details.moveVariable('{$node['id']|escape('javascript')}','1');return false;">{translate('move down')|escape()}</a></li>
												<li class='icon_down'><a href="javascript:void(page_details.moveVariable('{$node['id']|escape('javascript')}','100000');return false);" onclick="page_details.moveVariable('{$node['id']|escape('javascript')}','100000');return false;">{translate('move to bottom')|escape()}</a></li>
											</ul>
										</li>
										<li class='icon_delete'><a href="javascript:void(page_details.deleteVariable('{$node['id']|escape('javascript')}');return false);" onclick="page_details.deleteVariable('{$node['id']|escape('javascript')}');return false;">{translate('delete variable')|escape()}</a></li>
									</ul>
								</li>
							</ul>
						</td>
						<td>
							<img src="{$webroot}images/icon_variable.gif" border="0" />
							<a href="{$linkSelf}{$linkModule}&amp;action=collectors.edit.prop&amp;bf_coll_id={$jTE['get']['bf_coll_id']|escape('url')}&amp;bf_seq={$node['id']|escape('url')}" onclick="return !page_details.loadDetails('{$node['id']|escape('javascript')}');">{$node['property']|truncate(30)|escape('hexentity')}</a>
						</td>
						<td>{$node['value']|truncate(30)|escape()}</td>
						<td>
							{if $node['value'] != '' && $node['regex'] == '' && $node['property'] != '.include' && $node['type'] != 'Y'}{translate('set value')|escape()}{elseif $node['type'] == 'N' && $node['value'] == ''}{translate('built-in')|escape()}{elseif $node['type'] == 'Y'}{translate('run command')|escape()}{elseif $node['property'] == '.include'}{translate('include')|escape()}{else}{translate('set value')|escape()}{/if}
						</td>
						<td>{$node['regex']|truncate(30)|escape()}</td>
					</tr>
				{/for}
				</tbody>
			</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=collectors.edit.prop&amp;bf_coll_id={$jTE['get']['bf_coll_id']|escape('url')}" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
{controller->userHasAccessTo('EditCollector')|assign('CanEditCollector')}

		{editable->get('bf_coll_id')|assign('variable_bf_coll_id')}
		{editable->get('bf_seq')|assign('variable_bf_seq')}
		{editable->get('bf_prop')|assign('variable_bf_prop')}
		{editable->get('bf_value')|assign('variable_bf_value')}
		{editable->get('bf_user')|assign('variable_bf_user')}
		{editable->get('bf_regex')|assign('variable_bf_regex')}
		<input type="hidden" id="variable_details_coll_id" name="variable[bf_coll_id]" value="{$variable_bf_coll_id|escape('hexentity')}" />
		<input type="hidden" id="variable_details_id" name="bf_seq" value="{$variable_bf_seq|escape()}" />
		<input type="hidden" id="variable_details_newseq" name="variable[bf_seq]" value="{$variable_bf_seq|escape()}" />
		<span class="details_title"><img src="{$webroot}images/icons/variable.gif" alt="{translate('variable')|escape()}:"/><span id="object_label">{if $variable_bf_prop}{$variable_bf_prop|truncate(50)|escape('hexentity')}{else}({translate('new variable')|escape()}){/if}</span></span>
		<div class="bf_button_bar">
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('save')|escape()}" name="variable_details_save" onclick="return true;"{if !$CanEditCollector} disabled="disabled"{/if} /></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" /><div class="details_button"><input type="submit" class="bf_button" value="{translate('delete')|escape()}" id="variable_details_delete" name="variable[delete]" onclick="return !page_details.kill();"{if !$CanEditCollector or !$variable_bf_prop} disabled="disabled"{/if} /></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
		</div>
		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$jTE['get']['mod']|escape('hexentity')}&amp;action=collectors.edit.prop{if $editable_id}&amp;bf_id={$editable_id|escape('url')}{/if}&amp;dtab=1" onclick="page_details.goTab(0);return false">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details selected">
				<div class="properties">
					<div class="third">
						<label for="variable_details_type_visible">{translate('type')|escape()}:</label>
						<input id="variable_details_type_visible" type="button" class="pselect iconDropdown" value="{if $variable_bf_value != '' && $variable_bf_regex == '' && $variable_bf_prop != '.include'}{translate('set value')|escape()}{elseif $variable_bf_user == 'N' && $variable_bf_value == ''}{translate('built-in')|escape()}{elseif $variable_bf_user == 'Y'}{translate('run command')|escape()}{elseif $variable_bf_prop == '.include'}{translate('include')|escape()}{else}{translate('set value')|escape()}{/if}" tabindex="2" onclick="pseudoSelect('variable_details_type', 'Set Value,{translate('set value')|escape('javascript')}|Built-in,{translate('built-in')|escape('javascript')}|Run Command,{translate('run command')|escape('javascript')}|.include,{translate('include')|escape('javascript')}', '', viewVariableForm);" />
						<input name="variable[bf_type]" id="variable_details_type" type="hidden" value="{if $variable_bf_value != '' && $variable_bf_regex == '' && $variable_bf_prop != '.include'}Set Value{elseif $variable_bf_user == 'N' && $variable_bf_value == ''}Built-in{elseif $variable_bf_user == 'Y'}Run Command{elseif $variable_bf_prop == '.include'}.include{else}Set Value{/if}" />
					</div>					
		
					<div class="third">
					<label for="variable_details_name">
						<span id="container_bf_name_label">{if $variable_bf_prop != '.include'}{translate('variable')|escape()}:{/if}</span>
					</label>
						<input name="variable[bf_prop]" id="variable_details_name" type="text" class="textBox" value="{$variable_bf_prop|escape('hexentity')}" style="display: {if $variable_bf_prop != '.include'}{if $variable_bf_regex == ''}{if $variable_bf_value != ''}inline{elseif !$variable_bf_prop}inline{else}none{/if}{else}none{/if}inline{else}none{/if};" maxlength="255"{if $variable_bf_prop == '.include'} disabled="disabled"{/if} />
						<span id="variable_details_name_builtin_select" style="display: {if $variable_bf_user == 'N'}{if $variable_bf_value == ''}inline{else}none{/if}{else}none{/if};">
							<input id="variable_details_name_builtin_visible" type="button" class="pselect iconDropdown" value="{if $variable_bf_prop}{$variable_bf_prop|escape('hexentity')}{else}CPU_LOAD{/if}" tabindex="2" onclick="pseudoSelect('variable_details_name_builtin', '{foreach($builtins, 'key', 'builtin')}|{$builtin|escape('javascript')}{/foreach}', '', viewVariableForm);" />
							<input name="variable[bf_prop_default]" id="variable_details_name_builtin" type="hidden" value="{if $variable_bf_prop}{$variable_bf_prop|escape('hexentity')}{else}CPU_LOAD{/if}" />
						</span>
					</div>
				</div>
				<div class="properties">
					<div class="third" id="container_bf_value" style="display: {if $variable_bf_user == 'N'}{if $variable_bf_value == ''}none{elseif $variable_bf_prop == '.include'}none{else}inline{/if}{else}inline{/if}">
						<label id="container_bf_value_label" for="variable_details_value">{if $variable_bf_regex == ''}{translate('value')|escape()}{else}{translate('command')|escape()}{/if}:</label>
						<input type="text" class="textBox" name="variable[bf_value]" id="variable_details_value" value="{$variable_bf_value|escape('hexentity')}" maxlength="255" />
					</div>
					<div class="third" id="container_bf_value_include" style="display: {if $variable_bf_prop == '.include'}inline{else}none{/if}">
						<label id="container_bf_value_include_label" for="variable_details_value_include_visible">{translate('collector')|escape()}:</label>
						<input id="variable_details_value_include_visible" type="button" class="pselect iconDropdown" value="{if $variable_bf_value}{$variable_bf_value|escape('hexentity')}{else}-- {translate('collectors')|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('variable_details_value_include', 'mod=servers&action=collectors.view&type=xml', 'title={translate('collectors')|escape('javascript')}&attribute=class&value=bf_coll_id&name=bf_coll_id');" />
						<input name="variable[bf_value_include]" id="variable_details_value_include" type="hidden" value="{$variable_bf_value|escape('hexentity')}" />
					</div>
					<div class="third" id="container_bf_regex" style="display: {if $variable_bf_regex == ''}none{else}inline{/if};">
						<label for="variable_details_regex">{translate('regular expression')|escape()}:</label>
						<input type="text" class="textBox" name="variable[bf_regex]" id="variable_details_regex" value="{$variable_bf_regex|escape('hexentity')}" maxlength="255" />
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>
