{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/selector.gif" border="0" alt=""/>
			<span class="module_name"><a href="{$linkModule}&amp;action=selectors.view">{translate('selectors')|escape()}</a></span><span class="sepGT">&gt;&gt;</span><span class="location_name">{parent->get('bf_selector_id')|truncate(30)|escape('hexentity')}</span>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=selectors.edit.prop" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add selector variable')|escape()}" /></div>
			</form>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_selectors.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_selectors.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle|escape()}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
	<div class="summary_list_controls">
		{include('paging_controls.tpl'}
		{include('filter_form.tpl', "action='selectors.view'")}
	</div>
	<div id="summary_scroller" class="Admin_Details">
		{listing->getColumnNames()|assign('columns')}
		<table cellpadding="0" cellspacing="0">
			<thead>
				<tr>
					<th>{translate('variable')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=variable&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('variable');"><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
					<th>{translate('operator')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=operator&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('operator');"><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
					<th>{translate('value')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=value&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('value');"><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
					<th>{translate('required')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=required&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('required');"><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
				</tr>
			</thead>
			<tbody id="listing">
				<tr class="clone">
					<td>
						<img src="{$webroot}images/icon_variable.gif" border="0" alt="{translate('variable')|escape()}" />
						<a href=""></a>
					</td>
					<td></td>
					<td></td>
					<td></td>
				</tr>
			{listing->getCount()|assign('projectcount')}
			{for('project', $projectcount)}
				<tr>
					{listing->next()|assign('node')}
					{foreach($node, 'key', 'attr')}
					{if $key != 'id'}
						<td>{if $key == 'variable'}
							<img src="{$webroot}images/icon_variable.gif" border="0" />
							<a href="{$linkSelf}{$linkModule}&amp;action=selectors.edit.prop&amp;bf_selector_id={$jTE['get']['bf_selector_id']|escape('url')}&amp;bf_prop={$node['id']|escape('url')}&amp;bf_operator={$node['operator']|escape('url')}&amp;bf_value={$node['value']|escape('url')}" onclick="return !page_details.loadDetails('{$node['id']|escape('hexentity')}', '{$node['operator']|escape('hexentity')}', '{$node['value']|escape('javascript')}');">{$attr|truncate(30)|escape('hexentity')}</a>{elseif $key == 'required'}{if $attr == '1'}{translate('yes')|escape()}{else}{translate('no')|escape()}{/if}{elseif $key == 'operator'}{if $attr == '><'}{translate('contains')|escape()}{else}{$attr|escape('hexentity')}{/if}{else}{$attr|truncate(30)|escape('hexentity')}{/if}
						</td>
					{/if}
					{/foreach}
				</tr>
			{/for}
			</tbody>
		</table>
	</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=selectors.edit.prop&amp;bf_selector_id={$jTE['get']['bf_selector_id']|escape('url')}" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
{controller->userHasAccessTo('EditSelector')|assign('CanEditSelector')}

		{editable->get('bf_prop')|assign('details_prop')}
		{editable->get('bf_operator')|assign('details_operator')}
		{editable->get('bf_value')|assign('details_value')}
		<input type="hidden" id="variable_details_id" name="variable[bf_selector_id]" value="{$jTE['get']['bf_selector_id']|escape('hexentity')}" />
		<input type="hidden" id="variable_details_pid" name="bf_prop" value="{$details_prop|escape('hexentity')}" />
		<input type="hidden" id="variable_details_oid" name="bf_operator" value="{$details_operator|escape('hexentity')}" />
		<input type="hidden" id="variable_details_vid" name="bf_value" value="{$details_value|escape('hexentity')}" />
		<span class="details_title"><img src="{$webroot}images/icon_variable.gif" alt="{translate('variable')|escape()}:"/><span id="object_label">{if $details_prop}{$details_prop|truncate(30)|escape('hexentity')}{else}({translate('new variable')|escape()}){/if}</span></span>
		<div class="bf_button_bar">
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('save')|escape()}" name="variable_details_save" onclick="return true;"{if !$CanEditSelector} disabled="disabled"{/if} /></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" /><div class="details_button"><input type="submit" class="bf_button" value="{translate('delete')|escape()}" id="variable_details_delete" name="variable[delete]"{if !$details_prop} disabled="disabled"{elseif !$CanEditSelector} disabled="disabled"{/if} onclick="return !page_details.kill();"/></div>
		</div>
		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=selectors.edit{if $parent_param}&amp;bf_selector_id={$parent_param|escape('url')}{/if}{if $details_prop && $details_operator && $details_value}&amp;bf_prop={$details_prop|escape('url')}&amp;bf_operator={$details_operator|escape('url')}&amp;bf_value={$details_value|escape('url')}{/if}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details selected">
				<div class="primary">
					{bf_get_collector_props()|assign('props')}
					<label for="variable_details_prop_visible">{translate('name')|escape()}:
						<input {if $is_styx}disabled='disabled'{/if} id="variable_details_prop_visible" type="button" class="pselect iconDropdown" value="{if $details_prop}{$details_prop|escape('hexentity')}{else}BF_NAME{/if}" tabindex="2" onclick="pseudoSelect('variable_details_prop', '{foreach($props, 'key', 'prop')}{if $prop != ''}|{$prop|escape('javascript')}{if $prop == 'BF_NAME'}{1|assign('found_name')}{elseif $prop == 'BF_JOBS'}{1|assign('found_jobs')}{elseif $prop == 'BF_LOADFACTOR'}{1|assign('found_load')}{elseif $prop == 'BF_RESERVE'}{1|assign('found_reserve')}{elseif $prop == 'BF_AGENT_VERSION'}{1|assign('found_agent_version')}{/if}{/foreach}{if !$found_name}|BF_NAME{/if}{if !$found_jobs}|BF_JOBS{/if}{if !$found_load}|BF_LOADFACTOR{/if}{if !$found_reserve}|BF_RESERVE{/if}{if !$found_agent_version}|BF_AGENT_VERSION{/if}', '');" />
						<input name="variable[bf_prop]" id="variable_details_prop" type="hidden" value="{if $details_prop}{$details_prop|escape('hexentity')}{else}BF_NAME{/if}" />
					</label>

					<label for="variable_details_operator_visible">{translate('operator')|escape()}:
						<input id="variable_details_operator_visible" type="button" class="pselect iconDropdown" value="{if $details_operator && $details_operator == '><'}{translate('contains')|escape()}{elseif $details_operator}{$details_operator|escape('hexentity')}{else}=={/if}" tabindex="2" onclick="pseudoSelect('variable_details_operator', '{foreach($sigils, 'key', 'sigil')}|{$sigil|escape('javascript')},{if $sigil == '><'}{translate('contains')|escape('javascript')}{else}{$sigil|escape('hexentity')}{/if}{/foreach}', '');" />
						<input name="variable[bf_operator]" id="variable_details_operator" type="hidden" value="{if $details_operator}{$details_operator|escape('hexentity')}{else}=={/if}" />
					</label>

					<label for="variable_details_value">
						{translate('value')|escape()}: <input name="variable[bf_value]" id="variable_details_value" maxlength="255" type="text" class="textBox" value="{$details_value|escape('hexentity')}" />
					</label>

					<label for="variable_details_required">{translate('required')|escape()}:
						<input id="variable_details_required_visible" type="button" class="pselect iconToggle" value="{if $details_required == '0'}{translate('no')|escape()}{else}{translate('yes')|escape()}{/if}" tabindex="2" onclick="pseudoSelect('variable_details_required', '1,{translate('yes')|escape('javascript')}|0,{translate('no')|escape('javascript')}', 'type=toggle');" />
						<input name="variable[bf_required]" id="variable_details_required" type="hidden" value="{if $details_required}{$details_required|escape('hexentity')}{else}1{/if}" />
					</label>
				</div>
			</div>
		</div>
	</div>
	</form>
