{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddServerAuth')|assign('CanAddServerAuth')}
{controller->userHasAccessTo('EditServerAuth')|assign('CanEditServerAuth')}
{controller->userHasAccessTo('DeleteServerAuth')|assign('CanDeleteServerAuth')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" class="content_title_image" src="{$webroot}images/icons/server.gif" border="0" alt=""/>
			<span class="module_name">{translate('server authentication')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			{if $CanAddServerAuth}
			<form name="create_user_form" id="create_user_form" action="{$linkSelf}{$linkModule}&amp;action=serverauth.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add server authentication')|escape()}" /></div>
			</form>
			{/if}
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_server_auth.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_server_auth.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='serverauth.view'")}
			</div>

			<div id="summary_scroller"  class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('id')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=id&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('id');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="sort" /></a></th>
							<th>{translate('username')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=username&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('username');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="sort" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td><img src="{$webroot}images/icons/user.gif" alt="{translate{'server authentication')}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=serverauth.edit&amp;bf_userid=" onclick="return !page_details.loadDetails('}');"></a></td>
							<td></td>
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr>
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							<td>{if $key == 'id'}<img src="{$webroot}images/icons/user.gif" alt="Server Authentication"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=serverauth.edit&amp;bf_authid={$item['id']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');">{$attr|truncate(80)|escape('hexentity')}</a>{else}{$attr|truncate(80)|escape('hexentity')}{/if}</td>
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	{editable->inserted()|assign('editable_inserted')}
	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=serverauth.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		{editable->get('bf_authid')|assign('editable_authid')}
		<input id="object_details_id" type="hidden" class="textBox" name="object_details_id" value="{$editable_authid|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/icons/server.gif" alt=""/><span id="object_label">{if $editable_inserted}{$editable_authid|truncate(80)|escape('hexentity')}{else}({translate('new server authentication')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" value="{translate('save server authentication')|escape()}" id="object_details_save"{if !$CanEditServerAuth} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy server authentication')|escape()}" onclick="return !page_details.copy();" {if !$editable_authid or !$CanAddServerAuth}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" name="object[delete]" value="{translate('delete server authentication')|escape()}" id="object_details_delete" onclick="{if $reference_count != 0}displayError('{translate('2061', $referenced)|escape('javascript')}');return false;{/if}return !page_details.kill();"{if $reference_count or !$editable_authid or !$CanDeleteServerAuth} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="javascript:goTab(0);">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details selected">
				<div class="primary">
					<label for="object_details_authid">
						{translate('name')|escape()}: <input id="object_details_authid" type="text" class="textBox" name="object[bf_authid]" value="{$editable_authid|escape('hexentity')}" tabindex='1' />
					</label>
					{bf_get_levels($user['id'])|assign('levels')}
					{editable->get('bf_level')|assign('temp_level')}
					{if !$temp_level}{foreach($levels, 'id', 'name')}{if !$temp_level}{assign('temp_level', $id)}{/if}{/foreach}
					<label for="object_details_level_visible">{translate('access')|escape()}:
						<input id="object_details_level_visible" type="button" class="pselect iconDropdown" title="{if $temp_level}{$levels[$temp_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" value="{if $temp_level}{$levels[$temp_level]|truncate($pselect_truncation)|escape()}{else}-- {translate('access groups')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('object_details_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
						<input name="object[bf_level]" id="object_details_level" type="hidden" value="{$temp_level|escape('hexentity')}" />
					</label>
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_username">{translate('login (n)')|escape()}:</label>
						<input id="object_details_username" type="text" class="textBox" name="object[bf_username]" value="{editable->get('bf_username')|assign('editable_username')}{$editable_username|escape('hexentity')}" tabindex='3' />
					</div>
					<div class="third">
						<label for="object_details_password">{translate('password')|escape()}:</label>
						<input id="object_details_password" name="object[bf_password]" type="password" class="textBox" tabindex='4' />

						<label for="object_details_password_verify">{translate('verified')|escape()}:</label>
						<input id="object_details_password_verify" name="object[bf_password_verify]" type="password" class="textBox" tabindex='5' />
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>
