{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}

{* PAGE VARIABLES *}
{listing->hasResults|assign('valid')}
{listing->getCount|assign('itemCount')}
{listing->getLimit|assign('itemLimit')}
{listing->getOffset|assign('offsetLeft')}
{listing->getGrandTotal|assign('grandTotal')}
{listing->getPageCount|assign('pageCount')}
{listing->getPage|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}


{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddServer')|assign('CanAddServer')}
{controller->userHasAccessTo('EditServer')|assign('CanEditServer')}
{controller->userHasAccessTo('DeleteServer')|assign('CanDeleteServer')}
{controller->userHasAccessTo('ActivateServer')|assign('CanActivateServer')}
{controller->userHasAccessTo('ResetServerUser')|assign('CanResetServer')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_servers_blue.gif" border="0" alt="" />
			<span class="module_name">{translate('agents')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			{if $CanAddServer}
			<form name="create_server_form" id="create_server_form" action="{$linkSelf}{$linkModule}&amp;action=servers.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button" {if $is_styx}style='display:none'{/if}><input id="server_details_add" type="submit" class="bf_button" value="{translate('add server')|escape()}" /></div>
			</form>
			{/if}
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/server_overview.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/server_overview.html&amp;hideToc=true');return false;">
				{translate('help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
        </div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="ServerModule">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include("paging_controls.tpl")}
				{include("filter_form.tpl", "action='servers.view'")}
			</div>

			<div id="summary_scroller" class="ServersPage">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('name')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=name&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('name');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('access')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=access&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('access');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th {if $is_styx}style='display:none'{/if}>{translate('collector')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=collector&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('collector');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('host')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=host&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('host');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('path')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=path&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('path');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone" id="listing_row">
							<td><img src="{$webroot}images/icons/server.gif" alt="{translate('agent')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape()}&amp;action=servers.edit&amp;bf_id=" onclick="return !page_details.loadDetails('');" title=""></a></td>
							<td><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=administration&amp;action=groups.view&amp;bf_level="></a></td>
							<td {if $is_styx}style='display:none'{/if}><a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape()}&amp;action=collectors.view.prop&amp;bf_coll_id="></a></td>
							<td><span title=""></span></td>
							<td><span title=""></span></td>
						</tr>

					{listing->getCount()|assign('servercount')}
					{for('server', $servercount)}
						{listing->next|assign('server')}
						<tr id="listing_row{$server['id']}">
							<td>
								<img src="{$webroot}images/icons/server{if $server['err'] == 'N' && $server['active'] == 'Y'}_connected{elseif $server['err'] == 'T' or $server['err'] == 'R'}_unknown{elseif $server['err'] == 'Y'}_disconnected{/if}.gif" alt="{translate('agent')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape()}?mod={$jTE['get']['mod']|escape()}&amp;action=servers.edit&amp;bf_id={$server['id']|escape()}" onclick="return !page_details.loadDetails('{$server['id']|escape('javascript')}');" title="{$server['name']|escape()}">{$server['name']|truncate(25)|escape()}</a>
							</td>
							<td><a href="{$jTE['server']['PHP_SELF']|escape()}?mod=administration&amp;action=groups.view&amp;bf_level={$server['level']|escape()}">{$server['access']|truncate(25)|escape()}</a></td>
							<td {if $is_styx}style='display:none'{/if}><a href="{$jTE['server']['PHP_SELF']|escape()}?mod={$jTE['get']['mod']|escape()}&amp;action=collectors.view.prop&amp;bf_coll_id={$server['collector']|escape('url')}">{$server['collector']|truncate(25)|escape()}</a></td>
							<td><span title="{$server['host']|escape()}">{$server['host']|truncate(25)|escape()}</span></td>
							<td><span title="{$server['path']|escape()}">{$server['path']|truncate(25)|escape()}</span></td>
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=servers.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">

		{editable->inserted|assign('editable_inserted')}
		{editable->get('bf_id')|assign('editable_id')}
		{editable->get('bf_name')|assign('server_name')}
		{editable->get('bf_host')|assign('server_host')}
		{editable->get('bf_err')|assign('editable_err')}
		{editable->get('bf_test')|assign('editable_test')}
		{editable->get('bf_level')|assign('server_level')}
		{editable->get('bf_authid')|assign('server_authid')}
		{editable->get('bf_coll_id')|assign('server_coll_id')}
		{editable->get('bf_publish')|assign('server_publish')}
		{editable->get('bf_eid')|assign('server_eid')}
		{editable->getManifest('BF_JOBS')|assign('manifest_jobs')}
		<input type="hidden" id="server_details_id" name="server[bf_id]" value="{$editable_id|escape()}" />
		<span class="details_title" title="{$server_name|escape('hexentity')}"><img src="{$webroot}images/icon_server.gif" alt="{translate('agent')|escape()}:"/> <span id="server_label">{if $editable_inserted}{$server_name|truncate(25)|escape('hexentity')}{else}({translate('new agent')|escape()}){/if}</span></span>
		<div class="bf_button_bar server_details_buttons" {if $is_styx}style='display:none'{/if}>
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('save')|escape()}" name="server_details_save" id="server_details_save"{if (!$editable_inserted && !$CanAddServer) or ($editable_inserted && !$CanEditServer)} disabled="disabled"{/if} /></div>
			<div class="details_button"><input type="submit" class="bf_button" id="server_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if !$editable_inserted or !$CanAddServer}disabled="disabled"{/if}/></div>
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('delete')|escape()}" name="server[delete]" id="server_details_delete" onclick="return !page_details.kill();" {if !$editable_inserted or !$CanDeleteServer}disabled="disabled" {/if}/></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('reset job count')|escape()}{if $manifest_jobs} ({$manifest_jobs|escape()}){/if}" name="server_details_resetjobs" id="server_details_resetjobs" onclick="page_details.resetJobCount();return false;" {if !$editable_id or !$CanResetServer} disabled="disabled"{/if} /></div>
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('refresh manifest')|escape()}" name="server[refresh]" id="server_details_refresh" onclick="return !page_details.refreshManifest();" {if !$editable_id or !$CanEditServer}disabled="disabled" {/if}/></div>
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('test connection')|escape()}" name="server[test]" id="server_details_test" onclick="return !page_details.testConnection();" {if !$editable_id or !$CanEditServer}disabled="disabled" {/if}/></div>
		</div>
		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li{if $jTE['get']['dtab'] == '0' or $jTE['get']['dtab'] == ''} class="selected"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=servers.edit{if $editable_id}&amp;bf_id={$editable_id|escape('url')}{/if}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '1'} class="selected"{elseif !$editable_id} class="disabledTab"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=servers.edit{if $editable_id}&amp;bf_id={$editable_id|escape('url')}{/if}&amp;dtab=1"{if $editable_id} onclick="page_details.goTab(1);return false;"{else} onclick="return !page_details.showMessageMustEdit();" {/if}>{translate('manifest')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '2'} class="selected"{elseif !$editable_id} class="disabledTab"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=servers.edit{if $editable_id}&amp;bf_id={$editable_id|escape('url')}{/if}&amp;dtab=2"{if $editable_id} onclick="page_details.goTab(2);return false;"{else} onclick="return !page_details.showMessageMustEdit();" {/if}>{translate('test results')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '3'} class="selected"{elseif !$editable_id} class="disabledTab"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=servers.edit{if $editable_id}&amp;bf_id={$editable_id|escape('url')}{/if}&amp;dtab=3"{if $editable_id} onclick="page_details.goTab(3);return false;"{else} onclick="return !page_details.showMessageMustEdit();" {/if}>{translate('notes')|escape()} (<span id='notes_tab_count'>{if $noteslistcount != 0}{$noteslistcount|escape()}{else}0{/if}</span>)</a></li>
				</ul>
			</div>
			<div class="tab_details {if $jTE['get']['dtab'] == 0 or $jTE['get']['dtab'] == ''}selected{/if}">
				<div class="primary">
					<label for="server_bf_inactive" {if $is_styx}style='display:none'{/if}>
						<input name="server[bf_inactive]" id="server_bf_inactive" type="checkbox" class="checkbox"{$editable->get('bf_active')|assign('server_active')}{if $server_active == 'N'} checked="checked"{/if}{if !$CanActivateServer} disabled="disabled"{/if} tabindex="9" />
						{translate('disable')|escape()}
					</label>
					<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
					<label for="server_details_name">
						{translate('name')|escape()}: <input {if $is_styx}disabled='disabled'{/if} name="server[bf_name]" id="server_details_name" type="text" class="textBox" value="{$server_name|escape('hexentity')}" maxlength="255" tabindex="1" {if ((!$editable_id && !$CanAddServer) or ($editable_id && !$CanEditServer))} disabled="disabled"{/if} tabindex="1" />
					</label>
					<label for="server_details_path">
						{translate('path')|escape()}: <input {if $is_styx}disabled='disabled'{/if} name="server[bf_path]" id="server_details_path" type="text" maxlength="255" class="textBox" value="{editable->get('bf_path')|assign('temp_path')}{$temp_path|escape('hexentity')}" tabindex="2"{if ((!$editable_id && !$CanAddServer) or ($editable_id && !$CanEditServer))} disabled="disabled"{/if}  tabindex="2" />
					</label>
				</div>
				<div class="properties">
					<div class="third">
						<label for="server_details_host">{translate('host')|escape()}:</label>
						<input {if $is_styx}disabled='disabled'{/if} name="server[bf_host]" type="text" class="textBox" maxlength="255" id="server_details_host" value="{$server_host|escape('hexentity')}" tabindex="3"{if ((!$editable_id && !$CanAddServer) or ($editable_id && !$CanEditServer))} disabled="disabled"{/if} tabindex="3" />
						<br />
						<label for="server_details_authid_visible" {if $is_styx}style='display:none'{/if}>{translate('authentication')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="server_details_authid_visible" type="button" class="pselect iconDropdown" value="{if $server_authid}{$server_authid|escape()}{else}-- {translate('none')|escape()} --{/if}" onclick="pseudoSelect('server_details_authid', 'mod=servers&action=serverauth.view&type=xml', 'title={translate('authentication')|escape('javascript')}&attribute=class&value=bf_authid&name=bf_authid&seedlist=|,-- {translate('none')|escape('javascript')} --|');" tabindex="4" />
						<input name="server[bf_authid]" id="server_details_authid" type="hidden" value="{$server_authid|escape('hexentity')}" />
						<br />
						{bf_get_levels($user['id'])|assign('levels')}
						{if !$server_level}{foreach($levels, 'id', 'name')}{if !$server_level}{assign('server_level', $id)}{/if}{/foreach}
						<label for="server_details_level_visible"{if $is_styx}style='display:none'{/if}>{translate('access')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="server_details_level_visible" type="button" class="pselect iconDropdown" value="{if $server_level}{$levels[$server_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" onclick="pseudoSelect('server_details_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" tabindex="5" />
						<input name="server[bf_level]" id="server_details_level" type="hidden" value="{$server_level|escape('hexentity')}" />
					</div>
					<div class="third" {if $is_styx}style='display:none'{/if}>
						<label for="server_details_coll_id_visible">{translate('collector')|escape()}:</label>
						<input {if $is_styx}disabled='disabled'{/if} id="server_details_coll_id_visible" type="button" class="pselect iconDropdown" value="{if $server_coll_id}{$server_coll_id]|escape()}{else}-- {translate('none')|escape()} --{/if}" onclick="pseudoSelect('server_details_coll_id', 'mod=servers&action=collectors.view&type=xml', 'title={translate('collectors')|escape('javascript')}&attribute=class&value=bf_coll_id&name=bf_coll_id&seedlist=|,-- {translate('none')|escape('javascript')} --|');" tabindex="6" />
						<input name="server[bf_coll_id]" id="server_details_coll_id" type="hidden" value="{$server_coll_id|escape('hexentity')}" />
					</div>
					<div class="third">
						{bf_get_environments($server_eid)|assign('eids')}
						<label for="server_details_eid_visible">{translate('environment')|escape()}:</label>
						<input {if $is_styx}disabled='disabled'{/if} id="server_details_eid_visible" type="button" class="pselect iconDropdown" value="{if $server_eid}{$eids[$server_eid]['name']|escape()}{else}-- {translate('none')|escape()} --{/if}" onclick="pseudoSelect('server_details_eid', 'mod=environments&action=environment.view&type=xml', 'title={translate('environments')|escape('javascript')}&attribute=class&value=bf_bid&name=bf_param&seedlist=|,-- {translate('none')|escape('javascript')} --|');" tabindex="7" />
						<input name="server[bf_eid]" id="server_details_eid" type="hidden" value="{$server_eid|escape('hexentity')}" />
						<br />
						<label for="server_details_publish_visible">{translate('files')|escape()}:</label>
						<input {if $is_styx}disabled='disabled'{/if} id="server_details_publish_visible" type="button" class="pselect iconDropdown" value="{if $server_publish == 'none'}-- {translate('none')|escape()} --{elseif $server_publish == 'all'}{translate('.get and .put')|escape()}{elseif $server_publish == 'put'}{translate('.put only')|escape()}{elseif $server_publish == 'get'}{translate('.get only')|escape()}{else}-- {translate('none')|escape()} --{/if}" onclick="pseudoSelect('server_details_publish', 'none,-- {translate('none')|escape('javascript')} --|all,{translate('.get and .put')|escape('javascript')}|put,{translate('.put only')|escape('javascript')}|get,{translate('.get only')|escape('javascript')}', '');" tabindex="8" />
						<input name="server[bf_publish]" id="server_details_publish" type="hidden" value="{$server_eid|escape('hexentity')}" />
					</div>
				</div>
			</div>

			<div class="tab_details {if $jTE['get']['dtab'] == 1}selected{/if}" style="padding:10px 0 0 0;">
				<table id="server_manifest_table" cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th width="100px">{translate('name')|escape()}</th>
							<th>{translate('value')|escape()}</th>
						</tr>
					</thead>
					<tbody id="manifest_tbody">
						<tr class="clone"><td></td><td></td></tr>
					{foreach($editable->manifest, 'k', 'entry')}
						<tr><td>{$entry['name']|escape()}</td><td>{$entry['value']|escape()}</td></tr>
					{foreachelse}
						<tr><td> </td><td>{translate('no manifest entries found')|escape()}</td></tr>
					{/foreach}
					</tbody>
				</table>
			</div>

			<div class="tab_details {if $jTE['get']['dtab'] == 2}selected{/if}" style="padding: 10px;">
				<div class="primary" id="test_status">
					{if $editable_err == 'N'}{translate('no errors')|escape()}{elseif $editable_err == 'Y'}{translate('errors')|escape()}{elseif $editable_err == 'P'}{translate('running')|escape()}{elseif $editable_err == 'T'}{translate('waiting')|escape()}{/if}
				</div>
				<pre class="server_details_properties" id="test_output">{bf_translate_servertest($editable_test)|escape()}</pre>
			</div>

			<div class="tab_details {if $jTE['get']['dtab'] == 3}selected{/if}">


				<input type='hidden' id='notes_pid' value='{$jTE['get']['bf_id']|escape()}' />
				<input type='hidden' id='notes_sid' value='{$step_record['uid']|escape()}' />
				<input type='hidden' id='note_id' name='notes[note_id]' value='' />
					
				<table width="100%">
			        <tbody>
			            <tr>
			                <td width="140">
								<div class='BF_form_title'>{translate('user')|escape()}: <input readonly="readonly" type='text' id='fake_user' value='' style='border: 0px none; background: transparent;' /></div>
								<div class='BF_form_title'>{translate('date')|escape()}: <input readonly="readonly" type='text' id='fake_date' value='' style='border: 0px none; background: transparent;' /></div>
							</td>
			                <td rowspan="2"><textarea class='textBox' name='' id='note_text' style='width:98%;height:80px;'></textarea></td>
						</tr>			
						<tr>
							<td width="140">
								<div style='text-align:center;padding:3px;'>
									<div class="details_button"><input class='bf_button' type='button' id='notes_form_submit' value='{translate('submit')|escape()}' onclick='page_notes.submitNote("StepNotesForm");' /></div>
									<div class="details_button"><input class='bf_button' type='button' id='notes_form_clear' value='{translate('clear')|escape()}' onclick='page_notes.clearNoteForm();' /></div>
									<!-- div class="details_button"><input class='bf_button' type='button' id='notes_form_reload' value='Reload Note' onclick='page_notes.reloadNote();' disabled='disabled' /></div -->
									<!-- div class="details_button"><input class='bf_button' type='button' id='notes_form_refresh' value='Refresh List' onclick='page_notes.refreshList();' disabled='disabled' /></div -->
								</div>							
							</td>
						</tr>	
					</tbody>
				</table>
														

				<table cellpadding="0" cellspacing="0" class="projectRuns_StepResults" width="100%">
					<thead>
						<tr>
							<th style='width:15px;'> </th>
							<th style='width:15px;'> </th>
							<th style='width:90px;'><strong>{translate('date')|escape()}</strong></th>
							<th style='width:60px;'><strong>{translate('user')|escape()}</strong></th>
							<th><strong>{translate('note')|escape()}</strong></th>
						</tr>
					</thead>
					<tbody id='noteslisting'>
						<tr id="noteslisting_rows_" class="clone">
							<td style='width:15px;'><a href='' form='StepNotesForm'><img src="{$webroot}images/icons/delete.gif" alt="{translate('delete this note')|escape()}" title="{translate('delete this note')|escape()}" border='0' /></a></td>
							<td style='width:15px;'><a href='' form='StepNotesForm'><img src="{$webroot}images/icons/edit.gif" alt="{translate('edit this note')|escape()}" title="{translate('edit this note')|escape()}" border="0" /></a></td>
							<td style='width:90px;'></td>
							<td style='width:60px;'></td>
							<td></td>
						</tr>

						{if $noteslistcount != 0}
							{foreach($noteslist, 'key', 'attr')}
							<tr id="noteslisting_rows_{$key|escape()}">
								<td style='width:15px;'><a href="javascript:void(page_notes.deleteNote('StepNotesForm','{$attr['noteid']|escape('javascript')}'));"><img src="{$webroot}images/icons/delete.gif" alt="Delete this Note" title="Delete this Note" border="0" /></a></td>
								<td style='width:15px;'><a href="javascript:void(page_notes.editNote('StepNotesForm','{$attr['noteid']|escape('javascript')}'));"><img src="{$webroot}images/icons/edit.gif" alt="Edit this Note" title="Edit this Note" border="0" /></a></td>
								<td style='width:90px;'>{bf_format_date($attr['date'])}</td>
								<td style='width:60px;'>{$attr['user']|escape('hexentity')}</td>
								<td>{$attr['note']|escape('hexentity')}</td>
							</tr>
							{/foreach}
						{/if}
					</tbody>
				</table>
				
			</div>
		</div>
	</div>
  </form>
