/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.core;

public interface IStepDetailRecord {

	public abstract int getBuildId();

	public abstract void setBuildId(int buildId);

	public abstract IStepDetailInfo getDetails();

	public abstract void setDetails(IStepDetailInfo details);

	public abstract int getStepId();

	public abstract void setStepId(int stepId);

	public abstract IStepLogInfo getLogInfo();

	public abstract void setLogInfo(IStepLogInfo logInfo);

	public abstract String getStepName();

	public abstract void setStepName(String stepName);
	
	public abstract char getResultsStatus();

	public abstract void setResultsStatus(char resultsStatus);
	
	public abstract void populateLogInfo(IConsole cons);
	
	public abstract String getLogId();
	
	public abstract void setLogId(String logId);

}