/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */
package com.buildforge.buildmodel.core.exception;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import com.buildforge.buildmodel.core.CorePlugin;


public class BuildForgeException extends CoreException {
	  public BuildForgeException(String msg) {
		    super(new Status(IStatus.ERROR, CorePlugin
		        .getDefault().getBundle().getSymbolicName(), IStatus.OK,
		        msg, null));
		  }

}
