/*
 * �2005�2006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */
package com.buildforge.buildmodel.core.internal;

public interface IConstants {
	
	public static final String CONNECT_ERROR = Messages.getString("IConstants.Connect_Error"); //$NON-NLS-1$

	public static final String BAD_HOST_ENTRY = Messages.getString("IConstants.Bad_Host"); //$NON-NLS-1$
	
	public static final String BAD_URL = Messages.getString("IConstants.Bad_URL"); //$NON-NLS-1$
	
	public static final String DEFAULT_AUTHENTICATION_ERROR = Messages.getString("IConstants.Auth_Error"); //$NON-NLS-1$
	
	public static final String DEFAULT_CLIENT_STRING = "EclipsePlugin"; //$NON-NLS-1$
	
	public static final int CONNECT_TIMEOUT = 2000;
	
	public static final int READ_TIMEOUT = 10000;
	
	public static final String API_LOGOFF_CMD = "APILogOut";

	public static final char consoleDelim = 0x07;
	
	public static final char consoleLineDelim = 0x06;
	
	public static final String FALLBACK_VERSION = "3.8";
	
	public static final String API_URL_APPEND_STRING = "/api.php";
	
	public static final String SESSION_INVALID = "Unknown session id";
	
	public static final int MAX_RELOGIN_ATTEMPTS = 10;
	
}
