/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.ui.viewer;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

import com.buildforge.buildmodel.core.IProjectNode;

public class BuildIdViewContentProvider implements IStructuredContentProvider {
	
	public void dispose() {
		
	}

	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {

	}

	public Object[] getElements(Object inputElement) {
		if (inputElement instanceof IProjectNode) {
			if (inputElement != null) {
				//Log.trace("getting BuildRecords for project Id of " 
				//		+ ((IProjectNode) inputElement).getProjectID(), this.getClass().getName());
				return ((IProjectNode)inputElement).getBuildRecs();
			}
		}
		return null;
	}
	
	//BFNOTE:  Should implement updates from UIThread for real time data changes in future
	public void updateData (Object inputElement) {
		
		
	}
	
	
}

