/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.core;


public interface IProjectNode {

	public abstract String getName();

	public abstract void setName(String name);

	public abstract IConsole getParent();

	public abstract void setParent(IConsole parent);

	public abstract int getProjectID();

	public abstract void setProjectID(int projectID);

	public abstract IBuildRecord[] getBuildRecs();

	public abstract void setBuildRecs(IBuildRecord[] buildRecs);
	
	public void getBuildIdRecords();
	
	public IBuildRecord getBuildRecordById(int buildId);
	
	public IStep[] getSteps();

}