package com.buildforge.buildmodel.core.internal;

import java.util.ArrayList;

public class Environment implements Comparable {
	private int groupId = 0;
	private int position = 0;
	private String name = "";
	private EnvironmentValue value = new EnvironmentValue("");
	private String action = "";
	private String mode = "";
	private String choice = "";
	
	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public String getMode() {
		return mode;
	}

	public void setMode(String mode) {
		this.mode = mode;
	}

	public int getGroupId() {
		return groupId;
	}
	
	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public int getPosition() {
		return position;
	}
	
	public void setPosition(int position) {
		this.position = position;
	}
	
	public String getValue() {
		return value.getValue();
	}
	
	public String[] getValueOptions() {
		return value.getOptions();
	}
	
	public void setValue(String value) {
		this.value = new EnvironmentValue(value);
	}

	public int compareTo(Object o) {
	    if (!(o instanceof Environment))
	        throw new ClassCastException("An Environment object was expected.");
	    return this.position - ((Environment) o).getPosition();
	}

	public void setChoice(String choice) {
		this.choice = choice;
	}

	public String getChoice() {
		return choice;
	}
	
}
