package Tests;

import java.io.File;

import com.buildforge.buildmodel.reflector.internal.HttpFilePoster;

import junit.framework.TestCase;

public class TestFilePost extends TestCase {
	private HttpFilePoster poster = null;
	
	protected void setUp() throws Exception {

		poster = new HttpFilePoster("root", "root", "localhost:8080");
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}
	
	protected void testPostMultiPartFormData() {
		File zipFile1 = new File("c:\test1.txt");
		// File zipFile2 = new File("c:\test2.zip");
		
		poster.setBaseURL("src/console/3.8/gopi_form.html");

		String results = poster.postFormData(poster.getURL() + "/test.pl", new File[] {zipFile1});
		assertFalse(poster.isFilePostError());
		assertTrue(results.length() > 0);
	}
	
}
