{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddView')|assign('CanAddView')}
{controller->userHasAccessTo('DeleteView')|assign('CanDeleteView')}

<form name="filter_summary_bar" id="filter_summary_bar" class="filter_form" action="{if $form_action}{$form_action|escape()}{else}{$linkSelf}{$linkModule}{/if}#content_wrapper" method="get" onsubmit="paginator.applyFilter();$('uifilters').style.display='none';return false;">
<div class="uifilter_wrapper">
    <input type="hidden" name="mod" value="{$jTE['get']['mod']|escape('htmlall')}" />
	{if $jTE['get']['action'] != ''}
        <input type="hidden" name="action" value="{$jTE['get']['action']|escape('htmlall')}" />
    {/if}
    {if $jTE['get']['state'] != ''}
        <input type="hidden" name="state" value="{$jTE['get']['state']|escape('htmlall')}" />
    {/if}
    <input type="text" class="text" name="filter" value="{$jTE['get']['filter']|escape('htmlall')}" /><input class="textAppender iconDropdown" value="" onclick="toggleElementDisplay(document.getElementById('uifilters'));" type="button" id="uifiltersAppender" />
    <div class="details_button"><input class="bf_button" value="{translate('filter')|escape()}" type="submit" onclick="paginator.applyFilter();$('uifilters').style.display='none';return false;" /></div>
	{if is_array($module->action)}{assign('action', $module->action[0])}{else}{assign('action', $module->action)}{/if}
	{if $action == ''}{assign('action', $jTE['get']['action'])}{/if}
	{if $action == 'schedule.list.view' or $action == 'schedule.calendar.view'}{assign('action', 'schedule.view')}{elseif !$action or $action == 'view.all' or $action == 'view.completed' or $action == 'view.running' or $action == 'view.archived' or $action == 'view.locked'}{assign('action', 'view')}{/if}
	{if $action == 'projects.view' && $jTE['get']['mod'] == 'library'}{assign('action', 'library.view')}{/if}
    {if $action}
    <div>
	    <ul class="uifilters" id="uifilters">
	        {bf_get_uifilters($action)|assign('uifilters')}
	        <li>
	            <a href="#" class="filter" onclick="document.getElementById('filter_summary_bar').filter.value='';paginator.applyFilter();toggleElementDisplay(document.getElementById('uifilters'));return false;">{translate('display all')|escape()}</a>
	        </li>
	        {assign('found', 0)}
	        {foreach($uifilters, 'id', 'filter')}
	        {if $filter}
	        {assign('found', 1)}
	        <li id="uifilter_{$id}">
	            <a href="#" class="delete" onclick="paginator.deleteFilter('{$id|escape('javascript')}','{$action}','{$filter|escape('javascript')}');return false;"><img src="{$webroot}images/icons/small_trash.gif" alt="{translate('delete')|escape()}" /></a>
	            <a href="#" class="filter" onclick="document.getElementById('filter_summary_bar').filter.value='{$filter|escape('javascript')}';paginator.applyFilter();toggleElementDisplay(document.getElementById('uifilters'));return false;">{$filter|truncate(45)|escape('hexentity')}</a>
	        </li>
	        {/if}
	        {/foreach}
	        <li id="nosavedfilters" {if $found}style="display:none;"{/if}>
		
	            <a href="#" class="delete" onclick="toggleElementDisplay(document.getElementById('uifilters'));return false;" title="{translate('delete')|escape()}"><img src="{$webroot}images/c.gif" alt="{translate('delete')|escape()}" style="width: 16px; height: 16px;" /></a>
	            <a href="#" class="filter" onclick="toggleElementDisplay(document.getElementById('uifilters'));return false;">{translate('no saved filters')|escape()}</a>
	        </li>
	    </ul>
    </div>
    {/if}
</div>

<div class="filter_form_showing">
	<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
	{math($offsetLeft + 1)|assign('offsetLeftTemp')}
	{assign('offsetLeftHTML', '<span id="offsetLeft">$offsetLeftTemp</span>')}
	{assign('offsetRightHTML', '<span id="offsetRight">$offsetRight</span>')}
	{assign('grandTotalHTML', '<span id="grandTotal">$grandTotal</span>')}
	<span class="summary_showing" id="summary_showing"{if $grandTotal == 0} style="display: none;"{/if}>
		{translate('showing x - x of x', $offsetLeftHTML, $offsetRightHTML, $grandTotalHTML)}
		{if !$nopaginationtoggle}
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			{if !$count_name}{sprintf('%s_count', $action)|assign('count_name')}{/if}
			{userobj->getPreference($count_name)|assign('user_count')}
			<a href="{$linkSelf}{$linkModule}" onclick="return paginator.togglePaginate();" id="auto_paginate">{if $user_count == -1}{translate('auto paginate')|escape()}{else}{translate('display all')|escape()}{/if}</a>
		{/if}
	</span>
</div>
</form>
