{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$user['shortlang']}" lang="{$user['shortlang']}">
<head>
<title>BuildForge</title>
<link rel="stylesheet" href="{$webroot}styles/login.css" />
<!--[if IE]>
<link rel="stylesheet" href="{$webroot}styles/login_ie.css" />
<![endif]-->
<!--[if IE 6]>
<link rel="stylesheet" href="{$webroot}styles/login_ie6.css" />
<![endif]-->
{if $redirect != ''}
<meta http-equiv="refresh" content="1;url={$redirect}" />
{/if}
<script type="text/javascript">
function loginFocus() {ldelim}
    var user = document.getElementById('{if $password_expired}password{else}username{/if}');
    if (user) {ldelim}
        user.focus();
    {rdelim}
{rdelim}

function loginShake() {ldelim}
    setTimeout("loginMove('48%');", 50);
    setTimeout("loginMove('52%');", 100);
    setTimeout("loginMove('48%');", 150);
    setTimeout("loginMove('52%');", 200);
    setTimeout("loginMove('50%');", 250);
{rdelim}

function loginMove(left) {ldelim}
    var login = document.getElementById('login_form');
    login.style.left = left;
{rdelim}

function validate() {ldelim}
    var login = document.getElementById('login_form');
    var errors = false;

    if (login.username.value == '') {ldelim}
        errors = true;
    {rdelim}
    if (login.password.value == '') {ldelim}
        errors = true;
    {rdelim}

    if (errors) {ldelim}
        loginShake();
        return false;
    {rdelim} else {ldelim}
        return true;
    {rdelim}
{rdelim}

</script>
</head>
<body onload="loginFocus();" class="{$user['lang']}">
<div id="page_header">
    <div id="header_logo"><img src="{$webroot}images/rational_build_forge.png" alt="Rational Build Forge"/></div>
</div>

{controller->getLocationName()|assign('location_name')}
{if $location_name}
<div id="location_name">{translate('geo')|escape()}: {$location_name|escape()}</div>
{/if}

<div>
	{if $message != '' or $errors or $messages}
	<div class="login_messages">
	{if $message != ''}
		<p class="message">
			{$message}
		</p>
	{/if}
	{if $errors}
    {foreach($errors, 'key', 'error')}
        <p class="error">{$error|escape('hexentity')}</p>
    {/foreach}
	{/if}
	{if $messages}
    {foreach($messages, 'key', 'message')}
        <p class="message">{$message|escape('hexentity')}</p>
    {/foreach}
	{/if}
	</div>
	{/if}

{if $redirect != ''}
    <form name="login">
        <h1 class="refreshing">{translate('logging in...')|escape()}</h1>
    </form>
{elseif $password_expired != ''}
        <form name="login" id="login_form" action="{$formaction}" method="post" onsubmit="return validate();">
        <h1>{translate('build forge login')|escape()}</h1>
        <label for="username" id="username_label">
            <span>{translate('username')|escape()}:</span>
            <input type="text" readonly="readonly" name="username" id="username" value="{$username}" class="textBox" />
        </label>
        <label for="password">
            <span>{translate('current password')|escape()}:</span>
            <input type="password" name="password" id="password" class="textBox" />
        </label>
        <label for="new_password">
            <span>{translate('new password')|escape()}:</span>
            <input type="password" name="new_password" id="new_password" class="textBox" />
        </label>
        <label for="new_password_confirm">
            <span>{translate('new password confirmed')|escape()}:</span>
            <input type="password" name="new_password_confirm" id="new_password_confirm" class="textBox" />
        </label>
        <div class="global_button" id="Login_Btn"><input class="bf_button" value="{translate('change password')|escape()}" type="submit" id="submit" name="submit" /></div>
    </form>
{else}
        <form name="login" id="login_form" action="{$formaction}" method="post" onsubmit="return validate();">
        <h1>{translate('build forge login')|escape()}</h1>
        <label for="username" id="username_label">
            <span>{translate('username')|escape()}:</span>
            <input type="text" name="username" id="username" class="textBox" />
        </label>
        <label for="password">
            <span>{translate('password')|escape()}:</span>
            <input type="password" name="password" id="password" class="textBox" />
        </label>
        {if $domains}
        <label for="domain">
            <span>{translate('domain')|escape()}:</span>
			{* one domain *}
			{if $domains[1]}
            <select class="login_select" id="domain" name="domain">
                {foreach($domains, 'key', 'domain'}
                <option value="{$domain|escape('hexentity')}">{$domain|escape('hexentity')}</option>
                {/foreach}
            </select>
			{else}
			<input type="text" readonly="readonly" id="domain" name="domain" value="{$domains[0]|escape()}" class="textBox" />
			{/if}
        </label>
        {/if}
        <div class="global_button" id="Login_Btn"><input class="bf_button" value="{translate('login')|escape()}" type="submit" id="submit" name="submit"/></div>
    </form>
{/if}
</div>

<div class="footer">
    {translate('copyright')|escape()}
</div>

</body>
</html>
