/*
 * Copyright (c)2003-2007, BuildForge, Inc.  All rights reserved.
 * BuildForge, Inc. owns the copyright and other intellectual property
 * rights in this software.  Duplication or use of the Software is not
 * permitted except as expressly provided in a written agreement between
 * your company and BuildForge, Inc.
 */

#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "bfflexdefs.h"
#include "bfflex.h"


static int
not_here(char *s)
{
    croak("%s not implemented on this architecture", s);
    return -1;
}

static double
constant(char *name, int len, int arg)
{
    errno = EINVAL;
    return 0;
}

MODULE = BuildForge::BFFlex		PACKAGE = BuildForge::BFFlex		
PROTOTYPES: ENABLE


double
constant(sv,arg)
    PREINIT:
	STRLEN		len;
    INPUT:
	SV *		sv
	char *		s = SvPV(sv, len);
	int		arg
    CODE:
	RETVAL = constant(s,len,arg);
    OUTPUT:
	RETVAL


int
Connect(arg0)
	char *	arg0


char *
firstKey(arg0);
	char *	arg0

char *
nextKey(arg0);
	char *	arg0


int
keyUserCount(arg0)
	char *	arg0

char *
getError();

char *
getInfo();

int
checkoutALicense(arg0)
	char *	arg0

int
heartBeats()

void
tearDown();

int
checkLoad()

char *
checkText(arg0);
	char *	arg0

