
package BuildForge::Services::DBO::BOM;

use strict;
use overload '""' => \&toString;

use BuildForge::Ex;
use BuildForge::Services::Constants;
use UNIVERSAL qw(isa);

# DBO Info
our @ISA = qw(BuildForge::Services::DBO);
my @keys = qw();
my $prototype = {
};
sub getTypeKey { 'BOM' }
sub fromArray { return $_[0]->fromArrayImpl($_[1], \@keys); }
sub toArray { return [ @{$_[0]}{@keys} ]; }


sub new {
	my $proto = shift;
	my $self = $proto->SUPER::new($prototype, @_);
	return $self;
}

sub create {
	my ($self) = @_;
	my $conn = $self->{'_conn'};
	# TODO stub
	return $self;
}

sub delete {
	my ($self) = @_;
	my $conn = $self->{'_conn'};
	# TODO stub
}

sub update {
	my ($self) = @_;
	my $conn = $self->{'_conn'};
	# TODO stub
	return $self;
}

# toString is inherited

# wrap is inherited



1;


__END__

=pod

=head1 NAME

BuildForge::Services::DBO::Message


=head1 SYNOPSIS


=head1 DESCRIPTION

BOM is the (currently not enabled) interface to the BuildForge build result BOM.


=head1 COPYRIGHT

Copyright (c)2006-2007 International Business Machines, Inc.  All rights reserved.

=cut


