<?php
/* (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. */

	global $language;
	$language = array();

	// ALL IN LOWER CASE PLEASE
	$language['lang'] = "简体中文";

	// Word Translations

	// Language Files
	$language['english us']				= "英语";
	$language['german']					= "德语";
	$language['spanish']				= "西班牙语";
	$language['french']					= "法语";
	$language['japanese']				= "日语";
	$language['korean']					= "韩语";
	$language['italian']				= "意大利语";
	$language['portuguese']				= "葡萄牙语";
	$language['chinese simplified']		= "简体中文";
	$language['traditional chinese']	= "繁体中文";

	// Modules
	$language['home'] 					= "主页";
	$language['projects'] 				= "项目";
	$language['project'] 				= "项目";
	$language['libraries'] 				= "库";
	$language['library'] 				= "库";
	$language['project runs'] 			= "项目运行";
	$language['project run'] 			= "项目运行";
	$language['schedules'] 				= "调度";
	$language['schedule'] 				= "调度";
	$language['environments'] 			= "环境";
	$language['environment'] 			= "环境";
	$language['servers']				= "服务器";
	$language['server']					= "服务器";
	$language['administration']			= "管理";
	$language['online help'] 			= "帮助";
	
	// Submodules
	$language['selectors']				= "选择器";
	$language['selector']				= "选择器";
	$language['collectors']				= "收集器";
	$language['collector']				= "收集器";
	$language['server auth']			= "服务器认证";
	$language['adaptors']				= "适配器";
	$language['adaptor']				= "适配器";
	$language['adaptor links']			= "适配器链接";
	$language['log filters']			= "日志过滤器";
	$language['log filter']				= "日志过滤器";
	$language['templates']				= "模板";
	$language['template']				= "模板";
	$language['access groups']			= "访问组";
	$language['access group']			= "访问组";
	$language['users']					= "用户";
	$language['user']					= "用户";
	$language['classes']				= "类";
	$language['class']					= "类";
	$language['permissions']			= "许可权";
	$language['permission']				= "许可权";
	$language['ldap']					= "LDAP";
	$language['system']					= "系统";
	$language['semaphores']				= "信号量";
	$language['semaphore']				= "信号量";
	$language['messages']				= "消息";
	$language['message']				= "消息";
	$language['import']					= "导入";
	$language['geo']					= "控制台";
	$language['help pdf']				= "帮助（PDF）";
	$language['installation']			= "安装";
	$language['installation pdf']		= "安装（PDF）";
	$language['whats new']				= "新功能";
	$language['whats new pdf']			= "新功能（PDF）";

	// Header
	$language['console'] 				= "控制台";
	$language['reports'] 				= "报告";
	$language['logout']					= "注销";

	// Dates
	$language['wk']						= "星期";
	$language['sun']					= "星期日";
	$language['sunday']					= "星期日";
	$language['mon']					= "星期一";
	$language['monday']					= "星期一";
	$language['tue']					= "星期二";
	$language['tuesday']				= "星期二";
	$language['wed']					= "星期三";
	$language['wednesday']				= "星期三";
	$language['thu']					= "星期四";
	$language['thursday']				= "星期四";
	$language['fri']					= "星期五";
	$language['friday']					= "星期五";
	$language['sat']					= "星期六";
	$language['saturday']				= "星期六";
	$language['jan']					= "一月";
	$language['january']				= "一月";
	$language['feb']					= "二月";
	$language['february']				= "二月";
	$language['mar']					= "三月";
	$language['march']					= "三月";
	$language['apr']					= "四月";
	$language['april']					= "四月";
	$language['may']					= "五月";
	$language['jun']					= "六月";
	$language['june']					= "六月";
	$language['jul']					= "七月";
	$language['july']					= "七月";
	$language['aug']					= "八月";
	$language['august']					= "八月";
	$language['sep']					= "九月";
	$language['september']				= "九月";
	$language['oct']					= "十月";
	$language['october']				= "十月";
	$language['nov']					= "十一月";
	$language['november']				= "十一月";
	$language['dec']					= "十二月";
	$language['december']				= "十二月";
	$language['am']						= "AM";
	$language['pm']						= "PM";
	
	// Word for word translations
	$language['absolute']				= "绝对";
	$language['absolute path']			= "绝对路径";
	$language['absolute, click relative']	= "绝对路径，单击可转换为相对路径";
	$language['access']					= "访问";
	$language['access group name']		= "访问组名称";
	$language['action']					= "操作";
	$language['active']			   		= "活动";
	$language['active runs']	   		= "活动运行";
	$language['active geo']				= "活动控制台";
	$language['activity']				= "活动";
	$language['adaptor link']			= "适配器链接";
	$language['adaptor list']			= "适配器列表";
	$language['add']			   		= "添加";
	$language['add >>']					= "添加 >>";
	$language['add adaptor']			= "添加适配器";
	$language['add adaptor link']		= "添加适配器链接";
	$language['add class']				= "添加类";
	$language['add collector']			= "添加收集器";
	$language['add collector variable']	= "添加收集器变量";
	$language['add environment']		= "添加环境";
	$language['add environment variable']	= "添加环境变量";
	$language['add geo']				= "添加控制台";
	$language['add group']				= "添加组";
	$language['add library']			= "添加库";
	$language['add ldap domain']		= "添加 LDAP 域";
	$language['add log filter']			= "添加日志过滤器";
	$language['add log filter pattern']	= "添加日志过滤器模式";
	$language['add new step']			= "添加新步骤";
	$language['add project']			= "添加项目";
	$language['add scheduled run']		= "添加调度运行";
	$language['add selector']			= "添加选择器";
	$language['add selector variable']	= "添加选择器变量";
	$language['add server']				= "添加服务器";
	$language['add server authentication']	= "添加服务器认证";
	$language['add note']				= "添加注释";
	$language['add step']				= "添加步骤";
	$language['add template']			= "添加模板";
	$language['add user']				= "添加用户";
	$language['agent']					= "服务器";
	$language['agents']					= "服务器";
	$language['audit']					= "审计";
	$language['auto paginate']			= "自动分页";
	$language['admin cn']				= "管理 DN";
	$language['all']					= "全部";
	$language['all collectors']			= "所有收集器";
	$language['all environments']		= "所有环境";
	$language['all jobs']				= "所有作业";
	$language['all project runs']		= "所有项目运行";
	$language['all selectors']			= "所有选择器";
	$language['analyze']				= "分析";
	$language['any build']				= "所有构建";
	$language['append']					= "附加";
	$language['archive']		   		= "归档";
	$language['archived']		   		= "已归档";
	$language['assign hidden']			= "指定隐藏";
	$language['assign / hidden']		= "指定/隐藏";
	$language['authentication']			= "认证";
	$language['authorized group dn']	= "已授权组 DN";
	$language['auto inc']		   		= "自动增加";
	$language['autoincrement']	   		= "自动增加";
	$language['baseline']		   		= "基线";
	$language['bill of materials']		= "材料清单";
	$language['bind user account']		= "绑定用户帐户";
	$language['body']					= "正文";
	$language['boolean']				= "布尔值";
	$language['broadcast']				= "广播";
	$language['build class']			= "构建类";
	$language['build forge login']		= "Build Forge 登录";
	$language['built-in']				= "内置";
	$language['button menu options']	= "按钮菜单选项";
	$language['calculating']			= "正在计算";
	$language['calendar']				= "日历";
	$language['calendar start day of week'] = "每星期的日历起始日";
	$language['cancel']					= "取消";
	$language['cancel run...']			= "取消运行...";
	$language['canceled']				= "已取消";
	$language['canceling']				= "正在取消";
	$language['canceling job...']		= "正在取消作业...";
	$language['canceling jobs...']		= "正在取消作业...";
	$language['canceling purge']		= "正在取消清除";
	$language['canceling purge...']		= "正在取消清除...";
	$language['canceling step...']		= "正在取消步骤...";
	$language['chains']					= "链";
	$language['chain link']				= "链链接";
	$language['change groups']			= "更改组";
	$language['change password']		= "更改密码";
	$language['changing class...']		= "正在更改类...";
	$language['checkpoint empty...']	= "检查点空...";
	$language['checkpoints']			= "检查点";
	$language['choose a class']			= "选择类";
	$language['choose a selector']		= "选择选择器";
	$language['class']					= "类";
	$language['class purges']			= "类清除";
	$language['class purge schedule']	= "类清除调度";
	$language['clear']					= "清除";
	$language['clear fail']				= "清除失败";
	$language['clear fail / halt']		= "清除失败/中止";
	$language['clear semaphore']		= "清除信号量";
	$language['clear warning']			= "清除警告";
	$language['clear warning / halt']	= "清除警告/中止";
	$language['client download directory']	= "客户机下载目录";
	$language['click to edit x']		= "单击以编辑 %1";
	$language['clobber']				= "破坏";
	$language['clobbering project...']	= "正在破坏项目...";
	$language['clone']					= "克隆";
	$language['clone pattern']			= "克隆模式";
	$language['clone variable']			= "克隆变量";
	$language['clone step']				= "克隆步骤";
	$language['clone to above']			= "克隆到上方";
	$language['clone to below']			= "克隆到下方";
	$language['clone to bottom']		= "克隆到底部";
	$language['clone to top']			= "克隆到顶部";
	$language['cloning step...']		= "正在克隆步骤...";
	$language['close nav menu']			= "关闭导航菜单";
	$language['collector variable']		= "收集器变量";
	$language['command']				= "命令";
	$language['completed']				= "已完成";
	$language['completed runs']			= "已完成的运行";
	$language['complete']				= "完成";
	$language['config']					= "配置";
	$language['confirm']				= "确认";
	$language['console data']			= "控制台数据";
	$language['contains']				= "包括";
	$language['contents']				= "内容";
	$language['continue']				= "继续";
	$language['continue, click halt']	= "失败时继续，单击可在失败时中止";
	$language['copy']					= "复制";
	$language['copy (n)']				= "复制";
	$language['copy adaptor']			= "复制适配器";
	$language['copy adaptor link']		= "复制适配器链接";
	$language['copy agent']				= "复制服务器";
	$language['copy class']				= "复制类";
	$language['copy collector']			= "复制收集器";
	$language['copy collector variable']	= "复制收集器变量";
	$language['copy environment']		= "复制环境";
	$language['copy environment variable']	= "复制环境变量";
	$language['copy geo']				= "复制控制台";
	$language['copy group']				= "复制组";
	$language['copy ldap domain']		= "复制 LDAP 域";
	$language['copy library']			= "复制库";
	$language['copy log filter']		= "复制日志过滤器";
	$language['copy log filter pattern']	= "复制日志过滤器模式";
	$language['copy project']			= "复制项目";
	$language['copy schedule']			= "复制调度";
	$language['copy selector variable']	= "复制选择器变量";
	$language['copy server']			= "复制服务器";
	$language['copy server authentication']	= "复制服务器认证";
	$language['copy note']				= "复制注释";
	$language['copy step']				= "复制步骤";
	$language['copy template']			= "复制模板";
	$language['copy user']				= "复制用户";
	$language['copying...']				= "正在复制...";
	$language['count']					= "计数";	
	$language['create']        			= "创建";
	$language['create new report']		= "创建新报告";
	$language['create new tag']			= "创建新标记";
	$language['current groups']			= "当前组";
	$language['current password']		= "当前密码";
	$language['data']					= "数据";
	$language['date']					= "日期";
	$language['database']				= "数据库";
	$language['databases']				= "数据库";
	$language['database error']			= "数据库错误";
	$language['database extension not found']	= "未找到数据库扩展“%1”。";
	$language['datasource']				= "数据源";
	$language['date format']			= "日期格式";
	$language['dates']					= "日期";
	$language['days']					= "天";
	$language['db']						= "数据库类型";
	$language['db2']					= "DB2";
	$language['debug']					= "调试";
	$language['default']				= "缺省";
	$language['default value']			= "缺省值";
	$language['defect']					= "缺陷";
	$language['delete']					= "删除";
	$language['delete / unset']			= "删除/取消设置";
	$language['delete adaptor']			= "删除适配器";
	$language['delete agent']			= "删除服务器";
	$language['delete environment']		= "删除环境";
	$language['delete files']			= "删除文件";
	$language['delete library']			= "删除库";
	$language['delete pattern']			= "删除模式";
	$language['delete project']			= "删除项目";
	$language['delete register']		= "删除寄存器";
	$language['delete schedule']		= "删除调度";
	$language['delete semaphore']		= "删除信号量";
	$language['delete server']			= "删除服务器";
	$language['delete server authentication']	= "删除服务器认证";
	$language['delete step']			= "删除步骤";
	$language['delete tag']				= "删除标记";
	$language['delete this note']		= "删除此注释";
	$language['delete variable']		= "删除变量";
	$language['deleting...']			= "正在删除...";
	$language['deleting note...']		= "正在删除注释...";
	$language['deleting project...']	= "正在删除项目...";
	$language['deleting register...']	= "正在删除寄存器...";
	$language['deleting step...']		= "正在删除步骤...";
	$language['deleting tag...']		= "正在删除标记...";
	$language['description']			= "描述";
	$language['detailed view']			= "详细视图";
	$language['details']				= "详细信息";
	$language['dir']					= "目录";
	$language['directory']				= "目录";
	$language['direct member']			= "直接成员";
	$language['disable']	 			= "禁用";
	$language['disabled']	 			= "已禁用";
	$language['disabled, click enable']	= "步骤已禁用，单击可启用";
	$language['disabling step...']		= "正在禁用步骤...";
	$language['display all'] 			= "全部显示";
	$language['display all messages'] 	= "显示所有消息";
	$language['display name']			= "显示名称";
	$language['distinguished name']		= "专有名称";
	$language['domain']					= "域";
	$language['edit']					= "编辑";
	$language['edit register']			= "编辑寄存器";
	$language['edit tag']				= "编辑标记";
	$language['edit this collector']	= "编辑此收集器";
	$language['edit this environment']	= "编辑此环境";
	$language['edit this filter']		= "编辑此过滤器";
	$language['edit this note']			= "编辑此注释";
	$language['edit this project']		= "编辑此项目";
	$language['edit this library']		= "编辑此库";
	$language['edit this selector']		= "编辑此选择器";
	$language['editable tags']			= "可编辑的标记";
	$language['email']					= "电子邮件";
	$language['enabled']				= "已启用";
	$language['enabled, click disable']	= "步骤已启用，单击可禁用";
	$language['enable / disable step']	= "启用/禁用步骤";
	$language['enabling step...']		= "正在启用步骤...";
	$language['enter the value for:']	= "请输入此项的值：";
	$language['enter user password']	= "输入此用户的密码";
	$language['entry point']			= "入口点";
	$language['entry points']			= "入口点";
	$language['env']					= "环境";
	$language['environment']			= "环境";
	$language['error']					= "错误";
	$language['errors']					= "错误";
	$language['everything']				= "所有内容";
	$language['execute']				= "执行";
	$language['execution']				= "执行";
	$language['exit code']				= "退出代码";
	$language['expire password']		= "使密码到期";
	$language['expiring password...']	= "正在使密码到期...";
	$language['f']						= "F";
	$language['fail']					= "失败";
	$language['fail chain']				= "链失败";
	$language['fail chain link']		= "链链接失败";
	$language['fail notification']		= "通知失败";
	$language['fail notify']			= "通知失败";
	$language['fail wait']				= "等待失败";
	$language['failed']					= "已失败";
	$language['failover geo']			= "故障转移控制台";
	$language['fetching adaptors...']	= "正在获取适配器...";
	$language['fields']					= "字段";
	$language['files']					= "文件";
	$language['files only']				= "仅文件";
	$language['filter'] 				= "过滤器";
	$language['filter calendars by project'] = "按项目过滤日历";
	$language['filter matches']			= "过滤匹配项";
	$language['filter warning'] 		= "过滤警告";
	$language['first']					= "第一个";
	$language['fnotify']				= "通知失败";
	$language['forever']				= "始终";
	$language['from'] 					= "从";
	$language['.get only']				= "仅 .get";
	$language['.get and .put']			= ".get 和 .put";
	$language['generate report']		= "生成报告";
	$language['geos']					= "控制台";
	$language['geo error']				= "控制台错误";
	$language['geo options']			= "控制台选项";
	$language['geo test passed']		= "控制台测试已通过";
	$language['group']					= "组";
	$language['group name']				= "组名";
	$language['groups']					= "组";
	$language['groups search base']		= "组搜索条件";
	$language['groups unique identifier']	= "组唯一标识";
	$language['halt']					= "中止";
	$language['halt, click continue']	= "失败时中止，单击可在失败时继续";
	$language['help']					= "帮助";
	$language['horizontal resize down']	= "减小水平大小";
	$language['horizontal resize up']	= "增大水平大小";
	$language['host']					= "主机";
	$language['host required']			= "主机是必需的";
	$language['hours']					= "小时数";
	$language['id']						= "标识";
	$language['import collectors']		= "导入收集器";
	$language['importing file %']		= "正在导入文件：%1";
	$language['import environment variables']	= "导入环境变量";
	$language['import filters']			= "导入过滤器";
	$language['import ldap domain settings'] = "导入 LDAP 域设置";
	$language['import notification groups']	= "导入通知组";
	$language['import project class']	= "导入项目类";
	$language['import project specific templates'] = "导入项目特定模板";
	$language['import projects']		= "导入项目";
	$language['import selectors']		= "导入选择器";
	$language['import server definitions']	= "导入服务器定义";
	$language['inactive']				= "非活动";
	$language['inactive geo']			= "非活动控制台";
	$language['include']				= "包含";
	$language['include chained projects']	= "包含已连接项目";
	$language['info']					= "信息";
	$language['inline']					= "内联";
	$language['inline project / library']	= "内联项目/库";
	$language['interface']				= "接口";
	$language['initial value']			= "初始值";
	$language['insert new pattern']		= "插入新模式";
	$language['insert new step']		= "插入新步骤";
	$language['insert new step above #']= "在 #%1 上方插入新步骤";
	$language['insert new variable']	= "插入新变量";
	$language['integer']				= "整数";
	$language['invalid action']			= "无效的操作";
	$language['invalid credentials']	= "无效的凭证";
	$language['invalid date']			= "无效的日期";
	$language['invalid request']		= "无效的请求";
	$language['invalid boolean value']	= "对于布尔值字段，这不是有效值。";
	$language['invalid email value']	= "对于电子邮件字段，这不是有效值。";
	$language['invalid password format']	= "这不是有效的密码格式。";
	$language['invalid ip address value']	= "对于 IP 地址字段，这不是有效值。";
	$language['invalid integer value']	= "对于整数字段，这不是有效值。";
	$language['invalid ratio value']	= "对于比率字段，这不是有效值。";
	$language['invalid numeric value']	= "对于数字字段，这不是有效值。";
	$language['invalid positive numeric value']	= "对于正数字字段，这不是有效值。";
	$language['ip address']				= "IP 地址";
	$language['job details']			= "作业详细信息";
	$language['job steps']				= "作业步骤";		
	$language['jobs']					= "作业";
	$language['join']					= "连接";
	$language['joined']					= "已连接";
	$language['join, click non-threaded']	= "连接步骤，单击可设置为非线程化";
	$language['join step']				= "连接步骤";
	$language['keep 1 pass']			= "保持 1 次通过";
	$language['key']					= "密钥";
	$language['language']				= "语言";
	$language['language x not found']	= "未找到语言 %1";
	$language['last']					= "最近";
	$language['ldap domain']			= "LDAP 域";
	$language['ldap domain test passed']	= "LDAP 域测试通过";
	$language['ldap domains']			= "LDAP 域";
	$language['ldap group dns']			= "LDAP 组 DNS";
	$language['ldaps']					= "LDAPS";
	$language['libraries list']			= "库列表";
	$language['library']				= "库";
	$language['library details']		= "库详细信息";
	$language['library environment']	= "库环境";
	$language['library parameters']		= "库参数";
	$language['library tags']			= "库标记";
	$language['license error']			= "许可证错误：%1";
	$language['limit']					= "限制";
	$language['line']					= "行";
	$language['live update active']		= "实时更新处于活动状态";
	$language['live update inactive']	= "实时更新处于非活动状态";
	$language['loading...']				= "正在装入...";
	$language['loading bom category...']	= "正在装入 BOM 类别...";
	$language['loading bom data...']	= "正在装入 BOM 数据...";
	$language['loading categories...']	= "正在装入类别...";
	$language['loading checkpoint...']	= "正在装入检查点...";
	$language['loading content...']		= "正在装入内容...";
	$language['loading gilters...']		= "正在装入过滤器...";
	$language['loading log data...']	= "正在装入日志数据...";
	$language['loading manifest...']	= "正在装入清单...";
	$language['loading manifest data...']	= "正在装入清单数据...";
	$language['loading note...']		= "正在装入注释...";
	$language['loading options...']		= "正在装入选项...";
	$language['loading page content...']= "正在装入页面内容...";
	$language['loading restart editor...'] = "正在装入重新启动编辑器...";
	$language['loading register...']	= "正在装入寄存器...";
	$language['loading start editor...']= "正在装入启动编辑器...";
	$language['loading step content...']= "正在装入步骤内容...";
	$language['loading steps...']		= "正在装入步骤...";
	$language['loading tag...']			= "正在装入标记...";
	$language['loading, please wait...']= "正在装入，请稍候...";
	$language['location']				= "位置";
	$language['lock']					= "锁定";
	$language['locked']					= "已锁定";
	$language['locking jobs...']		= "正在锁定作业...";
	$language['log filters']			= "日志过滤器";
	$language['login']					= "登录";
	$language['login (n)']				= "登录";
	$language['login limit reached']	= "已达到登录限制";
	$language['logged out']				= "已注销";
	$language['logging in...']			= "正在登录...";
	$language['logging out...']			= "正在注销...";
	$language['logout user']			= "注销用户";
	$language['logs & files']			= "日志与文件";
	$language['logs only']				= "仅日志";
	$language['mail name']				= "邮件名称";
	$language['manifest']				= "清单";
	$language['manifest empty...']		= "清单空...";
	$language['map access groups']		= "映射访问组";
	$language['master']					= "主要";
	$language['max threads']			= "最大线程数";
	$language['md5']					= "MD5";
	$language['message']				= "消息";
	$language['minutes']				= "分钟";
	$language['mode']					= "方式";
	$language['months']					= "月份";
	$language['move pattern']			= "移动模式";
	$language['move pattern down']		= "下移模式";
	$language['move pattern up']		= "上移模式";
	$language['move step']				= "移动步骤";
	$language['move to']                = "移动到...";
	$language['move to top']			= "移到顶部";
	$language['move to bottom']			= "移到底部";
	$language['move variable']			= "移动变量";
	$language['move variable down']		= "下移变量";
	$language['move variable up']		= "上移变量";
	$language['move up']				= "上移";
	$language['move down']				= "下移";
	$language['moving step up...']		= "正在上移步骤...";
	$language['moving step down...']	= "正在下移步骤...";
	$language['must change']			= "必须更改";
	$language['mysql']					= "MySQL";
	$language['name']					= "名称";
	$language['new adaptor']			= "新建适配器";
	$language['new adaptor link']		= "新建适配器链接";
	$language['new agent']				= "新建服务器";
	$language['new class']				= "新建类";
	$language['new collector']			= "新建收集器";
	$language['new environment']		= "新建环境";
	$language['new entry']				= "新建条目";
	$language['new geo']				= "新建控制台";
	$language['new group']				= "新建组";
	$language['new ldap domain']		= "新建 LDAP 域";
	$language['new log filter']			= "新建日志过滤器";
	$language['new password']			= "新密码";
	$language['new password confirmed']	= "新密码确认";
	$language['new pattern']			= "新建模式";
	$language['new pattern above']		= "在上方新建模式";
	$language['new pattern below']		= "在下方新建模式";
	$language['new selector']			= "新建选择器";
	$language['new server']				= "新建服务器";
	$language['new server authentication']	= "新建服务器认证";
	$language['new template']			= "新建模板";
	$language['new user']				= "新用户";
	$language['new user default']		= "新用户缺省值";
	$language['new variable']			= "新建变量";
	$language['new variable above']		= "在上方新建变量";
	$language['new variable below']		= "在下方新建变量";
	$language['next']					= "下一个";
	$language['next run']				= "下一个运行";
	$language['no']						= "否";
	$language['no access to edit projects']	= "无权编辑项目";
	$language['no delete geo project references']	= "不能删除被项目引用的位置。";
	$language['no delete geo build references']	= "不能删除还保留有作业的位置。";
	$language['no delete geo failover references']	= "无法删除已指定为其他位置的故障转移点的位置。";
	$language['no errors']				= "无错误";
	$language['no manifest entries found']	= "未找到清单条目";
	$language['no matched lines...']	= "无匹配行...";
	$language['no results found']		= "未找到任何结果。";
	$language['no saved filters']		= "没有已保存的过滤器";
	$language['none']					= "无";
	$language['non-threaded, click threaded']	= "非线程化步骤，单击可设置为线程化";
	$language['none available']			= "没有可用项";
	$language['normal']					= "普通";
	$language['normal view']			= "普通视图";
	$language['not absolute']			= "非绝对";
	$language['not logged in']			= "未登录";
	$language['not started']			= "未启动";
	$language['not sticky']				= "非粘性";
	$language['note']					= "注释";
	$language['notes']					= "注释";
	$language['notify']					= "通知";
	$language['notify changers']		= "通知更改人";
	$language['nuke']					= "Nuke";
	$language['numeric']				= "数字";
	$language['obtained']				= "已获取";
	$language['obtained / released']	= "已获取/已释放";
	$language['obtained by']			= "获取者";
	$language['ok']						= "确定";
	$language['on fail']				= "在失败时";
	$language['on project']				= "在项目中";
	$language['only failed']			= "仅已失败";
	$language['only passed']			= "仅已通过";
	$language['once']					= "一次";
	$language['open nav menu']			= "打开导航菜单";
	$language['operator']				= "运算符";
	$language['options']				= "选项";
	$language['oracle']					= "Oracle";
	$language['outage detected']		= "检测到中断";
	$language['owner']					= "所有者";
	$language['p']						= "P";
	$language['padding']				= "填充";
	$language['page x of x']			= "第 %1 页（共 %2 页）";
	$language['parameters']				= "参数";
	$language['pass']					= "通过";
	$language['pass chain']				= "通过链";
	$language['pass chain link']		= "通过链链接";
	$language['pass notification']		= "通过通知";
	$language['pass notify']			= "通过通知";
	$language['pass wait']				= "通过等待";
	$language['pass with warning']		= "通过，但带有警告";
	$language['passed']					= "已通过";
	$language['password']				= "密码";
	$language['password expired']		= "密码已到期";
	$language['password expires']		= "密码到期";
	$language['password format']		= "密码格式";
	$language['password too few numerics']	= "密码中的数字字符太少。";
	$language['password too few special']	= "密码中的特殊字符太少。";
	$language['password too few upper']	= "密码中的大写字符太少。";
	$language['password too few lower']	= "密码中的小写字符太少。";
	$language['password too few variations']	= "密码中的变化太少。";
	$language['password short of x chars']	= "密码过短。必须至少为 %1 个字符。";
	$language['path']					= "路径";
	$language['path required']			= "路径是必需的";
	$language['pathname']				= "路径名";
	$language['pattern']				= "模式";
	$language['paused']					= "已暂停";
	$language['pause job']				= "暂停作业";
	$language['pausing job at step...']	= "正在暂停步骤处的运行...";
	$language['performance']			= "性能";
	$language['pnotify']				= "通知通过";
	$language['populate env']			= "填充环境";
	$language['port']					= "端口";
	$language['positive numeric']		= "正数";
	$language['postgres']				= "Postgres";
	$language['pre-processing']			= "预处理";
	$language['prepend']				= "前加";
	$language['previous']				= "上一个";
	$language['priority login']			= "优先级登录";
	$language['private report']			= "私有报告";
	$language['project']				= "项目";
	$language['project default']		= "项目缺省值";
	$language['project details']		= "项目详细信息";
	$language['project environment']	= "项目环境";
	$language['project list']			= "项目列表";
	$language['project name']			= "项目名称";
	$language['project parameters']		= "项目参数";
	$language['project tags']			= "项目标记";
	$language['project xml file']		= "项目 XML 文件";
	$language['projects and libraries'] = "项目和库";
	$language['property']				= "属性";
	$language['protocol']				= "协议";
	$language['public report']			= "公共报告";
	$language['purge']					= "清除";
	$language['purge logs on replace']	= "在替换时清除日志";
	$language['purge job']				= "清除作业";
	$language['purge seat']				= "清除席次";
	$language['purging']				= "正在清除";
	$language['purging...']				= "正在清除...";
	$language['purging jobs...']		= "正在清除作业...";
	$language['.put only']				= "仅 .put";
	$language['projects list']			= "项目列表";
	$language['queries']				= "查询";
	$language['quick start disabled']	= "快速启动已禁用";
	$language['quick start project']	= "快速启动项目";
	$language['quick start project...']	= "快速启动项目...";
	$language['quick reports']			= "快速报告";
	$language['read-only']				= "只读";
	$language['refresh']				= "刷新";
	$language['refresh list']			= "刷新列表";
	$language['refresh manifest']		= "刷新清单";
	$language['refreshing manifest...']	= "正在刷新清单...";
	$language['refreshing messages...']	= "正在刷新消息...";
	$language['refreshing notes list...'] = "正在刷新注释列表...";
	$language['refreshing test results...'] = "正在刷新测试结果...";
	$language['refreshing view...'] 	= "正在刷新视图...";
	$language['register']				= "寄存器";
	$language['registers']				= "寄存器";
	$language['relative']				= "相对";
	$language['relative path']			= "相对路径";
	$language['relative, click absolute']	= "相对路径，单击可转换为绝对路径";
	$language['released']				= "已释放";
	$language['released by']			= "释放者";
	$language['reload note']			= "重新装入注释";
	$language['regular expression']		= "正则表达式";
	$language['<< remove']				= "<< 除去";
	$language['rename entities']		= "重命名实体";
	$language['replace entities']		= "替换实体";
	$language['report']					= "报告";
	$language['report format']			= "报告格式";
	$language['report type']			= "报告类型";
	$language['report types']			= "报告类型";
	$language['requestor']				= "请求者";
	$language['requestor / releaser']	= "请求者/释放者";
	$language['required']				= "必需";
	$language['reset']					= "复位";
	$language['reset job count']		= "复位作业计数";
	$language['resetting job count...']	= "正在复位作业计数...";
	$language['resource']				= "资源";
	$language['restart']				= "重新启动";
	$language['restart job']			= "重新启动作业";
	$language['restart library']		= "重新启动库";
	$language['restart project']		= "重新启动项目";
	$language['restarting run...']		= "正在重新启动运行...";
	$language['result']					= "结果";
	$language['results']				= "结果";
	$language['revert to the default']	= "恢复为缺省值";
	$language['rss']					= "RSS";
	$language['run']					= "运行";
	$language['run command']			= "运行命令";
	$language['run details']			= "运行详细信息";
	$language['run limit']				= "运行限制";
	$language['run link']				= "运行链接";
	$language['run report']				= "运行报告";
	$language['running']				= "正在运行";
	$language['runtime']				= "运行时";
	$language['s']						= "S";
	$language['save']					= "保存";
	$language['save adaptor']			= "保存适配器";
	$language['save agent']				= "保存服务器";
	$language['save environment']		= "保存环境";
	$language['save library']			= "保存库";
	$language['save new register']		= "保存新寄存器";
	$language['save project']			= "保存项目";
	$language['save schedule']			= "保存调度";
	$language['save server']			= "保存服务器";
	$language['save server authentication']	= "保存服务器认证";
	$language['save step']				= "保存步骤";
	$language['save variable']			= "保存变量";
	$language['saving...']				= "正在保存...";
	$language['saving note...']			= "正在保存注释...";
	$language['saving tag...']			= "正在保存标记...";
	$language['saving register...']		= "正在保存寄存器...";
	$language['schedule details']		= "调度详细信息";
	$language['schedule list']			= "调度列表";
	$language['search base']			= "搜索条件";
	$language['security']				= "安全性";
	$language['select entities to process']	= "选择要处理的实体";
	$language['select report type']		= "选择报告类型";
	$language['selector']				= "选择器";
	$language['selector name']			= "选择器名称";
	$language['selector variable']		= "选择器变量";
	$language['selectors']				= "选择器";
	$language['setting preference...']	= "设置首选项...";
	$language['semaphore']				= "信号量";
	$language['sequence number']		= "序号";
	$language['server authentication']	= "服务器认证";
	$language['server name required']	= "服务器名称是必需的";
	$language['set']					= "设置";
	$language['set absolute path...']	= "设置绝对路径...";
	$language['set continue...']		= "设置继续...";
	$language['set fail']				= "设置失败";
	$language['set fail / halt']		= "设置失败/中止";
	$language['set halt...']			= "设置中止...";
	$language['set if not set']			= "如果未设置则设置";
	$language['set joined step...']		= "设置连接步骤...";
	$language['set non-threaded step...']	= "设置非线程化步骤...";
	$language['set relative path...']	= "设置相对路径...";
	$language['set threaded step...']	= "设置线程化步骤...";
	$language['set value']				= "设置值";
	$language['severity']				= "严重性";
	$language['show']					= "显示";
	$language['show all projects']		= "显示所有项目";
	$language['showing schedules for x']	= "正在显示 %1... 的调度";
	$language['showing x - x of x']		= "正在显示 %1 － %2（共 %3 项）";
	$language['skipped']				= "已跳过";
	$language['skip to content']		= "跳到内容";
	$language['skip to details']		= "跳到详细信息";
	$language['sort']					= "排序";
	$language['source']					= "源";
	$language['spawning']				= "正在衍生";
	$language['sql server']				= "SQL 服务器";
	$language['start']					= "启动";
	$language['starting']				= "正在启动";
	$language['start library']			= "启动库";
	$language['start notify']			= "启动通知";
	$language['start on entry']			= "在进入时启动";
	$language['start on exit']			= "在退出时启动";
	$language['start on purge']			= "在清除时启动";
	$language['start project']			= "启动项目";
	$language['starting run...']		= "正在启动运行...";
	$language['starting test...']		= "正在启动测试...";
	$language['state']					= "状态";
	$language['status']					= "状态";
	$language['step']					= "步骤";
	$language['steps']					= "步骤";
	$language['step details']			= "步骤详细信息";
	$language['step log']				= "步骤日志";
	$language['step logs']				= "步骤日志";
	$language['step manifests']			= "步骤清单";
	$language['stepname']				= "步骤名称";
	$language['step name']				= "步骤名称";
	$language['sticky']					= "粘性";
	$language['stop purge']				= "停止清除";
	$language['stopped']				= "已停止";
	$language['subgroups']				= "子组";
	$language['subject']				= "主题";
	$language['submit']					= "提交";
	$language['suppress display']		= "禁止显示";
	$language['sync commands']			= "同步命令";
	$language['switch to user']			= "切换到用户";
	$language['switch to virtual buffer'] = "切换到虚拟缓冲区";
	$language['switch user']			= "切换用户";
	$language['switching user...']		= "正在切换用户...";
	$language['sybase']					= "Sybase";
	$language['system configuration']	= "系统配置";
	$language['system messages']		= "系统消息";
	$language['table chart']			= "图表";
	$language['tag']					= "标记";
	$language['tag example']			= "标记示例";
	$language['tag format']				= "标记格式";
	$language['tag name']				= "标记名称";
	$language['tag sync']				= "标记同步";
	$language['tags']					= "标记";
	$language['template']				= "模板";
	$language['templates']				= "模板";
	$language['template list']			= "模板列表";
	$language['test']					= "测试";
	$language['test connection']		= "测试连接";
	$language['test geo db connection']	= "测试控制台数据库连接";
	$language['test ldap domain']		= "测试 LDAP 域";
	$language['test queued']			= "测试入队项";
	$language['test results']			= "测试结果";
	$language['testing...']				= "正在测试...";
	$language['thread']					= "线程";
	$language['threaded']				= "线程化";
	$language['threaded, click joined']	= "线程化步骤，单击可设置为连接步骤";
	$language['threaded step']			= "线程化步骤";
	$language['timeout']				= "超时";
	$language['timestamp']				= "时间戳记";
	$language['time zone']				= "时区";
	$language['trace']					= "跟踪";
	$language['truncation']				= "截断";
	$language['tuning']					= "调整";
	$language['turnkey']				= "全包式";
	$language['type']					= "类型";
	$language['tz']						= "时区"; // Abbreviation for Time Zone
	$language['unique identifier']		= "唯一标识";
	$language['unlimited']				= "无限制";
	$language['unlock']					= "取消锁定";
	$language['unlocking jobs...']		= "正在取消锁定作业...";
	$language['unpausing job at step...']	= "正在取消暂停步骤处的运行...";
	$language['unreachable date']		= "不可达到的日期";
	$language['updating header...']		= "正在更新标题...";
	$language['updating navigation...'] = "正在更新导航...";
	$language['updating tabs...']		= "正在更新选项卡...";
	$language['username']				= "用户名";
	$language['user limit reached']		= "已达到用户限制";
	$language['uses screen reader']		= "使用屏幕朗读器";
	$language['value']					= "值";
	$language['verified']				= "验证密码";
	$language['variable']				= "变量";
	$language['variable options']		= "变量选项";
	$language['visibility']				= "可视性";
	$language['waiting']				= "正在等待";
	$language['warning']				= "警告";
	$language['when the names are the same:']	= "名称相同时：";
	$language['which']					= "哪一个";
	$language['wizard']					= "向导";
	$language['x days']					= "%1 天";
	$language['x hours']				= "%1 小时";
	$language['x of x license seats used']	= "已使用 %1 个许可证席次（共 %2 个）";
	$language['yes']					= "是";
	$language['zero pages to display']	= "没有可显示的页面";

	/* Footer */
	$language['copyright'] 				= "(c) Copyright International Business Machines Corporation 2003, 2008. All rights reserved";

	/* Tokenized Translations */
	$language[100] = "通知";
	$language[101] = "错误";
	$language[102] = "警告";
	$language[120] = "正在装入";
	$language[121] = "正在保存";
	$language[125] = "状态消息";


	$language[2000] = "步骤无效，将不保存。步骤名称中不能仅包含空格。";
	$language[2001] = "项目无效，将不保存。步骤名称超出 255 个字符。";
	$language[2002] = "步骤无效，将不保存。步骤名称必须唯一。";
	$language[2003] = "项目无效，将不保存。步骤名称必须唯一 － 添加空格并没有用，请重试。";
	$language[2004] = "步骤无效，将不保存。必须包含路径。";
	$language[2005] = "步骤无效，将不保存。不能将路径设置为仅包含空格。";
	$language[2006] = "项目无效，将不保存。路径超出 255 个字符。";
	$language[2007] = "步骤无效，将不保存。必须包含命令。";
	$language[2008] = "步骤无效，将不保存。不能将命令设置为仅包含空格。";
	$language[2009] = "这将会完成除去此步骤。是否继续？";
	$language[2010] = "在未选择选择器的情况下保存项目，会导致将此项目保存为库。是否继续？";
	$language[2011] = "请输入新项目的名称或取消";
	$language[2012] = "项目无效，将不保存。项目名称必须唯一（忽略空格）。";
	$language[2013] = "项目无效，将不保存。项目名称必须唯一。";
	$language[2014] = "项目无效，将不保存。必须包含项目名称。";
	$language[2015] = "项目无效，将不保存。项目名称超出 255 个字符。";
	$language[2016] = "项目无效，将不保存。项目名称中不能仅包含空格。";
	$language[2017] = "项目无效，将不保存。必须选择一个类。";
	$language[2018] = "项目无效，将不保存。必须设置标记格式。";
	$language[2019] = "项目无效，将不保存。标记值不能设置为仅包含空格。";
	$language[2020] = "项目无效，将不保存。必须选择一个项目级别。";
	$language[2021] = "保存将覆盖先前保存的信息 － 是否继续？";
	$language[2022] = "这将会删除此标记。是否继续？";
	$language[2023] = "这将会删除此项目。是否继续？";
	$language[2024] = "您尝试除去具有活动构建的项目 － 必须先清除那些构建，然后才能删除该项目。";
	$language[2025] = "警告：您将会丢失对此步骤进行的更改 － 是否继续？";
	$language[2026] = "BF_ 是保留的。";
	$language[2027] = "这将会删除此寄存器。是否继续？";
	$language[2028] = "您必须先创建步骤，然后才能向它添加注释 － 注释将不保存。";
	$language[2029] = "警告：您将要除去此注释。是否继续？";
	$language[2030] = "这将会完全删除项目和所有关联的作业。是否继续？";
	$language[2031] = "无法快速启动此项目/库，因为它没有选择器。";
	$language[2032] = "无法启动此项目/库，因为它没有您有权访问的活动步骤。";
	$language[2033] = "无法快速启动此项目/库，因为它具有标记为必需的环境字段。";
	$language[2034] = "无法启动此项目/库，因为这将会导致超出您的最大允许构建数。";
	$language[2035] = "无法快速启动或编辑此项目/库，因为它正在受到破坏。";
	$language[2036] = "只有在编辑项目/库时才能访问此选项卡。";
	$language[2038] = "只有在编辑步骤时才能访问此选项卡。";
	$language[2039] = "您无权执行此操作。";
	$language[2040] = "不能删除被其他数据引用的环境组。";
	$language[2041] = "不能删除仍被项目引用的环境。";
	$language[2042] = "不能删除仍被项目步骤引用的环境。";
	$language[2043] = "单击可手动刷新 － 或者设置时间";
	$language[2044] = "展开或折叠所有环境和变量";
	$language[2045] = "作业将使用缺省环境启动。";
	$language[2046] = "选择要包含的步骤。单击列标题中的复选框将选择/取消选择所有项。单击父级复选框将选择/取消选择其所有子代。";
	$language[2047] = "展开或折叠所有步骤";
	$language[2048] = "不能删除被服务器引用的收集器。";
	$language[2049] = "不能创建名称仅由空格组成的收集器。";
	$language[2050] = "收集器名称是必需的。";
	$language[2051] = "不能删除被其他数据引用的选择器。";
	$language[2052] = "不能创建名称仅由空格组成的日志过滤器。";
	$language[2053] = "日志过滤器名称是必需的。";
	$language[2054] = "不能删除被步骤引用的日志过滤器。";
	$language[2055] = "过滤器名称是必需的。";
	$language[2056] = "不能删除仍被其他链接引用的适配器。";
	$language[2057] = "服务器名称不能仅包含空格。";
	$language[2058] = "主机不能仅包含空格。";
	$language[2059] = "路径不能仅包含空格。";
	$language[2060] = "只有在编辑服务器时才能访问此选项卡。";
	$language[2061] = "不能删除仍被 %1 服务器引用的服务器认证对。";
	$language[2062] = "不能删除仍被 %1 适配器链接引用的适配器。";
	$language[2063] = "不能删除被其他数据引用的访问组。";
	$language[2064] = "在下面的列表中选择名称，然后单击“添加”将它们添加到右侧的成员列表中。";
	$language[2065] = "组会接收其父组的所有许可权。选择一个组，然后单击“添加”将它添加到右侧的子代列表中。";
	$language[2066] = "不能删除被调度引用的用户。";
	$language[2067] = "此用户不属于任何组";
	$language[2068] = "在左边选择一个组，然后单击“添加”使此用户成为该组的直接成员。";
	$language[2069] = "不能删除被其他数据引用的类。";
	$language[2070] = "当此帐户仍有活动会话时，您无法登录。";
	$language[2071] = "入口点不能仅包含空格。";
	$language[2072] = "必须创建要链接的适配器。";
	$language[2073] = "正在获取入口点...";
	$language[2074] = "适配器名称是必需的。";
	$language[2075] = "适配器名称不能仅包含空格。";
	$language[2076] = "正在获取模板...";
	$language[2077] = "类名是必需的。";
	$language[2078] = "类名不能仅包含空格。";
	$language[2079] = "此模式将会被永久删除。是否继续？";
	$language[2080] = "组名是必需的。";
	$language[2081] = "不能创建名称仅由空格组成的组。";
	$language[2082] = "只有在编辑组时才能访问此选项卡。";
	$language[2083] = "名称是必需的。";
	$language[2084] = "LDAP 域名不能仅包含空格。";
	$language[2085] = "主机是必需的。";
	$language[2086] = "LDAP 域的主机不能仅包含空格。";
	$language[2087] = "密码字段不匹配。";
	$language[2088] = "这将会对 LDAP 服务器测试 LDAP 域信息。是否继续？";
	$language[2089] = "模板密钥是必需的。";
	$language[2090] = "不能创建密钥仅由空格组成的模板。";
	$language[2091] = "模板描述是必需的。";
	$language[2092] = "不能创建描述仅由空格组成的模板。";
	$language[2093] = "模板主题是必需的。";
	$language[2094] = "不能创建主题仅由空格组成的模板。";
	$language[2095] = "正在获取步骤...";
	$language[2096] = "用户名是必需的。";
	$language[2097] = "不能创建名称仅由空格组成的用户。";
	$language[2098] = "用户名是必需的。";
	$language[2099] = "不能创建用户名仅由空格组成的用户。";
	$language[2100] = "密码验证不匹配。";
	$language[2101] = "不能创建密码仅由空格组成的用户。";
	$language[2102] = "此用户在下次登录时将需要创建新密码。是否继续？";
	$language[2103] = "此用户将不再占用许可证席次。是否继续？";
	$language[2104] = "只有在编辑用户时才能访问此选项卡。";
	$language[2105] = "不能编辑 root 用户的组。";
	$language[2106] = "只有在编辑调度时才能访问此选项卡。";
	$language[2107] = "此提交需要指定描述。";
	$language[2108] = "此提交需要指定项目。";
	$language[2109] = "此提交需要指定环境。";
	$language[2110] = "此提交需要指定分钟。";
	$language[2111] = "此提交需要指定小时。";
	$language[2112] = "此提交需要指定日期。";
	$language[2113] = "此提交需要指定月份。";
	$language[2114] = "此提交需要指定星期几。";
	$language[2115] = "是否确实要删除此注释？";
	$language[2116] = "变量名不能以“BF_”开头。";
	$language[2117] = "变量名只能含有字母和数字。";
	$language[2118] = "变量名必须以字母、下划线或点号开头。";
	$language[2119] = "此属性将被永久删除。是否继续？";
	$language[2120] = "不能创建名称仅由空格组成的选择器。";
	$language[2121] = "选择器名称是必需的。";
	$language[2122] = "此%1将被永久删除。是否继续？";
	$language[2123] = "非 XML 服务器响应。";
	$language[2124] = "正在获取所请求页面...";
	$language[2125] = "必须具有入口点。";
	$language[2126] = "这将立即清除用户的会话。是否继续？";
	$language[2127] = "请选择新环境的新名称。";
	$language[2128] = "环境名称必须不只包含空格。";
	$language[2129] = "环境名称是必需的。";
	$language[2130] = "变量名称必须匹配 /^[a-zA-Z._][\w_\-\. ]*$/。";
	$language[2131] = "变量名称是必需的。";
	$language[2132] = "无法找到要展开或折叠的对象。";
	$language[2133] = "无法找到所需的表或按钮内容。";
	$language[2134] = "您需要先更改 %1 的值，然后才能执行此作业。";
	$language[2135] = "您必须先选择一个选择器，然后才能运行此项目。";
	$language[2136] = "这将取消选定作业。单击“确定”继续。";
	$language[2137] = "这将清除选定作业。是否继续？";
	$language[2138] = "此提交需要指定类。";
	$language[2139] = "无法启动此项目，因为这将导致超出您的最大允许构建数。";
	$language[2140] = "无法启动此项目，因为您不具有必需的许可权。";
	$language[2141] = "这将更改此作业的类。是否继续？";
	$language[2142] = "未找到此环境组。";
	$language[2143] = "递归错误：检测到循环";
	$language[2144] = "展开或折叠此步骤";
	$language[2145] = "函数“%1”的结束符缺少开始符。";
	$language[2146] = "未知函数“%1”的结束符。";
	$language[2147] = "%1 中存在 jTE 错误：%2";
	$language[2148] = "错误：jTE 无法装入所请求的模板。";
	$language[2149] = "写入数据库列高速缓存信息时出错。请确保在 php.ini 文件中配置了 upload_tmp_dir。";
	$language[2150] = "未能装入数据库类型。请检查配置。";
	$language[2151] = "未找到数据库类型（%1）。请检查配置。";
	$language[2152] = "找到无效的配置。";
	$language[2153] = "未能连接到数据库。";
	$language[2154] = "您不具有 %1 的许可权。";
	$language[2155] = "错误：%1（%2 中，行 %3）。";
	$language[2156] = "系统的 php.ini 中未设置 upload_tmp_dir。如果您确信自己是错误地接收到此消息，请允许安装完成或联系客户服务。";
	$language[2157] = "系统尚未完成安装。如果您确信自己是错误地接收到此消息，请允许安装完成或联系客户服务。";
	$language[2158] = "正在重试到数据库的连接尝试，请检查数据库配置、服务器负载或网络，确定可能的错误。";
	$language[2159] = "无法装入用户的许可权。";
	$language[2160] = "引擎状态：已暂停";
	$language[2161] = "您安装的版本是 %1，但数据库的版本是 %2。必须确保它们版本相同才能继续。";
	$language[2162] = "展开或折叠环境";
	$language[2164] = "您需要先更改 %1 的值，然后才能保存此调度。";
	$language[2165] = "在向表中添加清除记录时，无法获取清洁的构建标识。";
	$language[2166] = "无法向构建表中写入清除记录。";
	$language[2167] = "无法取消正在等待的作业";
	$language[2168] = "无法取消正在运行的作业";
	$language[2169] = "“%1”不是有效的类名。";
	$language[2170] = "类似乎已经被更改。";
	$language[2171] = "执行此操作将导致超出您的作业限制。";
	$language[2172] = "无法更改数据库中的类。";
	$language[2173] = "您已超出您的作业限制。";
	$language[2174] = "无法装入项目。";
	$language[2175] = "无法启动没有设置选择器的项目。";
	$language[2176] = "无法启动没有步骤的项目。";
	$language[2177] = "无法启动在环境中具有必需字段的项目。";
	$language[2178] = "无法启动某个环境项已设置为“必须更改”但尚未更改的项目。";	
	$language[2179] = "此%1将会被永久删除，使用它的所有构建将被破坏。是否继续？";
	$language[2181] = "未找到必需字段。";
	$language[2182] = "无法管理 SEQ。";
	$language[2183] = "已经存在具有此名称和值的收集器变量。";
	$language[2185] = "无法为 SEQ 重新编号。";
	$language[2186] = "BFDBO 无法强制 UID 锁定";
	$language[2187] = "BFDBO 由于数据库错误，无法设置 UID 锁定";
	$language[2188] = "BFDBO 由于数据库错误，无法强制 UID 锁定";
	$language[2189] = "BFDBO 由于数据库错误，无法复位 UID 锁定";
	$language[2190] = "无法管理 EID。";
	$language[2193] = "无法管理 FID。";
	$language[2195] = "已经存在具有此名称的 %1。";
	$language[2197] = "未找到具有该名称的接口。";
	$language[2198] = "已经存在具有该域的 LDAP 域。";
	$language[2199] = "未找到 LDAP PHP 扩展。";
	$language[2200] = "未能连接到 LDAP 服务器。";
	$language[2201] = "不能删除被其他数据引用的 %1。";
	$language[2202] = "未能从指定标识检索环境名称。";
	$language[2203] = "无法删除旧的清单条目。";
	$language[2204] = "无法管理清单条目。";
	$language[2205] = "无法保存新步骤。";
	$language[2206] = "已经存在具有该项目标识和步骤标识的模板。";
	$language[2207] = "BFUID 无法强制 UID 锁定";
	$language[2208] = "BFUID 由于数据库错误，无法复位 UID 锁定";
	$language[2209] = "BFUID 由于数据库错误，无法设置 UID 锁定";
	$language[2210] = "已经存在具有此用户名的用户。";
	$language[2211] = "未能清除用户。";
	$language[2212] = "未能除去用户的访问权。";
	$language[2213] = "您尝试启动无效的项目/库。";
	$language[2214] = "在向表中添加清除记录时，无法获取清洁的构建标识。";
	$language[2215] = "无法向构建表中写入清除记录。";
	$language[2216] = "类似乎已经被更改。";
	$language[2217] = "“%1”不是有效的类名。";
	$language[2218] = "无法更改数据库中的类。";
	$language[2219] = "无法装入注释列表。";
	$language[2220] = "无效的注释标识。";
	$language[2221] = "无法装入注释。";
	$language[2222] = "无法插入注释。";
	$language[2223] = "无法从 bf_notes 删除注释。";
	$language[2224] = "无法从 bf_store（%1）删除注释 － 已从 bf_notes 除去。";
	$language[2225] = "无法从存储器中获取任何内容。";
	$language[2226] = "无法在存储器中放入任何内容。";
	$language[2227] = "无法从存储器中除去任何内容。";
	$language[2228] = "未上载任何文件用于导入。";
	$language[2229] = "未找到导入脚本。";
	$language[2230] = "已成功清除用户";
	$language[2231] = "用户名或密码无效";
	$language[2232] = "用户名未找到";
	$language[2233] = "登录标识不唯一";
	$language[2234] = "未知的用户名";
	$language[2235] = "无法对 LDAP 服务器进行认证。";
	$language[2236] = "不能创建与接口模板同名的接口。";
	$language[2237] = "您选择了清除此作业。是否继续？";
	$language[2238] = "您选择了清除 %1 作业。是否继续？";
	$language[2239] = "您选择了取消 %1 作业。是否继续？";
	$language[2240] = "不能查看当前正在清除的作业。";
	$language[2241] = "标记字符串格式不能为空。缺省值为 \$BUILD_B";
	$language[2245] = "标记的初始值必须为数字。";
	$language[2246] = "标记名称对于项目必须唯一。";
	$language[2247] = "标记名称不能包含冒号。";
	$language[2248] = "无法启动项目，因为它处于非活动状态。";
	$language[2249] = "不能启动此项目，因为这将超出项目的每日最大构建数。";
	$language[2250] = "不能快速启动此项目，因为它有必需的环境变量或必须更改的环境变量。";
	$language[2251] = "已经存在使用此项目的适配器链接。";
	$language[2252] = "不能使用空标记启动此项目。";
	$language[2253] = "此作业更改自“%1”类，该类从项目“%2”启动了一个作业。";
	$language[2254] = "此作业已更改为“%1”类，该类从项目“%2”启动了一个作业。";
	$language[2255] = "由于数据为旧数据，因此无法显示类型过滤器复选框 － 用户过滤器为空";
	$language[2256] = "没有 %2 的情况下，不能保存 %1。";
	$language[2258] = "这将对照控制台的数据库测试控制台信息。是否继续？";
	$language[2259] = "未能使用未分类连接来连接到 DB2，替换为使用分类的连接。";
	$language[2260] = "您无权执行此项目。";
	$language[2261] = "您无权执行此项目环境。";
	$language[2262] = "您无权执行此项目选择器。";
	$language[2263] = "您无权执行此项目类。";
	$language[2264] = "只有 root 用户或调度所有者才能编辑此调度。";
	$language[2265] = "保存具有选择器的库将导致将它保存为项目。是否继续？";
	$language[2266] = "这将会删除此库。是否继续？";
	$language[2267] = "无法绑定到 LDAP 服务器。";
	$language[2268] = "已经存在具有此名称的访问组。";
	$language[2269] = "不能编辑隐藏变量。";
	$language[2270] = "magic_quotes_gpc 已设置为“打开”";
	$language[2271] = "新密码与确认密码不匹配。";
	$language[2272] = "新密码必须不同于当前密码。";
	$language[2273] = "未能设置新密码。请与管理员联系。";
	$language[2274] = "您的帐户已在其他地方登录，这使得您的会话是无效的。";
	$language[2275] = "远程用户帐户不存在";
	$language[2276] = "密码已到期。必须创建新密码才能继续。";
	$language[2277] = "非线程化步骤，单击可设置为线程化";
	$language[2278] = "线程化步骤，单击可设置为连接步骤";
	$language[2279] = "连接步骤，单击可设置为非线程化";
	$language[2280] = "无法插入/更新寄存器";
	$language[2281] = "寄存器名称对于项目必须唯一";
	$language[2282] = "Build Forge 系统用户接口遇到错误而无法恢复。请联系 Build Forge 技术支持以提供以下信息：";
	$language[2283] = "Error: Name or Description cannot contain the special character '|'";

	$language[7000] = "选择报告的生成方式：";
?>
