<?php
/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

/** 
 * db2SQL  -  Used to lookup SQL statements.
 *   overrides to CommonSQL Key/SQL pairs for db2 should be done here.
 */ 
 
class db2SQL extends CommonSQL {
	public $sql = array();
	public $statements = array();
	
	public function initSQL () {
		$this->sql = array( 
			'BUILD_ENV'		=> "SELECT bf_env AS bf_e FROM bf_builds WHERE bf_bid=?",
			'PROJECT_LAST_RUN'	=> "SELECT bf_start FROM bf_builds WHERE bf_pid=? ORDER BY bf_bid DESC FETCH FIRST 1 ROWS ONLY",
			'BF_JOBS_COUNT_DEC' => "UPDATE bf_manifest SET bf_value=char(int(bf_value) - 1) WHERE bf_name=? AND bf_prop='BF_JOBS' AND int(bf_value) > 0",
			'BF_JOBS_COUNT_INC' => "UPDATE bf_manifest SET bf_value=char(int(bf_value) + 1) WHERE bf_name=? AND bf_prop='BF_JOBS'",
		);
	}
	
}
 
 
?>
