<?php
/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

/** 
 * oci8SQL  -  Used to lookup SQL statements.
 *   overrides to CommonSQL Key/SQL pairs for Oracle should be done here.
 */ 
 
class oci8SQL extends CommonSQL {
	public $sql = array();
	public $statements = array();
	
	public function initSQL () {
		$this->sql = array( 
			'FIRE_BUILD_BUILD_ENTRY' => "INSERT INTO bf_builds VALUES(?,?,0,?,'B',' ','N',?,?,?,?,' ',0,0,?,?,0,?,?,' ', ?, ?, 0, ' ')", 
			'CLOBBER_PROJECT_BUILD_ENTRY' => "INSERT INTO bf_builds VALUES(?,?,0,'W','N','N','N',' ',' ',?,0,' ',0,0,' ',?,0,' ',' ',' ',0,0,0,' ')",
			'PROJECT_LAST_RUN' => "SELECT bf_start FROM bf_builds WHERE bf_pid=? AND rownum<=1 ORDER BY bf_bid DESC",
			'PLUGIN_LIST_PROJECTS' => "SELECT * FROM bf_projects WHERE bf_platform != ' '",
		);
	}
	
}



?>
