<?php
/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

/**
 * BFLogout.php
 *
 * Logout filter
 *
 * @package Console
 * @subpackage Core
 */

$GLOBALS['controller']->require_file('BFPlugin.php');
$GLOBALS['controller']->require_file('Module.php');

/**#@+
 * Defines
 */
define('BF_LOGOUT', 'logout');

/**
 * BFLogout
 */
class BFLogout extends Module implements BFRequestFilter {
	protected $user;

	public function handleRequest($req) {
		if (array_key_exists(BF_LOGOUT, $req)) {
			$this->user->logout();
		}
		return $req;
	}
	
	/**
	 * Ignore. Request filtering takes care of things
	 */
	public function handlePost($post = null) {
		return $post;
	}
	
	public function BFLogout() {
		$this->user = $GLOBALS['user'];
	}
}


 ?>
