<?php
/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

/**
 * BFUIFilter
 * 
 * @package Console
 * @subpackage Core
 */
class BFUIFilter extends BFDBO {
	public $table =			'bf_uifilters';
	public $primary_key =	'bf_id';
	public $type_name = 	'filter';
	public $log_changes = 	false;
	
	/**
	 * Overridden for access check
	 */
	public function insert() {
		// Access check
		if ($this->controller->userHasAccessTo('AddView')) {
			return parent::insert();
		}
	}
	
	/**
	 * Overridden for access check
	 */
	public function delete() {
		// Access check
		if ($this->controller->userHasAccessTo('DeleteView')) {
			return parent::delete();
		}
	}
}

?>
