<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/
 
	global $PageError;
	global $PageInfo;
	global $token;
	global $Command;
	global $login;
	global $password;
	global $config;
	global $user_lang;
	global $Msg;	
	// We don't want warnings to confuse the API clients
	error_reporting("E_ERROR");
	define('BF_ROOT', realpath(dirname($_SERVER['SCRIPT_FILENAME']).'/..'));
	
	function _apisend($key,$str) {
		if (isset($_GET['plaintext']) || isset($_POST['plaintext']))
			print "$key=$str\n";
		else {
			// unpack returns an assoc array that you name for some odd reason
			$enc = @unpack("H*zzz",$str);
			if(strlen($enc['zzz']) %2 != 0) 
				$enc['zzz'] = substr($enc['zzz'],0,strlen($enc['zzz'])-1);
			print "$key=" . $enc['zzz'] . "\n";
		}
	}
	
	$API = 1;
    $LicPool = 'lic_users';
	$refresh_time = 0;
	include_once("Messages.php");
	$Msg = new Messages();
	include_once("funcs.php");
	include_once("conf.php");
	include_once("$db_type.php");

	$dbh = db_open($config);
	$PHP_SELF = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
	$h = param_query($dbh,'SYSCONFIG_VALUE', array('bf_sysconfig.bf_param'), array('schema_version'));
	if($rec = db_fetchrow_hashref($h)) {
		_apisend("_version",$rec['bf_value']);
	}
	db_free($h);

	// decode the incoming GET/POST values
	if (!isset($_GET['plaintext']) && !isset($_POST['plaintext'])) {
		foreach (array_keys($_GET) as $key) {
			$$key = pack('H*',$_GET[$key]);
		}
		foreach (array_keys($_POST) as $key) {
			global $$key;
			if(gettype($$key) == "array") {
				$newarray = array();
				foreach (array_values($$key) as $sub_key) {
					array_push($newarray,pack('H*',$sub_key));
				}
				$$key = $newarray;
			}
			else {
				$$key = pack('H*',$_POST[$key]);
			}
		}
	}
	else {
		foreach (array_keys($_GET) as $key) {
			$$key = $_GET[$key];
		}
		foreach (array_keys($_POST) as $key) {
			if(gettype($$key) == "array") {
				$newarray = array();
				foreach (array_values($$key) as $sub_key) {
					array_push($newarray,$sub_key);
				}
				$$key = $newarray;
			}
			else {
				$$key = $_POST[$key];
			}
		}
	}
	

	$ClientTypes = array('eclipse', 'vs');
	$ClientType = false;

	if (isset($_GET['dumprequest']) || isset($_POST['dumprequest'])) {
		foreach (array_keys($_GET) as $key) { $x = $$key; print "DUMP: GET: $key = $x\n"; }
		foreach (array_keys($_POST) as $key) { $x = $$key; print "DUMP: POST: $key = $x\n"; }
	}
	
	// handle authentication
	include_once("auth.php");
	$Msg->setLang($user_lang);
	
	_apisend("_token",$token);

	// handle the request!
	if ($token) 
		include_once("command.php");

	if ($dbh)
		db_close($dbh);
	if (strlen($PageError)) {
		$PageError = $Msg->ExpandMessageTokens($PageError);	
		_apisend("_error",$PageError);
	}
	if (strlen($PageInfo)) {
		$PageInfo = $Msg->ExpandMessageTokens($PageInfo);		
		_apisend("_info",$PageInfo);
	}
?>
