<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/


global $ViaSubmit;
global $login;
global $token;
global $userid;
global $Msg;

function get_token($dbh) {
	global $login;
	$salt = "pepper";
   	$i = myGMtime();
   	$id = md5($login . $i . $salt);
   	return ($id);
}

function current_session_id($dbh,$login) {
    $bump = GetSysParam($dbh,"bump_active_users");
    if ($login == "root" || strtolower($bump) != "n")
        return(0);
    $h = db_query($dbh,"SELECT s.bf_id FROM bf_users u, bf_sessions s WHERE u.bf_login='$login' AND u.bf_userid = s.bf_userid");
    if ($r = db_fetchrow_array($h)) {
    	db_free($h);
        return($r[0] > 0);
    }
    db_free($h);
    return(0);
}

function bump_user($dbh,$myid,$pri) {
    $sql = "SELECT s.bf_userid FROM bf_sessions s, bf_users u WHERE s.bf_id != ''";
    if ($myid == 1)
        $sql .= " ORDER BY u.bf_lastupdate";
    elseif ($pri == "Y")
        $sql .= " AND ((s.bf_userid > 1 AND u.bf_priority = 'N') OR s.bf_userid=$myid) ORDER BY u.bf_lastupdate";
    else
        $sql .= " AND s.bf_userid=$myid";

    $h = db_query($dbh,$sql);
    if ($r = db_fetchrow_array($h)) {
        db_do($dbh,"UPDATE bf_sessions SET bf_id = '' WHERE bf_userid = $r[0]");
        db_free($h);
        return(1);
    }
    db_free($h);
    return(0);
}

require_once("funcs.php");
if (($lic_limit = intval(GetSysParam($dbh,"lic_users"))) == 0)
    $lic_limit = 1;
if (($devlic_limit = intval(GetSysParam($dbh,"lic_devusers"))) == 0)
    $devlic_limit = 1;
$lic_used = count_slots($dbh,"");
$devlic_used = count_slots($dbh,"",'lic_devusers');

// init the ldap subsystem
include_once("ldap.php");

//
// if $username and $password are set (if required), validate them.
//
if ($login != "" && ($password != "" || (strtolower(substr($ldap_config['ldap_user_bind'],0,1)) == "n"))) {
    $PageError = "";
    $u = db_query($dbh,"SELECT bf_login,bf_password,bf_userid,bf_name,bf_datefmt,bf_pwexpired,bf_tzone,bf_priority,bf_lang,bf_tiplevel FROM bf_users WHERE bf_login='" . $login . "'");
    if (!$u) {
        $PageError = $Msg->buildMessageParamString("SystemOfflineAPIError");
        $token = 0;
    }
    else {
        $results = ldap_valid_user($domain,$login,$password,$ldap_config);
        
        if ($urec = db_fetchrow_array($u)) {
            // If user has logged in as dev, no logging into the console or via API (only client access)
            /*  No more dev user license stuff for now... 
             * if (type_from_userid($dbh, $urec[2]) == 'lic_devusers' && !$ClientType) {
                if (!$API) {
                    $PageError = "You have a developer license which does not have permission to log into the Management Console. You must log in with a standard license.";
                } else {
                    $PageError = "You have a developer license which does not have permission to log into the API. You must log in with a standard license.";
                }
                $token = 0;
            } */

			if((strncmp($urec[1],"!",1)  == 0) && (!isset($domain))) {
				$PageError = $Msg->buildMessageParamString("LdapDomainMustBeSpecified");
				$token=0;
			}	
			
			if ($PageError == "" && strncmp($urec[1],"!",1) == 0) {
                if ($results['error'] == "") {
                    $user_already_in = current_session_id($dbh,$urec[0]);
                    if (!$user_already_in) {
                        // IF: an API client and we have dev seats left, just log in.
                        if ($ClientType) {
                            $pwd = "!" . bf_encrypt($password);
                            $fullname = $results["fullname"];
                            $email = $results["email"];
                            db_query($dbh,"UPDATE bf_users SET bf_password='$pwd',bf_email='$email',bf_name='$fullname' WHERE bf_userid=$urec[2]");
                            include("auth_load_user.php");
                        // Similarly, if we have console seats left OR NOT an API client, but can bump someone, just log in
                        } else if ($urec[2] == 1 || ($lic_used < $lic_limit || (!$ClientType && bump_user($dbh,$urec[2],$urec[8])))) {
                            // IF: an API client, make sure we put the session in the console pool (since the devs filled the dev pool)
                            if ($ClientType) {
                                $LicPool = 'lic_users';
                            } 
                            $pwd = "!" . bf_encrypt($password);
                            $fullname = $results["fullname"];
                            $email = $results["email"];
                            db_query($dbh,"UPDATE bf_users SET bf_password='$pwd',bf_email='$email',bf_name='$fullname' WHERE bf_userid=$urec[2]");
                            include("auth_load_user.php");
                        } else {
                        	//echo "Account limit reached\n";
                        	$PageError = $Msg->buildMessageParamString("PageErrorAuthAccountLimit");
                            $token = 0;
                        }
                    } else {
                        $PageError = $Msg->buildMessageParamString("PageErrorAuthAccountInUse");
                        $token = 0;
                    }
                }
                else {
                    if ($PageError == "")
                    	$PageError = $Msg->buildMessageParamString("PageErrorAuthAccountInvalid");
                    $token = 0;
                }
            }
            else if ($PageError == "") {
                $key = bf_decrypt($urec[1]);
                if ($key == $password) {
                    $user_already_in = current_session_id($dbh,$urec[0]);
                    if ($ClientType) {
                        include("auth_load_user.php");
                    } else if (!$user_already_in && ($urec[2] == 1 || ($lic_used < $lic_limit || bump_user($dbh,$urec[2],$urec[8])))) {
                        // IF: an API client, make sure we put the session in the console pool (since the devs filled the dev pool)
                        if ($ClientType) {
                            $LicPool = 'lic_users';
                        }
                        include("auth_load_user.php");
                    } else {
                        if ($user_already_in)
                            $PageError = $Msg->buildMessageParamString("PageErrorAuthLoginInUse");
                        else
                        	$PageError = $Msg->buildMessageParamString("PageErrorAuthLoginLimit");
                        $token = 0;
                    }
                }
            }
        }
        elseif ($results['error'] != "") {
            $PageError = $results['error'];
        }
        elseif (isset($results['fullname'])) {
            // create a local BF user from the ldap server
            if ($password == "")
                $password = "xxx***xxx";
            $pwd = "!" . bf_encrypt($password);
            $now = myGMtime();
            $datefmt = "%d %b %y %H:%M:%S";

            $zh = db_query($dbh,"SELECT bf_tzone FROM bf_users WHERE bf_userid=1");
            $zr = db_fetchrow_array($zh);
            $tzone = $zr[0];
            db_free($zh);

            $ih = db_query($dbh,"SELECT MAX(bf_userid) FROM bf_users");
            $irec = db_fetchrow_array($ih);
            $newid = $irec[0] + 1;
            db_free($ih);
            $email = $results["email"];
            $fullname = $results["fullname"];
            db_query($dbh,"INSERT INTO bf_users VALUES($newid,0,'$fullname','$email','$login','$pwd',0,0,$now,0,'N','$tzone','$datefmt','N','en_US',2,'')");
            $h = db_query($dbh,"SELECT bf_level FROM bf_levels WHERE bf_def='Y'");
            while ($r = db_fetchrow_array($h))
                    db_query($dbh,"INSERT INTO bf_access VALUES($r[0],$newid, 0)");
            $u2 = db_query($dbh,"SELECT bf_login,bf_password,bf_userid,bf_name,bf_datefmt,bf_pwexpired,bf_tzone,bf_priority,bf_lang,bf_tiplevel FROM bf_users WHERE bf_login='$login'");
            $urec = db_fetchrow_array($u2);
            // If logging in through an API client, but dev seats have filled and console seats haven't
            if ($ClientType && $devlic_used >= $devlic_limit && $lic_used < $lic_limit) {
                $LicPool = 'lic_users';
            }
            db_free($u2);
            db_free($h);


			resetAccessCacheDirty($dbh);
            include("auth_load_user.php");
        }
        else {
            if ($PageError == "")
            	$PageError = $Msg->buildMessageParamString("PageErrorAuthAccountInvalid");
            $token = 0;
        }
        //echo "PageError is [$PageError]\n";
        if (!$API && !strlen($PageError)) {
            $PageError = $Msg->buildMessageParamString("PageErrorAuthLoginInvalid");
            $token = 0;
        }
        $password = "";
    }
    db_free($u);
}
elseif ((isset($token) && $token > 0) && ($API || $gCURRENTSESSION == $token)) {
	
    $u = db_query($dbh,"SELECT u.bf_login,u.bf_password,u.bf_userid,u.bf_name,u.bf_datefmt,u.bf_pwexpired,u.bf_tzone,u.bf_priority,u.bf_lang,u.bf_tiplevel FROM bf_users u, bf_sessions s WHERE s.bf_id='$token' AND s.bf_userid = u.bf_userid");
    if ($urec = db_fetchrow_array($u)) {
        include("auth_load_user.php");
    }
    else {
    	$PageError = $Msg->buildMessageParamString("PageErrorAuthSessionId");
        $token = 0;
    }
    db_free($u);
}
else {
    if ($ViaSubmit > 0) {
        if ($password == "")
        	$PageError = $Msg->buildMessageParamString("PageErrorAuthPasswordMissing");
        if ($login == "")
        	$PageError = $Msg->buildMessageParamString("PageErrorAuthUserNameMissing");
    }
}
?>
