<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

global $Msg;

if ($Command == "AddClass") {
	$Name = trim($Name);
	$n = str_replace(' ','',$Name);
	if (strspn(strtoupper($Name),$valid_name_chars) != strlen($Name))
		$PageError = $Msg->buildMessageParamString("PageErrorClassInvalidChars", array($valid_name_disp));
	elseif (!strlen($Name) || !strlen($n)) {
		$PageError = $Msg->buildMessageParamString("PageErrorClassNameMissing");
		$Name = "";
	}
	else {
		getlock($dbh,"bf_classes",$Command);
		$ch = db_query($dbh,"SELECT * FROM bf_classes WHERE bf_name='$Name'");
		if (db_fetchrow_array($ch))
			$PageError = $Msg->buildMessageParamString("PageErrorClassNameInUse", array($Name));
		else {
			if (!isset($MaxBuilds))
				$MaxBuilds = 0;
			if (!isset($Changes))
				$Changes = "N";
			if (db_query($dbh,"INSERT INTO bf_classes VALUES('$Name',$Level,$MaxBuilds,'$PurgeRule',$PurgeDays,'$Precious',$PID,'$Changes',$NPID,$XPID)"))
				$PageInfo = "New class entry $Name created.";
			else
				DBError($dbh,"ClassNoCreateNew");
			$Name = "";
			$Level = "";
			$MaxBuilds = 0;
			$PurgeDays = 0;
			$PurgeRule = "";
			$Precious = "N";
		}
		putlock($dbh,"bf_classes");
		$SubPage = "";
	}
}
elseif ($Command == "DeleteClass") {
	$candel = cando($dbh,"DeleteClass");
	$ch = db_query($dbh,"SELECT * FROM bf_classes WHERE bf_name='$Name'");
	if($crec = db_fetchrow_hashref($ch)) {
		db_free($ch);
		$inuse = 0;
		$proj = "";
		$uh = db_query($dbh,"SELECT bf_description FROM bf_projects WHERE bf_class='$crec[bf_name]'");
		if ($userec = db_fetchrow_array($uh)) {
			$proj = $userec[0];
			$inuse = 1;
		}
		db_free($uh);
		if (!$candel)
			$PageError = $Msg->buildMessageParamString("PageErrorClassDeleteDenied");
		elseif (!canaccess($dbh,$crec[bf_level]))
			$PageError = $Msg->buildMessageParamString("PageErrorClassAccessDenied");
		elseif ($inuse)
			$PageError = $Msg->buildMessageParamString("PageErrorClassStillReferenced", array($crec[bf_name], $proj));
		else {
			getlock($dbh,"bf_classes",$Command);
			$h = db_query($dbh,"SELECT * FROM bf_classes");
			if (!db_fetchrow_array($h) || !db_fetchrow_array($h))
				DBError($dbh,"ClassNoDelLast");
			else {
				if (db_query($dbh,"DELETE FROM bf_classes WHERE bf_name='$Name'"))
					$PageInfo = $Msg->buildMessageParamString("PageInfoClassDelete", array($Name));
				else
					DBError($dbh,"ClassNoDelNamed",$Name);
			}
			putlock($dbh,"bf_classes");
			$Name = "";
			$Level = "";
			$MaxBuilds = 0;
			$PurgeDays = 0;
			$PurgeRule = "";
		}
	}
	else 
		$PageError = $Msg->buildMessageParamString("PageErrorClassNotExist", array($Name));
}
elseif ($Command == "UpdateClass") {
	getlock($dbh,"bf_classes",$Command);
	if (db_query($dbh,"UPDATE bf_classes SET bf_level=$Level,bf_archive_days=$MaxBuilds,bf_archive_server='$PurgeRule',bf_purge_days=$PurgeDays,bf_precious='$Precious',bf_pid=$PID,bf_delchanges='$Changes' WHERE bf_name='$Name'"))
		$PageInfo = $Msg->buildMessageParamString("PageInfoClassUpdated", array($Name));
	else
		DBError($dbh,"ClassNoUpdate");
	$Name = "";
	$Level = "";
	$MaxBuilds = 0;
	$PurgeDays = 0;
	$PurgeRule = "";
	$Precious = "N";
	putlock($dbh,"bf_classes");
}
addaudit(0,$PageInfo);
?>
