<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

if ($Command == "AddGroup") {
	$Name = trim($Name);
	$n = str_replace(' ','',$Name);
	if (strspn(strtoupper($Name),$valid_name_chars) != strlen($Name))
		$PageError = $Msg->buildMessageParamString("PageErrorGroupInvalidName", array($valid_name_disp));
	elseif (!strlen($Name) || !strlen($n)) {
		$PageError = $Msg->buildMessageParamString("PageErrorGroupMissingName");
		$Name = "";
	}
	else {
		getlock($dbh,"bf_groups",$Command);
		if ($Email == "") {
			$gh = db_query($dbh,"SELECT * FROM bf_groups WHERE bf_name='$Name'");
			if (db_fetchrow_array($gh))
				$PageError = $Msg->buildMessageParamString("PageErrorGroupNameExists", array($Name));
			else {
				if (db_query($dbh,"INSERT INTO bf_groups VALUES('$Name',$MemberID,'')")) {
					$PageInfo = $Msg->buildMessageParamString("PageInfoGroupNameCreate", array($Name));
					$ShowGroup = $Name;
				}
				else
					DBError($dbh,"GroupNoNewGroup");
			}
		}
		else {
			db_query($dbh,"INSERT INTO bf_groups VALUES('$Name',0,'$Email')");
			$PageInfo = $Msg->buildMessageParamString("PageInfoGroupNameCreate", array($Name));
		}
		putlock($dbh,"bf_groups");
		$SubPage = "";
		$ShowGroup = $Name;
	}
}

elseif ($Command == "DeleteGroup") {
	$candel = cando($dbh,"DeleteGroup");
	$gh = db_query($dbh,"SELECT distinct bf_name FROM bf_groups where bf_name='$Group'");
	if($grec = db_fetchrow_hashref($gh)) {
		// in use by any steps?
		$why = "";
		$ih = db_query($dbh,"SELECT * FROM bf_steps WHERE bf_pnotify='$grec[bf_name]' OR bf_fnotify='$grec[bf_name]'");
		$inuse = 0;
		if ($userec = db_fetchrow_hashref($ih)) {
            $proj = $userec[bf_pid];
            $uh = db_query($dbh,"SELECT * FROM bf_projects WHERE bf_pid=$proj");
            $userec = db_fetchrow_hashref($uh);
			db_free($uh);
            $proj = $userec[bf_description];
			$inuse = 1;
			$why = $Msg->buildMessageParamString("PageErrorGroupNameRef", array($grec[bf_name], $proj));
		}
		db_free($ih);	

		if (!$candel)
			$PageError = $Msg->buildMessageParamString("PageErrorGroupDeleteDenied");
		elseif ($inuse)
			$PageError = $why;
		else {
			getlock($dbh,"bf_groups",$Command);
			if (db_query($dbh,"DELETE FROM bf_groups WHERE bf_name='$Group'"))
				$PageInfo = $Msg->buildMessageParamString("PageInfoGroupDelete", array($Group));
			else
				DBError($dbh,"GroupNoDelGroupName",$Group);
			putlock($dbh,"bf_groups");
		}
	}
}

elseif ($Command == "AddGroupMember") {
	getlock($dbh,"bf_groups",$Command);
	if ($Email == "") {
		$gh = db_query($dbh,"SELECT * FROM bf_groups WHERE bf_name='$Name' AND bf_userid=$MemberID");
		if (db_fetchrow_array($gh))
			$PageError = $Msg->buildMessageParamString("PageErrorGroupMemberExists", array($Name));
		else {
			if (db_query($dbh,"INSERT INTO bf_groups VALUES('$Name',$MemberID,'')")) {
				$uname = map_uname($MemberID);
				$PageInfo = $Msg->buildMessageParamString("PageInfoGroupMemmberAdd", array($uname, $Name));
			}
			else
				DBError($dbh,"GroupNoAddUser",$Name);
		}
	}
	else {
		db_query($dbh,"INSERT INTO bf_groups VALUES('$Name',0,'$Email')");
		$PageInfo = $Msg->buildMessageParamString("PageInfoGroupEmailAdd");
	}
	putlock($dbh,"bf_groups");
}
elseif ($Command == "DeleteGroupMember") {
	getlock($dbh,"bf_groups",$Command);
	if ($UserID > 0)
		$Email = '';
	$sql = "DELETE FROM bf_groups WHERE bf_name='$ShowGroup' AND bf_userid=$UserID AND bf_email='$Email'";
	if (db_query($dbh,"DELETE FROM bf_groups WHERE bf_name='$ShowGroup' AND bf_userid=$UserID AND bf_email='$Email'")) {
		$uname = map_uname($UserID);
		$PageInfo = $Msg->buildMessageParamString("PageInfoGroupMemberRemove", array($ShowGroup));
		$zh = db_query($dbh,"SELECT * FROM bf_groups WHERE bf_name='$ShowGroup'");
		if (!db_fetchrow_array($zh)) {
			$ShowGroup = "";
			$SubPage = "list";
		}
	}
	else
		DBError($dbh,"GroupNoDelUser");
	putlock($dbh,"bf_groups");
}
addaudit(0,$PageInfo);
?>
