<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

if ($Command == "AddTemplate") {
	$h = db_query($dbh,"SELECT bf_name,bf_description,bf_frm,bf_subj,bf_body FROM bf_templates WHERE bf_name='$TID' AND bf_pid=0");
	if ($r = db_fetchrow_array($h)) {
		if ($SID < 0)
			$SID = 0;
		db_query($dbh,"DELETE FROM bf_templates WHERE bf_name='$TID' AND bf_pid=$PID AND bf_SID=$SID");
		db_query($dbh,"INSERT INTO bf_templates VALUES($PID,'$r[0]','$r[1]','$r[2]','$r[3]','$r[4]',$SID)");
		$pname = map_project($PID);
		$PageInfo = $Msg->buildMessageParamString("PageInfoMiscTemplateAdd", array($Name, $pname));
	}
	else
		$PageError = $Msg->buildMessageParamString("PageErrorTemplateCreate");
	$Page = "Templates";
	$ShowOnly = 0;
	$ShowGroup = "";
	db_free($h);
}
elseif ($Command == "DeleteTemplate") {
	if ($PID) {
		getlock($dbh,"bf_templates",$Command);
		db_query($dbh,"DELETE FROM bf_templates WHERE bf_name='$Name' AND bf_pid=$PID AND bf_sid=$SID");
		putlock($dbh,"bf_templates");
		$pname = map_project($PID);
		$PageInfo = $Msg->buildMessageParamString("PageInfoMiscTemplateDelete", array($Name, $pname));
	}
}
elseif ($Command == "UpdateTemplate") {
	getlock($dbh,"bf_templates",$Command);
	if (db_query($dbh,"UPDATE bf_templates SET bf_subj='$Subject',bf_body='$Body' WHERE bf_name='$Name' AND bf_pid=$PID AND bf_sid=$SID")) {
		if ($PID) {
			$pname = map_project($PID);
			$PageInfo = $Msg->buildMessageParamString("PageInfoMiscTemplateUpdate", array($Name, $pname));
		}
		else
			$PageInfo = $Msg->buildMessageParamString("PageInfoMiscTemplateDefUpdate", array($Name));
	}
	else
		DBError($dbh,"TemplateNoUpdate");
	putlock($dbh,"bf_templates");
}
elseif ($Command == "SetPerm") {
	getlock($dbh,"bf_perms",$Command);
	if (db_query($dbh,"UPDATE bf_perms SET bf_level=$Level WHERE bf_tag='$Tag'"))
		$PageInfo = $Msg->buildMessageParamString("PageInfoMiscLevelUpdate", array($Desc));
	else
		DBError($dbh,"LevelNoChange",$Desc);
	putlock($dbh,"bf_perms");
}
elseif ($Command == "UpdateSysconfig") {
	if ($Param == "license_key") {
		$Value = trim($Value);
		$Value = strtoupper($Value);
	}
	if ($Param == "license_key")
		DBError($dbh,"ConfigToolOnly");
	else {
		getlock($dbh,"bf_sysconfig",$Command);
		if ($Param == "ldap_admin_password")
			$Value = bf_encrypt($Value);
		if (db_query($dbh,"UPDATE bf_sysconfig SET bf_value='$Value' WHERE bf_param='$Param'")) {
			if ($Param == "license_key") {
				db_query($dbh,"UPDATE bf_sysconfig SET bf_def='$Value' WHERE bf_param='$Param'");
				$ImportantMessage = "";
			}
			$PageInfo = $Msg->buildMessageParamString("PageInfoMiscSysParamUpdate", array($Param));
		}
		else
			DBError($dbh,"SysParamNoUpdate");
		putlock($dbh,"bf_sysconfig");
	}
}
elseif ($Command == "SearchLogString") {
	$s = str_replace(' ','',$search);
	if (strspn(strtoupper($search),$valid_name_chars) != strlen($search)) {
		$PageError = $Msg->buildMessageParamString("PageErrorMiscInvalidSearchString", array($valid_name_disp));
		$search = "";
	}
	if (!strlen($s))
		$search = "";
}
elseif ($Command == "DeleteSemaphore") {
	db_query($dbh,"DELETE FROM bf_semaphores WHERE bf_semaphore='$Semaphore'");
	$PageInfo = $Msg->buildMessageParamString("PageInfoMiscSemaphoreRelease", array($Semaphore));
}
addaudit(0,$PageInfo);
?>
