<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/
global $Msg;

if ($Command == "EditTimeZones") {
	// turn off dst if one of the settings is never
	if (!$TZoneStartPos || !$TZoneEndPos) {
		$TZoneStartDay = $TZoneEndDay = -1;
		$TZoneStartMon = $TZoneEndMon = -1;
	}
	if (!strlen($TZoneZone) || !strlen($TZoneDesc)) {
		$PageError = $Msg->buildMessageParamString("PageErrorZoneMissing");
		$ShowOnly = $Zone;
	}
	else {
		$sql = "UPDATE bf_tzones SET ";
		$sql .= "bf_zone='$TZoneZone',";
		$sql .= "bf_desc='$TZoneDesc',";
		$sql .= "bf_gmtoffset='$TZoneGMTOffset',";
		$sql .= "bf_dstart_pos='$TZoneStartPos',";
		$sql .= "bf_dstart_day='$TZoneStartDay',";
		$sql .= "bf_dstart_mon='$TZoneStartMon',";
		$sql .= "bf_dend_pos='$TZoneEndPos',";
		$sql .= "bf_dend_day='$TZoneEndDay',";
		$sql .= "bf_dend_mon='$TZoneEndMon',";
		$sql .= "bf_dst_offset='$TZoneDSTOffset' WHERE bf_zone='$Zone'";
		db_query($dbh,$sql);
		$PageInfo = $Msg->buildMessageParamString("PageInfoZoneUpdate", array($Zone));
		db_query($dbh,"UPDATE bf_users SET bf_tzone='$TZoneZone' WHERE bf_tzone='$Zone'");
		$ShowOnly = "";
	}
}
elseif ($Command == "AddTimeZones") {
	// turn off dst if one of the settings is never
	if (!$TZoneStartPos || !$TZoneEndPos) {
		$TZoneStartDay = $TZoneEndDay = -1;
		$TZoneStartMon = $TZoneEndMon = -1;
	}
	if (!strlen($TZoneZone) || !strlen($TZoneDesc)) {
		$PageError = $Msg->buildMessageParamString("PageErrorZoneDescMissing");
		$ShowOnly = $Zone;
	}
	else {
		$TZoneZone = addslashes($TZoneZone);
		$TZoneDesc = addslashes($TZoneDesc);
		db_do($dbh,"DELETE FROM bf_tzones WHERE bf_zone='$TZoneZone'");
		$sql  = "INSERT INTO bf_tzones VALUES('$TZoneZone','$TZoneDesc','$TZoneGMTOffset'";
		$sql .= ",'$TZoneStartPos','$TZoneStartDay','$TZoneStartMon'";
		$sql .= ",'$TZoneEndPos','$TZoneEndDay','$TZoneEndMon'";
		$sql .= ",'$TZoneDSTOffset')";
		db_query($dbh,$sql);
		$PageInfo = $Msg->buildMessageParamString("PageInfoZoneAdd", array($TZoneZone));
		$ShowOnly = "";
		$Mode = "";
	}
}
elseif ($Command == "DeleteTimeZones") {
	$Zone = addslashes($Zone);
	db_do($dbh,"DELETE FROM bf_tzones WHERE bf_zone='$Zone'");
	$PageInfo = $Msg->buildMessageParamString("PageInfoZoneDelete", array($TZoneZone));
}
addaudit(0,$PageInfo);
?>
