<?php
/*
Copyright (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/




if ($userid > 0) {
	$now = myGMtime();
	db_query($dbh,"UPDATE bf_sessions SET bf_modified=$now WHERE bf_userid=$userid");
}

$invalid_dir_chars = "\"&*!^'";

$valid_var_chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890_";
$valid_var_disp = "A-Za-z0-9_";

$valid_sep_chars = "|,!@^~";

$valid_name_chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890_-. ";
$valid_name_disp = "A-Za-z0-9_- .";

$valid_tag_chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890_-.\$%:/";
$valid_tag_disp = "A-Za-z0-9_-.\$%:/";

$valid_server_chars = $valid_name_chars."!";
$valid_server_disp = $valid_name_disp."!";

function tagvar_replace($srch, $repl, $src) {
	$v = "\$$srch";
	$src = str_replace($v,$repl,$src);
	return($src);
}

/*  Unused
function stri_replace($searchFor, $replaceWith, $string, $offset = 0) {
      $lsearchFor = strtolower($searchFor);
      $lstring = strtolower($string);
      $newPos = strpos($lstring, $lsearchFor, $offset);
      if (strlen($newPos) == 0) {
         return($string);
      } else{
         $left = substr($string, 0, $newPos);
         $right = substr($string, $newPos + strlen($searchFor));
         $newStr = $left . $replaceWith . $right;
         return stri_replace($searchFor, $replaceWith, $newStr, $newPos + strlen($replaceWith));
      }
}
*/

/* Unused
function bid_is_running($dbh,$bid) {
	$h = db_query($dbh,"SELECT * FROM bf_builds WHERE bf_bid=$bid AND (bf_state='R' OR bf_state='W')");
	if (db_fetchrow_array($h)) {
		db_free($h);
		return(1);
	}
	db_free($h);
	return(0);
}
*/

/* Unused
function pid_is_running($dbh,$pid) {
	$h = db_query($dbh,"SELECT * FROM bf_builds WHERE bf_pid=$pid AND bf_process='B' AND (bf_state='R' OR bf_state='W')");
	if (db_fetchrow_array($h)) {
		db_free($h);
		return(1);
	}
	db_free($h);
	return(0);
}
*/

function pid_is_busy($dbh,$pid,$tag,$check_ro) {
	global $userid;

	// if the $check_ro flag is on, super user can update
	// projects always
	if ($check_ro && $userid == 1) {
		return(0);
	}

	// see if there's a build with this tag waiting or running
	if (strlen($tag))
		$ah = db_query($dbh,"SELECT * FROM bf_builds WHERE bf_pid=$pid AND bf_tag='$tag' AND (bf_state='R' OR bf_state='W')");
	else
		$ah = db_query($dbh,"SELECT * FROM bf_builds WHERE bf_pid=$pid AND (bf_state='R' OR bf_state='W')");
	if (db_fetchrow_array($ah)) {
		db_free($ah);
		return(1);
	}
	db_free($ah);
	return(0);
}

//
// authenticate all commands to keep users from trying to 
// access unauthorized functions.
//
if (is_file("guest.php"))
	include_once("guest.php");

$special = 0;
if ($Command == "QBuild" || 
	$Command == "FireBuild" || 
	$Command == "EmailUsers" ||
	$Command == "UpdateUser" || 
	$Command == "SearchLogString" || 
	$Command == "SetPassword" || 
	$Command == "ToggleQuick" || 
	$Command == "APIQueryRecords" || 
	$Command == "APIGetNameMapOut" || 
	$Command == "APIGetNameMapIn" || 
	$Command == "APILogOut" || 
	$Command == "Reflectar" || 
	$Command == "ChangeJobCount" || 
	substr($Command,0,5) == "TZone" || 
	$Command == "DeleteSemaphore" ||
	substr($Command,0,6) == "Plugin")
	$special = 1;

// user extension might need to trigger a builtin command
if (is_file("$Command.php"))
	include("$Command.php");

$TryCommand = $Command;

if($Command == "AddBFNote")
	$TryCommand = "AddNote";

if($Command == "DeleteBFNote")
	$TryCommand = "DeleteNote";

if($Command == "CloneStep")
	$TryCommand = "AddProjectStep";

if($Command == "ActivateProjectStep")
	$TryCommand = "ActivateProject";

	
if($Command == "EnableStep")
	$TryCommand = "ActivateProject";


if($Command == "DisableStep")
	$TryCommand = "ActivateProject";


if($Command == "CreateSelector")
	$TryCommand = "AddSelector";

if($Command == "AddSelectorProperty")
	$TryCommand = "EditSelector";

if($Command == "DeleteSelectorProperty")
	$TryCommand = "EditSelector";


if (!$special && strlen($TryCommand) && !cando($dbh,$TryCommand)) {
	$ch = db_query($dbh,"SELECT bf_description FROM bf_perms WHERE bf_tag='$TryCommand'");
	$crec = db_fetchrow_array($ch);
	$PageError = "You are not authorized to perform the $crec[0] function.";
	$Command = "";
}
elseif ($Command == "AddLink" || 
		$Command == "EditLink" || 
		$Command == "DeleteLink" ||
		$Command == "MakeRelease" ||
		$Command == "DeleteChange" ||
		$Command == "AddInterface" || 
		$Command == "EditInterface" || 
		$Command == "DeleteInterface" || 
		$Command == "ToggleLink") {
	include("c_scope.php");
}
elseif ($Command == "AddEnvGroup" || 
		$Command == "ModifyEnvGroup" ||
		$Command == "DeleteEnvGroup" || 
		$Command == "AddEnvGroupValue" || 
		$Command == "DeleteEnvGroupValue" || 
		$Command == "EditEnvValue") {
	include("c_env.php");
}
elseif ($Command == "AddClass" ||
		$Command == "DeleteClass" ||
		$Command == "UpdateClass") {
	include("c_class.php");
}
elseif ($Command == "AddUser" || 
		$Command == "UpdateUser" || 
		$Command == "DeleteUser" ||
		$Command == "ExpireUserPasswords" ||
		$Command == "SetPassword" ||
		$Command == "EmailUsers" ||
		$Command == "ResetUserLogin" ||
		$Command == "ResetUserLicense") {
	include("c_user.php");
}
elseif ($Command == "AddProject" ||
		$Command == "DeleteProject" ||
		$Command == "AddProjectStep" ||
		$Command == "DeleteProjectStep" ||
		$Command == "UpdateProjectStep" ||
		$Command == "AddProjectTagVar" ||
		$Command == "DeleteProjectTagVar" ||
		$Command == "ActivateProject" ||
		$Command == "ActivateProjectStep" ||
		$Command == "ClobberProject" ||
		$Command == "AddCheckpoint" ||
		$Command == "RestoreCheckpoint" ||
		$Command == "DeleteCheckpoint" ||
		$Command == "AddProjectReg" ||
		$Command == "DelProjectReg" ||
		$Command == "EditProjectReg" ||
		$Command == "UpdateProject" ||
		$Command == "CloneStep") {
	include("c_project.php");
}
elseif ($Command == "AddServer" ||
		$Command == "EditServer" ||
		$Command == "ActivateServer" ||
		$Command == "DeleteServer" ||
		$Command == "AddCollectorProperty" ||
		$Command == "DeleteCollectorProperty" ||
		$Command == "CreateCollector" ||
		$Command == "DeleteCollector" ||
		$Command == "AddSelectorProperty" ||
		$Command == "DeleteSelectorProperty" ||
		$Command == "CreateSelector" ||
		$Command == "DeleteSelector" ||
		$Command == "ResetServerUse" ||
		$Command == "DeleteAuthBlob" ||
		$Command == "SyncAuthBlob" ||
		$Command == "CreateAuthBlob" ||
		$Command == "UpdateAuthBlob"
		) {
	include("c_server.php");
}
elseif ($Command == "AddGroup" ||
		$Command == "DeleteGroup" ||
		$Command == "AddGroupMember" ||
		$Command == "DeleteGroupMember") {
	include("c_group.php");
}
elseif ($Command == "AddAccess" ||
		$Command == "DeleteAccessById" ||
		$Command == "DeleteAccessByName" ||
		$Command == "AddAccessMember" ||
		$Command == "UpdateAccessMember" ||
		$Command == "DeleteAccessMember" ||
		$Command == "AddAccessGroup" ||
		$Command == "DeleteAccessGroup" ||
		$Command == "ToggleDefGroup" ||
		$Command == "AddPermMember" ||
		$Command == "DeletePermMember" ||
		$Command == "SetPermDefault" ||
		$Command == "UnsetPermDefault" ||
		$Command == "UpdatePermMember") {
	include("c_access.php");
}
elseif ($Command == "RestartBuild" ||
		$Command == "AddNote" ||
		$Command == "DeleteNote" ||
		$Command == "AddBFNote" ||
		$Command == "DeleteBFNote" ||
		$Command == "RunBuild" ||
		$Command == "CloneBuild" ||
		$Command == "FireBuild" ||
		$Command == "LockBuild" ||
		$Command == "SetState" ||
		$Command == "ArchiveBuild" ||
		$Command == "UnlockBuild" ||
		$Command == "DeleteBuildWaiting" ||
		$Command == "CancelRunning" ||
		$Command == "RunStep" ||
		$Command == "CancelStep" ||
		$Command == "PauseStep" ||
		$Command == "SetBuildPri" ||
		$Command == "PurgeBuild") {
	include("c_build.php");
}
elseif ($Command == "AddSchedule" ||
		$Command == "ActivateSched" ||
		$Command == "EditSchedule" ||
		$Command == "DeleteSchedule") {
	include("c_sched.php");
}
elseif ($Command == "AddTemplate" ||
		$Command == "DeleteTemplate" ||
		$Command == "UpdateTemplate" ||
		$Command == "SetPerm" ||
		$Command == "DeleteSemaphore" ||
		$Command == "UpdateSysconfig" ||
		$Command == "SearchLogString") {
	include("c_misc.php");
}
elseif ($Command == "AddFilterSet" ||
		$Command == "DeleteFilterSet" ||
		$Command == "AddFilterSetEntry" ||
		$Command == "EditFilterSetEntry" ||
		$Command == "DeleteFilterSetEntry") {
	include("c_filter.php");
}
elseif ($Command == "EditTimeZones" ||
		$Command == "DeleteTimeZones" ||
		$Command == "AddTimeZones") {
	include("c_zone.php");
}
elseif ($Command == "APIQueryRecords" ||
	$Command == "APIGetNameMapOut" || 
	$Command == "APILogOut" || 
	$Command == "APIGetNameMapIn" || 
	$Command == "SetEnginePauseState" ||
	$Command == "ChangeJobCount") {
	include("c_api.php");
}
elseif ($Command == "AddDomain" ||
		$Command == "UpdateDomain" ||
		$Command == "DeleteDomain") {
	include("c_domain.php");
}
elseif ($Command == "Reflectar") {
	include("c_reflect.php");
}
elseif ($Command == "PluginListProjects" || 
		$Command == "PluginListBuilds" || 
		$Command == "PluginListSteps" || 
		$Command == "PluginListStepStatus" || 
		$Command == "PluginListStepDetails" ||
		$Command == "PluginListProjEnv") {
	include("c_plugins.php");			
}

?>
