{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}
{assign('linkFilter', "&amp;severity=$severity&amp;last=$last")}
{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('linkModule')}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{controller->getLocationName()|assign('location_name')}
{for('item', $itemCount)}
{listing->next()|assign('message')}
<item>
	<title>{if $location_name}
								{bf_translate_string($message['message'])|assign('temp_message')|truncate(80)}
								{bf_get_message($temp_message, $message['msgargs'])|escape()}
							{else}
								{bf_get_message($message['message'], $message['msgargs'])|truncate(80)|escape()}
							{/if}...</title>
	<guid>{$webroot}?mod={$jTE['get']['mod']|escape('url')}&amp;action=messages.view&amp;i={$item}</guid>
	<link>{$webroot}?mod={$jTE['get']['mod']|escape('url')}&amp;action=messages.view</link>
	<description>{if $location_name}
								{bf_translate_string($message['message'])|assign('temp_message')}
								{bf_get_message($temp_message, $message['msgargs'])|escape()|escape()}
							{else}
								{bf_get_message($message['message'], $message['msgargs'])|escape()|escape()}
							{/if}</description>
	<pubDate>{$message['stamp']|date_format('r')|escape()}</pubDate>
	<category>
		{if $message['severity'] == 'E'}{translate('error')|escape()}
		{elseif $message['severity'] == 'W'}{translate('warning')|escape()}
		{elseif $message['severity'] == 'I'}{translate('info')|escape()}
		{elseif $message['severity'] == 'A'}{translate('audit')|escape()}
		{/if}
	</category>
</item>
{/for}
