{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_levelg'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddAccess')|assign('CanAddChild')}
{controller->userHasAccessTo('DeleteAccess')|assign('CanDeleteAccess')}
{controller->userHasAccessTo('AddAccessMember')|assign('CanAddAccessMember')}
{controller->userHasAccessTo('DeleteAccessMember')|assign('CanDeleteAccessMember')}
{controller->userHasAccessTo('ToggleDefGroup')|assign('CanToggleDefGroup')}
{controller->userHasAccessTo('AddLevel')|assign('CanAddLevel')}
{controller->userHasAccessTo('EditLevel')|assign('CanEditLevel')}

		{editable->get('bf_level')|assign('editable_level')}
		{editable->get('bf_name')|assign('editable_name')}
		{editable->get('bf_def')|assign('editable_def')}
		{editable->get('bf_dn')|assign('editable_dn')}
		{editable->get('bf_lvl')|assign('editable_lvl')}
		{editable->referenced|assign('editable_referenced')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}


	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/access_group.gif" border="0" alt="" />
			<span class="module_name">{translate('access groups')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<form name="create_user_form" id="create_user_form" action="{$linkSelf}?mod={$linkModule}&amp;action=groups.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input id="object_details_add" type="submit" class="bf_button" value="{translate('add group')|escape()}" {if !$CanAddLevel}disabled="disabled"{/if}/></div>
			</form>
		</div>
		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/access_groups.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/access_groups.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl'}
				{include('filter_form.tpl', "action='groups.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('access group name')|escape()}</th>
							<th>{translate('new user default')|escape()}</th>
							<th>{translate('ldap group dns')|escape()}</th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td><img src="{$webroot}images/icons/access_group.gif" alt="{translate{'groups')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=groups.view&amp;bf_level=" onclick="return !page_details.loadDetails('');"></a></td>
							<td></td>
							<td></td>
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr>
							{listing->next()|assign('item')}
							<td><img src="{$webroot}images/icons/access_group.gif" alt="{translate{'groups')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=groups.view&amp;bf_level={$item['id']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');">{$item['name']|truncate(80)|escape('hexentity')}</a></td>
							<td>{if $item['def'] == 'Y'}{translate('yes')}{else}{translate('no')}{/if}</td>
							<td>{bf_get_storage($item['dns'])|truncate(80)|escape('hexentity')}</td>
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=groups.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input type="hidden" id="object_details_id" name="bf_level" value="{$editable_level|escape()}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/icons/access_group.gif" alt="{translate('group')|escape()}"/><span id="object_label">{if $editable_level}{$editable_name|truncate(80)|escape('hexentity')}{else}({translate('new group')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input id="object_details_save" type="submit" class="bf_button" value="{translate('save')|escape()}" {if ((!$editable_level and !$CanAddLevel and !$CanToggleDefGroup) or ($editable_level and !$CanEditLevel))}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if !$editable_level or !$CanAddLevel}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"{if $editable_referenced} title="{translate('2063')|escape()}"{/if}><input id="object_details_delete" type="submit" class="bf_button" name="object[delete]" value="{translate('delete')|escape()}" onclick="page_details.goTab(0);return !page_details.kill();" {if !$CanDeleteAccess or !$editable_name or $editable_level < 7 or $editable_referenced}disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li{if $jTE['get']['dtab'] == '0' or $jTE['get']['dtab'] == ''} class="selected"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=groups.view{if $editable_level}&amp;bf_levelg={$editable_level|escape('url')}{/if}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '1'} class="selected"{elseif !$editable_level} class='disabledTab'{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=groups.view{if $editable_level}&amp;bf_levelg={$editable_level|escape('url')}{/if}&amp;dtab=1"{if $editable_level} onclick="page_details.goTab(1);return false;"{else} onclick="return !page_details.showMessageMustEdit();" {/if}>{translate('users')|escape()}</a></li>
					<li{if $jTE['get']['dtab'] == '2'} class="selected"{elseif !$editable_level} class='disabledTab'{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=groups.view{if $editable_level}&amp;bf_levelg={$editable_level|escape('url')}{/if}&amp;dtab=2"{if $editable_level} onclick="page_details.goTab(2);return false;"{else} onclick="return !page_details.showMessageMustEdit();" {/if}>{translate('subgroups')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="object_details_def">
						<input name="object[bf_def]" id="object_details_def" type="checkbox" class="checkbox"{if $editable_def == 'Y'} checked="checked"{/if}{if !$CanToggleDefGroup} disabled="disabled"{/if} />{translate('default')|escape()}
						<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
					</label>
					<label for="object_details_name">
						{translate('name')|escape()}: <input maxlength="255" id="object_details_name" type="text" class="textBox" name="object[bf_name]" value="{$editable_name|escape('hexentity')}" {if ((!$editable_level and !$CanAddLevel) or ($editable_level and !$CanEditLevel))}disabled="disabled"{/if} />
					</label>
					{bf_get_levels($user['id'])|assign('levels')}
					{if !$editable_lvl}{foreach($levels, 'id', 'name')}{if !$editable_lvl}{assign('editable_lvl', $id)}{/if}{/foreach}
					<label for="object_details_owner_visible">{translate('owner')|escape()}:
						<input id="object_details_owner_visible" type="button" class="pselect iconDropdown" title="{if $editable_lvl}{$levels[$editable_lvl]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" value="{if $editable_lvl}{$levels[$editable_lvl]|truncate($pselect_truncation)|escape()}{else}-- {translate('access groups')|truncate($pselect_truncation)|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('object_details_owner', 'mod=administration&action=groups.view&type=xml', 'title={translate('owner')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
						<input name="object[bf_lvl]" id="object_details_owner" type="hidden" value="{$editable_lvl|escape('hexentity')}" />
					</label>
				</div>
				<div class="properties">
					<label for="object_details_dn">{translate('ldap group dns')|escape()}:</label>
					<textarea id="object_details_dn" name="object[bf_dn]" style="width:100%;height:110px;" class="textBox" {if ((!$editable_level and !$CanAddLevel) or ($editable_level and !$CanEditLevel))}disabled="disabled"{/if}>{$editable_dn|escape('hexentity')}</textarea>
				</div>
			</div>
			<div class="tab_details">
				<div class="primary">
					<label for="admin_group_bucket_source">
						{translate('2064')|escape()}
					</label>
				</div>
				<select multiple="multiple" id="admin_group_bucket_source" class="admin_group_bucket" style="float:left;" size="2">
					{foreach($nonmembers, 'id', 'name')}
					<option value="{$id|escape()}">{$name|escape('hexentity')}</option>
					{/foreach}
				</select>
				<span class="admin_group_buttons">
					<div class="details_button"><input type="button" id="admin_group_addBtn" class="bf_button admin_group_button" value="{translate('add >>')|escape()}" onclick="page_details.addGroupItems();" {if !$CanAddAccessMember}disabled="disabled"{/if}/></div><br/><br/>
					<div class="details_button"><input type="button" id="admin_group_remBtn" class="bf_button admin_group_button" value="{translate('<< remove')|escape()}" onclick="page_details.delGroupItems();" {if !$CanDeleteAccessMember}disabled="disabled"{/if}/></div>
				</span>
				<select multiple="multiple" id="admin_group_bucket_target" class="admin_group_bucket" style="float:right;" size="2">
					{foreach($members, 'id', 'name')}
					<option value="{$id|escape()}">{$name|escape('hexentity')}</option>
					{/foreach}
				</select>
			</div>
			<div class="tab_details">
				<div class="primary">
					<label for="admin_parent_bucket_source">
						{translate('2065')|escape()}
					</label>
				</div>
				<select multiple="multiple" id="admin_parent_bucket_source" class="admin_group_bucket" style="float:left;" size="2">
					{foreach($nonchildren, 'id', 'name')}
					<option value="{$id|escape()}">{$name|escape('hexentity')}</option>
					{/foreach}
				</select>
				<span class="admin_group_buttons">
					<div class="details_button"><input type="button" id="admin_parent_addBtn" class="bf_button admin_group_button" value="{translate('add >>')|escape()}" onclick="page_details.addGroupChildren();" {if !$CanAddChild}disabled="disabled"{/if}/></div><br/><br/>
					<div class="details_button"><input type="button" id="admin_parent_remBtn" class="bf_button admin_group_button" value="{translate('<< remove')|escape()}" onclick="page_details.delGroupChildren();" {if !$CanAddChild}disabled="disabled"{/if}/></div>
				</span>
				<select multiple="multiple" id="admin_parent_bucket_target" class="admin_group_bucket" style="float:right;" size="2">
					{foreach($children, 'id', 'name')}
					<option value="{$id|escape()}">{$name|escape('hexentity')}</option>
					{/foreach}
				</select>
			</div>
		</div>
	</div>
	</form>
