{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('UpdateSysconfig')|assign('CanUpdateSysconfig')}

		{editable->get('bf_param')|assign('editable_param')}
		{editable->get('bf_string')|assign('editable_title')}
		{editable->get('bf_value')|assign('editable_value')}
		{editable->get('bf_def')|assign('editable_def')}
		{editable->get('bf_description')|assign('editable_description')}
		{editable->get('bf_datatype')|assign('editable_datatype')}
		{editable->get('bf_validate')|assign('editable_validate')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/system.gif" border="0" alt="" />
			<span class="module_name">{translate('system configuration')|escape()}</span>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/System_Settings.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/System_Settings.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='system.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('name')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=name&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('name');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('value')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=value&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('value');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'id' && $colname != 'description' && $colname != 'datatype'}
							<td>{if $colname == 'name'}<img src="{$webroot}images/icons/system.gif" alt="{translate{'groups')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=system.view&amp;bf_param=" onclick="return !page_details.loadDetails('');"></a>{/if}</td>
							{/if}
						{/foreach}
						</tr>
					{for('item', $itemCount)}
						<tr>
							{listing->next()|assign('item')}
							{if $geo_configs[$item['id']]}{assign('bf_value', $geo_configs[$item['id']])}{else}{assign('bf_value', $item['value'])}{/if}
							<td><img src="{$webroot}images/icons/system.gif" alt="{translate('config')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=system.view&amp;bf_param={$item['id']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}');" title="{$item['name']|escape()}">{$item['name']|truncate(50)|escape()}</a></td>
							<td>{if $item['datatype'] == 'bool'}{if !$bf_value or $bf_value == 'N' or $bf_value == '0' or $bf_value == 'No'}{translate('no')|escape('hexentity')}{else}{translate('yes')|escape('hexentity')}{/if}{else}{$bf_value|truncate(35)|escape('hexentity')}{/if}</td>
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=system.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input type="hidden" id="object_details_id" name="bf_name" value="{$editable_param|escape('hexentity')}" />
		<input type="hidden" id="object_details_def" name="bf_def" value="{$editable_def|escape('hexentity')}" />
		<input type="hidden" id="object_details_datatype" name="object[bf_datatype]" value="{$editable_datatype|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('config')|escape()}"/><span id="object_label">{if $editable_title}{$editable_title|escape('hexentity')}{/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_save" value="{translate('save')|escape()}" {if !$CanUpdateSysconfig}disabled="disabled"{/if}/></div>
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_revert" value="{translate('revert to the default')|escape()}" onclick="page_details.revertToDefault();" {if !$CanUpdateSysconfig}disabled="disabled"{/if}/></div>
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="javascript:goTab(0);">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="object_details_value_text">
						<span id="object_details_name">{$editable_title|escape('hexentity')}</span>:
						<input id="object_details_value_text" type="text" class="textBox" name="object[bf_value_text]" value="{$editable_value|escape('hexentity')}" {if $editable_datatype == 'passwd' or $editable_datatype == 'bool'}style="display:none;"{/if} />
						<input id="object_details_value_password" type="password" class="textBox" name="object[bf_value_password]" value="{$editable_value|escape('hexentity')}" {if $editable_datatype != 'passwd'}style="display:none;"{/if} autocomplete="off" />

						<span id="object_details_value_radio_span" {if $editable_datatype != 'bool'}style="display:none;"{/if}>
							<input id="object_details_value_radio_visible" type="button" class="pselect iconToggle" title="{if $editable_value == 'N'}{translate('no')|escape()}{else}{translate('yes')|escape()}{/if}" value="{if $editable_value == 'N'}{translate('no')|truncate($pselect_truncation)|escape()}{else}{translate('yes')|truncate($pselect_truncation)|escape()}{/if}" tabindex="2" onclick="pseudoSelect('object_details_value_radio', 'Y,{translate('yes')|escape('javascript')}|N,{translate('no')|escape('javascript')}', 'type=toggle');" />
							<input name="object[bf_value_radio]" id="object_details_value_radio" type="hidden" value="{if $editable_value}{$editable_value|escape('hexentity')}{else}Y{/if}" />
						</span>
					</label>
				</div>
				<div class="properties">
					<div>
						<label for="object_details_description">{translate('enter the value for:')|escape()}</label>
						<span id="object_details_description">{bf_translate_string($editable_description)|escape('hexentity')}</span>
					</div>
					<div class="third">
						<label for="object_details_default">{translate('default value')|escape()}:</label>
						<span id="object_details_default">{if $editable_def == 'Y'}{translate('yes')}{elseif $editable_def == 'N'}{translate('no)}{else}{$editable_def|escape('hexentity')}{/if}</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>
