{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{listing->getCount()|assign('itemCount')}
{listing->getPageCount()|assign('pageCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
{for('i', $itemCount)}
	{listing->next()|assign('system')}
	{if $geo_configs[$system['id']]}{assign('bf_value', $geo_configs[$system['id']])}{else}{assign('bf_value',$system['value'])}{/if}
	<record>
		<field class="bf_param">{$system['id']|escape('hexentity')}</field>
		<field class="bf_value">{if $system['datatype'] == 'bool'}{if !$bf_value or $bf_value == 'N' or $bf_value == '0' or $bf_value == 'No'}{translate('no')|escape('hexentity')}{else}{translate('yes')|escape('hexentity')}{/if}{else}{$bf_value|truncate(35)|escape('hexentity')}{/if}</field>
		<field class="bf_title">{$system['name']|escape('hexentity')}</field>
	</record>
{/for}
</records>
