{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState', "&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby', "&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort', "&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter', "&amp;filter=$temp")}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddEnvGroupValue')|assign('CanAddEnvGroupValue')}
{controller->userHasAccessTo('EditEnvValue')|assign('CanEditEnvGroupValue')}
{controller->userHasAccessTo('DeleteEnvGroupValue')|assign('CanDeleteEnvGroupValue')}
{controller->userHasAccessTo('MoveEnvValue')|assign('MoveEnvValue')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_environments_blue.gif" border="0" alt=""/>
			<span class="module_name"><a href="?mod={$jTE['get']['mod']|escape('url')}">{translate('environments')|escape()}</a></span><span class="sepGT">&gt;&gt;</span><span class="location_name">{parent->get('bf_param')|truncate(30)|escape('hexentity')}</span>
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=variable.view" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input type="submit" id="variable_details_add" class="bf_button" value="{translate('add environment variable')|escape()}"{if !$CanAddEnvGroupValue} disabled="disabled"{/if} /></div>
			</form>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/environments.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/environments.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="EnvironmentsDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='variable.view'")}
			</div>
		
			<div id="summary_scroller" class="EnvironmentsPage_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th class="actions">&nbsp;</th>
							<th>{translate('name')|escape()}</th>
							<th>{translate('value')|escape()}</th>
							<th>{translate('action')|escape()}</th>
							<th>{translate('on project')|escape()}</th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td><ul class='hoverMenu'>
									<li class='folder'>
										<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
										<ul class='primary'>
											<li class='header'>{translate('variable options')|escape()}</li>
											<li class='folder icon_submenu'><a href="#" class='submenu'>{translate('new variable')|escape()}</a>
												<ul>
													<li class='icon_clone_above'><a href="#">{translate('new variable above')|escape()}</a></li>
													<li class='icon_clone_above'><a href="#">{translate('new variable below')|escape()}</a></li>
												</ul>
											</li>												
											<li class='folder icon_submenu'><a href="#" class='submenu'>{translate('move variable')|escape()}</a>
												<ul>
													<li class='icon_up'><a href="#">{translate('move to top')|escape()}</a></li>
													<li class='icon_up'><a href="#">{translate('move up')|escape()}</a></li>
													<li class='icon_up'><a href="#">{translate('move down')|escape()}</a></li>
													<li class='icon_up'><a href="#">{translate('move to bottom')|escape()}</a></li>
												</ul>
											</li>
											<li class='icon_delete'><a href="#">{translate('delete variable')|escape()}</a></li>
										</ul>
									</li>
								</ul>
							</td>
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'id' && $colname != 'err' && $colname != 'bid'}
							<td>{if $colname == 'name'}
									<img src="{$webroot}images/icon_variable.gif" border="0" />
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=variable.view&amp;bf_bid=" title=""></a>{else}<span title=""></span>{/if}</td>
							{/if}
						{/foreach}
						</tr>
						{for('project', $itemCount)}
						<tr>
							{listing->next()|assign('node')}
							{assign($temp_id, $node['id'])}
							<td><ul class='hoverMenu'>
									<li class='folder'>
										<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
										<ul class='primary'>
											<li class='header'>{translate('variable options')|escape()}</li>
											<li class='folder icon_submenu'><a href="#" class='submenu'>{translate('new variable')|escape()}</a>
												<ul>
													<li class='icon_clone_above'><a href="javascript:void(page_details.newEnvironmentAt({$node['id']|escape('javascript')}));" onclick="page_details.newEnvironmentAt({$node['id']|escape('javascript')});return faslse;">{translate('new variable above')|escape()}</a></li>
													<li class='icon_clone_above'><a href="javascript:void(page_details.newEnvironmentAt({math($temp_id+1)|escape('javascript')}));" onclick="page_details.newEnvironmentAt({math($temp_id+1)|escape('javascript')});return false;">{translate('new variable below')|escape()}</a></li>
												</ul>
											</li>												
											<li class='folder icon_submenu'><a href="#" class='submenu'>{translate('move variable')|escape()}</a>
												<ul>
													<li class='icon_up'><a href="javascript:void(page_details.moveEnvironmentTo({$node['id']|escape('javascript')}, 1));" onclick="page_details.moveEnvironmentTo({$node['id']|escape('javascript')}, 1);return false;">{translate('move to top')|escape()}</a></li>
													<li class='icon_up'><a href="javascript:void(page_details.moveEnvironmentUp({$node['id']|escape('javascript')}));" onclick="page_details.moveEnvironmentUp({$node['id']|escape('javascript')});return false;">{translate('move up')|escape()}</a></li>
													<li class='icon_up'><a href="javascript:void(page_details.moveEnvironmentDown({$node['id']|escape('javascript')}));" onclick="page_details.moveEnvironmentDown({$node['id']|escape('javascript')});return false;">{translate('move down')|escape()}</a></li>
													<li class='icon_up'><a href="javascript:void(page_details.moveEnvironmentTo({$node['id']|escape('javascript')},'100000'));" onclick="page_details.moveEnvironmentTo({$node['id']|escape('javascript')},'100000');return false;">{translate('move to bottom')|escape()}</a></li>
												</ul>
											</li>
											<li class='icon_delete'><a href="javascript:void(page_details.deleteVariable({$node['id']|escape('javascript')}));" onclick="page_details.deleteVariable({$node['id']|escape('javascript')});return false;">{translate('delete variable')|escape()}</a></li>
										</ul>
									</li>											
								</ul>																											
							</td>
							{foreach($node, 'key', 'attr'}
							{if $key != 'id' && $key != 'bid'}
								<td>{if $key == 'name'}
									<img src="{$webroot}images/icon_variable.gif" border="0" />
									<a href="{$linkSelf}{$linkModule}&amp;action=variable.view&amp;bf_bid={$bf_bid|escape()}&amp;bf_eid={$node['id']|escape('hexentity')}" onclick="return !page_details.loadDetails('{$bf_bid|escape('javascript')}','{$node['id']|escape('javascript')}');">{$attr|truncate(30)|escape('hexentity')}</a>{elseif $key == 'action'}{if $node['action'] == 'S'}{translate('set')|escape()}{elseif $node['action'] == 'N'}{translate('set if not set')|escape()}{elseif $node['action'] == 'A'}{translate('append')|escape()}{elseif $node['action'] == 'P'}{translate('prepend')|escape()}{elseif $node['action'] == 'C'}{translate('clear')|escape()}{elseif $node['action'] == 'U'}{translate('delete / unset')|escape()}{elseif $node['action'] == 'H'}{translate('assign hidden')|escape()}{/if}{elseif $key == 'project'}{if $attr == 'N'}{translate('normal')|escape()}{elseif $attr == 'R'}{translate('required')|escape()}{elseif $attr == 'O'}{translate('read-only')|escape()}{elseif $attr == 'S'}{translate('suppress display')|escape()}{elseif $attr == 'C'}{translate('must change')|escape()}{/if}{elseif $key == 'value' && $node['action'] == 'H'}*****{else}<span title="{$attr|escape()}">{$attr|truncate(30)|escape('hexentity')}</span>{/if}
								</td>
							{/if}
							{/foreach}
						</tr>
						{/for}
					</tbody>
				</table>
			</div>

		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=variable.view&amp;bf_bid={$jTE['get']['bf_bid']|escape('hexentity')}&amp;bf_eid={$jTE['get']['bf_eid']|escape('hexentity')}" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">

		{editable->get('bf_bid')|assign('variable_bf_bid')}
		{editable->get('bf_eid')|assign('variable_bf_eid')}
		{editable->get('bf_param')|assign('variable_details_param')}
		{editable->get('bf_value')|assign('variable_bf_value')}
		{editable->get('bf_action')|assign('variable_action')}
		{editable->get('bf_mode')|assign('variable_mode')}
		{if $variable_action == 'H'}{assign('CanEditEnvGroupValue', 0)}{/if}
		<input type="hidden" id="variable_details_id" name="variable[bf_bid]" value="{$variable_bf_bid|escape()}" />
		<input type="hidden" id="variable_details_eid" name="bf_eid" value="{$variable_bf_eid|escape()}" />
		<input type="hidden" id="variable_details_neweid" name="variable[bf_eid]" value="{$variable_bf_eid|escape()}" />
		<input type="hidden" id="variable_details_level" name="variable[bf_level]" value="0" />
		<span class="details_title" title="{$variable_details_param|escape('hexentity')}"><img src="{$webroot}images/icon_variable.gif" alt="{translate('variable')|escape()}:"/><span id="details_label">{if $variable_details_param}{$variable_details_param|truncate(50)|escape('hexentity')}{else}({translate('new variable')|escape()}){/if}</span></span>
		<div class="bf_button_bar">
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('save variable')|escape()}" name="variable_details_save" id="variable_details_save" onclick="return true;" {if ((!$variable_bf_eid && !$CanAddEnvGroupValue) or ($variable_bf_eid && !$CanEditEnvGroupValue))}disabled="disabled"{/if} /></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<div class="details_button"><input type="submit" class="bf_button" value="{translate('delete variable')|escape()}" id="variable_details_delete" name="variable[delete]" onclick="return !page_details.kill();"{if !$variable_details_param or $variable_details_param == '' or !$CanDeleteEnvGroupValue} disabled="disabled"{/if}/></div>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
		</div>
			<div class="BF_tabs" id="details_tabs">
				<div class="generic_tabstrip">
					<ul class="generic_tabs">
					<li class="selected" title="{$variable_details_param|truncate(30)|escape('hexentity')}"><a href="javascript:goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="variable_details_param">
						{translate('name')|escape()}: <input name="variable[bf_param]" id="variable_details_param" type="text" class="textBox" value="{$variable_details_param|escape()}" />
					</label>
					<label for="variable_details_value">
						{translate('value')|escape()}:
						<input name="variable[bf_value]" id="variable_details_value" class="textBox" type="text" value="{if $variable_action == 'H'}{translate('2269')|escape()}{else}{$variable_bf_value|escape('hexentity')}{/if}" style="width: 400px;" maxlength="255" />
					</label>
				</div>
				<div class="properties">
					<div class="third">
						<label for="variable_details_action_visible">{translate('action')|escape()}:</label>
						<input id="variable_details_action_visible" type="button" class="pselect iconDropdown" title="{if $variable_action == 'S'}{translate('set')|escape()}{elseif $variable_action == 'N'}{translate('set if not set')|escape()}{elseif $variable_action == 'A'}{translate('append')|escape()}{elseif $variable_action == 'P'}{translate('prepend')|escape()}{elseif $variable_action == 'C'}{translate('clear')|escape()}{elseif $variable_action == 'U'}{translate('delete / unset')|escape()}{elseif $variable_action == 'H'}{translate('assign hidden')|escape()}{else}{translate('set')|escape()}{/if}" value="{if $variable_action == 'S'}{translate('set')|truncate($pselect_truncation)|escape()}{elseif $variable_action == 'N'}{translate('set if not set')|truncate($pselect_truncation)|escape()}{elseif $variable_action == 'A'}{translate('append')|truncate($pselect_truncation)|escape()}{elseif $variable_action == 'P'}{translate('prepend')|truncate($pselect_truncation)|escape()}{elseif $variable_action == 'C'}{translate('clear')|truncate($pselect_truncation)|escape()}{elseif $variable_action == 'U'}{translate('delete / unset')|truncate($pselect_truncation)|escape()}{elseif $variable_action == 'H'}{translate('assign hidden')|truncate($pselect_truncation)|escape()}{else}{translate('set')|truncate($pselect_truncation)|escape()}{/if}" tabindex="2" onclick="pseudoSelect('variable_details_action', 'S,{translate('set')|escape('javascript')}|N,{translate('set if not set')|escape('javascript')}|A,{translate('append')|escape('javascript')}|P,{translate('prepend')|escape('javascript')}|C,{translate('clear')|escape('javascript')}|U,{translate('delete / unset')|escape('javascript')}|H,{translate('assign hidden')|escape('javascript')}', '');" />
						<input name="variable[bf_action]" id="variable_details_action" type="hidden" value="{if !$variable_action}S{else}{$variable_action|escape()}{/if}" />
					</div>
					<div class="third">
						<label for="variable_details_mode_visible">{translate('on project')|escape()}:</label>
						<input id="variable_details_mode_visible" type="button" class="pselect iconDropdown" title="{if $variable_mode == 'N'}{translate('normal')|escape()}{elseif $variable_mode == 'R'}{translate('required')|escape()}{elseif $variable_mode == 'O'}{translate('read-only')|escape()}{elseif $variable_mode == 'S'}{translate('suppress display')|escape()}{elseif $variable_mode == 'C'}{translate('must change')|escape()}{else}{translate('normal')|escape()}{/if}" value="{if $variable_mode == 'N'}{translate('normal')|truncate($pselect_truncation)|escape()}{elseif $variable_mode == 'R'}{translate('required')|truncate($pselect_truncation)|escape()}{elseif $variable_mode == 'O'}{translate('read-only')|truncate($pselect_truncation)|escape()}{elseif $variable_mode == 'S'}{translate('suppress display')|truncate($pselect_truncation)|escape()}{elseif $variable_mode == 'C'}{translate('must change')|truncate($pselect_truncation)|escape()}{else}{translate('normal')|truncate($pselect_truncation)|escape()}{/if}" tabindex="3" onclick="pseudoSelect('variable_details_mode', 'N,{translate('normal')|escape('javascript')}|R,{translate('required')|escape('javascript')}|O,{translate('read-only')|escape('javascript')}|S,{translate('suppress display')|escape('javascript')}|C,{translate('must change')|escape('javascript')}', '');" />
						<input name="variable[bf_mode]" id="variable_details_mode" type="hidden" value="{if !$variable_mode}N{else}{$variable_mode|escape()}{/if}" />
					</div>
				</div>
			</div>
		</div>

	</div>
	</form>
