{* (c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
 Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}
 
{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 33)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}
{assign('nopaginationtoggle', 1)}
 
{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('url')|assign('temp')}{assign('linkAction',"&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('url')|assign('temp')}{assign('linkID',"&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('url')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('url')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('url')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('url')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp")}{/if}

{controller->getLocationName()|assign('location_name')}

{if $jTE['get']['action'] != 'home.view.active' && $jTE['get']['action'] != 'home.view.completed'}
	{userobj->getPreference('home_defaultpage')|assign('buildType')}
	{if $buildType != 'home.view.active' && $buildType != 'home.view.completed'}
		{assign('buildType','home.view.active')}
	{/if}
{else}
	{assign('buildType', $jTE['get']['action'])}
{/if}

	<div id="content_top_header">
	
		<div id="content_title">
			<div id="content_title_left">
				<img class="content_title_image" src="{$webroot}images/nav_icon_home.gif" border="0" alt=""/>
				<span class="module_name">{translate('Home')|escape()}</span><span class="sepGT">&gt;&gt;</span><span class="location_name">
					{if $buildType == 'home.view.completed'}
						{translate('Completed Runs')|escape()}
					{else}
						{translate('Active Runs')|escape()}
					{/if}
				</span>
			</div>

			<div id="content_title_right">
				<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/home.html&amp;hideToc=true" onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/home.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt="" border="0"/></a>
			</div>
		</div>

		<div class="ProjectRuns_View">			
			{include('paging_controls.tpl')}
			{include('filter_form.tpl', "action=home.view.builds", "form_action=$linkSelf?mod=$linkModule&amp;action=")}
		</div>
		
	</div>
	
	<div id="lonely_summary_scroller_wrapper">
	

		{* DISPLAY JOBS LIST *}
		<div id="summary_scroller" class="ProjectRunsPage_Home">
			<form method="post" action="{$linkSelf}?mod=jobs&amp;action=view">
			<table cellpadding="0" cellspacing="0">
				<thead id="listing_header">
					<tr>
						<th>{translate('Tag')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=tag&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('tag');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('Projects and Libraries')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=project&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('project');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('class')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=class&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('class');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('state')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=state&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('state');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('result')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=result&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('result');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('date')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=date&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('date');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('runtime')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=runtime&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('runtime');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						<th>{translate('owner')|escape()} <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=owner&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('owner');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						{if $location_name}
                        <th>{translate('geo')|escape()}</th>
						{/if}
					</tr>
				</thead>
				<tbody id="listing">
					<tr id="view_list_clone" class="clone">
						<td><img src="{$webroot}images/nav_icon_project_runs_blue.gif" border="0" /> <a href="{$linkSelf}?mod=jobs&amp;action=edit&amp;bf_id="></a></td>							
						<td><img src="{$webroot}images/icons/projects_link.gif" border="0" /> <a href="{$linkSelf}"></a></td>							
						<td><a href="{$linkSelf}?mod=projects&action=classes.view&bf_name="></a></td>							
						<td></td>							
						<td><img src="{$webroot}images/icons/status_pass.gif" alt="" title="" border="0" /> <span></span></td>							
						<td></td>							
						<td></td>							
						<td></td>							
						{if $location_name}<td></td>{/if}                        
					</tr>
	
					{listing->getCount|assign('jobcount')}
					{for('projects_pointer', $jobcount)}
					{listing->next()|assign('job_instance')}
					<tr id="listing_rows_{$job_instance['bid']|escape()}">
						<td><img src="{$webroot}images/nav_icon_project_runs_blue.gif" border="0" />
							{if $purges[$job_instance['bid']]['pid'] == $job_instance['bid']}
							<a href="javascript:void(page_details.showMessagePurge());">
							{else}
							<a href="{$linkSelf}?mod=jobs&amp;action=edit&amp;bf_id={$job_instance['bid']|escape()}">
							{/if}							
							{$job_instance['tag']|truncate(40)|escape('hexentity')}</a></td>							
						<td><img src="{$webroot}images/icons/{if $job_instance['selector'] == ''}library{else}projects{/if}_link.gif" border="0" /> 
							<a href="{$linkSelf}?mod={if $job_instance['selector'] == ''}library{else}projects{/if}&action=steps.view&bf_id={$job_instance['pid']|escape()}">							 
							{$job_instance['project']|truncate(40)|escape('hexentity')}</a></td>							
						<td><a href="{$linkSelf}?mod=projects&action=classes.view&bf_name={$job_instance['class']|escape('url')}">{$job_instance['class']|truncate(40)|escape('hexentity')}</a></td>							
						<td>
							{if $purges[$job_instance['bid']]['pid'] == $job_instance['bid']}
								{if $purges[$job_instance['bid']]['can'] == 'Y'}
								{translate('canceling purge')|escape()}
								{else}
								{translate('purging')|escape()}
								{/if}
							{else}						
								{if $job_instance['state'] == 'C'}{translate('completed')|escape()}
								{elseif $job_instance['state'] == 'R'}{translate('running')|escape()}
								{elseif $job_instance['state'] == 'W'}{translate('waiting')|escape()}
								{elseif $job_instance['state'] == 'A'}{translate('archived')|escape()}
								{elseif $job_instance['state'] == 'L'}{translate('locked')|escape()}
								{elseif $job_instance['state'] == 'F'}{translate('starting')|escape()}
								{/if}
							{/if}
						</td>							
						<td>
							{if $job_instance['result'] == 'P'}<img src="{$webroot}images/icons/status_pass.gif" alt="{translate('passed')|escape()}" title="{translate('passed')|escape()}" border="0" /> <span>{translate('passed')|escape()}</span>
							{elseif $job_instance['result'] == 'W'}<img src="{$webroot}images/icons/status_warn.gif" alt="{translate('warning')|escape()}" title="{translate('warning')|escape()}" border="0" /> <span>{translate('warning')|escape()}</span>
							{elseif $job_instance['result'] == 'F'}
								{if $job_instance['cancelled'] == 'Y'}
									<img src="{$webroot}images/icons/status_cancelled.gif" alt="{translate('canceled')|escape()}" title="{translate('canceled')|escape()}" border="0" /> <span>{translate('canceled')|escape()}</span>
								{elseif $job_instance['stage'] == 'Break'}
									<img src="{$webroot}images/icons/status_stopped.gif" alt="{translate('stopped')|escape()}" title="{translate('stopped')|escape()}" border="0" /> <span>{translate('stopped')|escape()}</span>
								{else}
									<img src="{$webroot}images/icons/status_fail.gif" alt="{translate('failed')|escape()}" title="{translate('failed')|escape()}" border="0" /> <span>{translate('failed')|escape()}</span>
								{/if}
							{else}
								----							
							{/if}
							{bf_get_num_filter_matches($job_instance['bid'], 'F')|assign('failmatches')}
							{bf_get_num_filter_matches($job_instance['bid'], 'W')|assign('warnmatches')}
							{if $failmatches or $warnmatches}( {$failmatches|escape()} / {$warnmatches|escape()} ){/if}
						</td>							
						<td>{bf_format_date($job_instance['date'])|escape()}</td>							
						<td>{bf_seconds_to_time($job_instance['runtime'])|escape()}</td>							
						<td>{if $job_instance['owner'] == ''}SYSTEM{else}{$job_instance['owner']|truncate(40)|escape('hexentity')}{/if}</td>							
						{if $location_name}
                        <td>{if $job_instance['geo_id'] == ''}{translate('master')|escape()}{else}{$geos[$job_instance['geo_id']]|escape()}{/if}</td>
						{/if}
					</tr>
					{/for}
	
	
				</tbody>
			</table>			
			<div class="invisible">
				<input type="submit" name="job_action" value="{translate('cancel')|escape()}" />
				<input type="submit" name="job_action" value="{translate('lock')|escape()}" />
				<input type="submit" name="job_action" value="{translate('unlock')|escape()}" />
				<input type="submit" name="job_action" value="{translate('purge')|escape()}" />
			</div>
			</form>				
		</div>	
		
	</div>
