{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}
{assign('linkFilter', "&amp;severity=$severity&amp;last=$last")}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_home.gif" border="0" alt=""/>
			<span class="module_name">{translate('Home')|escape()}</span><span class="sepGT">&gt;&gt;</span><span class="location_name">{translate('system messages')|escape()}</span>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_messages.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_messages.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	<div id="content_top_solo" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				<div class="uifilter_wrapper">
					{translate('severity')|escape()}:
					<select style="margin:0 20px 0 0;width:150px;" onchange="paginator.request.parameters.severity = this.options[this.selectedIndex].value;paginator.firstPage();">
						<option value="">{translate('all')|escape()}</option>
						<option value="E"{if $severity == 'E'} selected="selected"{/if}>{translate('error')|escape()}</option>
						<option value="I"{if $severity == 'I'} selected="selected"{/if}>{translate('info')|escape()}</option>
						<option value="W"{if $severity == 'W'} selected="selected"{/if}>{translate('warning')|escape()}</option>
						<option value="A"{if $severity == 'A'} selected="selected"{/if}>{translate('audit')|escape()}</option>
					</select>
					{translate('last')|escape()}:
					<select name="last" style="width:150px;" onchange="paginator.request.parameters.last = this.options[this.selectedIndex].value;paginator.firstPage();">
						<option value="">{translate('all')|escape()}</option>
						<option value="12 hours ago"{if $last == '12 hours ago'} selected="selected"{/if}>{translate('x hours', '12')|escape()}</option>
						<option value="24 hours ago"{if $last == '24 hours ago'} selected="selected"{/if}>{translate('x hours', '24')|escape()}</option>
						<option value="2 days ago"{if $last == '2 days ago'} selected="selected"{/if}>{translate('x days', '2')|escape()}</option>
						<option value="3 days ago"{if $last == '3 days ago'} selected="selected"{/if}>{translate('x days', '3')|escape()}</option>
						<option value="4 days ago"{if $last == '4 days ago'} selected="selected"{/if}>{translate('x days', '4')|escape()}</option>
						<option value="5 days ago"{if $last == '5 days ago'} selected="selected"{/if}>{translate('x days', '5')|escape()}</option>
					</select>
					{if $controller->local or $controller->master}
					<label for="edit_project_geo_id_visible">{translate('geo')|escape()}:</label>
					<input id="edit_project_geo_id_visible" type="button" class="pselect iconDropdown" value="{if $ourproject['geo_id']}{if $ourproject['geo_id'] == ''}{translate('master')|escape()}{else}{bf_get_geo($ourproject['geo_id'])|escape()}{/if}{else}{translate('master')|escape()}{/if}" tabindex="2" onclick="pseudoSelect('edit_project_geo_id', 'mod=administration&action=geo.view&type=xml', 'title={translate('geo options')|escape('javascript')}&attribute=class&value=id&name=location&seedlist=|,{translate('master')|escape('javascript')}|', function() {ldelim} paginator.request.parameters.geo_id = $('edit_project_geo_id').value; paginator.firstPage(); {rdelim});" />
					<input name="project[bf_geo_id]" id="edit_project_geo_id" type="hidden" value="{if $ourproject['geo_id']}{$ourproject['geo_id']|escape('hexentity')}{/if}" />
					{/if}
				</div>

				<div class="filter_form_showing">
					<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
					{math($offsetLeft + 1)|assign('offsetLeftTemp')}
					{assign('offsetLeftHTML', '<span id="offsetLeft">$offsetLeftTemp</span>')}
					{assign('offsetRightHTML', '<span id="offsetRight">$offsetRight</span>')}
					{assign('grandTotalHTML', '<span id="grandTotal">$grandTotal</span>')}
					<span class="summary_showing" id="summary_showing"{if $grandTotal == 0} style="display: none;"{/if}><strong>{translate('showing x - x of x', $offsetLeftHTML, $offsetRightHTML, $grandTotalHTML)}</strong></span>
				</div>
			</div>

			<div id="summary_scroller"  class="Admin_Details">
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('timestamp')|escape()}</th>
							<th>{translate('user')|escape()}</th>
							<th>{translate('message')|escape()}</th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td></td>
							<td></td>
							<td><img src="{$webroot}images/icons/fail.gif" alt="Error" /> <span id="object_details_message"></span></td>
						</tr>
					{controller->getLocationName()|assign('location_name')}
					{for('item', $itemCount)}
						<tr>
							{listing->next()|assign('item')}
							<td class="first">{bf_format_date($item['stamp'])|escape()}</td>
							<td>{if $item['bf_user']}{if $location_name}{$usernames[$item['bf_user']]|escape()}{else}{$item['bf_user'])|escape()}{/if}{else}{translate('System')|escape()}{/if}</td>
							<td>
							{if $item['severity'] == 'E'}<img src="{$webroot}images/icons/fail.gif" alt="{translate('error')|escape()}" />
							{elseif $item['severity'] == 'W'}<img src="{$webroot}images/icons/status_warn.gif" alt="{translate('warning')|escape()}" />
							{elseif $item['severity'] == 'I'}<img src="{$webroot}images/icons/edit.gif" alt="{translate('info')|escape()}" />
							{elseif $item['severity'] == 'A'}<img src="{$webroot}images/nav_icon_library.gif" alt="{translate('audit')|escape()}" />
							{/if}
							{if $location_name}
								{bf_translate_string($item['message'])|assign('temp_message')}
								{bf_get_message($temp_message, $item['msgargs'])|escape()}
							{else}
								{bf_get_message($item['message'], $item['msgargs'])|escape()}
							{/if}
							</td>
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
