<?php
/*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc.  */ 
ini_set('max_execution_time', $GLOBALS['GLOBAL_SETTINGS']['site']['max_execution_time']);
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $user->get('bf_lang'); ?>" lang="<?php echo $user->get('bf_lang'); ?>">
<head>
<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/global.css" />
<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/fullcontrol/styles/global.css" />
<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/global_resizers.css" />
<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/modular_navigation.css" />
<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/global_navigation.css" />
<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/button_menus.css" />
<!--[if IE]>
	<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/global_ie.css" />
	<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/modular_navigation_ie.css" />
	<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/global_navigation_ie.css" />
<![endif]-->
<!--[if IE 6]>
	<link rel="stylesheet" href="<?php echo BF_WEBROOT; ?>/styles/global_ie6.css" />
<style type="text/css">
body {
	margin-right: 12px;
}
</style>
<![endif]-->

<style type="text/css">
	body { background-color: #F3F5F7; overflow: auto !important; }
	.log_warn { background-color: #feffc3;}
	.log_fail { background-color: #DAA; }
	.log_pass { background-color: #ADA; }
	.log_run { background-color: #D4E2EF; }
</style>

<!--[if IE 6]>
<script type="text/javascript">
window.attachEvent(
	'onload',
	window.top.page_details.resizer_onresize_real
);
</script>
<![endif]-->

<!--[if IE]>
	<script type="text/javascript" src="<?php echo BF_WEBROOT; ?>/javascripts/content_ie.js"></script>
<![endif]-->

<script type="text/javascript" src="<?php echo BF_WEBROOT; ?>/javascripts/translator.js.php"></script>
<script type="text/javascript" src="<?php echo BF_WEBROOT; ?>/javascripts/content.js"></script>
<script type="text/javascript" src="<?php echo BF_WEBROOT; ?>/javascripts/select.js"></script>
<script type="text/javascript" src="<?php echo BF_WEBROOT; ?>/fullcontrol/modules/Jobs/javascripts/build.edit.bom.content.js"></script>
<script type="text/javascript" src="<?php echo BF_WEBROOT; ?>/fullcontrol/modules/Jobs/javascripts/build.common.content.js"></script>

</head>
<body class="<?php echo $user->get('bf_lang'); ?>">


<a href='#' onclick="return page_details.bomToggle('bomSteps',this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> <?php echo translate('job steps'); ?>
<img id="spinSteps" border="0" src="<?php echo BF_WEBROOT; ?>images/icons/refresh_spinner.gif"/></a>
<div id="bomSteps" class="bomChild">
    <table cellpadding="0" cellspacing="0">
        <thead id="listing_header">
            <tr>
            	<th style='padding-left:10px;width:30px;text-align:center;'><?php echo translate('step'); ?></th>
            	<th><?php echo translate('step name'); ?></th>
            	<th><?php echo translate('server'); ?> (<?php echo translate('selector'); ?>)</th>
            	<th style='width:50px;text-align:center;'><?php echo translate('runtime'); ?></th>
            	<th style='width:80px;'><?php echo translate('result'); ?></th>
            	<th style='width:40px;'><?php echo translate('line'); ?>chains</th>
			</tr>
		</thead>
		<tbody id="alisting">

<?php
		// Get the count of steps - used below too
		$stepCount = $steps->getCount();

		for ($i = 0; $i < $stepCount; $i++) {
		$step_instance = $steps->next();
?>
                <tr id="listing_rows_<?php echo $step_instance['uid']; ?>">
					<td style='padding-left:10px;width:30px;text-align:center;'>
						<?php echo $step_instance['step']; ?>
					</td>
					<td>						
						<?php if ($step_instance['thread'] == 'Y') { ?>
							<img src="<?php echo BF_WEBROOT; ?>images/icons/step_threaded.gif" border="0" alt='<?php echo translate('threaded step'); ?>' title='<?php echo translate('threaded step'); ?>' />
						<?php } elseif ($step_instance['thread'] == 'J') { ?>
							<img src="<?php echo BF_WEBROOT; ?>images/icons/step_joined.gif" border="0" alt='<?php echo translate('join step'); ?>' title='<?php echo translate('join step'); ?>' />
						<?php } else { ?>
							<img src="<?php echo BF_WEBROOT; ?>images/icons/step.gif" border="0" alt='<?php echo translate('step'); ?>' title='<?php echo translate('step'); ?>' />
						<?php } ?>													
						<a href="index.php?mod=jobs&amp;action=edit.log&amp;bf_id=<?php echo $this->bfid; ?>&amp;lid=<?php echo $step_instance['lid']; ?>" target="_top">
						<?php echo $step_instance['stepname']; ?>
						</a>
					</td>
					<td>						
						<?php if ($step_instance['server'] == '') { echo translate('default'); } else { echo $step_instance['server']; } ?>
						(<?php if ($step_instance['selector'] == '') { echo translate('default'); } else { echo $step_instance['selector']; } ?>)						
					</td>
					<td style='width:50px;text-align:center;'>
						<?php echo bf_seconds_to_time($step_instance['runtime']); ?>
					</td>
					<td style='width:80px;'>						
						<?php if ($step_instance['result'] == 'C') { ?><img src="<?php echo BF_WEBROOT; ?>images/icons/status_cancelled.gif" alt="<?php echo translate('canceled'); ?>" border="0" /> <?php echo translate('canceled'); ?>
						<?php } elseif ($step_instance['result'] == 'P') { ?><img src="<?php echo BF_WEBROOT; ?>images/icons/status_pass.gif" alt="<?php echo translate('passed'); ?>" border="0" /> <?php echo translate('passed'); ?>
						<?php } elseif ($step_instance['result'] == 'W') { ?><img src="<?php echo BF_WEBROOT; ?>images/icons/status_warn.gif" alt="<?php echo translate('warning'); ?>" border="0" /> <?php echo translate('warning'); ?>
						<?php } elseif ($step_instance['result'] == 'N') { ?><img src="<?php echo BF_WEBROOT; ?>images/icons/status_warn.gif" alt="<?php echo translate('warning'); ?>" border="0" /> <?php echo translate('warning'); ?>
						<?php } elseif ($step_instance['result'] == 'F') { ?><img src="<?php echo BF_WEBROOT; ?>images/icons/status_fail.gif" alt="<?php echo translate('failed'); ?>" border="0" /> <?php echo translate('failed'); ?>
						<?php } elseif ($step_instance['result'] == 'B') { ?><img src="<?php echo BF_WEBROOT; ?>images/icons/status_stopped.gif" alt="<?php echo translate('stopped'); ?>" border="0" /> <?php echo translate('stopped'); ?>
						<?php } elseif ($step_instance['result'] == 'R') { ?>
							<?php if ($step_instance['flag'] == 'P') { ?>
								<img src="<?php echo BF_WEBROOT; ?>images/icons/status_running_paused.gif" alt="<?php echo translate('paused'); ?>" border="0" /> <?php echo translate('paused'); ?>
							<?php } elseif ($step_instance['flag'] == 'C') { ?>
								<img src="<?php echo BF_WEBROOT; ?>images/icons/step_cancelled.gif" alt="<?php echo translate('canceling'); ?>" border="0" /> <?php echo translate('canceling'); ?>
							<?php } else { ?>
								<img src="<?php echo BF_WEBROOT; ?>images/icons/status_running.gif" alt="<?php echo translate('running'); ?>" border="0" /> <?php echo translate('running'); ?>
							<?php } ?>
						<?php } elseif ($step_instance['result'] == 'S') { ?>
							<img src="<?php echo BF_WEBROOT; ?>images/icons/status_skipped.gif" alt="<?php echo translate('skipped'); ?>" border="0" /> <?php echo translate('skipped'); ?>
						<?php } elseif ($step_instance['result'] == 'Q') { ?>  ----
						<?php } ?>
					</td>
					<td>
					<?php if (!empty($step_instance['chainbuild'])) { ?>
						<a href="index.php?mod=jobs&action=edit&bf_id=<?php echo $step_instance['chainbuild']; ?>" target="_top"><img src="<?php echo BF_WEBROOT; ?>images/icons/chain_link.gif" border="0" title='<?php echo translate('chain link'); ?>' /></a>
					<?php } ?>
					</td>
				</tr>			
<?php 
		}
?>
		</tbody>
	</table>
</div>
<script>$('spinSteps').src = '<?php echo BF_WEBROOT; ?>images/c.gif';</script>



	<a href='#' onclick="return page_details.bomToggle('bomStepManifests', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> <?php echo translate('step manifests'); ?>
	<img id="spinManifests" border="0" src="<?php echo BF_WEBROOT; ?>images/icons/refresh_spinner.gif"/></a>				
	<div id="bomStepManifests" class="bomChild">
	<?php
		$steps->rewind();
		
		for ($i = 0; $i < $stepCount; $i++) {
		$step_instance = $steps->next();

		$manifest = $this->getStepManifest($this->bfid, $step_instance['lid']);

		if (!empty($manifest)) {

	?>
		<a href='#' onclick="return page_details.bomToggle('bomStepManifest_<?php echo $step_instance['step']; ?>', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> #<?php echo $step_instance['step']; ?> - <?php echo $step_instance['stepname']; ?></a>
		<div id="bomStepManifest_<?php echo $step_instance['step']; ?>" class="bomChild">
	        <table cellpadding="0" cellspacing="0">
	            <thead>
	                <tr>
	                	<th style='width:100px;'><?php echo translate('server'); ?></th>
	                	<th style='width:150px;'><?php echo translate('property'); ?></th>
	                	<th><?php echo translate('value'); ?></th>
					</tr>
				</thead>
				<tbody id='manifest_listing_<?php echo $step_instance['lid']; ?>'>
	<?php
						foreach ($manifest as $k=>$v) {
	?>
					<tr>
						<td><?php echo escapeUtf8($v['server']); ?></td>
						<td><?php echo $v['property']; ?></td>
						<td><?php echo escapeUtf8($v['value']); ?></td>
					</tr>
	<?php				} ?>
				</tbody>
			</table>					
		</div>
		<?php } ?>	
	<?php } ?>
	</div>				
<script>$('spinManifests').src = '<?php echo BF_WEBROOT; ?>images/c.gif';</script>



<?php if (!empty($hasCheckpoints)) { ?>

	<a href='#' onclick="return page_details.bomToggle('bomCheckpoints', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> <?php echo translate('checkpoints'); ?>
	<img id="spinCheckpoints" border="0" src="<?php echo BF_WEBROOT; ?>images/icons/refresh_spinner.gif"/></a>
	<div id="bomCheckpoints" class="bomChild">

<?php
	$steps->rewind();
	
	for ($i = 0; $i < $stepCount; $i++) {
	$step_instance = $steps->next();
	
		if (!empty($stepCheckpoints[$step_instance['lid']])) {
?>
			<a href='#' onclick="return page_details.bomToggle('bomStepCheckpoint_<?php echo $step_instance['step']; ?>', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' id='stepCheckpointToggleImage_<?php echo $step_instance['step']; ?>' /> #<?php echo $step_instance['step']; ?> - <?php echo $step_instance['stepname']; ?></a>
			<div id="bomStepCheckpoint_<?php echo $step_instance['step']; ?>" class="bomChild">
		        <table cellpadding="0" cellspacing="0">
		            <thead>
		                <tr>
		                	<th style='width:100px;'><?php echo translate('action'); ?></th>
		                	<th style='width:200px;'><?php echo translate('md5'); ?></th>
		                	<th><?php echo translate('pathname'); ?></th>
						</tr>
					</thead>
					<tbody id='checkpoint_listing_<?php echo $step_instance['lid']; ?>'>						
<?php
					foreach($stepCheckpoints[$step_instance['lid']] as $v) {
?>
						<tr>
							<td><?php echo $v['action']; ?></td>
							<td><?php echo $v['md5']; ?></td>
							<td><?php echo $v['pathname']; ?></td>
						</tr>
<?php
					}
?>
					</tbody>
				</table>											
			</div>
			
<?php 
		}
	} 
?>	
		
			<a href='#' onclick="return page_details.bomToggle('bomStepCheckpoint_0', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' id='stepCheckpointToggleImage_0' /> <?php echo translate('baseline'); ?></a>
			<div id="bomStepCheckpoint_0" class="bomChild">
		        <table cellpadding="0" cellspacing="0">
		            <thead>
		                <tr>
		                	<th style='width:100px;'><?php echo translate('action'); ?></th>
		                	<th style='width:200px;'><?php echo translate('md5'); ?></th>
		                	<th><?php echo translate('pathname'); ?></th>
						</tr>
					</thead>
					<tbody id='checkpoint_listing_0'>
<?php
					foreach($stepCheckpoints['0'] as $v) {
?>
						<tr>
							<td><?php echo $v['action']; ?></td>
							<td><?php echo $v['md5']; ?></td>
							<td><?php echo escapeUtf8($v['pathname']); ?></td>
						</tr>
<?php
					}
?>
					</tbody>
				</table>											
			</div>
						
	</div>
	<script>$('spinCheckpoints').src = '<?php echo BF_WEBROOT; ?>images/c.gif';</script>

<?php } ?>



<?php 
	$filterCount = $bomFilters->getCount();
	if ($filterCount > 0) {
?>

	<a href='#' onclick="return page_details.bomToggle('bomFilters', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> <?php echo translate('filter matches'); ?>
	<img id="spinFilters" border="0" src="<?php echo BF_WEBROOT; ?>images/icons/refresh_spinner.gif"/></a>
	<div id="bomFilters" class="bomChild">

<?php

		for ($i = 0; $i < $filterCount; $i++) {
		$filter_instance = $bomFilters->next();
?>
		<a href='#' onclick="return page_details.bomToggle('bomFilters_<?php echo $filter_instance['step']; ?>', this);" class="bomToggle"><img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> #<?php echo $filter_instance['step']; ?> - <?php echo $filter_instance['stepname']; ?></a>
		<div id="bomFilters_<?php echo $filter_instance['step']; ?>" class="bomChild">
	        <table cellpadding="0" cellspacing="0">
	            <thead>
	                <tr>
	                	<th style='width:100px;'><?php echo translate('line'); ?></th>
	                	<th style='width:150px;'><?php echo translate('filter'); ?></th>
	                	<th style='width:150px;'><?php echo translate('action'); ?></th>
	                	<th><?php echo translate('data'); ?></th>
					</tr>
				</thead>
				<tbody id='filter_listing_<?php echo $filter_instance['lid']; ?>'>
<?php 
					$stepFilter = $this->parent->getStepFilters($this->bfid, $filter_instance['lid']);
					foreach($stepFilter as $v) {
?>					<tr>
						<td><?php echo $v['line']; ?></td>
						<td><?php echo escapeUtf8($v['filter']); ?></td>
						<td><?php
							if ($v['typekey'] == 'F' || $v['typekey'] == 'S')  {
								echo('<img src="' . BF_WEBROOT . 'images/icons/status_fail.gif" alt="' . 
										translate('failed') . '" title="' . translate('failed') .
										'" border="0" /> ');
							}  elseif ($v['typekey'] == 'W')  {
								echo('<img src="' . BF_WEBROOT . 'images/icons/status_warn.gif" alt="' . 
										translate('warning') . '" title="' . translate('warning') .
										'" border="0" /> ');
							}  else  {
								echo('<img src="' . BF_WEBROOT . 'images/icons/status_pass.gif" alt="' . 
										translate('passed') . '" title="' . translate('passed') .
										'" border="0" /> ');
							}
							echo($v['action']);
						?></td>
						<td><?php echo escapeUtf8($v['data']); ?></td>
					</tr>
<?php
					}
?>
				</tbody>
			</table>					
		</div>
<?php 	} ?>


	</div>
	<script>$('spinFilters').src = '<?php echo BF_WEBROOT; ?>images/c.gif';</script>
<?php } ?>



<?php 

	$customBomCount = $bomCats->getCount();


	if ($customBomCount > 0 ) {

		for ($i = 0; $i < $customBomCount; $i++) {
		$customBom_instance = $bomCats->next();

?>
				<a href='#' onclick="return page_details.bomToggle('bomCustom_<?php echo $i; ?>',this);" class="bomToggle">
				<img src='<?php echo BF_WEBROOT; ?>images/nav_plus.gif' /> <?php echo escapeUtf8($customBom_instance['title']); ?>
				<img id="spinCustom<?php echo $i; ?>" border="0" src="<?php echo BF_WEBROOT; ?>images/icons/refresh_spinner.gif"/></a>
				<div id="bomCustom_<?php echo $i; ?>" class="bomChild">

<?php

	/** Okay lets build the data and output it as we build it. 
	 * this requires some help from the bom object as some of the data needs to be built before hand.
	 * Get that data.
	 */
	list(	$datahandle,
			$sectionLayoutTitles,
			$sectionLayoutFields,
			$lastValue,
			$lastField,
			$parentage,
			$expandable,
			$sectionDepth,
			$hasKids) = $this->getBomData($this->bfid, $customBom_instance['category']);


	/** We have our data, now lets while through it and parse it out.. Go team! */
	$expandStack = array();
	$sectionStack = array();
	$tableStack = array(); // are we in a Table?
	$parentStack = array();

	$parent = '';

	// We also need to replace [status=], [url], and [build] in the bom with the appropriate markup.
	$log_patterns = array(
		// Parse though the message to get any [status= changes
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#110;|&#78;|&#x6e;|&#x4e;|n)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#102;|&#70;|&#x66;|&#x46;|f)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#119;|&#87;|&#x77;|&#x57;|w)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#110;|&#78;|&#x6e;|&#x4e;|n)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#112;|&#80;|&#x70;|&#x50;|p)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
	
		// Catch and markup the [url] and [url=...] messages
		"/(?:&#91;|&#x5b;|\[)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#61;|&#x3d;|=)(.*?)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])/i",
	
		// Catch and markup the [build] and [build=...] messages
		"/(?:&#91;|&#x5b;|\[)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#61;|&#x3d;|=)(.*?)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#93;|&#x5d;|\])/i"
	);
	$log_replacements = array(
		// Parse though the message to get any [status= changes
		"<span class=log_run>\\1</span>",
		"<span class=log_fail>\\1</span>",
		"<span class=log_warn>\\1</span>",
		"<span class=log_pass>\\1</span>",
	
		// Catch and markup the [url] and [url=...] messages
		"<a href='\\1' target='_blank' class='log_link'>\\1</a>",
		"<a href='\\1' target='_blank' class='log_link'>\\2</a>",
	
		// Catch and markup the [build] and [build=...] messages
		"<a href='?mod=jobs&action=edit&bf_id=\\1' target='_blank' class='log_link'>\\1</a>",
		"<a href='?mod=jobs&action=edit&bf_id=\\1' target='_blank' class='log_link'>\\2</a>"
	);

	/** Note, much of the code below was a conversion from PERL to PHP. 
	 * I've done my best to convert it to php and to further make it more php like in its structure, but the data is confusing to say the least.
	 * I've added \n to the ends of the lines below just to make it easier to read in html output.
	 */

	while ($data = $datahandle->fetchRow(DB_FETCHMODE_ASSOC)) {
			// Get the value of this iterations data from storage
			$value = $this->storage->getStorage($data['bf_data']);

			// Place the data, into the array for future use.
			// We are really only temporarily storing data here for a short time.
			$lastValue[$data['bf_section']][$data['bf_field']] = escapeUtf8($value['TEXT']); 

			// If this is the last field in this section, print it out.
			if ($lastField[$data['bf_section']] == $data['bf_field']) {
				
				// Append to the section stack if we are in a new section
				if (end($sectionStack) != $data['bf_section']) {

					// Lets not get this section stack get out of hand - Close all those no longer relevant
					if (in_array($data['bf_section'],$sectionStack)) {
						while (end($sectionStack) != $data['bf_section'] && end($sectionStack) != '') {
							array_pop($sectionStack);
						}
					// OR
					} else {
						// Store section on the stack
						$sectionStack[] = $data['bf_section'];
					}

					if (isset($parentStack[0])) {
						array_pop($parentStack);
					}

					// Close down all the expandeds at this point
					while(!empty($expandStack)) {// && (!isset($parentage[$data['bf_section']]) || ($parentage[$data['bf_section']] != array_pop($parentStack)))) {

						// Unless we just opened, then we haven't output the table yet
						if ($justOpened) {
							break;
						}
						print "</tbody></table></div></td></tr>";
						array_pop($expandStack);
						
						if (isset($parentage[$data['bf_section']]) && $parentage[$data['bf_section']] == end($expandStack)) {
							break;
						}
					}
					
					// Now create the initial table structure where necessary
					if ($parent == "" || $parent != $data['bf_section']) {
						// Output that whacky table
						print "<table cellspacing='0' cellpadding='0'><thead><tr>\n";
						$cellSize = floor(100/count($sectionLayoutTitles[$data['bf_section']]));
						print "<th style='width:".$cellSize."%;'>".implode("</th><th>",$sectionLayoutTitles[$data['bf_section']])."</th>\n";
						print "</tr></thead><tbody>\n";
						$justOpened = false;
					}

				}

				// Output the data for this row.
				// If this row has children, then show the opener toggle.
				print "<tr>";
				$cellSize = floor(100/count($sectionLayoutTitles[$data['bf_section']]));
				$showOpener = true;
				foreach ($lastValue[$data['bf_section']] as $k=>$v) {
					// now apply the filters for custom tags
					$v = preg_replace($log_patterns, $log_replacements, $v);
				
					print "<td style='width:".$cellSize."%;'>";
					print (isset($hasKids[$data['bf_section']]) && $showOpener)?"<a href='#' onclick=\"return page_details.bomToggle('bomCustom_c". $data['bf_lid'] ."',this);\" class='bomToggle'><img src='". BF_WEBROOT ."images/nav_plus.gif' /> ":"";
					print $v."</td>";
					$showOpener = false;
				}
				print "</tr>\n";

				// if this row has children then push the expanded stack and create the div area to be expanded into
				if (isset($hasKids[$data['bf_section']])) {
					$expandStack[] = $data['bf_section'];
					$parent = $data['bf_section'];
					print "<tr><td colspan='".count($sectionLayoutTitles[$data['bf_section']])."'><div id='bomCustom_c". $data['bf_lid'] . "' class='bomChild'>\n";
					$justOpened = true;
				}

			}

	}
	
	// In the event we never expanded, you still need to close once.
	if (empty($expandStack)) {
		print "</tbody></table>"."\n";
	}

	/** Finally -- Close all expands that haven't been closed yet. */
	foreach ($expandStack as $v) {
		array_pop($expandStack);
//		print "</td></tr></tbody></table></div>"."\n";
		print "</tbody></table></div></td></tr></tbody></table>\n";
	}

?>
				</div>
	<script>$('spinCustom<?php echo $i; ?>').src = '<?php echo BF_WEBROOT; ?>images/c.gif';</script>

<?php 

		}

	}

?>


</body>
</html>
