<?php
/*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc.  */ 
ini_set('max_execution_time', $GLOBALS['GLOBAL_SETTINGS']['site']['max_execution_time']);
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $user->get('bf_lang'); ?>" lang="<?php echo $user->get('bf_lang'); ?>">
<head>
<style type="text/css">
	div, pre { color: #000; font: .8em monospace; }
	.header { padding: 2px; font-weight: bold; background-color: #CCC; }
 	.log_line_match { line-height: 2.5em; margin-bottom: .5em; }
	.log_line_match span { padding: .5em; border: solid 1px; -webkit-box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5); }
	.log_warn { background-color: #feffc3;}
	.log_fail { background-color: #DAA; }
	.log_pass { background-color: #ADA; }
	.log_run { background-color: #D4E2EF; }
</style>
<!--[if IE]>
<style type="text/css">
	.log_warn div, .log_pass div, .log_fail div { position: relative; display: block; }
</style>
<![endif]-->
<!--[if IE 6]>
<script type="text/javascript">
window.attachEvent(
	'onload',
	window.top.page_details.resizer_onresize_real
);
</script>
<![endif]-->
</head>
<body class="<?php echo $user->get('bf_lang'); ?>">

	<pre class='header'><?php echo escapeUtf8(translate("line")); ?>	<?php echo escapeUtf8(translate("date")); ?>			<?php echo escapeUtf8(translate("type")); ?>	<?php echo escapeUtf8(translate("message")); ?></pre>

<?php

	$log_patterns = array(
		// Parse though the message to get any [status= changes
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#110;|&#78;|&#x6e;|&#x4e;|n)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#102;|&#70;|&#x66;|&#x46;|f)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#119;|&#87;|&#x77;|&#x57;|w)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#110;|&#78;|&#x6e;|&#x4e;|n)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#61;|&#x3d;|=)(?:&#112;|&#80;|&#x70;|&#x50;|p)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#97;|&#65;|&#x61;|&#x41;|a)(?:&#116;|&#84;|&#x74;|&#x54;|t)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#115;|&#83;|&#x73;|&#x53;|s)(?:&#93;|&#x5d;|\])/i",
	
		// Catch and markup the [url] and [url=...] messages
		"/(?:&#91;|&#x5b;|\[)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#61;|&#x3d;|=)(.*?)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#114;|&#82;|&#x72;|&#x52;|r)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#93;|&#x5d;|\])/i",
	
		// Catch and markup the [build] and [build=...] messages
		"/(?:&#91;|&#x5b;|\[)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#93;|&#x5d;|\])/i",
		"/(?:&#91;|&#x5b;|\[)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#61;|&#x3d;|=)(.*?)(?:&#93;|&#x5d;|\])(.*?)(?:&#91;|&#x5b;|\[)(?:&#47;|&#x2f;|\/)(?:&#98;|&#66;|&#x62;|&#x42;|b)(?:&#117;|&#85;|&#x75;|&#x55;|u)(?:&#105;|&#73;|&#x69;|&#x49;|i)(?:&#108;|&#76;|&#x6c;|&#x4c;|l)(?:&#100;|&#68;|&#x64;|&#x44;|d)(?:&#93;|&#x5d;|\])/i"
	);

// NOTE: READ THIS  - KWP 
// Due to the need to prevent cust html entities from being evaluated as such
// while still evaluating our own html, please use the following special tags 
// to create html tags:  %BF_LT%   %BF_GT%   (see examples below) 
// Any message being passed through htmlspecialchars(), escapeUtf8(), etc..
// should use these substitutions, so that they can later be re-evaluated to html.

	$log_replacements = array(
		// Parse though the message to get any [status= changes
		"%BF_LT%span class=log_run%BF_GT%\\1%BF_LT%/span%BF_GT%",
		"%BF_LT%span class=log_fail%BF_GT%\\1%BF_LT%/span%BF_GT%",
		"%BF_LT%span class=log_warn%BF_GT%\\1%BF_LT%/span%BF_GT%",
		"%BF_LT%span class=log_pass%BF_GT%\\1%BF_LT%/span%BF_GT%",
	
		// Catch and markup the [url] and [url=...] messages
		"%BF_LT%a href='\\1' target='_blank' class='log_link'%BF_GT%\\1%BF_LT%/a%BF_GT%",
		"%BF_LT%a href='\\1' target='_blank' class='log_link'%BF_GT%\\2%BF_LT%/a%BF_GT%",
	
		// Catch and markup the [build] and [build=...] messages
		"%BF_LT%a href='?mod=jobs&action=edit&bf_id=\\1' target='_blank' class='log_link'%BF_GT%\\1%BF_LT%/a%BF_GT%",
		"%BF_LT%a href='?mod=jobs&action=edit&bf_id=\\1' target='_blank' class='log_link'%BF_GT%\\2%BF_LT%/a%BF_GT%"
	);
	
	$log_classes = array(
		'W' => 'log_warn',
		'C' => 'log_pass',
		'F' => 'log_fail'
	);

	echo '<pre>';

	while ($loginstance = $steplog->next()) {
		// now apply filters to the message - First escape it and strip carriage returns
		$message = (empty($loginstance['stored']))
			? str_replace("\n", " ", $loginstance['message'])
			: str_replace("\n", " ", bf_get_storage($loginstance['stored']));

		// now apply the filters for custom tags
		$message = preg_replace($log_patterns, $log_replacements, $message);

		if (isset($filterlog[$loginstance['lid']]) && is_array($filterlog[$loginstance['lid']])) {
			echo '<span class="log_line_match">';
			$match = '';

			foreach ($filterlog[$loginstance['lid']] as $filt) {
				if ($filt['typekey'] == 'U') continue;
				// Add the filter match class to the output
				$match .= $log_classes[$filt['typekey']] . " ";
				// Embolden the filter match string
				$message = str_replace($filt['filter'],"%BF_LT%strong%BF_GT%".$filt['filter']."%BF_LT%/strong%BF_GT%",$message);
			}
			$message = ($match != '') ? '<span class="' . $match . '">' . escapeUtf8($message) . '</span>' : escapeUtf8($message);
		} else {
			$message = escapeUtf8($message);
		}

		// put back our html entities
		$message = str_replace("%BF_LT%", "<", $message);
		$message = str_replace("%BF_GT%", ">", $message);

		echo (int)$loginstance['lid'],"\t";
		echo bf_format_date($loginstance['date']),"\t";
		echo escapeUtf8($loginstance['type']),"\t";
		echo $message,"\n";
		flush();

		if (isset($filterlog[$loginstance['lid']]) && is_array($filterlog[$loginstance['lid']])) {
			echo '</span>';
		}
	}

	echo '</pre>';

?>
</body>
</html>
