{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}
<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{userobj->get('bf_lang')}" lang="{userobj->get('bf_lang')}">
<head>
<style type="text/css">
	div {ldelim()} height: 12px; font: 10px monospace; {rdelim()}
	.header {ldelim()} padding: 2px; font-weight: bold; background-color: #CCC; {rdelim()}
	.logLine {ldelim()} position: absolute; display: inline; text-align:center; {rdelim()}
	.logDate {ldelim()} position: absolute; display: inline; left: 50px; {rdelim()}
	.logType {ldelim()} position: absolute; display: inline; left: 170px; {rdelim()}
	.logMsg {ldelim()} position: absolute; display: inline; left: 230px; white-space: pre;{rdelim()}

	.log_warn {ldelim()} background-color: #feffc3; {rdelimi()}
	.log_fail {ldelim()} background-color: red; {rdelimi()}
	.log_pass {ldelim()} background-color: green; {rdelimi()}
	.log_run {ldelim()} background-color: blue; {rdelimi()}
</style>
<!--[if IE]>
<style type="text/css">
	.log_warn div, .log_pass div, .log_fail div {ldelim()} position: relative; display: block; {rdelim()}
</style>
<![endif]-->
</head>
<body>

	<form id='logbuckets'>
	{foreach($logBuckets, 'key', 'value')}
	<input type='hidden' value="{$value['preference']|escape()}" name="{$value['bucket']|escape()}" />
	{/foreach}	
	</form>

	<div class='header'>
    	<div class='logLine'>{translate('line')|escape()}</div>
    	<div class='logDate'>{translate('date')|escape()}</div>
    	<div class='logType'>{translate('type')|escape()}</div>
    	<div class='logMsg'>{translate('message')|escape()}</div>
	</div>

    {steplog->getCount|assign('logcount')}
	{for('log_pointer', $logcount)}
	    {steplog->next()|assign('loginstance')}		
	<div class='{if $loginstance['faction'] == "W"}log_warn{elseif $loginstance['faction'] == "C"}log_pass{elseif $loginstance['faction'] == "F"}log_fail{/if}'>
    	<div class='logLine'>{$loginstance['lid']|escape()}</div>
    	<div class='logDate'>{bf_format_date($loginstance['date'])|escape('hexnbsp')}</div>
    	<div class='logType'>{$loginstance['type']|escape()}</div>
    	<div class='logMsg'>{$loginstance['message']|bf_parse_log()}</div>
	</div>
	{/for}
</body>
</html>
