{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

		{editable->get('bf_semaphore')|assign('editable_semaphore')}
		{editable->get('bf_stamp')|assign('editable_stamp')}
		{editable->get('bf_active')|assign('editable_active')}
		{editable->get('bf_requestor')|assign('editable_requestor')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" class="content_title_image" src="{$webroot}images/icons/system.gif" border="0" alt=""/>
			<span class="module_name">{translate('semaphores')|escape()}</span>
		</div>

	<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs{$user['lang']}/help/content/FullControlHelp/Semaphores.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Semaphores.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='semaphores.view'")}
			</div>

			<div id="summary_scroller"  class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('semaphore')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=semaphore&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('semaphore');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('status')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=status&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('status');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('obtained / released')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=obtained&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('obtained');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('requestor / releaser')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=requestor&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('requestor');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
						{foreach($columns, 'key', 'colname')}
						{if $colname != 'id'}
							<td>{if $colname == 'semaphore'}<img src="{$webroot}images/icons/system.gif" alt="{translate('semaphore')|escape()}:"/> <a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=semaphores.view&amp;bf_semaphore=" onclick="return !page_details.loadDetails('');"></a>{/if}</td>
						{/if}
						{/foreach}
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr>
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							{if $key != 'id'}
							<td>{if $key == 'semaphore'}<img src="{$webroot}images/icons/system.gif" alt="{translate('semaphore')|escape()}:"/> <a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=semaphores.view&amp;bf_semaphore={$attr|escape('url')}" onclick="return !page_details.loadDetails('{$attr|escape('javascript')}');">{$attr|truncate(80)|escape('hexentity')}</a>{elseif $key == 'status'}{if $attr == 'Y'}{translate('active')|escape()}{else}{translate('inactive')|escape()}{/if}{elseif $key == 'obtained'}{bf_format_date($attr)|escape()}{else}{$attr|truncate(80)|escape('hexentity')}{/if}</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=semaphores.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input id="object_details_id" type="hidden" class="textBox" name="object_details_id" value="{$editable_semaphore|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/icons/system.gif" alt="{translate('semaphore')|escape()}"/><span id="object_label">{$editable_semaphore|truncate(80)|escape('hexentity')}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_clear" name="object[clear]" value="{translate('clear semaphore')|escape()}"{if $editable_active != 'Y'} disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="object_details_delete" name="object[delete]" value="{translate('delete semaphore')|escape()}" onclick="return !page_details.kill();"{if !$editable_semaphore} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}?mod={$linkModule}&amp;action=semaphores.view&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="object_details_name">
						{translate('semaphore')|escape()}: <span id="object_details_name">{$editable_semaphore|escape('hexentity')}</span>
					</label>
				</div>
				<div class="properties">
					<div style="clear:left;">
						<label id="object_details_stamp_label" for="object_details_stamp" style="width:100px">{if $editable_active == 'Y'}{translate('obtained')|escape()}{else}{translate('released')|escape()}{/if}:</label>
						<span class="BF_form_input" id="object_details_stamp">{if $editable_semaphore}{bf_format_date($editable_stamp)|escape('hexentity')}{/if}&nbsp;</span>
					</div>
					<div style="clear:left;">
						<label id="object_details_requestor_label" for="object_details_requestor" style="width:100px">{if $editable_active == 'Y'}{translate('obtained by')|escape()}{else}{translate('released by')|escape()}{/if}:</label>
						<span class="BF_form_input" id="object_details_requestor">{$editable_requestor|escape('hexentity')}&nbsp;</span>
					</div>
					<div style="clear:left;">
						<label for="object_details_active" style="width:100px">{translate('status')|escape()}:</label>
						<span class="BF_form_input" id="object_details_active">{if $editable_active}{if $editable_active == 'Y'}{translate('active')|escape()}{else}{translate('inactive')|escape()}{/if}{/if}&nbsp;</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>
