{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

<manifest id='{$manifestid|escape()}'>
{if $manifest}
	{foreach($manifest, 'key', 'value')}
		<item>
			<field name='server'>{$value['server']|escape('hexentity')}</field>
			<field name='property'>{$value['property']|escape('hexentity')}</field>
			<field name='value'>{$value['value']|escape('hexentity')}</field>
		</item>
	{foreachelse}
		<item>
			<field name='server'>{translate('manifest empty...')|escape()}</field>
			<field name='property'></field>
			<field name='value'></field>
		</item>	
	{/foreach}
{/if}
</manifest>

<checkpoint id='{$checkpointid|escape()}'>
{if $checkpoint}
	{foreach($checkpoint, 'key', 'value')}
		<item>
			<field name='action'>{$value['action']|escape('hexentity')}</field>
			<field name='md5'>{$value['md5']|escape('hexentity')}</field>
			<field name='pathname'>{$value['pathname']|escape('hexentity')}</field>
		</item>
	{foreachelse}
		<item>
			<field name='action'>{translate('checkpoint empty...')|escape()}</field>
			<field name='md5'></field>
			<field name='pathname'></field>
		</item>	
	{/foreach}
{/if}
</checkpoint>

<bomfilter id='{$bomfilterid|escape()}'>
{if $bomfilter}
	{foreach($bomfilter, 'key', 'value')}
		<item>
			<field name='line'>{$value['line']|escape('hexentity')}</field>
			<field name='filter'>{$value['filter']|escape('hexentity')}</field>
			<field name='action'>{$value['action']|escape('hexentity')}</field>
			<field name='data'>{$value['data']|escape('hexentity')}</field>
		</item>
	{foreachelse}
		<item>
			<field name='line'>No Matched Lines...</field>
			<field name='filter'></field>
			<field name='action'></field>
			<field name='data'></field>
		</item>	
	{/foreach}
{/if}
</bomfilter>

<custombom id='{$custombomid|escape()}'>
{if $custombom}
{foreach($custombom, 'sectionname', 'section')}
	<section name='{$sectionname|escape('hexentity')}'>
	{foreach($section, 'subsection', 'values')}
		<subsection name='{$subsection|escape('hexentity')}'>
		{foreach($values, 'colnumber', 'colvalue')}
		{if $colvalue[0][0] != ''}
		<item
			{foreach($colvalue, 'itemkey', 'itemvalue')}
			{if $itemkey == '0' and $itemvalue[0] != ''} data='{$itemvalue[0]|escape()}'>{/if}
			{if $itemkey != '0' and is_array($itemvalue)}
				<column name='{$itemkey|escape()}'>
				{foreach($itemvalue, 'rowkey', 'rowitem')}
					<row data='{$rowitem|escape('hexentity')}' />
				{/foreach}
				</column>
			{/if}
			{/foreach}
		</item>
		{/if}
		{/foreach}
		</subsection>
	{/foreach}
	</section>
{/foreach}
{/if}
</custombom>
