{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}
 
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}
 
{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('url')|assign('temp')}{assign('linkAction',"&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('url')|assign('temp')}{assign('linkID',"&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('url')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('url')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('url')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('url')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp")}{/if}

{jobinfo->next()|assign('job')}
{controller->userHasAccessTo('ChangeBuildClass')|assign('can_change_class')}

<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<job>
	<state>{$job['state']|escape()}</state>
	<result>{$job['result']|escape()}</result>
	<stage>{$job['stage']|escape()}</stage>
	<cancelled>{$job['cancelled']|escape()}</cancelled>
	<start>{if $job['started'] == '0'}{translate('Not Started')|escape()}{else}{bf_format_date($job['start'])|escape()}{/if}</start>
	<can_change_class>{if $job['state'] == 'C' and $can_change_class}Y{else}N{/if}</can_change_class>
	<tag>{$job['tag']|escape()}</tag>
</job>
<records>
    {listing->getCount|assign('stepcount')}
    {for('step_pointer', $stepcount)}
    {listing->next()|assign('step_instance')}
    <record>
        {foreach($step_instance, 'key', 'value'}
        	{if $key == 'date'}
	        	<field name="{$key|escape()}">{bf_format_date($value)|escape()}</field>
        	{elseif $key == 'runtime'}
    	    	<field name="{$key|escape()}">{bf_seconds_to_time($value)|escape()}</field>
        	{else}
				<field name="{$key|escape()}">{$value|escape('hexentities')}</field>
			{/if}
        {/foreach}
        <field name="depth">{if $depths[$step_instance['step']] != ""}{$depths[$step_instance['step']]|escape()}{else}0{/if}</field>
    </record>
	{/for}
</records>
