{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('htmlall')|assign('temp')}{'&amp;action=$temp'|assign('linkAction')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('htmlall')|assign('temp')}{'&amp;bf_id=$temp'|assign('linkID')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('htmlall')|assign('temp')}{'&amp;state=$temp'|assign('linkState')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('htmlall')|assign('temp')}{'&amp;orderby=$temp'|assign('linkOrderby')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('htmlall')|assign('temp')}{'&amp;sort=$temp'|assign('linkSort')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('htmlall')|assign('temp')}{'&amp;filter=$temp'|assign('linkFilter')}{/if}

{userobj->get('bf_maxbuilds')|assign('maxbuilds')}

{bf_get_levels($user['id'], 1)|assign('allowedlevels')}

{controller->userHasAccessTo('UpdateProject')|assign('CanUpdateProject')}
{controller->userHasAccessTo('DeleteProject')|assign('CanDeleteProject')}
{controller->userHasAccessTo('ClobberProject')|assign('CanClobberProject')}
{controller->userHasAccessTo('AddProjectTagVar')|assign('CanAddTagVar')}
{controller->userHasAccessTo('DeleteProjectTagVar')|assign('CanDelTagVar')}
{controller->userHasAccessTo('EditProjectTagVar')|assign('CanEditTagVar')}
{controller->userHasAccessTo('AddProjectReg')|assign('CanAddProjReg')}
{controller->userHasAccessTo('DelProjectReg')|assign('CanDelProjReg')}
{controller->userHasAccessTo('EditProjectReg')|assign('CanUpdateProjReg')}

<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
    {listing->getCount|assign('jobcount')}
    {for('job_pointer', $jobcount)}
    {listing->next()|assign('job_instance')}

	{if $CanUpdateProject or $CanDeleteProject or $CanClobberProject or $CanAddTagVar or $CanDelTagVar or $CanAddProjReg or $CanDelProjReg or $CanUpdateProjReg}{assign('show_edit_link', 1)}{else}{assign('show_edit_link', 0)}{/if}

	{if $clobbers[$job_instance['pid']]}
		{assign('quickstart','2035')}
		{assign('show_edit_link','2035')}
	{else}
		{bf_can_quickstart($job_instance['pid'])|assign('quickstart')}
	{/if}

    <record>
		<field name="quickStart">{$quickstart}</field>
		<field name="disableCheckbox">{if $show_edit_link == 1}1{elseif $show_edit_link > 1}{$show_edit_link}{else}0{/if}</field>
        {foreach($job_instance, 'key', 'value'}
			<field name="{$key|escape()}">{$value|truncate(35)|escape()}</field>
        {/foreach}
    </record>
	{/for}
</records>
