{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('htmlall')|assign('temp')}{'&amp;action=$temp'|assign('linkAction')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('htmlall')|assign('temp')}{'&amp;bf_id=$temp'|assign('linkID')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('htmlall')|assign('temp')}{'&amp;state=$temp'|assign('linkState')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('htmlall')|assign('temp')}{'&amp;orderby=$temp'|assign('linkOrderby')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('htmlall')|assign('temp')}{'&amp;sort=$temp'|assign('linkSort')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('htmlall')|assign('temp')}{'&amp;filter=$temp'|assign('linkFilter')}{/if}

<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
    {listing->getCount|assign('jobcount')}
    {for('job_pointer', $jobcount)}
    {listing->next()|assign('job_instance')}
    <record>
        {foreach($job_instance, 'key', 'value'}
        	{if $key == 'date'}
	        	<field name="{$key|escape()}">{bf_format_date($value)|escape()}</field>
        	{elseif $key == 'runtime'}
    	    	<field name="{$key|escape()}">{bf_seconds_to_time($value)|escape()}</field>
        	{elseif $key == 'geo_id'}
    	    	<field name="geo">{if $job_instance['geo_id'] == ''}{translate('master')|escape()}{else}{$geos[$job_instance['geo_id']]|escape()}{/if}</field>
    	    {elseif $key == 'owner'}
    	    	<field name="owner">{if $value == ''}{translate('system')|escape()}{else}{$value|truncate(40)|escape()}{/if}</field>
        	{else}
				<field name="{$key|escape()}">{$value|truncate(40)|escape()}</field>
			{/if}
        {/foreach}
		<field name="bf_failmatches">{bf_get_num_filter_matches($job_instance['bid'], 'F')}</field>
		<field name="bf_warnmatches">{bf_get_num_filter_matches($job_instance['bid'], 'W')}</field>
    </record>
	{/for}
</records>
<purges>
	{foreach($purges, 'key', 'value')}
		<purge bid="{$value['bid']|escape()}" can="{$value['can']|escape()}">{$value['pid']|escape()}</purge>
	{/foreach}
</purges>
