/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

var mod = '?mod=' + bf_query['mod'];
global_navigation_obj.oop = true;

function NewPaginator() {
	this.listeners['delete'] = new Array();
	this.listeners['save'] = new Array();
	this.oop = true; // TEMP: force it to use the new methods
	this.table_replacer.idfield = 3; // Index of the field containing the identifier
	this.container_id = 'listing';
	this.request.parameters.action = 'filters.view.pattern'
	this.request.parameters.bf_did = bf_query.bf_did;
	
	this.table_replacer.cellHandlers[0] = function(cell, elems) {
		var ourListItems = cell.getElementsByTagName('li');
		// walk the list items and adjust those that need it.
		for (i=0;i<ourListItems.length;i++) {
			// Test to see which menuitem it is and perform the correct action
			switch (ourListItems.item(i).getAttribute('menuitem')) {
				case 'insertNew':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.newPatternAt('" + elems[3].firstChild.nodeValue + "'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.newPatternAt('" + elems[3].firstChild.nodeValue + "');");
					break;
				case 'moveTop':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.movePattern('" + elems[3].firstChild.nodeValue + "','-100000'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.movePattern('" + elems[3].firstChild.nodeValue + "','-100000');");
					break;
				case 'moveUp':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.movePattern('" + elems[3].firstChild.nodeValue + "','-1'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.movePattern('" + elems[3].firstChild.nodeValue + "','-1');");
					break;
				case 'moveDown':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.movePattern('" + elems[3].firstChild.nodeValue + "','1'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.movePattern('" + elems[3].firstChild.nodeValue + "','1');");
					break;
				case 'moveBottom':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.movePattern('" + elems[3].firstChild.nodeValue + "','100000'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.movePattern('" + elems[3].firstChild.nodeValue + "','100000');");
					break;
				case 'cloneTop':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','-100000'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','-100000');");
					break;						
				case 'cloneAbove':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','-1'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','-1');");
					break;						
				case 'cloneBelow':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','1'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','1');");
					break;		
				case 'cloneBottom':
// 					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','100000'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.clonePattern('" + elems[3].firstChild.nodeValue + "','100000');");
					break;		
				case 'delete':
					// ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('href', "javascript:void(page_details.deletePattern('" + elems[3].firstChild.nodeValue + "'));");
					ourListItems.item(i).getElementsByTagName('a').item(0).setAttribute('onclick', "page_details.deletePattern('" + elems[3].firstChild.nodeValue + "');");
					break;				
			}
		}
		var tester = ourListItems.item(0);
		// Due to IE being goofie
		cell.innerHTML = cell.innerHTML;
	}

	this.table_replacer.cellHandlers[1] = function(cell, elems) {
		// Assign the ID to the tr and the href
		var links = cell.getElementsByTagName('a');
		if (elems[0].firstChild && links && links.length == 1) {
			var link = links.item(0);
			// Assign the ID in the HREF
			link.setAttribute('href', 'javascript:void(page_details.loadDetails(\'' + bf_query.bf_did + 
					'\', \'' + elems[3].firstChild.nodeValue + '\'));');
			link.setAttribute('onclick', '');
			// Actual name
			link.innerHTML = replace_html_entities(elems[0].firstChild.nodeValue);
		}
	}
	
	this.table_replacer.cellHandlers[2] = function(cell, elems) {
		switch (elems[1].firstChild.nodeValue) {
			case 'F':
				cell.innerHTML = translate('set fail');
				break;
			case 'H':
				cell.innerHTML = translate('set fail / halt');
				break;
			case 'C':
				cell.innerHTML = translate('clear fail');
				break;
			case 'S':
				cell.innerHTML = translate('clear fail / halt');
				break;
			case 'I':
				cell.innerHTML = translate('halt');
				break;
			case 'A':
				cell.innerHTML = translate('include');
				break;
			case 'N':
				cell.innerHTML = translate('warning');
				break;
			case 'U':
				cell.innerHTML = translate('clear warning');
				break;
			case 'G':
				cell.innerHTML = translate('clear warning / halt');
				break;
			case 'R':
				cell.innerHTML = translate('notify changers');
				break;
			default:
				cell.innerHTML = translate('invalid action');
				break
		}
	}

	this.table_replacer.cellHandlers[3] = function(cell, elems) {
		cell.innerHTML = elems[2].firstChild ? replace_html_entities(elems[2].firstChild.nodeValue) : '';
	}

}
NewPaginator.prototype = new Paginator();
paginator = new NewPaginator();

function NewDetails() {
	this.first_field = 'variable_details_pattern';
	this.input_match = /variable\[[^\]]+\]/;
	this.oop = true;
	this.copy_flag = 'variable[copy]';
	this.delete_flag = 'variable[delete]';
	this.primary_key = {bf_did:'variable_details_id',bf_fid:'variable_details_fid'};
	this.replacer.elements = {
		'bf_did':'variable_details_id',
		'bf_fid':new Array('variable_details_fid','variable_details_newfid'),
		'bf_pattern':new Array('object_label','variable_details_pattern'),
		'bf_action':'variable_details_action',
		'bf_action_name':'variable_details_action_visible',
		'bf_level':'variable_details_level',
		'bf_level_name':'variable_details_level_visible'
	};
	this.request.parameters.action = 'filters.edit.pattern';
	this.request.parameters.bf_did = bf_query.bf_did;
	this.clear_elements = {
		// Clear the form
		'variable_details_fid':'',
		'variable_details_pattern':'',
		'variable_details_action':'F',
		'variable_details_action_visible':translate('set fail'),
		'variable_details_level':'0',
		'variable_details_level_visible':'-- ' + translate('none') + ' --',
		// Clear misc elements
		'object_label':'(' + translate('new pattern') + ')'
	};
	this.new_fid = null;

	this.customLoad = function(event) {
		var delete_button = document.getElementById('variable_details_delete');
		if (delete_button) {
			delete_button.disabled = false;
		}
		document.getElementById('variable_details_copy').disabled = false;
	}
	
	this.customClear = function() {
		var delete_button = document.getElementById('variable_details_delete');
		if (delete_button) {
			delete_button.disabled = true;
		}
		document.getElementById('variable_details_copy').disabled = true;
	}
	
	this.onActionChange = function(value) {
		if (value == 'A') {
			document.getElementById('variable_details_level').selectedIndex = 0;
			document.getElementById('variable_details_level').parentNode.style.display = 'none';
		} else {
			document.getElementById('variable_details_level').parentNode.style.display = 'block';
		}
	}
	this.valid = function() {
		// Pattern name
		var param = document.getElementById('variable_details_pattern');
		if (!param || param.value == '') {
			return this.validateInput(/^\s*$/, param.value, translate('2055'));
		}
		return true;
	}

	this.newPatternAt = function(fid) {
		page_details.new_fid = fid;
		page_details.addEventListener('clear', page_details.setNewFID);
		page_details.clear();
	}
	
	this.setNewFID = function() {
		document.getElementById('variable_details_newfid').value = page_details.new_fid;
		page_details.new_fid = null;
		page_details.removeEventListener('clear', page_details.setNewFID);
	}
	
	
	this.clonePattern = function (fid, direction) {
		var content = makeRequest('Request');
		content.parameters.action = 'filters.view.pattern';
		content.parameters.bf_did = bf_query['bf_did'];
		content.parameters.bf_fid = fid;
		content.content = {'variable[copy]':direction};
		content.message = translate('saving...');
		content.addEventListener('load', paginator.refresh);
		content.send();
		return true;
	}
	
	this.movePattern = function(fid, direction) {
		var content = makeRequest('Request');
		content.parameters.action = 'filters.view.pattern';
		content.parameters.bf_did = bf_query['bf_did'];
		content.parameters.bf_fid = fid;
		content.content = {'variable[move]':direction};
		content.message = translate('saving...');
		content.addEventListener('load', paginator.refresh);
		content.send();
		return true;
	}
	
	this.deletePattern = function(fid) {
		
		// If in the details, just call that method
		if (Number(document.getElementById('variable_details_fid').value) == fid) {
			return page_details.kill();
		}
		
		if (!confirm(translate('2079'))) {
			return true;
		}
		
		var content = makeRequest('Request');
		content.parameters.action = 'filters.edit.pattern';
		content.parameters.bf_did = bf_query['bf_did'];
		content.parameters.bf_fid = fid;
		content.content = {'variable[delete]':1};
		content.message = translate('deleting...');
		content.addEventListener('load', paginator.refresh);
		content.send();
		return true;
	}
	

}

// Override with filter-specific urls, variables and keys
NewDetails.prototype = new Details();
page_details = new NewDetails();
page_details.addEventListener('load', page_details.customLoad);
page_details.addEventListener('clear', page_details.customClear);

