{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddClass')|assign('CanAddClass')}
{controller->userHasAccessTo('UpdateClass')|assign('CanUpdateClass')}
{controller->userHasAccessTo('DeleteClass')|assign('CanDeleteClass')}

		{editable->get('bf_name')|assign('editable_name')}
		{editable->get('bf_level')|assign('editable_level')}
		{editable->get('bf_precious')|assign('editable_precious')}
		{editable->get('bf_pid')|assign('editable_pid')}
		{editable->get('bf_npid')|assign('editable_npid')}
		{editable->get('bf_xpid')|assign('editable_xpid')}
		{editable->get('bf_purge_days')|assign('editable_purge_days')}
		{editable->get('bf_archive_days')|assign('editable_archive_days')}
		{editable->get('bf_archive_server')|assign('editable_archive_server')}
		{editable->referenced|assign('editable_referenced')}
		{bf_get_levels()|assign('levels')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" class="content_title_image" src="{$webroot}images/icons/class.gif" border="0" alt="" />
			<span class="module_name">{translate('classes')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			<form name="create_class_form" id="create_class_form" action="{$linkSelf}{$linkModule}&amp;action=classes.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input id="object_details_add" type="submit" class="bf_button" value="{translate('add class')|escape()}" onsubmit="return !page_details.clear();" {if !$CanAddClass}disabled="disabled"{/if}/></div>
			</form>
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Using_Classes_to_Manage_Builds_in_Groups.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Using_Classes_to_Manage_Builds_in_Groups.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>

	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl'}
				{include('filter_form.tpl', "action='classes.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('build class')|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=buildclass&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('buildclass');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('access')|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=access&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('access');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('delete')|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=delete&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('delete');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('days')|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=days&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('days');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone" id="listing_row">
						{foreach($columns, 'key', 'colname')}
							{if $colname != 'level'}
							<td>
								{if $colname == 'buildclass'}
								<img src="../images/icons/class.gif" alt="{translate('class')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=classes.view&amp;bf_name=" onclick="return !page_details.loadDetails('');"></a>
								{elseif $colname == 'access'}
								<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=administration&amp;action=groups.view&amp;bf_level="></a>
								{/if}
							</td>
							{/if}
						{/foreach}
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr>
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							{if $key != 'level'}
							<td>
								{if $key == 'buildclass'}
								<img src="../images/icons/class.gif" alt="{translate('class')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=classes.view&amp;bf_name={$attr|escape('url')}" onclick="return !page_details.loadDetails('{$attr|escape('javascript')}');">{$attr|escape('hexentity')}</a>
								{elseif $key == 'access'}
								<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod=administration&amp;action=groups.view&amp;bf_level={$item['level']|escape()}">{$attr|escape('hexentity')}</a>
								{elseif $key == 'delete'}
								{if $attr == 'E'}{translate('everything')|escape()}{elseif $attr == 'B'}{translate('console data')|escape()}{elseif $attr == 'D'}{translate('logs & files')|escape()}{elseif $attr == 'L'}{translate('logs only')|escape()}{elseif $attr == 'F'}{translate('files only')|escape()}{/if}
								{elseif $key == 'days' && $attr == '0'}
								{translate('forever')|escape()}
								{else}
								{$attr|escape('hexentity')}
								{/if}
							</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=classes.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<input type="hidden" id="object_details_id" name="bf_name" value="{$editable_name|escape('hexentity')}" />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('class')|escape()}"/><span id="object_label">{if $editable_name}{$editable_name|escape('hexentity')}{else}({translate('new class')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" id="object_details_save" class="bf_button" value="{translate('save')|escape()}" {if (!$editable_name and !$CanAddClass) or ($editable_name and !$CanUpdateClass)}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="object_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if !$editable_name or !$CanAddClass}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"{if $editable_referenced} title="{translate('2069')|escape()}"{/if}><input type="submit" id="object_details_delete" class="bf_button" name="object[delete]" value="{translate('delete')|escape()}" onclick="return !page_details.kill();" {if !$CanDeleteClass or !$editable_name or $editable_referenced}disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$linkModule}&amp;action=classes.view&amp;bf_name={$editable_name|escape()}&amp;dtab=0" onclick="goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<div class="primary">
					<label for="object_details_name">
						{translate('name')|escape()}: <input id="object_details_name" type="text" class="textBox" name="object[bf_name]" value="{$editable_name|escape('hexentity')}" />
					</label>
					{bf_get_levels($user['id'])|assign('levels')}
					{if !$editable_level}{foreach($levels, 'id', 'name')}{if !$editable_level}{assign('editable_level', $id)}{/if}{/foreach}
					<label for="object_details_access_visible">{translate('access')|escape()}:</label>
					<input id="object_details_access_visible" type="button" class="pselect iconDropdown" value="{if $editable_level}{$levels[$editable_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" onclick="pseudoSelect('object_details_access', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
					<input name="object[bf_level]" id="object_details_access" type="hidden" value="{$editable_level|escape('hexentity')}" />
					
				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_precious_visible">{translate('delete files')|escape()}:</label>
						<input id="object_details_precious_visible" type="button" class="pselect iconDropdown" title="{if $editable_precious == 'B'}{translate('console data')|escape()}{elseif $editable_precious == 'D'}{translate('logs & files')|escape()}{elseif $editable_precious == 'L'}{translate('logs only')|escape()}{elseif $editable_precious == 'F'}{translate('files only')|escape()}{else}{translate('everything')|escape()}{/if}" value="{if $editable_precious == 'B'}{translate('console data')|truncate($pselect_truncation)|escape()}{elseif $editable_precious == 'D'}{translate('logs & files')|truncate($pselect_truncation)|escape()}{elseif $editable_precious == 'L'}{translate('logs only')|truncate($pselect_truncation)|escape()}{elseif $editable_precious == 'F'}{translate('files only')|truncate($pselect_truncation)|escape()}{else}{translate('everything')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_precious', 'E,{translate('everything')|escape('javascript')}|B,{translate('console data')|escape('javascript')}|D,{translate('logs & files')|escape('javascript')}|L,{translate('logs only')|escape('javascript')}|F,{translate('files only')|escape('javascript')}', '');" />
						<input name="object[bf_precious]" id="object_details_precious" type="hidden" value="{if !$editable_precious}E{else}{$editable_precious|escape()}{/if}" />
						<br />
						<label for="object_details_purge_days_visible">{translate('days')|escape()}:</label>
						<input id="object_details_purge_days_visible" type="button" class="pselect iconDropdown" title="{if $editable_purge_days}{$editable_purge_days|escape()}{else}{translate('forever')|escape()}{/if}" value="{if $editable_purge_days}{$editable_purge_days|truncate($pselect_truncation)|escape()}{else}{translate('forever')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_purge_days', '0,{translate('forever')|escape('javascript')}{for('days', 9)}{math($days + 1)|assign('daysindex')}|{$daysindex|escape('javascript')},{$daysindex|escape('javascript')}{/for}{for('moredays', 9)}{math(($moredays * 5) + 10)|assign('moredaysindex')}|{$moredaysindex|escape('javascript')},{$moredaysindex|escape('javascript')}{/for}', '');" />
						<input name="object[bf_purge_days]" id="object_details_purge_days" type="hidden" value="{if $editable_purge_days}{$editable_purge_days|escape()}{else}0{/if}" />
						<br />
						<label for="object_details_archive_days_visible">{translate('count')|escape()}:</label>
						<input id="object_details_archive_days_visible" type="button" class="pselect iconDropdown" title="{if $editable_archive_days}{$editable_archive_days|escape()}{else}{translate('unlimited')|escape()}{/if}" value="{if $editable_archive_days}{$editable_archive_days|truncate($pselect_truncation)|escape()}{else}{translate('unlimited')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_archive_days', '0,{translate('unlimited')|escape('javascript')}{for('days', 9)}{math($days + 1)|assign('daysindex')}|{$daysindex|escape('javascript')},{$daysindex|escape('javascript')}{/for}{for('moredays', 9)}{math(($moredays * 5) + 10)|assign('moredaysindex')}|{$moredaysindex|escape('javascript')},{$moredaysindex|escape('javascript')}{/for}', '');" />
						<input name="object[bf_archive_days]" id="object_details_archive_days" type="hidden" value="{if $editable_archive_days}{$editable_archive_days|escape()}{else}0{/if}" />
						<br />
						<label for="object_details_archive_server_visible">{translate('which')|escape()}:</label>
						<input id="object_details_archive_server_visible" type="button" class="pselect iconDropdown" title="{if $editable_archive_server == 'Only Failed'}{translate('only failed')|escape()}{elseif $editable_archive_server == 'Only Passed'}{translate('only passed')|escape()}{elseif $editable_archive_server == 'KeepPass'}{translate('keep 1 pass')|escape()}{else}{translate('any build')|escape()}{/if}" value="{if $editable_archive_server == 'Only Failed'}{translate('only failed')|truncate($pselect_truncation)|escape()}{elseif $editable_archive_server == 'Only Passed'}{translate('only passed')|truncate($pselect_truncation)|escape()}{elseif $editable_archive_server == 'KeepPass'}{translate('keep 1 pass')|truncate($pselect_truncation)|escape()}{else}{translate('any build')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('object_details_archive_server', 'AnyBuild,{translate('any build')|escape('javascript')}|Only Failed,{translate('only failed')|escape('javascript')}|Only Passed,{translate('only passed')|escape('javascript')}|KeepPass,{translate('keep 1 pass')|escape('javascript')}', '');" />
						<input name="object[bf_archive_server]" id="object_details_archive_server" type="hidden" value="{if !$editable_archive_server}AnyBuild{else}{$editable_archive_server|escape()}{/if}" />
					</div>
					<div class="third">
						<label for="object_details_pid_visible">{translate('start on purge')|escape()}:</label>
						<input id="object_details_pid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_pid or $editable_pid == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($editable_pid)|escape('hexentity')}{/if}" value="{if !$editable_pid or $editable_pid == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($editable_pid)|truncate($pselect_truncation)|escape('hexentity')}{/if}" onclick="pseudoSelect('object_details_pid', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('start on purge')|escape('javascript')}&attribute=name&value=id&name=project&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="object[bf_pid]" id="object_details_pid" type="hidden" value="{if !$editable_pid}0{else}{$editable_pid|escape('hexentity')}{/if}" />
						<br />
						<label for="object_details_npid_visible">{translate('start on entry')|escape()}:</label>
						<input id="object_details_npid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_npid or $editable_npid == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($editable_npid)|escape('hexentity')}{/if}" value="{if !$editable_npid or $editable_npid == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($editable_npid)|truncate($pselect_truncation)|escape('hexentity')}{/if}" onclick="pseudoSelect('object_details_npid', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('start on entry')|escape('javascript')}&attribute=name&value=id&name=project&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="object[bf_npid]" id="object_details_npid" type="hidden" value="{if !$editable_npid}0{else}{$editable_npid|escape('hexentity')}{/if}" />
						<br />
						<label for="object_details_xpid_visible">{translate('start on exit')|escape()}:</label>
						<input id="object_details_xpid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_xpid or $editable_xpid == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($editable_xpid)|escape('hexentity')}{/if}" value="{if !$editable_xpid or $editable_xpid == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($editable_xpid)|truncate($pselect_truncation)|escape('hexentity')}{/if}" onclick="pseudoSelect('object_details_xpid', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('start on exit')|escape('javascript')}&attribute=name&value=id&name=project&seedlist=|0,-- {translate('none')|escape('javascript')} --|');" />
						<input name="object[bf_xpid]" id="object_details_xpid" type="hidden" value="{if !$editable_xpid}0{else}{$editable_xpid|escape('hexentity')}{/if}" />
					</div>
				</div>
			</div>
		</div>
	</div>
	</form>
