{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{if !$linkModule}{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}{/if}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('htmlall')|assign('temp')}{assign('linkAction', '&amp;action=$temp')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('htmlall')|assign('temp')}{assign('linkID', '&amp;bf_id=$temp')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('htmlall')|assign('temp')}{assign('linkState', '&amp;state=$temp')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('htmlall')|assign('temp')}{assign('linkOrderby', '&amp;orderby=$temp')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('htmlall')|assign('temp')}{assign('linkSort', '&amp;sort=$temp')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('htmlall')|assign('temp')}{assign('linkFilter', '&amp;filter=$temp')}{/if}

{if $jTE['get']['mod'] == 'projects'}
	{assign('isLibrary', false)}
	{assign('tplTitle', 'Projects')}
	{assign('tplType', 'Project')}
{else}
	{assign('isLibrary', true)}
	{assign('tplTitle', 'Libraries')}
	{assign('tplType', 'Library')}
{/if}

{project->next()|assign('project_record')}
{step->next()|assign('step_record')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

{userobj->get('bf_maxbuilds')|assign('maxbuilds')}
{bf_get_levels()|assign('levels')}
{bf_get_levels($user['id'], 1)|assign('allowedlevels')}

{controller->userHasAccessTo('AddProjectStep')|assign('CanAddProjectStep')}
{controller->userHasAccessTo('DeleteProjectStep')|assign('CanDeleteProjectStep')}
{controller->userHasAccessTo('AddProject')|assign('CanAddProject')}
{controller->userHasAccessTo('DeleteProject')|assign('CanDeleteProject')}
{controller->userHasAccessTo('RunBuild')|assign('CanRunBuild')}

{*
    <div id='optionsForm' class='optionsForm' style="width:100px;height:100px;"></div>
*}

    <div id="content_title">
        <div id="content_title_left">
            <img class="content_title_image" src="{$webroot}images/nav_icon_projects_blue.gif" border="0" alt="{translate('project')|escape()}:"/>
            <span class="module_name"><a href='{$linkSelf}{$linkModule}'>{translate($tplTitle)|escape()}</a></span>
            <span class="sepGT">&gt;&gt;</span> <span class="location_name"><a href='{$linkSelf}{$linkModule}&amp;action=projects.view&amp;bf_id={$jTE['get']['bf_id']|escape('hexentity')}'>{$project_record['name']|truncate(80)}</a></span>
            {if $CanAddProjectStep}
            <img src="{$webroot}images/b_tab_background.gif" alt="|" />
            <div class="global_button"><input type="submit" class="bf_button" value="{translate('Add Step')|escape()}" id="" name="" onclick="page_details.insertNewStep('');" /></div>            
            {/if}
            &nbsp;<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<div class="global_button"><input class="bf_button" id='start_button' value="{if $tplType == 'Project'}{translate('start project')|escape()}{else}{translate('start library')|escape()}{/if}"
				{if $hassteps[$project_record['id']] != 1}disabled="disabled"{/if}
				type="button"
				{if $numbuilds > $maxbuilds}
					{if $maxbuilds != 0}
					onclick="page_details.showMessageMaxBuilds();"
					{else}
					onclick="page_details.redirectRuns({$project_record['id']|escape()});"
					{/if}
				{else}
				onclick="page_details.redirectRuns({$project_record['id']|escape()});"
				{/if}
			 /></div>			
            
			{if $CanDeleteProject}
			&nbsp;<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<div class="global_button"><input class="bf_button" value="{if $tplType == 'Project'}{translate('delete project')|escape()}{else}{translate('delete library')|escape()}{/if}" type="button" onclick="{if $hasbuilds}page_details.showMessageHasBuilds();{elseif $referenced}page_details.showMessageReferenced();{else}page_details.deleteProject({$isLibrary});{/if}" /></div>
			{/if}
			<input type="hidden" id="bf_id" value="{$project_record['id']|escape()}" />
			
        </div>

        <div id="content_title_right">
            <a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/{$jTE['get']['mod']}.html&hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/{$jTE['get']['mod']}.html&hideToc=true');return false;">
                {translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
            </a>
        </div>
    </div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

    <div id="content_top" style="height:{$content_top_height}px;" class="ProjectsEditView">
        <div id="content_summary" class="Projects">
        


					<div id="ProjectRunsTopBar" class="project_runs_topbar">
						<div class="project_properties">
							<div class="project_property">
								{translate($tplType)|escape()}: <strong>{$project_record['name']|truncate(35)|escape('hexentity')}</strong>
							</div>
							<div class="project_property">
								{translate('Selector')|escape()}: <strong>{if $project_record['selector'] == ''} -- {else}{$project_record['selector']|truncate(25)|escape('hexentity')}{/if}</strong>
							</div>
							<div class="project_property">
								{translate('Env')|escape()}: <strong>{if $project_record['env'] == ''} -- {else}{$project_record['env']|truncate(25)|escape('hexentity')}{/if}</strong>
							</div>
							<div class="project_property">
								{translate('Access')|escape()}: <strong>{$levels[$project_record['level']]|escape()}</strong>
							</div>
						</div>
						<!-- div class="project_buttons">

							<div class="ProjectsDeleteButton">
								{if $CanDeleteProject}
								<div class="global_button"><input class="bf_button" value="{if $tplType == 'Project'}{translate('delete project')|escape()}{else}{translate('delete library')|escape()}{/if}" type="button" onclick="{if $hasbuilds}page_details.showMessageHasBuilds();{elseif $referenced}page_details.showMessageReferenced();{else}page_details.deleteProject();{/if}" /></div>
								<input type="hidden" id="bf_id" value="{$project_record['id']|escape()}" />
								{/if}
							</div>
							{if $CanRunBuild}
							<div class="global_button"><input class="bf_button" id='start_button' value="{if $tplType == 'Project'}{translate('start project')|escape()}{else}{translate('start library')|escape()}{/if}"
								{if $hassteps[$project_record['id']] != 1}disabled="disabled"{/if}
								type="button"
								{if $numbuilds > $maxbuilds}
									{if $maxbuilds != 0}
									onclick="page_details.showMessageMaxBuilds();"
									{else}
									onclick="page_details.redirectRuns({$project_record['id']|escape()});"
									{/if}
								{else}
								onclick="page_details.redirectRuns({$project_record['id']|escape()});"
								{/if}
								 /></div>
							{/if}
							
						</div -->
					</div>
						<div class="summary_list_controls">
							{include('paging_controls.tpl')}
							{assign('form_action', "$linkSelf$linkModule&amp;action=steps.view$linkID")}
							{include('filter_form.tpl', "action=view")}
						</div>

						<div id="summary_scroller" class="ProjectsPage_Details">
							{listing->getColumnNames()|assign('columns')}
							<table cellpadding="0" cellspacing="0">
								<thead>
									<tr>
										<th width="20" align="center"> <!--Action Place Holder--></th>
										<th width="20" align="center"><img src="{$webroot}images/icons/step_disabled.gif" border="0" title="{translate('enable / disable step')|escape()}" /></th>
										<th>#</th>
										<th>{translate('Step Name')|escape()}</th>
										<th {if $is_styx}style='display:none'{/if}>{translate('selector')|escape()}</th>
										<th>{translate('environment')|escape()}</th>
										<th width="20"><img src="{$webroot}images/icons/step_absolute_true.gif" border="0" title="{translate('absolute path')|escape()}" /></th>
										<th width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/step_continue_true.gif" border="0" title="{translate('continue')|escape()}" /></th>
										<th>{translate('result')|escape()}</th>
										<th width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_pass.gif" border="0" title="{translate('pass notification')|escape()}" /></th>
										<th width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_fail.gif" border="0" title="{translate('fail notification')|escape()}" /></th>
										<th width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/projects_link.gif" border="0" title="{translate('inline project / library')|escape()}" /></th>
										<th width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/projects_link_pass.gif" border="0" title="{translate('pass chain link')|escape()}" /></th>
										<th width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/projects_link_fail.gif" border="0" title="{translate('fail chain link')|escape()}" /></th>
										<th>{translate('access')|escape()}</th>
									</tr>
								</thead>
								<tbody id="listing">
									<tr class='clone'>
										<td><ul class='hoverMenu'>
												<li class='folder'>
													<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
													<ul class='primary'>
														<li class='header'>{translate('button menu options')|escape()}</li>
														<li menuitem='insertNew' class='icon_clone'><a href="#">{translate('insert new step')|escape()}</a></li>
														<li class='folder icon_submenu'><span class='submenu'>{translate('clone step')|escape()}</span>
															<ul>
																<li menuitem='cloneTop' class='icon_clone_above'><a href="#">{translate('clone to top')|escape()}</a></li>
																<li menuitem='cloneAbove' class='icon_clone_above'><a href="#">{translate('clone to above')|escape()}</a></li>
																<li menuitem='cloneBelow' class='icon_clone_below'><a href="#">{translate('clone to below')|escape()}</a></li>
																<li menuitem='cloneBottom' class='icon_clone_below'><a href="#">{translate('clone to bottom')|escape()}</a></li>
															</ul>
														</li>												
														<li class='folder icon_submenu'><span class='submenu'>{translate('move step')|escape()}</span>
															<ul>
																<li menuitem='moveTop' class='icon_up'><a href="#">{translate('move to top')|escape()}</a></li>
																<li menuitem='moveUp' class='icon_up'><a href="#">{translate('move up')|escape()}</a></li>
																<li menuitem='moveTo' class='icon_up'><a href="#">{translate('move to')|escape()}</a></li>
																<li menuitem='moveDown' class='icon_down'><a href="#">{translate('move down')|escape()}</a></li>
																<li menuitem='moveBottom' class='icon_down'><a href="#">{translate('move to bottom')|escape()}</a></li>
															</ul>
														</li>
														<li menuitem='delete' class='icon_delete'><a href="#">{translate('delete step')|escape()}</a></li>
													</ul>
												</li>
											</ul>
										</td>
										<td width="20" align="center"><img src="{$webroot}images/icons/" border="0" title="" /></td>
										<td width="10" align="center"></td>
										<td><img src="{$webroot}images/icons/" border="0" alt='' title='' />
											<a href='{$linkSelf}{$linkModule}&amp;action=steps.view'></a></td>
										<td {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}?mod=servers&amp;action=selectors.view.prop&amp;bf_selector_id="></a></td>
										<td><a href="{$linkSelf}?mod=environments&amp;action=variable.view&amp;bf_bid="></a></td>
										<td width="20"><img src="{$webroot}images/icons/" border="0" title="" /></td>										
										<td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/" border="0" title="" /></td>										
										<td><a href="{$linkSelf}?mod=projects&action=filters.view.pattern&bf_did="></a></td>
										<td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_pass.gif" border="0" alt='' title='' /></td>
										<td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/email_fail.gif" border="0" alt='' title='' /></td>
										<td width="20" {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}"><img src="{$webroot}images/icons/" border="0" alt='' title='' /></a></td>
										<td width="20" {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}"><img src="{$webroot}images/icons/" border="0" alt='' title='' /></a></td>
										<td width="20" {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}"><img src="{$webroot}images/icons/" border="0" alt='' title='' /></a></td>
										<td></td>
									</tr>
								
								
								{for('item', $itemCount)}
									<tr id='row_listing_{$temp_step['step']}'>
										{listing->next()|assign('temp_step')}

										<td><ul class='hoverMenu'>
												<li class='folder'>
													<a href='#' class="submenu"><img src="{$webroot}images/icon_actions.gif" border="0" /></a>
													<ul class='primary'>
														<li class='header'>{translate('button menu options')|escape()}</li>
														<li class='icon_clone'><a href="javascript:void(page_details.insertNewStep('{$temp_step['step']|escape('javascript')}'));" onclick="page_details.insertNewStep('{$temp_step['step']|escape('javascript')}');return false;">{translate('insert new step')|escape()}</a></li>
														<li class='folder icon_submenu'><span class='submenu'>{translate('clone step')|escape()}</span>
															<ul>
																<li class='icon_clone_above'><a href="javascript:void(page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-100000'));" onclick="page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-100000');return false;">{translate('clone to top')|escape()}</a></li>
																<li class='icon_clone_above'><a href="javascript:void(page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-1'));" onclick="page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-1');return false;">{translate('clone to above')|escape()}</a></li>
																<li class='icon_clone_below'><a href="javascript:void(page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','1'));" onclick="page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','1');return false">{translate('clone to below')|escape()}</a></li>
																<li class='icon_clone_below'><a href="javascript:void(page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','100000'));" onclick="page_details.cloneStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','100000');return false;">{translate('clone to bottom')|escape()}</a></li>
															</ul>
														</li>
														<li class='folder icon_submenu'><span class='submenu'>{translate('move step')|escape()}</span>
															<ul>
																<li class='icon_up'><a href="javascript:void(page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-100000'));" onclick="page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-100000');return false;">{translate('move to top')|escape()}</a></li>
																<li class='icon_up'><a href="javascript:void(page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-1'));" onclick="page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','-1');return false;">{translate('move up')|escape()}</a></li>
																<li class='icon_up'><a href="javascript:void(page_details.moveStepTo('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','{$temp_step['step']}');" 
onclick="page_details.moveStepTo('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','{$temp_step['step']}');return false;">{translate('move to')|escape()}</a></li>
																<li class='icon_down'><a href="javascript:void(page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','1'));" onclick="page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','1');return false;">{translate('move down')|escape()}</a></li>
																<li class='icon_down'><a href="javascript:void(page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','100000'));" onclick="page_details.moveStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}','100000');return false;">{translate('move to bottom')|escape()}</a></li>
															</ul>
														</li>
														<li class='icon_delete'><a href="javascript:void(page_details.deleteStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}'));" onclick="page_details.deleteStep('{$temp_step['pid']|escape('javascript')}','{$temp_step['uid']|escape('javascript')}');return false;">{translate('delete step')|escape()}</a></li>
													</ul>
												</li>
											</ul>
										</td>
										<td align="center" ><img src="{$webroot}images/icons/step_{if $temp_step['active']=='N'}disabled{else}enabled{/if}.gif" border="0" title="{if $temp_step['active']=='N'}{translate('disabled, click enable')}{else}{translate('enabled, click disable')}{/if}" onclick='page_details.quickDisableStep("{if $temp_step['active']=='N'}Y{else}N{/if}","{$temp_step['uid']|escape()}");' /></td>
										<td width="10" align="center" >{$temp_step['step']|escape('hexentity')}</td>
										<td>
											{if $temp_step['thread'] == 'Y'}
												<img src="{$webroot}images/icons/step_threaded.gif" border="0" alt='{translate(2278)|escape()}' title='{translate(2278)|escape()}' onclick='page_details.quickThreadStep("J","{$temp_step['uid']|escape()}");' />
											{elseif $temp_step['thread'] == 'J'}
												<img src="{$webroot}images/icons/step_joined.gif" border="0" alt='{translate(2279)|escape()}' title='{translate(2279)|escape()}' onclick='page_details.quickThreadStep("N","{$temp_step['uid']|escape()}");' />
											{else}
												<img src="{$webroot}images/icons/step.gif" border="0" alt='{translate(2277)|escape()}' title='{translate(2277)|escape()}' onclick='page_details.quickThreadStep("Y","{$temp_step['uid']|escape()}");' />
											{/if}
											
											<a href="{$linkSelf}{$linkModule}&amp;action=steps.view&amp;bf_id={$temp_step['pid']|escape('hexentity')}&amp;step={$temp_step['step']|escape()}" onclick="return !page_details.stepIgnoreChanges('{$temp_step['uid']|escape('javascript')}');">{$temp_step['stepname']|truncate(35)|escape('hexentity')}</a>
										</td>
										<td {if $is_styx}style='display:none'{/if}><a href="{$linkSelf}?mod=servers&amp;action=selectors.view.prop&amp;bf_selector_id={$temp_step['selector']|escape('url')}">{$temp_step['selector']|truncate(25)|escape('hexentity')}</a></td>
										<td><a href="{$linkSelf}?mod=environments&amp;action=variable.view&amp;bf_bid={$temp_step['envid']|escape('url')}">{$temp_step['env']|truncate(25)|escape('hexentity')}</a></td>
										<td width="20"><img src="{$webroot}images/icons/step_absolute_{if $temp_step['absolute'] == 'Y'}true{else}false{/if}.gif" border="0" alt="{if $temp_step['absolute'] == 'Y'}{translate('absolute, click relative')|escape()}{else}{translate('relative, click absolute')|escape()}{/if}" title="{if $temp_step['absolute'] == 'Y'}{translate('absolute, click relative')|escape('absolute, click relative')}{else}{translate('relative, click absolute')|escape()}{/if}" onclick='page_details.quickAbsoluteStep("{if $temp_step['absolute'] == 'Y'}N{else}Y{/if}","{$temp_step['uid']|escape()}");' /></td>
										<td width="20" {if $is_styx}style='display:none'{/if}><img src="{$webroot}images/icons/step_continue_{if $temp_step['continue'] == 'C'}true{else}false{/if}.gif" border="0" alt="{if $temp_step['continue'] == 'C'}{translate('continue, click halt')|escape()}{else}{translate('halt, click continue')|escape()}{/if}" title="{if $temp_step['continue'] == 'C'}{translate('continue, click halt')|escape()}{else}{translate('halt, click continue')|escape()}{/if}" onclick='page_details.quickContinueStep("{if $temp_step['continue'] == 'C'}H{else}C{/if}","{$temp_step['uid']|escape()}");' /></td>
										<td>{if $temp_step['result'] == ''}{translate('Exit Code')|escape()}{else}<a href="{$linkSelf}?mod=projects&action=filters.view.pattern&bf_did={$temp_step['resultid']|escape('url')}">{$temp_step['result']|truncate(25)|escape('hexentity')}</a>{/if}</td>
										<td width="20" {if $is_styx}style='display:none'{/if}>{if $temp_step['pnotify'] == 0}----{else}<img src="{$webroot}images/icons/email_pass.gif" border="0" alt="{$levels[$temp_step['pnotify']]|escape()}" title="{$levels[$temp_step['pnotify']]|escape()}" />{/if}</td>
										<td width="20" {if $is_styx}style='display:none'{/if}>{if $temp_step['fnotify'] == 0}----{else}<img src="{$webroot}images/icons/email_fail.gif" border="0" alt="{$levels[$temp_step['fnotify']]|escape()}" title="{$levels[$temp_step['fnotify']]|escape()}" />{/if}</td>
										<td width="20" {if $is_styx}style='display:none'{/if}>{if $temp_step['inline'] != 0}{bf_get_project($temp_step['inline'])|assign('iLnk')}<a href="{$linkSelf}?mod={if $iLnk['selector'] == ''}library{else}projects{/if}&amp;action=steps.view&amp;bf_id={$iLnk['id']|escape()}"><img src="{$webroot}images/icons/{if $iLnk['selector'] == ''}library{else}projects{/if}_link.gif" border="0" alt="{$iLnk['name']|escape('hexentity')}" title="{$iLnk['name']|escape('hexentity')}" /></a>{else}----{/if}</td>
										<td width="20" {if $is_styx}style='display:none'{/if}>{if $temp_step['pass'] != 0}{bf_get_project($temp_step['pass'])|assign('pLnk')}<a href="{$linkSelf}?mod={if $pLnk['selector'] == ''}library{else}projects{/if}&amp;action=steps.view&amp;bf_id={$pLnk['id']|escape()}"><img src="{$webroot}images/icons/{if $pLnk['selector'] == ''}library{else}projects{/if}_link_pass.gif" border="0" alt="{$pLnk['name']|escape('hexentity')}" title="{$pLnk['name']|escape('hexentity')}" /></a>{else}----{/if}</td>
										<td width="20" {if $is_styx}style='display:none'{/if}>{if $temp_step['fail'] != 0}{bf_get_project($temp_step['fail'])|assign('fLnk')}<a href="{$linkSelf}?mod={if $fLnk['selector'] == ''}library{else}projects{/if}&amp;action=steps.view&amp;bf_id={$fLnk['id']|escape()}"><img src="{$webroot}images/icons/{if $fLnk['selector'] == ''}library{else}projects{/if}_link_fail.gif" border="0" alt="{$fLnk['name']|escape('hexentity')}" title="{$fLnk['name']|escape('hexentity')}" /></a>{else}----{/if}</td>
										<td>{if $temp_step['access'] == ''}{translate('Default')|escape()}{else}{$temp_step['access']|truncate(25)|escape('hexentity')}{/if}</td>										
									</tr>
								{/for}
								</tbody>
							</table>
						</div>
        
        
        </div>
    </div>

    <div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
    	
{controller->userHasAccessTo('AddProjectStep')|assign('CanAddProjectStep')}
{controller->userHasAccessTo('UpdateProjectStep')|assign('CanUpdateProjectStep')}
{controller->userHasAccessTo('DeleteProjectStep')|assign('CanDeleteProjectStep')}

{* Need these hiddens for grabbing some user detail information at dynamic update type *}
<input type="hidden" id='canDeleteProjectStep' value= '{$CanDeleteProjectStep|escape()}'/>
<input type="hidden" id='canUpdateProjectStep' value= '{$CanUpdateProjectStep|escape()}'/>
<input type="hidden" id='canAddProjectStep' value= '{$CanAddProjectStep|escape()}'/>

{if $step_record == ''}{step->next()|assign('step_record')}{/if}
{if $project_record == ''}{project->next()|assign('project_record')}{/if}
{if $jTE['get']['dtab'] == ''}{assign('dtab', 0)}{else}{assign('dtab', $jTE['get']['dtab'])}{/if}
{note->next()|assign('note_record')}

{if $linkSelf == ''}
	{assign('linkSelf', $jTE['server']['PHP_SELF'])}
	{$jTE['get']['mod']|escape('url')|assign('linkModule')}
{/if}

{note->getUserInfo($user['id'])|assign('userInfo')}
{note->getDateTime()|assign('dateTime')}

{userobj->getPreference('stepcommand_size')|assign('stepcommandsize')}

		<span class="details_title"><img src="{$webroot}images/icons/step.gif" alt="{translate('step')|escape()}"/>{translate('Step')|escape()}: <span id="project_details_title">{if $step_record['name']}{$step_record['name']|truncate(35)}{else}[ {translate('Add New Step')|escape()} ]{/if}</span></span>
		<div class="bf_button_bar">		
			{if $step_record['step'] != '' && $CanUpdateProjectStep}
			<div id="save_button" style="display:inline">
			{elseif $step_record['step'] == '' && $CanAddProjectStep}
			<div id="save_button" style="display:inline">
			{else}
			<div id="save_button" style="display:none">
			{/if}
			<div class="details_button"><input id='submitStepSave' type="button" class="bf_button" value="{translate('Save Step')|escape()}" onclick="page_details.customSave();" /></div>
			</div>
			
			<span id='step_options'>
			
			<div id='deleteButton' style='{if $step_record['step'] == '' or !$CanDeleteProjectStep}display:none;{else}display:inline;{/if}'>
				<span class="sepStroke"> </span><img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input id='submitStepDelete' type="button" class="bf_button" value="{translate('Delete Step')|escape()}" onclick="page_details.deleteStep();" /></div>
			</div>
			
			<div id='noteButton' style='{if $step_record['step'] == ''}display:none;{else}display:inline;{/if}'>
				<span class="sepStroke"> </span><img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input id='submitStepAddNote' type="button" class="bf_button" value="{translate('Add Note')|escape()}" name="addNote" onclick="page_details.addNewNote();" /></div>
			</div>
			</span>
		</div>

		<form method='post' action='{$linkSelf}{$linkModule}&amp;action=steps.view&amp;sa=Save%20Step&amp;bf_id={$jTE['get']['bf_id']}&amp;step={$step_record['step']|escape()}&amp;suid={$step_record['uid']|escape()}' id='stepDetailsForm'>
		<input type="hidden" id="abovestep" value="{$abovestep|escape()}" />
		<input type="hidden" id="bf_uid" name="steps[bf_uid]" value="{if $step_record['uid']}{$step_record['uid']|escape('hexentity')}{else}0{/if}" />
		<input type="hidden" id="step_pid" name="steps[bf_pid]" value="{$jTE['get']['bf_id']|escape()}" />
		<input type="hidden" id="step_nchange" name="steps[bf_nchange]" value="{$step_record['nchange']|escape('hexentity')}" />			

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li{if $dtab == '0'} class="selected"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=steps.view&amp;bf_id={$jTE['get']['bf_id']|escape()}&amp;suid={$step_record['uid']|escape('url')}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
					<li{if $dtab == '1'} class="selected"{/if}><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=steps.view&amp;bf_id={$jTE['get']['bf_id']|escape()}&amp;suid={$step_record['uid']|escape('url')}&amp;dtab=2" onclick="{if $step_record['step'] == ''}page_details.showMessageMustEdit('step');return false;{else}page_details.goTab(1);return false;{/if}">{translate('Notes')|escape()} (<span id='notes_tab_count'>{if $noteslistcount != 0}{$noteslistcount|escape()}{else}0{/if}</span>)</a></li>
				</ul>
			</div>

			<div class="tab_details current">			
			
				<div class="properties" style="margin-top:-5px;">

					<div class="third">
						<label for="step_description">{translate('Name')|escape()}:</label> 
						<input name="steps[bf_description]" id="step_description" type="text" class="textBox" value="{$step_record['name']|escape('hexentity')}" tabindex='1' onchange="page_details.step_edited = true;" />
					</div>

					<div class="third">
						<label for="edit_step_active_visible">{translate('Active')|escape()}:</label>
						<input id="edit_step_active_visible" type="button" class="pselect iconToggle" title="{if $step_record['active']}{if $step_record['active'] == 'Y'}{translate('Enabled')|escape()}{else}{translate('Disabled')|escape()}{/if}{else}{translate('Enabled')|escape()}{/if}" value="{if $step_record['active']}{if $step_record['active'] == 'Y'}{translate('Enabled')|truncate($pselect_truncation)|escape()}{else}{translate('Disabled')|truncate($pselect_truncation)|escape()}{/if}{else}{translate('Enabled')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_active', 'Y,{translate('Enabled')|escape('javascript')}|N,{translate('Disabled')|escape('javascript')}', 'type=toggle', page_details.stepEdited);"tabindex='2' />
						<input name="steps[bf_active]" id="edit_step_active" type="hidden" value="{if $step_record['active']}{if $step_record['active'] == 'Y'}Y{else}N{/if}{else}Y{/if}" />
					</div>
															
					<div class="third">
						<label {if $is_styx}style='display:none'{/if} for="edit_project_level_visible">{translate('Access')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_project_level_visible" type="button" class="pselect iconDropdown" title="{if $step_record['level']}{$levels[$step_record['level']]|escape()}{else}-- {translate('Project Default')|escape()} --{/if}" value="{if $step_record['level']}{$levels[$step_record['level']]|truncate($pselect_truncation)|escape()}{else}-- {translate('Project Default')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_project_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|,-- {translate('Project Default')|escape('javascript')} --|', page_details.stepEdited);" tabindex='3' />
						<input name="steps[bf_level]" id="edit_project_level" type="hidden" value="{$step_record['level']|escape('hexentity')}" />
					</div>										

				</div>
				<div class="properties">
				
					<div class="third">							
						<label for="step_dir">{translate('Directory')|escape()}:</label>
						<input name="steps[bf_dir]" id="step_dir" type="text" class="textBox" value="{if $step_record['dir'] == ''}/{else}{$step_record['dir']|escape('hexentity')}{/if}"  tabindex='4' onchange="page_details.step_edited = true;" />						
					</div>
					
					<div class="third">
						<label for="edit_step_path_visible">{translate('Path')|escape()}:</label>
						<input id="edit_step_path_visible" type="button" class="pselect iconToggle" title="{if $step_record['absolute'] == 'Y'}{translate('Absolute')|escape()}{else}{translate('Relative')|escape()}{/if}" value="{if $step_record['absolute'] == 'Y'}{translate('Absolute')|truncate($pselect_truncation)|escape()}{else}{translate('Relative')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_path', 'Y,{translate('Absolute')|escape('javascript')}|N,{translate('Relative')|escape('javascript')}', 'type=toggle', page_details.stepEdited);" tabindex='5' />
						<input name="steps[bf_absolute]" id="edit_step_path" type="hidden" value="{if $step_record['absolute'] == 'Y'}Y{else}N{/if}" />
					</div>
					
					<div class="third">
					</div>
					
				</div>
				
				<div class="properties">
				
					<label for="step_command">{translate('Command')|escape()}:</label>
					<textarea id="step_command" name="steps[bf_command]" tabindex='6' class="text" style="width:80%;height:{if $stepcommandsize}{$stepcommandsize|escape()}{else}125{/if}px;" onchange="page_details.step_edited = true;" >{bf_get_storage($step_record['command'])|escape('hexentity')}</textarea>
					<div style='text-align:center;margin-top:-5px;'><img src="{$webroot}images/icons/hresizeleft.gif" alt="{translate('horizontal resize up')|escape()}" style='cursor:n-resize;' onclick='page_details.commandResize("up");' /><img src="{$webroot}images/icons/hresizeright.gif" alt="{translate('horizontal resize down')|escape()}" style='cursor:s-resize;' onclick='page_details.commandResize("down");' /></div>
					
				</div>
		
				<div class="properties">
					<div class="third">
										
						<label for="edit_step_env_visible">{translate('Environment')|escape()}:</label>
						<input id="edit_step_env_visible" type="button" class="pselect iconDropdown" title="{if !$step_record['env']}-- {translate('none')|escape()} --{else}{$step_record['envname']|escape()}{/if}" value="{if !$step_record['env']}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$step_record['envname']|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_env', 'mod=environments&type=xml', 'title={translate('environments')|escape('javascript')}&attribute=class&value=bf_bid&name=bf_param&seedlist=|0,-- {translate('none')|escape('javascript')} --|', page_details.stepEdited);" tabindex='7' />
						<input name="steps[bf_eid]" id="edit_step_env" type="hidden" value="{$step_record['env']|escape('hexentity')}" />

						<br />
						<label for="edit_step_timeout">{translate('Timeout')|escape()}:</label>
						<input name="steps[bf_timeout]" id="edit_step_timeout" type="text" class="textBox" value="{if $step_record['timeout'] != ''}{$step_record['timeout']|escape('hexentity')}{else}300{/if}" onchange="page_details.step_edited = true;" tabindex='10' />

						<br />
						<label for="edit_step_thread_visible">{translate('Thread')|escape()}:</label>
						<input id="edit_step_thread_visible" type="button" class="pselect iconToggle" title="{if $step_record['thread'] == 'Y'}{translate('Yes')|escape()}{elseif $step_record['thread'] == 'J'}{translate('Join')|escape()}{else}{translate('No')|escape()}{/if}" value="{if $step_record['thread'] == 'Y'}{translate('Yes')|truncate($pselect_truncation)|escape()}{elseif $step_record['thread'] == 'J'}{translate('Join')|truncate($pselect_truncation)|escape()}{else}{translate('No')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_thread', 'N,{translate('No')|escape('javascript')}|Y,{translate('Yes')|escape('javascript')}|J,{translate('Join')|escape('javascript')}', 'type=toggle', page_details.stepEdited);" tabindex='13' />
						<input name="steps[bf_canbg]" id="edit_step_thread" type="hidden" value="{if $step_record['thread'] == 'Y'}Y{elseif $step_record['thread'] == 'J'}J{else}N{/if}" />
						
					</div>
					<div class="third">
					
						<label {if $is_styx}style='display:none'{/if} for="edit_step_selector_visible">{translate('Selector')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_selector_visible" type="button" class="pselect iconDropdown" title="{if $step_record['selector'] != ''}{$step_record['selector']|escape('hexentity')}{else}-- {translate('Project Default')|escape()} --{/if}" value="{if $step_record['selector'] != ''}{$step_record['selector']|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('Project Default')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_selector', 'mod=servers&action=selectors.view&type=xml', 'title={translate('selectors')|escape('javascript')}&attribute=class&value=bf_coll_id&name=bf_coll_id&seedlist=|,-- {translate('Project Default')|escape('javascript')} --|', page_details.stepEdited);" tabindex='8' />
						<input name="steps[bf_resource]" id="edit_step_selector" type="hidden" value="{if $step_record['selector'] != ''}{$step_record['selector']|escape('hexentity')}{else}{/if}" />

						<br />
						<label for="edit_step_result_visible">{translate('Result')|escape()}:</label>
						<input id="edit_step_result_visible" type="button" class="pselect iconDropdown" title="{if $step_record['result']}{if $step_record['result'] == '0'}-- {translate('Exit Code')|escape()} --{else}{bf_get_filters($step_record['result'])|escape()}{/if}{else}-- {translate('Exit Code')|escape()} --{/if}" value="{if $step_record['result']}{if $step_record['result'] == '0'}-- {translate('Exit Code')|truncate($pselect_truncation)|escape()} --{else}{bf_get_filters($step_record['result'])|truncate($pselect_truncation)|escape()}{/if}{else}-- {translate('Exit Code')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_result', 'mod=projects&action=filters.view&type=xml', 'title={translate('log filters')|escape('javascript')}&attribute=class&value=bf_did&name=bf_prop&seedlist=|0,-- {translate('Exit Code')|escape('javascript')} --|', page_details.stepEdited);" tabindex='11' />
						<input name="steps[bf_did]" id="edit_step_result" type="hidden" value="{if $step_record['result']}{if $step_record['result'] == '0'}0{else}{$step_record['result']|escape('hexentity')}{/if}{else}0{/if}" />

						<br />
						<label {if $is_styx}style='display:none'{/if} for="edit_step_inline_visible">{translate('Inline')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_inline_visible" type="button" class="pselect iconDropdown" title="{if $step_record['inline']}{if $step_record['inline'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($step_record['inline'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $step_record['inline']}{if $step_record['inline'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($step_record['inline'])|truncate($pselect_truncation)|escape('hexentity')}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_inline', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project&exclude={$jTE['get']['bf_id']|escape()}&seedlist=|0,-- {translate('none')|escape('javascript')} --|', page_details.stepEdited);" tabindex='14' />
						<input name="steps[bf_cid]" id="edit_step_inline" type="hidden" value="{if $step_record['inline'] != ''}{$step_record['inline']|escape('hexentity')}{else}0{/if}" />
						
					</div>
					<div class="third">
					
						<label {if $is_styx}style='display:none'{/if} for="edit_step_broadcast_visible">{translate('Broadcast')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_broadcast_visible" type="button" class="pselect iconToggle" title="{if $step_record['broadcast'] == 'Y'}{translate('Yes')|escape()}{else}{translate('No')|escape()}{/if}" value="{if $step_record['broadcast'] == 'Y'}{translate('Yes')|truncate($pselect_truncation)|escape()}{else}{translate('No')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_broadcast', 'Y,{translate('Yes')|escape('javascript')}|N,{translate('No')|escape('javascript')}', 'type=toggle', page_details.stepEdited);" tabindex='9' />
						<input name="steps[bf_dist]" id="edit_step_broadcast" type="hidden" value="{if $step_record['broadcast'] == 'Y'}Y{else}N{/if}" />

						<br />
						<label {if $is_styx}style='display:none'{/if} for="edit_step_onfail_visible">{translate('On Fail')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_onfail_visible" type="button" class="pselect iconToggle" title="{if $step_record['onfail'] == 'C'}{translate('Continue')|escape()}{else}{translate('Halt')|escape()}{/if}" value="{if $step_record['onfail'] == 'C'}{translate('Continue')|truncate($pselect_truncation)|escape()}{else}{translate('Halt')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_onfail', 'C,{translate('Continue')|escape('javascript')}|H,{translate('Halt')|escape('javascript')}', 'type=toggle', page_details.stepEdited);" tabindex='12' />
						<input name="steps[bf_onfail]" id="edit_step_onfail" type="hidden" value="{if $step_record['onfail'] == 'C'}C{else}H{/if}" />
											
					</div>
				</div>
				
				<div class="properties">
					<div class='third'>
					
						<label {if $is_styx}style='display:none'{/if} for="edit_step_passnotify_visible">{translate('Pass Notify')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_passnotify_visible" type="button" class="pselect iconDropdown" title="{if $step_record['pnotify']}{if $step_record['pnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levels[$step_record['pnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $step_record['pnotify']}{if $step_record['pnotify'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$levels[$step_record['pnotify']]|truncate($pselect_truncation)|escape()}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_passnotify', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|0,-- {translate('none')|escape('javascript')} --|', page_details.stepEdited);" tabindex='15' />
						<input name="steps[bf_pnotify]" id="edit_step_passnotify" type="hidden" value="{if $step_record['pnotify']}{$step_record['pnotify']|escape('hexentity')}{else}0{/if}" />

						<br />
						<label {if $is_styx}style='display:none'{/if} for="edit_step_failnotify_visible">{translate('Fail Notify')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_failnotify_visible" type="button" class="pselect iconDropdown" title="{if $step_record['fnotify']}{if $step_record['fnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levels[$step_record['fnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $step_record['fnotify']}{if $step_record['fnotify'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{$levels[$step_record['fnotify']]|truncate($pselect_truncation)|escape()}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_failnotify', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name&seedlist=|0,-- {translate('none')|escape('javascript')} --|', page_details.stepEdited);" tabindex='17' />
						<input name="steps[bf_fnotify]" id="edit_step_failnotify" type="hidden" value="{if $step_record['fnotify']}{$step_record['fnotify']|escape('hexentity')}{else}0{/if}" />
						
					</div>

					<div class='third'>
					
						<label {if $is_styx}style='display:none'{/if} for="edit_step_passchain_visible">{translate('Pass Chain')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_passchain_visible" type="button" class="pselect iconDropdown" title="{if $step_record['passchain']}{if $step_record['passchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($step_record['passchain'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $step_record['passchain']}{if $step_record['passchain'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($step_record['passchain'])|truncate($pselect_truncation)|escape('hexentity')}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_passchain', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project&exclude={$jTE['get']['bf_id']|escape('javascript')}&seedlist=|0,-- {translate('none')|escape('javascript')} --|', page_details.stepEdited);" tabindex='16' />
						<input name="steps[bf_pcid]" id="edit_step_passchain" type="hidden" value="{$step_record['passchain']|escape('hexentity')}" />

						<br />
						<label {if $is_styx}style='display:none'{/if} for="edit_step_failchain_visible">{translate('Fail Chain')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_failchain_visible" type="button" class="pselect iconDropdown" title="{if $step_record['failchain']}{if $step_record['failchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($step_record['failchain'])|escape('hexentity')}{/if}{else}-- {translate('none')|escape()} --{/if}" value="{if $step_record['failchain']}{if $step_record['failchain'] == '0'}-- {translate('none')|truncate($pselect_truncation)|escape()} --{else}{bf_get_project_names($step_record['failchain'])|truncate($pselect_truncation)|escape('hexentity')}{/if}{else}-- {translate('none')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('edit_step_failchain', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project&exclude={$jTE['get']['bf_id']|escape('javascript')}&seedlist=|0,-- {translate('none')|escape('javascript')} --|', page_details.stepEdited);" tabindex='18' />
						<input name="steps[bf_fcid]" id="edit_step_failchain" type="hidden" value="{$step_record['failchain']|escape('hexentity')}" />
					
					</div>
				
					<div class='third'>
					
						<label {if $is_styx}style='display:none'{/if} for="edit_step_passwait_visible">{translate('Pass Wait')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_passwait_visible" type="button" class="pselect iconToggle" title="{if $step_record['passwait'] == 'Y'}{translate('Yes')|escape()}{else}{translate('No')|escape()}{/if}" value="{if $step_record['passwait'] == 'Y'}{translate('Yes')|truncate($pselect_truncation)|escape()}{else}{translate('No')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_passwait', 'Y,{translate('Yes')|escape('javascript')}|N,{translate('No')|escape('javascript')}', 'type=toggle', page_details.stepEdited);" tabindex='16' />
						<input name="steps[bf_passwait]" id="edit_step_passwait" type="hidden" value="{if $step_record['passwait'] == 'Y'}Y{else}N{/if}" />

						<br />
						<label {if $is_styx}style='display:none'{/if} for="edit_step_failwait_visible">{translate('Fail Wait')|escape()}:</label>
						<input {if $is_styx}style='display:none'{/if} id="edit_step_failwait_visible" type="button" class="pselect iconToggle" title="{if $step_record['failwait'] == 'Y'}{translate('Yes')|escape()}{else}{translate('No')|escape()}{/if}" value="{if $step_record['failwait'] == 'Y'}{translate('Yes')|truncate($pselect_truncation)|escape()}{else}{translate('No')|truncate($pselect_truncation)|escape()}{/if}" onclick="pseudoSelect('edit_step_failwait', 'Y,{translate('Yes')|escape('javascript')}|N,{translate('No')|escape('javascript')}', 'type=toggle', page_details.stepEdited);" tabindex='19' />
						<input name="steps[bf_failwait]" id="edit_step_failwait" type="hidden" value="{if $step_record['failwait'] == 'Y'}Y{else}N{/if}" />
						
					</div>
				</div>

			</div>
			
			<div class="tab_details{if $dtab == '2'} selected{/if}">

				<input type='hidden' id='notes_pid' value='{$jTE['get']['bf_id']|escape()}' />
				<input type='hidden' id='notes_sid' value='{$step_record['uid']|escape()}' />
				<input type='hidden' id='note_id' name='notes[note_id]' value='' />
					
				<table width="100%">
			        <tbody>
			            <tr>
			                <td width="140">
								<div class='BF_form_title'>{translate('user')|escape()}: <input type='text' id='fake_user' value='' disabled="disabled" style='border: 0px none; background: transparent;' /></div>
								<div class='BF_form_title'>{translate('date')|escape()}: <input type='text' id='fake_date' value='' disabled="disabled" style='border: 0px none; background: transparent;' /></div>
							</td>
			                <td rowspan="2"><textarea class='textBox' name='' id='note_text' style='width:98%;height:80px;'></textarea></td>
						</tr>			
						<tr>
							<td width="140">
								<div style='text-align:center;padding:3px;'>
									<div class="details_button"><input class='bf_button' type='button' id='notes_form_submit' value='{translate('submit')|escape()}' onclick='page_notes.submitNote("StepNotesForm");' /></div>
									<div class="details_button"><input class='bf_button' type='button' id='notes_form_clear' value='{translate('clear')|escape()}' onclick='page_notes.clearNoteForm();' /></div>
									<!-- div class="details_button"><input class='bf_button' type='button' id='notes_form_reload' value='Reload Note' onclick='page_notes.reloadNote();' disabled='disabled' /></div -->
									<!-- div class="details_button"><input class='bf_button' type='button' id='notes_form_refresh' value='Refresh List' onclick='page_notes.refreshList();' disabled='disabled' /></div -->
								</div>							
							</td>
						</tr>	
					</tbody>
				</table>										

				<table cellpadding="0" cellspacing="0" class="projectRuns_StepResults" width="100%">
					<thead>
						<tr>
							<th style='width:15px;'> </th>
							<th style='width:15px;'> </th>
							<th style='width:90px;'>{translate('date')|escape()}</th>
							<th style='width:60px;'>{translate('user')|escape()}</th>
							<th>{translate('note')|escape()}</th>
						</tr>
					</thead>
					<tbody id='noteslisting'>
						<tr id="noteslisting_rows_" class="clone">
							<td style='width:15px;'><a href='' form='StepNotesForm'><img src="{$webroot}images/icons/delete.gif" alt="{translate('delete this note')|escape()}" title="{translate('delete this note')|escape()}" border='0' /></a></td>
							<td style='width:15px;'><a href='' form='StepNotesForm'><img src="{$webroot}images/icons/edit.gif" alt="{translate('edit this note')|escape()}" title="{translate('edit this note')|escape()}" border="0" /></a></td>
							<td style='width:90px;'></td>
							<td style='width:60px;'></td>
							<td></td>
						</tr>

						{if $noteslistcount != 0}
							{foreach($noteslist, 'key', 'attr')}
							<tr id="noteslisting_rows_{$key|escape()}">
								<td style='width:15px;'><a href="javascript:void(page_notes.deleteNote('StepNotesForm','{$attr['noteid']|escape('javascript')}'));"><img src="{$webroot}images/icons/delete.gif" alt="{translate('delete this note')|escape()}" title="{translate('delete this note')|escape()}" border="0" /></a></td>
								<td style='width:15px;'><a href="javascript:void(page_notes.editNote('StepNotesForm','{$attr['noteid']|escape('javascript')}'));"><img src="{$webroot}images/icons/edit.gif" alt="{translate('edit this note')|escape()}" title="{translate('edit this note')|escape()}" border="0" /></a></td>
								<td style='width:90px;'>{bf_format_date($attr['date'])|escape()}</td>
								<td style='width:60px;'>{$attr['user']|escape('hexentity')}</td>
								<td>{$attr['note']|escape('hexentity')}</td>
							</tr>
							{/foreach}
						{/if}
					</tbody>
				</table>

			</div>
<!-- END: NOTES TAB -->
		</div>	
		</form>
    	
    	
    </div>
