{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddTemplate')|assign('CanAddTemplate')}
{controller->userHasAccessTo('UpdateTemplate')|assign('CanUpdateTemplate')}
{controller->userHasAccessTo('DeleteTemplate')|assign('CanDeleteTemplate')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

		{editable->get('bf_name')|assign('editable_name')}
		{editable->get('bf_pid')|assign('editable_pid')}
		{editable->get('bf_description')|assign('editable_description')}
		{editable->get('bf_frm')|assign('editable_frm')}
		{editable->get('bf_subj')|assign('editable_subj')}
		{editable->get('bf_body')|assign('editable_body')}
		{editable->get('bf_sid')|assign('editable_sid')}
		{editable->get('bf_lang')|assign('editable_lang')}

		{bf_get_languages()|assign('languages')}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/nav_icon_admin_blue.gif" border="0" alt="" />
			<span class="module_name">{translate('templates')|escape()}</span>
			<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			{if $CanAddTemplate}
			<form name="create_user_form" id="create_user_form" action="{$linkSelf}?mod={$linkModule}&amp;action=templates.edit" onsubmit="return !page_details.clear();" method="post">
				<div class="global_button"><input id="object_details_add" type="submit" class="bf_button" value="{translate('add template')|escape()}" /></div>
			</form>
			{/if}
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Notification_Templates.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/Notification_Templates.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">

			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='templates.view'")}
			</div>

			<div id="summary_scroller" class="Admin_Details">
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th>{translate('description')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=description&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('description');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('project')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=project&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('project');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('step')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=step&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('step');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('subject')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=subject&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('subject');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th>{translate('language')|escape()} <a href="{$linkSelf}?mod={$linkModule}{$linkAction}{$linkFilter}&amp;orderby=lang&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('lang');" ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							{foreach($columns, 'key', 'colname')}
								{if $colname != 'id' and $colname != 'pid' and $colname != 'sid'}
									<td>
										{if $colname == 'description'}
											<img src="{$webroot}images/icons/library_link.gif" alt="{translate{'template')|escape()}"/> <a href="{$jTE['server']['PHP_SELF']|escape('url')}?mod={$jTE['get']['mod']|escape('url')}&amp;action=adaptor.edit&amp;bf_name=&amp;bf_pid=&amp;bf_sid=" onclick="return !page_details.loadDetails('');"></a></td>
										{elseif $colname == 'project'}
											<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=projects.view&amp;bf_id="></a>
										{elseif $colname == 'step'}
											<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=steps.view&amp;bf_id="></a>
										{/if}
									</td>
								{/if}
							{/foreach}
						</tr>
					{listing->getCount()|assign('count')}
					{for('item', $count)}
						<tr lang="{$item['lang']}" class="{$item['lang']}">
							{listing->next()|assign('item')}
							{foreach($item, 'key', 'attr')}
							{if $key != 'id' && $key != 'pid' && $key != 'sid'}
							<td>{if $key == 'description'}
								<img src="{$webroot}images/icons/library_link.gif" alt="{translate('template')|escape()}" />
								<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=templates.view&amp;bf_name={$item['id']|escape('url')}&amp;bf_pid={$item['pid']|escape('url')}&amp;bf_sid={$item['sid']|escape('url')}&amp;bf_lang={$item['lang']|escape('url')}" onclick="return !page_details.loadDetails('{$item['id']|escape('javascript')}', '{$item['pid']|escape('javascript')}', '{$item['sid']|escape('javascript')}', '{$item['lang']|escape('javascript')}');">{$attr|truncate(35)|escape('hexentity')}</a>
								{elseif $key == 'project'}
								<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=projects.view&amp;bf_id={$item['pid']|escape()}">{$attr|truncate(35)|escape('hexentity')}</a>
								{elseif $key == 'step'}
								<a href="{$jTE['server']['PHP_SELF']|escape('hexentity')}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=steps.view&amp;bf_id={$item['pid']|escape()}&amp;step={$item['sid']|escape()}">{$attr|truncate(35)|escape('hexentity')}</a>
								{elseif $key == 'lang'}{translate($languages[$attr])|truncate(35)|escape('hexentity')}
								{else}{$attr|truncate(35)|escape('hexentity')}{/if}
							</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}?mod={$linkModule}&amp;action=templates.edit" onsubmit="return !page_details.save(); return false;" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('template')|escape()}"/><span id="object_label">{if $editable_description}{$editable_description|truncate(35)|escape('hexentity')}{else}({translate('new template')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input id="object_details_save" type="submit" class="bf_button" value="{translate('save')|escape()}" {if (!$editable_name && !$CanAddTemplate) or ($editable_name && !$CanUpdateTemplate)}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"><input type="submit" class="bf_button" id="object_details_delete" name="object[delete]" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;"{if !$editable_name or !$CanDeleteTemplate or $editable_pid == 0}disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div class="BF_tabs" id="details_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}?mod={$linkModule}&amp;action=templates.view&amp;bf_name={$editable_name|escape('url')}&amp;bf_pid={$editable_pid|escape('url')}&amp;bf_sid={$editable_sid|escape('url')}&amp;dtab=0" onclick="goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details current">
				<input type="hidden" name="bf_name" id="bf_name" value="{$editable_name|escape()}" />
				<input type="hidden" name="bf_pid" id="bf_pid" value="{$editable_pid|escape()}" />
				<input type="hidden" name="bf_sid" id="bf_sid" value="{$editable_sid|escape()}" />
				<input type="hidden" name="bf_lang" id="bf_lang" value="{$editable_lang|escape()}" />
				<div class="properties">

					<div class="third">
						{bf_get_templates($editable_lang)|assign('templatelist')}
						{if !$editable_name}{foreach($templatelist, 'id', 'name')}{if !$editable_name and $id != 'system_alert' and $id != 'filter_fire' and $id != 'artifact_fire'}{assign('editable_name', $id)}{/if}{/foreach}
						<label for="object_details_name_visible">{translate('key')|escape()}:</label>
						<input {if $editable_pid === 0}disabled="disabled"{/if} id="object_details_name_visible" type="button" class="pselect iconDropdown" title="{if $editable_name}{$templatelist[$editable_name]|escape('hexentity')}{else}-- {translate('templates')|escape()} --{/if}" value="{if $editable_name}{$templatelist[$editable_name]|truncate($pselect_truncation)|escape('hexentity')}{else}-- {translate('templates')|truncate($pselect_truncation)|escape()} --{/if}" onclick="pseudoSelect('object_details_name', '{foreach($templatelist, 'name', 'description'}{if $name != 'system_alert'}|{$name|escape('javascript')},{$description|escape('javascript')}{/if}{/foreach}', 'title={translate('templates')|escape('javascript')}');" />
						<input name="object[bf_name]" id="object_details_name" type="hidden" value="{$editable_name|escape('hexentity')}" />
					</div>
					
					<div class="third">
						<label for="object_details_description"> {translate('description')|escape()}:</label>
						<input id="object_details_description" type="text" class="textBox" name="object[bf_description]" value="{$editable_description|escape('hexentity')}" maxlength="255" />
					</div>

					<div class="third">
						{bf_get_languages()|assign('languages')}
						{if !$editable_lang}{assign('editable_lang', 'en_US')}{/if}
						<label for="object_details_lang_visible">{translate('language')|escape()}:</label>
						<input id="object_details_lang_visible" type="button" class="pselect iconDropdown" title="{translate($languages[$editable_lang])|escape('hexentity')}" value="{translate($languages[$editable_lang])|truncate($pselect_truncation)|escape('hexentity')}" tabindex="9" onclick="pseudoSelect('object_details_lang', '{foreach($languages, 'langkey', 'langname')}|{$langkey|escape('javascript')},{translate($langname)|escape('javascript')}{/foreach}', '', '', [{foreach($languages, 'langkey', 'langname')}'{$langkey|escape('javascript')}',{/foreach}null]);" />
						<input name="object[bf_lang]" id="object_details_lang" type="hidden" value="{$editable_lang|escape('hexentity')}" />
					</div>

				</div>
				<div class="properties">
					<div class="third">
						<label for="object_details_subj">{translate('subject')|escape()}:</label>
						<input id="object_details_subj" type="text" class="textBox" name="object[bf_subj]" value="{$editable_subj|escape('hexentity')}" maxlength="255" />
					</div>
					<div class="third">
						<label for="object_details_frm">{translate('from')|escape()}:</label>
						<input id="object_details_frm" type="text" class="textBox" name="object[bf_frm]" value="{$editable_frm|escape('hexentity')}" maxlength="255" />
					</div>
					<div class="third">
						{bf_get_project_names()|assign('projects')}
						{if !$editable_pid}{foreach($projects, 'id', 'name')}{if !$editable_pid}{assign('editable_pid', $id)}{/if}{/foreach}
						<label for="object_details_pid_visible">{translate('project')|escape()}:</label>
						<input {if !$editable_pid || $editable_pid === 0}disabled="disabled"{/if} id="object_details_pid_visible" type="button" class="pselect iconDropdown" title="{if !$editable_pid or $editable_pid == '0'}-- {translate('all')|escape()} --{else}{$projects[$editable_pid]|escape('hexentity')}{/if}" value="{if !$editable_pid or $editable_pid == '0'}-- {translate('all')|truncate($pselect_truncation)|escape()} --{else}{$projects[$editable_pid]|truncate($pselect_truncation)|escape('hexentity')}{/if}" onclick="pseudoSelect('object_details_pid', 'mod=projects&action=projects.view&both=1&type=xml', 'title={translate('projects')|escape('javascript')}&attribute=name&value=id&name=project', page_details.loadStepsFor);" />
						<input name="object[bf_pid]" id="object_details_pid" type="hidden" value="{$editable_pid|escape('hexentity')}" />
						<input type="hidden" id="object_details_pid_stored" value="{$editable_pid|escape('hexentity')}" />
						<input type="hidden" id="object_details_pname_stored" value="{$projects[$editable_pid]|escape('hexentity')}" />
						<br />
						<label for="object_details_sid_visible">{translate('step')|escape()}:</label>
						<input {if !$editable_pid || $editable_pid === 0}disabled="disabled"{/if} id="object_details_sid_visible" type="button" class="pselect iconDropdown" title="-- {translate('all')|escape()} --" value="-- {translate('all')|truncate($pselect_truncation)|escape()} --" onclick="pseudoSelect('object_details_sid', 'mod=projects&action=steps.view&type=xml&bf_id={$editable_pid|escape('javascript')}', 'title={translate('steps')|escape('javascript')}&attribute=name&value=step&name=stepname&seedlist=|0,-- {translate('all')|escape('javascript')} --|');" />
						<input name="object[bf_sid]" id="object_details_sid" type="hidden" value="{if !$editable_sid}0{else}{$editable_sid|escape('hexentity')}{/if}" />
					</div>
				</div>
				<div class="properties">
					<label for="object_details_body">{translate('body')|escape()}:</label>
					<textarea id="object_details_body" name="object[bf_body]" class="textBox" cols="60" rows="10">{$editable_body|escape('hexentity')}</textarea>
				</div>
			</div>
		</div>
	</div>
	</form>
