{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{if $ourproject == ''}{project->next()|assign('ourproject')}{/if}

{bf_get_levels($user['id'])|assign('levelnames')}

{if $jumptoid}<relocate id='bf_pid'>{$jumptoid}</relocate>{else}
<relocate id='bf_pid' />

<permissions>
	<permission id="submitProject">{controller->userHasAccessTo('AddProject')|escape()}</permission>
	<permission id="deleteProject">{controller->userHasAccessTo('DeleteProject')|escape()}</permission>
	<permission id="clobberProject">{controller->userHasAccessTo('ClobberProject')|escape()}</permission>
</permissions>

<projectid id='{$ourproject['id']|escape()}' />

<project>
    {foreach($ourproject,'key','value')}
        <field id='{$key|escape()}'>{$value|escape('hexentity')}</field>        
    {/foreach}
    <field id='selector_name'>{if $ourproject['selector'] == ''}-- {translate('none')|escape()} --{else}{$ourproject['selector']|escape()}{/if}</field>
    <field id='env_name'>{if $ourproject['env'] == ''}-- {translate('none')|escape()} --{else}{$ourproject['env']|escape()}{/if}</field>
   	<field id='level_name'>{$levelnames[$ourproject['level']]|escape()}</field>
    <field id='maxthread_visible'>{if $ourproject['maxthread'] == '0'}{translate('unlimited')|escape()}{else}{$ourproject['maxthread']|escape()}{/if}</field>
    <field id='runlimit_visible'>{if $ourproject['runlimit'] == '0'}{translate('unlimited')|escape()}{else}{$ourproject['runlimit']|escape()}{/if}</field>
   	<field id='snotify_name'>{if $ourproject['snotify']}{if $ourproject['snotify'] == '0'}-- {translate('none')|escape()} --{else}{$levelnames[$ourproject['snotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
   	<field id='pnotify_name'>{if $ourproject['pnotify']}{if $ourproject['pnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levelnames[$ourproject['pnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
   	<field id='fnotify_name'>{if $ourproject['fnotify']}{if $ourproject['fnotify'] == '0'}-- {translate('none')|escape()} --{else}{$levelnames[$ourproject['fnotify']]|escape()}{/if}{else}-- {translate('none')|escape()} --{/if}</field>
   	<field id='passchain_name'>{if $ourproject['passchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourproject['passchain'])|escape('hexentity')}{/if}</field>
   	<field id='failchain_name'>{if $ourproject['failchain'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourproject['failchain'])|escape('hexentity')}{/if}</field>	   
   	<field id='hasbuilds'>{if $hasbuilds}{$hasbuilds|escape()}{else}0{/if}</field>
   	<field id='sticky_visible'>{if $ourproject['sticky'] == 'Y'}{translate('sticky')|escape()}{else}{translate('not sticky')|escape()}{/if}</field>
   	<field id='tagsync_visible'>{if $ourproject['tagsync'] == '0'}-- {translate('none')|escape()} --{else}{bf_get_project_names($ourproject['tagsync'])|escape('hexentity')}{/if}</field>
	<field id='referenced'>{if $referenced}1{else}0{/if}</field>
</project>

<tags>
    {tagslist->getCount()|assign('tagcount')}
    {for('secTag', $tagcount)}
    {tagslist->next()|assign('tag')}
    <tag>
        {foreach($tag, 'key', 'attr')}
            <field name='{$key|escape()}'>{$attr|escape('hexentity')}</field>
        {/foreach}
    </tag>
    {/for}
</tags>

{if $tagsingle}
<tagsingle>
	<field id='tid'>{$tagsingle['tid']|escape('hexentity')}</field>
	<field id='name'>{$tagsingle['name']|escape('hexentity')}</field>
	<field id='value'>{$tagsingle['value']|escape('hexentity')}</field>
	<field id='parent'>{$tagsingle['parent']|escape('hexentity')}</field>
	<field id='parent_visible'>{if $tagsingle['parent'] == '0'}-- {translate('None')|escape('hexentity')} --{else}{$tagsingle['parent']|escape('hexentity')}{/if}</field>
	<field id='autoinc'>{$tagsingle['autoinc']|escape('hexentity')}</field>
	<field id='autoinc_visible'>{if $tagsingle['autoinc'] == 'Y'}{translate('yes')|escape('hexentity')}{else}{translate('no')|escape('hexentity')}{/if}</field>
</tagsingle>
{/if}

<registers>
	{reglist->getCount()|assign('regcount')}
	{for('secReg', $regcount)}
	{reglist->next()|assign('reg')}
	<reg>
		{foreach($reg, 'key', 'attr')}
		{if $key == 'content'}
			<field name='{$key|escape()}'>{bf_get_storage($attr)|escape('hexentity')}</field>
		{else}
			<field name='{$key|escape()}'>{$attr|escape('hexentity')}</field>
		{/if}
		{/foreach}
	</reg>
	{/for}
</registers>

{if $regsingle}
<regsingle>
	{foreach($regsingle, 'key', 'value')}
		{if $key == 'content'}
			<field id='{$key|escape()}'>{bf_get_storage($value)|escape()}</field>
		{else}
			<field id='{$key|escape()}'>{$value|escape('hexentity')}</field>
		{/if}
	{/foreach}
</regsingle>
{/if}
<navigation>
{module->navigationBlock()}
</navigation>

{/if}
