{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('htmlall')|assign('linkSelf')}
{$jTE['get']['mod']|escape('url')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('htmlall')|assign('temp')}{'&amp;action=$temp'|assign('linkAction')}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('htmlall')|assign('temp')}{'&amp;bf_id=$temp'|assign('linkID')}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('htmlall')|assign('temp')}{'&amp;state=$temp'|assign('linkState')}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('htmlall')|assign('temp')}{'&amp;orderby=$temp'|assign('linkOrderby')}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('htmlall')|assign('temp')}{'&amp;sort=$temp'|assign('linkSort')}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('htmlall')|assign('temp')}{'&amp;filter=$temp'|assign('linkFilter')}{/if}

{if !$tplTitle}
	{if $jTE['get']['mod'] == 'projects'}
		{assign('tplTitle', 'Projects')}
		{assign('tplType', 'Project')}
	{else}
		{assign('tplTitle', 'Libraries')}
		{assign('tplType', 'Library')}
	{/if}
{/if}

{userobj->get('bf_maxbuilds')|assign('maxbuilds')}

{controller->userHasAccessTo('AddProject')|assign('CanAddProject')}
{controller->userHasAccessTo('DeleteProject')|assign('CanDeleteProject')}
{controller->userHasAccessTo('RunBuild')|assign('CanRunBuild')}

{step->next()|assign('step_record')}

<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>

{project->next()|assign('project_record')}
<project>
	{foreach($project_record, 'key', 'value')}
		<field name="{$key|escape()}">{$value|escape()}</field>
	{/foreach}	
</project>

{listing->getCount|assign('stepcount')}
	
<stepcount>{$stepcount|escape()}</stepcount>
<numbuilds>{$numbuilds|escape()}</numbuilds>
<maxbuilds>{$maxbuilds|escape()}</maxbuilds>

<records>
	{for('steps_pointer', $stepcount)}
	{listing->next()|assign('step_instance')}
	<record>
		<field name="uid">{$step_instance['uid']|escape('hexentity')}</field>
		<field name="active">{$step_instance['active']|escape('hexentity')}</field>
		<field name="step">{$step_instance['step']}</field>
		<field name="stepname">{$step_instance['stepname']|escape('hexentity')}</field>
		<field name="selector">{$step_instance['selector']|escape('hexentity')}</field>
		<field name="env">{$step_instance['env']|escape('hexentity')}</field>
		<field name="absolute">{$step_instance['absolute']|escape('hexentity')}</field>
		<field name="continue">{$step_instance['continue']|escape('hexentity')}</field>
		<field name="result">{$step_instance['result']|escape('hexentity')}</field>
		<field name="pnotify">{$step_instance['pnotify']|escape('hexentity')}</field>
		<field name="fnotify">{$step_instance['fnotify']|escape('hexentity')}</field>
		<field name="inline">{$step_instance['inline']|escape('hexentity')}</field>
		<field name="pass">{$step_instance['pass']|escape('hexentity')}</field>
		<field name="fail">{$step_instance['fail']|escape('hexentity')}</field>
		<field name="access">{$step_instance['access']|escape('hexentity')}</field>
		<field name="thread">{$step_instance['thread']|escape('hexentity')}</field>
		<field name="pid">{$step_instance['pid']}</field>
		<field name="envid">{$step_instance['envid']|escape('hexentity')}</field>
		<field name="resultid">{$step_instance['resultid']|escape('hexentity')}</field>
		{if $step_instance['inline'] != '' and $step_instance['inline'] != '0'}{bf_get_project($step_instance['inline'])|assign('iLnk')}{/if}
		<field name="inline_name">{$iLnk['name']|escape()}</field>
		<field name="inline_type">{if $iLnk['selector'] == ''}library{else}projects{/if}</field>
		{if $step_instance['pass'] != '' and $step_instance['pass'] != '0'}{bf_get_project($step_instance['pass'])|assign('pLnk')}{/if}
		<field name="pass_name">{$pLnk['name']|escape()}</field>
		<field name="pass_type">{if $pLnk['selector'] == ''}library{else}projects{/if}</field>
		{if $step_instance['fail'] != '' and $step_instance['fail'] != '0'}{bf_get_project($step_instance['fail'])|assign('fLnk')}{/if}
		<field name="fail_name">{$fLnk['name']|escape()}</field>
		<field name="fail_type">{if $fLnk['selector'] == ''}library{else}projects{/if}</field>
		
	</record>
	{/for}
</records>

{bf_get_levels()|assign('all_levels')}
<levels>
		<level id="0">Default</level>
	{foreach($all_levels, 'key', 'value')}
		<level id="{$key|escape()}">{$value|escape()}</level>
	{/foreach}
</levels>
