{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{listing->getCount()|assign('itemCount')}
{listing->getPageCount()|assign('pageCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
{for('i', $itemCount)}
	{listing->next()|assign('schedule')}
	<record>
		<field id="bf_pname" class="bf_description">{$schedule['pname']|escape('hexentity')}</field>
		<field id="bf_pdescription" class="bf_project">{$schedule['pdescription']|escape('hexentity')}</field>
		<field class="bf_class">{$schedule['class']|escape('hexentity')}</field>
		<field id="bf_owner" class="bf_owner">{$schedule['owner']|escape('hexentity')}</field>
		<field class="bf_env">{$schedule['environment']|escape('hexentity')}</field>
		<field class="bf_selector">{$schedule['selector']|escape('hexentity')}</field>
		<field class="bf_nextrun">{if !$schedule['nextrun']}
	{if $schedule['active'] == 'N'}{translate('inactive')|escape()}{else}{translate('calculating')|escape()}{/if}
{else}
	{if $schedule['nextrun'] == -2}{translate('unreachable date')|escape()}{elseif $schedule['nextrun'] == -1}{translate('invalid date')|escape()}
	{else}{bf_format_date($schedule['nextrun'])|escape()}{/if}
{/if}</field>
		<field id="bf_cid" class="bf_cid">{$schedule['cid']|escape('hexentity')}</field>		
		<field id="bf_pid">{$schedule['pid']|escape()}</field>		
		<field id="bf_eid" class="bf_eid">{$schedule['eid']|escape('hexentity')}</field>		
		<field id="bf_ownerid" class="bf_ownerid">{$schedule['ownerid']|escape('hexentity')}</field>		
		<field id="bf_minute">{$schedule['minute']|escape()}</field>		
		<field id="bf_hour">{$schedule['hour']|escape()}</field>		
		<field id="bf_day">{$schedule['day']|escape()}</field>		
		<field id="bf_month">{$schedule['month']|escape()}</field>		
		<field id="bf_dayofweek">{$schedule['dayofweek']|escape()}</field>		
		<field id="bf_active">{$schedule['active']|escape()}</field>
		<field id="bf_nextrun">{$schedule['nextrun']|escape()}</field>
	</record>
{/for}
</records>
<months>
	<month>
		<field id="key"></field>
		<field id="first_dow"></field>
		<field id="num_days"></field>
	</month>
</months>
