{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddCollector')|assign('CanAddCollector')}
{controller->userHasAccessTo('EditCollector')|assign('CanEditCollector')}
{controller->userHasAccessTo('DeleteCollector')|assign('CanDeleteCollector')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/collector.gif" border="0" alt=""/>
			<span class="module_name">{translate('collectors')|escape()}</span>
			{if $jTE['get']['bf_id'] == ''}<span class="sepGT">&gt;&gt;</span><span class="location_name">{translate('all collectors')|escape()}</span>{/if}
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<!-- <form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=variable.edit" onsubmit="return !page_details.clear();" method="post"> -->
				<div class="global_button"><input type="submit" class="bf_button" value="{translate('add collector')|escape()}" onclick="page_details.clear();" /></div>
			<!-- </form> -->
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_collectors.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_collectors.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='collectors.view'")}
			</div>
		
			<div id="summary_scroller" class="Admin_Details">
				{if $valid}
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th><strong>{translate('name')|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby={$colname|escape('hexentity')}&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('{$colname|escape('javascript')}');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td>
								<a href="{$linkSelf}{$linkModule}&amp;action=collectors.edit&amp;bf_coll_id=" onclick="return !page_details.loadDetails('');"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this collector')|escape()}"/></a>
								<img src="{$webroot}images/icons/collector.gif" border="0" />
								<a href="{$linkSelf}{$linkModule}&amp;action=collectors.view.prop&amp;bf_coll_id={$project['id']|escape('url')}" title="{$attr|escape('hexentity')}"></a>
							</td>
						</tr>
					{listing->getCount()|assign('projectcount')}
					{for('projectindex', $projectcount)}
						<tr>
							{listing->next()|assign('project')}
							{foreach($project, 'key', 'attr')}
							{if $key != 'id'}
								<td>{if $key == 'name'}
									<a href="#" onclick="return !page_details.loadDetails('{$project['id']|escape('javascript')}');"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this collector')|escape()}"/></a>
									<img src="{$webroot}images/icons/collector.gif" border="0" />
									<a href="{$linkSelf}{$linkModule}&amp;action=collectors.view.prop&amp;bf_coll_id={$project['id']|escape('url')}" title="{$attr|escape('hexentity')}">{$attr|truncate(80)|escape('hexentity')}</a>{else}{$attr|truncate(80)|escape('hexentity')}{/if}</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
				{/if}
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=collectors.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		{parent->get('bf_coll_id')|assign('parent_param')}
		{parent->referenced|assign('parent_referenced')}
		<input name="parent_coll_id" id="parent_coll_id" type="hidden" value="{$parent_param|escape('hexentity')}"  />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('collector'|escape()}"/><span id="object_label">{if $parent_param}{$parent_param|truncate(50)|escape('hexentity')}{else}({translate('new collector'}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" id="parent_details_save" class="bf_button" value="{translate('save')|escape()}"{if ($parent_param == '' and !$CanAddCollector) or ($parent_param != '' and !$CanEditCollector)} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="parent_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if !$parent_param or !$CanAddCollector}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"{if $parent_referenced} title="{translate('2048')|escape()}"{/if}><input type="submit" id="parent_details_delete" class="bf_button" name="parent[delete]" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;"{if !$parent_param} disabled="disabled"{elseif !$CanDeleteCollector} disabled="disabled" {elseif $parent_referenced} disabled="disabled" {/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}{$jTE['get']['mod']|escape('hexentity')}&amp;action=collectors.edit{if $editable_id}&amp;bf_id={$editable_id|escape('url')}{/if}&amp;dtab=1" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details selected">
				<div class="primary">
					<label for="bf_coll_id">
						{translate('name')|escape()}:
						<input name="parent[bf_coll_id]" id="bf_coll_id" maxlength="255" type="text" class="textBox" value="{$parent_param|escape('hexentity')}" style="position: relative; width: 300px; background-color:#FEFFC3; border:solid 1px #7F9DB9;"  />
					</label>
				</div>
			</div>
		</div>
	</div>
	</form>
