{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{* PAGE VARIABLES *}
{listing->hasResults()|assign('valid')}
{listing->getCount()|assign('itemCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
{listing->getGrandTotal()|assign('grandTotal')}
{listing->getPageCount()|assign('pageCount')}
{listing->getPage()|assign('pageNumber')}
{math($pageCount*$itemLimit-$itemLimit)|assign('lastPage')}
{math($offsetLeft+$itemCount)|assign('offsetRight')}

{* LINK CONSTANTS *}
{$jTE['server']['PHP_SELF']|escape('hexentity')|assign('linkSelf')}
{$jTE['get']['mod']|escape('hexentity')|assign('temp')}{assign('linkModule', "?mod=$temp")}
{if $jTE['get']['action'] != ''}{$jTE['get']['action']|escape('hexentity')|assign('temp')}{assign('linkAction', "&amp;action=$temp")}{/if}
{if $jTE['get']['bf_id'] != ''}{$jTE['get']['bf_id']|escape('hexentity')|assign('temp')}{assign('linkID', "&amp;bf_id=$temp")}{/if}
{if $jTE['get']['state'] != ''}{$jTE['get']['state']|escape('hexentity')|assign('temp')}{assign('linkState',"&amp;state=$temp")}{/if}
{if $jTE['get']['orderby'] != ''}{$jTE['get']['orderby']|escape('hexentity')|assign('temp')}{assign('linkOrderby',"&amp;orderby=$temp")}{/if}
{if $jTE['get']['sort'] != ''}{$jTE['get']['sort']|escape('hexentity')|assign('temp')}{assign('linkSort',"&amp;sort=$temp")}{/if}
{if $jTE['get']['filter'] != ''}{$jTE['get']['filter']|escape('hexentity')|assign('temp')}{assign('linkFilter',"&amp;filter=$temp"}{/if}

{* PERMISSIONS *}
{controller->userHasAccessTo('AddSelector')|assign('CanAddSelector')}
{controller->userHasAccessTo('EditSelector')|assign('CanEditSelector')}
{controller->userHasAccessTo('DeleteSelector')|assign('CanDeleteSelector')}

{* Details Pane Resizer *}
{userobj->getPreference('resizer_mainMiddle')|assign('resizer_mainMiddle')}
{if $resizer_mainMiddle == ''}
	{assign('content_top_height', '225')}
	{assign('content_bottom_top', '260')}
	{assign('resizer_mainMiddle', '258')}
{else}
	{math($resizer_mainMiddle - 28)|assign('content_top_height')}
	{math($resizer_mainMiddle + 2)|assign('content_bottom_top')}
{/if}

	<div id="content_title">
		<div id="content_title_left">
			<img class="content_title_image" src="{$webroot}images/icons/selector.gif" border="0" alt=""/>
			<span class="module_name">{translate('selectors')|escape()}</span>
			{if $jTE['get']['bf_id'] == ''}<span class="sepGT">&gt;&gt;</span><span class="location_name">{translate('all selectors')|escape()}</span>{/if}
			<img src="{$webroot}images/b_tab_background.gif" alt="|" />
			<!-- <form name="create_environment_form" id="create_environment_form" action="{$linkSelf}{$linkModule}&amp;action=variable.edit" onsubmit="return !page_details.clear();" method="post"> -->
				<div class="global_button"><input type="button" class="bf_button" value="{translate('add selector')|escape()}" onclick="page_details.clear();" /></div>
			<!-- </form> -->
		</div>

		<div id="content_title_right">
			<a href="{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_selectors.html&amp;hideToc=true"
onclick="viewDocURL('{$webroot}fullcontrol/docs/{$user['lang']}/help/index.html?content={$webroot}fullcontrol/docs/{$user['lang']}/help/content/FullControlHelp/admin_selectors.html&amp;hideToc=true');return false;">
				{translate('Help')|escape()} <img src="{$webroot}images/help.gif" alt=""/>
			</a>
		</div>
	</div>

	<div id="resizer_mainMiddle" class="resizer" style="top:{$resizer_mainMiddle}px;height:{if $resizer_mainMiddle == 0}8px;border-top-width:1px;border-bottom-width:1px;{else}2px;{/if}" onmousedown="page_details.resizer(this);"></div>

	<div id="content_top" style="height:{$content_top_height}px;" class="AdminDetails">
		<div id="content_summary" class="Projects">
			<div class="summary_list_controls">
				{include('paging_controls.tpl')}
				{include('filter_form.tpl', "action='selectors.view'")}
			</div>
		
			<div id="summary_scroller" class="Admin_Details">
				{if $valid}
				{listing->getColumnNames()|assign('columns')}
				<table cellpadding="0" cellspacing="0">
					<thead>
						<tr>
							<th><strong>{translate('selector name')|escape()}</strong> <a href="{$linkSelf}{$linkModule}{$linkAction}{$linkFilter}&amp;orderby=name&amp;sort={if $jTE['get']['sort'] == 'desc'}asc{else}desc{/if}" onclick="return !paginator.orderBy('name');"  ><img src="{$webroot}images/icon_sortarrows.gif" border="0" alt="{translate('sort')|escape()}" /></a></th>
							<th><strong>{translate('access')|escape()}</strong></th>
						</tr>
					</thead>
					<tbody id="listing">
						<tr class="clone">
							<td>
								<a href="#" onclick="page_details.loadDetails('');return false;"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this selector')|escape()}"/></a>
								<img src="{$webroot}images/icons/selector.gif" border="0" />
								<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=selectors.view.prop&amp;bf_selector_id="></a>
							</td>
							<td>
								<a href="{$linkSelf}?mod=administration&amp;action=groups.view&amp;bf_level="></a>
							</td>
						</tr>
					{listing->getCount()|assign('projectcount')}
					{for('project', $projectcount)}
						<tr>
							{listing->next()|assign('project')}
							{foreach($project, 'key', 'attr')}
							{if $key != 'id' && $key != 'level'}
								<td>{if $key == 'name'}
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=selectors.view&amp;bf_selector_id={$project['id']|escape('url')}" onclick="page_details.loadDetails('{$project['id']|escape('javascript')}');return false;"><img src="{$webroot}images/icons/edit.gif" border="0" alt="{translate('edit this selector')|escape()}"/></a>
									<img src="{$webroot}images/icons/selector.gif" border="0" />
									<a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('url')}&amp;action=selectors.view.prop&amp;bf_selector_id={$project['id']|escape('url')}">{$attr|truncate(50)|escape('hexentity')}</a>
									{elseif $key == 'access'}
									<a href="{$linkSelf}?mod=administration&amp;action=groups.view&amp;bf_level={$project['level']|escape('url')}">{$attr|truncate(50)|escape('hexentity')}</a>
									{else}{$attr|truncate(50)|escape('hexentity')}{/if}</td>
							{/if}
							{/foreach}
						</tr>
					{/for}
					</tbody>
				</table>
				{/if}
			</div>
		</div>
	</div>

	<form name="content_bottom_form" id="content_bottom_form" action="{$linkSelf}{$linkModule}&amp;action=selectors.edit" onsubmit="return !page_details.save();" method="post">
	<div id="content_bottom" style="top:{$content_bottom_top}px;padding-top:{if $resizer_mainMiddle == 0}10{else}3{/if}px;">
		{parent->inserted()|assign('inserted')}
		{parent->get('bf_selector_id')|assign('parent_param')}
		{parent->referenced|assign('parent_referenced')}
		<input name="parent_selector_id" id="parent_selector_id" type="hidden" value="{if $inserted}{$parent_param|escape('hexentity')}{/if}"  />
		<div id="content_bottom_top_bar" style="border:solid 0px green;">
			<span class="details_title"><img src="{$webroot}images/nav_icon_admin_blue.gif" alt="{translate('selector')|escape()}"/><span id="object_label">{if $inserted}{$parent_param|escape('hexentity')}{else}({translate('new selector')|escape()}){/if}</span></span>
			<div class="bf_button_bar">
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="parent_details_save" value="{translate('save')|escape()}"{if (!$inserted and !$CanAddSelector) or ($inserted and !$CanEditSelector)} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<span class="sepStroke"> </span><div class="details_button"><input type="submit" class="bf_button" id="parent_details_copy" value="{translate('copy')|escape()}" onclick="return !page_details.copy();" {if !$inserted or !$CanAddSelector}disabled="disabled"{/if}/></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
				<div class="details_button"{if $parent_referenced} title="{translate('2051')|escape()}"{/if}><input type="submit" class="bf_button" id="parent_details_delete" name="parent[delete]" value="{translate('delete')|escape()}" onclick="page_details.kill();return false;"{if !$inserted or !$CanDeleteSelector or $parent_referenced} disabled="disabled"{/if} /></div>
				<img class="sepImg" src="{$webroot}images/sepImg.gif" border="0" alt="|" />
			</div>
		</div>

		<div id="details_tabs" class="BF_tabs">
			<div class="generic_tabstrip">
				<ul class="generic_tabs">
					<li class="selected"><a href="{$linkSelf}?mod={$jTE['get']['mod']|escape('hexentity')}&amp;action=selectors.edit{if $parent_param}&amp;bf_selector_id={$parent_param|escape('url')}{/if}&amp;dtab=0" onclick="page_details.goTab(0);return false;">{translate('details')|escape()}</a></li>
				</ul>
			</div>
			<div class="tab_details selected">
				<div class="primary">
					<label for="bf_selector_id">
						{translate('name')|escape()}:
						<input name="parent[bf_selector_id]" id="bf_selector_id" maxlength="255" type="text" class="textBox" value="{$parent_param|escape('hexentity')}" style="position: relative; width: 300px; background-color:#FEFFC3; border:solid 1px #7F9DB9;"  />
					</label>
					{bf_get_levels($user['id'])|assign('levels')}
					{parent->get('bf_level')|assign('temp_level')}
					{if !$temp_level}{foreach($levels, 'id', 'name')}{if !$temp_level}{assign('temp_level', $id)}{/if}{/foreach}
					<label for="parent_bf_level_visible">{translate('access')|escape()}:</label>
						<input id="parent_bf_level_visible" type="button" class="pselect iconDropdown" value="{if $temp_level}{$levels[$temp_level]|escape()}{else}-- {translate('access groups')|escape()} --{/if}" tabindex="2" onclick="pseudoSelect('parent_bf_level', 'mod=administration&action=groups.view&type=xml', 'title={translate('access groups')|escape('javascript')}&attribute=class&value=bf_level&name=bf_name');" />
						<input name="parent[bf_level]" id="parent_bf_level" type="hidden" value="{$temp_level|escape('hexentity')}" />
					</label>
				</div>
			</div>
		</div>
	</div>
	</form>
