{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{listing->getCount()|assign('itemCount')}
{listing->getPageCount()|assign('pageCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
{for('i', $itemCount)}
	{listing->next()|assign('record')}
	{if $record['value'] != ''}
		{if $record['type'] == 'Y'}
			{translate('run command')|assign('type')}
		{elseif $record['value'] != ''}
			{if $record['property'] != '.include'}
				{translate('set value')|assign('type')}
			{else}
				{assign('type', '.include')}
			{/if}
		{else}
			{translate('built-in')|assign('type')}
		{/if}
	{elseif $record['value'] != ''}
		{if $record['property'] != '.include'}
			{translate('set value')|assign('value')}
		{else}
			{assign('type', '.include')}
		{/if}
	{else}
		{translate('built-in')|assign('type')}
	{/if}
	<record>
		<field class="bf_prop">{$record['property']|truncate(30)|escape()}</field>
		<field class="bf_value">{$record['value']|truncate(30)|escape()}</field>
		<field class="bf_user">{$type|escape()}</field>
		<field class="bf_regex">{$record['regex']|truncate(30)|escape()}</field>
		<field class="bf_seq">{$record['id']|escape()}</field>
	</record>
{/for}
</records>
