{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{editable->get('bf_authid')|assign('editable_authid')}
{editable->get('bf_level')|assign('editable_level')}
{editable->get('bf_coll_id')|assign('editable_coll_id')}
{editable->get('bf_publish')|assign('editable_publish')}
{editable->get('bf_eid')|assign('editable_eid')}
{editable->get('bf_test')|assign('editable_test')}
{bf_get_environments($editable_eid)|assign('eids')}
{bf_get_levels($user['id'])|assign('levels')}
<permissions>
	<permission id="AddServer">{controller->userHasAccessTo('AddServer')|escape('hexentity')}</permission>
	<permission id="EditServer">{controller->userHasAccessTo('EditServer')|escape('hexentity')}</permission>
	<permission id="DeleteServer">{controller->userHasAccessTo('DeleteServer')|escape('hexentity')}</permission>
	<permission id="ActivateServer">{controller->userHasAccessTo('ActivateServer')|escape('hexentity')}</permission>
	<permission id="ResetServerUse">{controller->userHasAccessTo('ResetServerUse')|assign('reset')}{editable->getManifest('BF_JOBS')|assign('manifest_jobs')}{if $reset and $manifest_jobs}1{/if}</permission>
</permissions>
<object>
	<property id="bf_id">{editable->get('bf_id')|escape('hexentity')}</property>
	<property id="bf_name">{editable->get('bf_name')|escape('hexentity')}</property>
	<property id="bf_path">{editable->get('bf_path')|escape('hexentity')}</property>
	<property id="bf_host">{editable->get('bf_host')|escape('hexentity')}</property>
	<property id="bf_err">{editable->get('bf_err')|escape('hexentity')}</property>
	<property id="bf_test">{bf_translate_servertest($editable_test)|escape('hexentity')}</property>
	<property id="bf_level">{$editable_level|escape('hexentity')}</property>
	<property id="bf_level_name">{$levels[$editable_level]|escape('hexentity')}</property>
	<property id="bf_authid">{$editable_authid|escape('hexentity')}</property>
	<property id="bf_authid_name">{if $editable_authid}{$editable_authid|escape('hexentity')}{else}-- {translate('none')|escape()} --{/if}</property>
	<property id="bf_coll_id">{$editable_coll_id|escape('hexentity')}</property>
	<property id="bf_coll_id_name">{if $editable_coll_id}{$editable_coll_id|escape('hexentity')}{else}-- {translate('none')|escape()} --{/if}</property>
	<property id="bf_publish">{$editable_publish|escape('hexentity')}</property>
	<property id="bf_publish_name">{if $editable_publish == 'none'}-- {translate('none')|escape()} --{elseif $editable_publish == 'all'}{translate('.get and .put')|escape()}{elseif $editable_publish == 'put'}{translate('.put only')|escape()}{elseif $editable_publish == 'get'}{translate('.get only')|escape()}{else}-- {translate('none')|escape()} --{/if}</property>
	<property id="bf_eid">{$editable_eid|escape('hexentity')}</property>
	<property id="bf_eid_name">{if $editable_eid}{$eids[$editable_eid]['name']|escape('hexentity')}{else}-- {translate('none')|escape()} --{/if}</property>
	<property id="bf_active">{editable->get('bf_active')|assign('bf_active')}{if $bf_active == 'Y'}N{else}Y{/if}</property>
	<property id="bf_jobcount">{translate('reset job count')|escape()}{editable->getManifest('BF_JOBS')|assign('manifest_jobs')}{if $manifest_jobs} ({$manifest_jobs|escape()}){/if}</property>
</object>
<manifest>
	{foreach($editable->manifest, 'key', 'entry')}
	<manifest_property>
		<field type="key">{$entry['name']|escape()}</field>
		<field type="value">{$entry['value']|escape()}</field>
	</manifest_property>
	{/foreach}
</manifest>
<navigation>
{module->navigationBlock()}
</navigation>
<count>
	<field id='noteslistcount'>{$noteslistcount|escape()}</field>
	<field id='noteslistpid'>{$noteslistpid|escape()}</field>
	<field id='noteslistid'>{$noteslistid|escape()}</field>
</count>
<records>
	{foreach($noteslist, 'key', 'attr'}
	<record>
		{foreach($attr, 'foo', 'bar'}
		{if $foo == 'date'}
		<field name='{$foo|escape()}'>{bf_format_date($bar)}</field>
		{else}
		<field name='{$foo|escape()}'>{$bar|escape('hexentity')}</field>
		{/if}
		{/foreach}
	</record>
	{/foreach}
</records>
