{*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*}
{listing->getCount()|assign('itemCount')}
{listing->getPageCount()|assign('pageCount')}
{listing->getLimit()|assign('itemLimit')}
{listing->getOffset()|assign('offsetLeft')}
<head>
	<meta id="itemCount">{$itemCount|escape()}</meta>
	<meta id="valid">{listing->hasResults()|escape()}</meta>
	<meta id="itemLimit">{$itemLimit|escape()}</meta>
	<meta id="offsetLeft">{math($offsetLeft+1)|escape()}</meta>
	<meta id="grandTotal">{listing->getGrandTotal()|escape()}</meta>
	<meta id="pageCount">{$pageCount|escape()}</meta>
	<meta id="pageNumber">{listing->getPage()|escape()}</meta>
	<meta id="lastPage">{math($pageCount*$itemLimit-$itemLimit)|escape()}</meta>
	<meta id="offsetRight">{math($offsetLeft+$itemCount)|escape()}</meta>
</head>
<records>
{for('i', $itemCount)}
	{listing->next()|assign('server')}
	<record>
		<field class="bf_name">{$server['name']|escape()}</field>
		<field class="bf_access">{$server['access']|escape()}</field>
		<field class="bf_coll_id">{$server['collector']|escape()}</field>
		<field class="bf_host">{$server['host']|escape()}</field>
		<field class="bf_path">{$server['path']|escape()}</field>
		<field class="bf_id">{$server['id']|escape()}</field>
		<field class="bf_err">{$server['err']|escape()}</field>
		<field class="bf_level">{$server['level']|escape()}</field>
		<field class="bf_active">{$server['active']|escape()}</field>
	</record>
{/for}
</records>
