<?php
/*
(c)2003-2006, BuildForge, Inc. All rights reserved. BuildForge, Inc.
owns the copyright and other intellectual property rights in this
software.
Duplication or use of the Software is not permitted except as expressly
provided in a written agreement between your company and BuildForge,
Inc.
*/

/**
 * index.php
 *
 * This file does nothing past displaying the login page. If the user has
 * already logged in, it will redirect to the default product.
 *
 * TODO: Make the default product first check the user''s preference and
 * then the system configuration. Some clients may only have a different
 * product installed and it makes no sense to have this hard coded.
 *
 * @package Console
 * @subpackage Core
 */

define('BF_ROOT', realpath(dirname($_SERVER['SCRIPT_FILENAME']).'/..'));
$GLOBALS['base'] = true;

include '../init.php';

$bfjte->assign('webroot', BF_WEBROOT);
if (isset($msg)) $bfjte->assign('message', $msg);

$bfjte->assign('redirect', BF_WEBROOT . $GLOBAL_SETTINGS['site']['loginredirect']);

$bfjte->display('login.tpl');

$controller->cleanup();

?>
