#!/usr/bin/perl
#
# This script is used to replace the minor version 
# of a site.xml file for a plugin source to the
# variable __BUILD_ID__ for for .strsub to the current
# BF_BID.
#
# Usage : ./versionBumper.pl site.xml 
#      

my $site = $ARGV[0];

my $newSiteXML = "";
open (MFF, $site) || die $!, "\n";
while (<MFF>) {
	if ($_ =~ /(.*)feature_(\d+\.\d+\.)(\d+)(.*)version="(\d+\.\d+\.)(\d+)"(.*)/) {
		$newSiteXML .= $1 . "feature_" . "__MAJOR_VERSION__.__MINOR_VERSION__.__BUILD_ID__" . $4 . "version=\"" . "__MAJOR_VERSION__.__MINOR_VERSION__.__BUILD_ID__\"" . $7 . "\n";
	} else {
		$newSiteXML .= $_;
	}
}
close(MFF);
unlink ($site) || die $!, "\n";

open (NMFF, ">" . $site) || die $!, "\n";
print NMFF $newSiteXML or die $!, "\n";
close(NMFF);
	
