/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.core;


public interface IBuildRecord extends IBuildResultStates, IBuildStatus {

	public abstract int getBuildId();

	public abstract void setBuildId(int buildId);

	public abstract String getBuildTag();

	public abstract void setBuildTag(String buildTag);

	public abstract int getProjectId();

	public abstract void setProjectId(int projectId);

	public abstract String getStatus();

	public abstract void setStatus(String status);
	
	public IProjectNode getParent();
	
	public void setParent(IProjectNode project);
	
	public ILogRecordElement[] getBuildLogRecords();
	
	public Object[] getStepDetailRecords();

	public String getOwner();

	public void setOwner(String owner);

	public String getResult();

	public void setResult(String result);
	
}