/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.core;


public interface ILogRecordElement {

	public abstract int getBuildId();

	public abstract void setBuildId(int buildId);

	public abstract int getLineId();

	public abstract void setLineId(int lineId);

	public abstract String getMessage();

	public abstract void setMessage(String message);

	public abstract String getTimestamp();

	public abstract void setTimestamp(String timestamp);

	public abstract int getStepId();

	public abstract void setStepId(int stepId);

	public abstract String getStepName();
	
	public abstract void setStepName(String stepName);
	
	public abstract String getResult();
	
	public abstract void setResult(String result);
	
	public abstract String getLogId();
	
	public abstract void setLogId(String logId);
}