/*
 * 20052006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.ui.adapters;

import com.buildforge.buildmodel.core.internal.Messages;

public interface IConsolePropertySource {

	public static final String PROP_ID_NAME = "CONSOLE_NAME"; //$NON-NLS-1$
	
	public static final String PROP_DISPLAY_NAME = Messages.getString("IConsolePropertySource.CONSOLE_NAME_LABEL"); //$NON-NLS-1$
	
	public static final String PROP_ID_HOST = "HOST"; //$NON-NLS-1$
	
	public static final String PROP_DISPLAY_HOST = Messages.getString("IConsolePropertySource.CONSOLE_URL_LABEL"); //$NON-NLS-1$
	
	public static final String PROP_ID_USER = "USER_NAME"; //$NON-NLS-1$
	
	public static final String PROP_DISPLAY_USER = Messages.getString("IConsolePropertySource.CONSOLE_USERNAME_LABEL"); //$NON-NLS-1$
	
	public static final String PROP_ID_PASSWORD = "PASSWORD"; //$NON-NLS-1$
	
	public static final String PROP_DISPLAY_PASSWORD = Messages.getString("IConsolePropertySource.CONSOLE_PASSWORD_LABEL"); //$NON-NLS-1$
	
	public static final String PROP_DISPLAY_LDAP_DOMAIN = Messages.getString("IConsolePropertySource.CONSOLE_LDAP_DOMAIN_LABEL"); //$NON-NLS-1$
	
	public static final String PROP_ID_LDAP_DOMAIN = "LDAP_DOMAIN"; //$NON-NLS-1$
	
	
}
