/*
 * �2005�2006, BuildForge, Inc. All rights reserved. BuildForge, Inc. owns the
 * copyright and other intellectual property rights in this software.
 * 
 * Duplication or use of the Software is not permitted except as expressly
 * provided in a written agreement between your company and BuildForge, Inc.
 */

package com.buildforge.buildmodel.ui.filters;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import com.buildforge.buildmodel.core.IBuildRecord;

public class ArchivedStateFilter extends ViewerFilter {

	public boolean select(Viewer viewer, Object parentElement, Object element) {
		if (element instanceof IBuildRecord) {
			String status =  ((IBuildRecord) element).getStatus();
			//$ANALYSIS-IGNORE
			if (IBuildRecord.ARCHIVED_STATE.equals(status)) {
							return false;
						}
		}
		return true;
	}

}
