{*	(c)2003-2006, BuildForge, Inc.  All rights reserved. BuildForge, Inc. owns the copyright and other intellectual property rights in this software.
	Duplication or use of the Software is not permitted except as expressly provided in a written agreement between your company and BuildForge, Inc. *}

<head>
<title>BuildForge{if $module->title} - {translate($module->title)|escape()}{/if}</title>
{if $includes['alternates']}
{foreach($includes['alternates'], 'key', 'alternate')}
<link id="{$alternate['id']|escape()}" rel="alternate" type="{$alternate['type']|escape()}" title="{$alternate['title']|escape()}" href="{$alternate['href']|escape()}" />
{/foreach}
{/if}
<link rel="stylesheet" href="{$webroot}styles/global.css" />
<link rel="stylesheet" href="{$webroot}{$product}/styles/global.css" />
<link rel="stylesheet" href="{$webroot}styles/global_resizers.css" />
<link rel="stylesheet" href="{$webroot}styles/modular_navigation.css" />
<link rel="stylesheet" href="{$webroot}styles/global_navigation.css" />
<link rel="stylesheet" href="{$webroot}styles/button_menus.css" />
<!--[if IE]>
	<link rel="stylesheet" href="{$webroot}styles/global_ie.css" />
	<link rel="stylesheet" href="{$webroot}styles/modular_navigation_ie.css" />
	<link rel="stylesheet" href="{$webroot}styles/global_navigation_ie.css" />
<![endif]-->
<!--[if IE 6]>
	<link rel="stylesheet" href="{$webroot}styles/global_ie6.css" />
<![endif]-->
{if $includes['stylesheets']}
{foreach($includes['stylesheets'], 'ssKey', 'stylesheet')}
<link rel="stylesheet" href="{$stylesheet}" />
{/foreach}
{/if}
{if is_array($module->action)}{assign('action', $module->action[0])}{else}{assign('action', $module->action)}{/if}
{if $action == ''}{assign('action', $jTE['get']['action'])}{/if}
{if $action == 'schedule.list.view' or $action == 'schedule.calendar.view'}{assign('action', 'schedule.view')}{elseif !$action or $action == 'view.all' or $action == 'view.completed' or $action == 'view.running' or $action == 'view.archived' or $action == 'view.locked'}{assign('action', 'view')}{/if}
{if $action == 'projects.view' && $jTE['get']['mod'] == 'library'}{assign('action', 'library.view')}{/if}
{sprintf('%s_filter', $action)|assign('filter_name')}
{sprintf('%s_count', $action)|assign('count_name')}
<meta http-equiv="Content-type" content="text/html; charset=UTF-8" />
<script type="text/javascript">

{bf_get_languages()|assign('languages')}
languages = {ldelim()}
{foreach($languages, 'key', 'name'}
	'{$key}' : '{translate($name)|escape('addslashes')}',
{/foreach}
	'xx-bork' : 'Mock Swedish'
{rdelim}

user = {ldelim()}
	'id' : {$user['id']},
	'name' : '{$user['name']|escape('addslashes')}',
	'login' : '{$user['login']|escape('addslashes')}',
	'datefmt' : '{$user['datefmt']|escape('addslashes')}',
	'lang' : '{$user['lang']|escape('addslashes')}'
{rdelim()};

userprefs = {ldelim()}
	'action' : '{$action}',
	'filter' : '{userobj->getPreference($filter_name)|escape('javascript')}',
	'count' : {if $userobj->getPreference($count_name)}{userobj->getPreference($count_name)}{else}15{/if},
	'max_refreshes' : parseInt('{controller->getSysconfig('max_refreshes')}'),
	'schedule_start_dow' : parseInt('{userobj->getPreference('schedule_start_dow')}'),
	'module' : '{$jTE['get']['mod']|escape('addslashes')}',
	'screenreader' : {if $userobj->getPreference('screenreader')}true{else}false{/if}
{rdelim()};

if (isNaN(userprefs['max_refreshes']))  {ldelim()}
	userprefs.max_refreshes = 0;
{rdelim()}

if (isNaN(userprefs['schedule_start_dow']))  {ldelim()}
	userprefs.schedule_start_dow = 0;
{rdelim()}

var font_size = (user.lang == 'ko_KR' || user.lang == 'ja_JP' || user.lang == 'zh_CN' || user.lang == 'zh_TW') ? 7 : 5.5;
</script>
<!--[if IE]>
	<script type="text/javascript" src="{$webroot}javascripts/content_ie.js"></script>
<![endif]-->
<script type="text/javascript" src="{$webroot}javascripts/translator.js.php"></script>
<script type="text/javascript" src="{$webroot}javascripts/content.js"></script>
<script type="text/javascript" src="{$webroot}javascripts/global_navigation.js"></script>
<script type="text/javascript" src="{$webroot}javascripts/mouseOvers.js"></script>
<script type="text/javascript" src="{$webroot}javascripts/notes.js"></script>
<script type="text/javascript" src="{$webroot}javascripts/select.js"></script>
{foreach($includes['javascripts'], 'jsKey', 'javascript')}
<script type="text/javascript" src="{$javascript}"></script>
{/foreach}
{if $module->javascript}
<script type="text/javascript">
{$module->javascript}
</script>
{/if}
{if $module->style}
<style type="text/css">
{$module->style}
</style>
{/if}
</head>
