<?php

/**	jTE function: bf_get_classes
 *
 *  Usage:
 *  {bf_get_classes()|assign('somearray')}
 * returns KEY = class name => ARRAY class data
 * 
 * @package jTE
 */
class jTE_bf_get_filters extends jTE_functions {

	public function apply() {
		global $user;

		$arg = $this->getValue(trim($this->function_args[0],"()"));

		$GLOBALS['controller']->require_file('modules/BFQueryBuilder/BFQueryBuilder.php');
		$qb = BFQueryBuilder::select();

		$qb->addColumn('bf_pattern',	'bf_filters', 'name');
		$qb->addColumn('bf_did',		'bf_filters', 'id');

		$qb->where(array(
			array('=', 'bf_filters', 'bf_fid', '0')
		));
		if ($arg)  {
			$qb->where(array('=', 'bf_filters', 'bf_did', $arg));
		}

		$qb->orderBy('ASC', 'bf_filters', 'bf_pattern');

		if ($arg) {
			$results = $qb->getOne();
		} else {
			$res = $qb->getResult();
			$results = array();
			while ($row = $res->fetchRow(DB_FETCHMODE_ASSOC)) {
				$results[$row['id']] = $row;
			}
		}
		return $results;
	}

}

?>
