<?php

/**	jTE function: bf_get_languages
 *
 *  Usage:
 *  {bf_get_languages()|assign('somearray')}
 * returns an array of the language keys and names the system understands
 *
 * @package jTE
 */
class jTE_bf_get_languages extends jTE_functions {

	public function apply() {
		$results = array();

		$dir = BF_ROOT . DIRECTORY_SEPARATOR . 'lang' . DIRECTORY_SEPARATOR;

		if (is_dir($dir) && $dH = opendir($dir)) {
			while (($langKey = readdir($dH)) !== false) {
				if (is_dir($dir.$langKey)
						&& file_exists($dir . $langKey . DIRECTORY_SEPARATOR . 'language.php')
						&& strpos($langKey,".") === false && $fH = opendir($dir.$langKey)) {
					while (($innerfile = readdir($fH)) !== false) {
						if (strpos($innerfile, '.lang') !== false && $langKey[0] != 'x' && $langKey[1] != 'x') {
							$results[$langKey] = substr($innerfile, 0, strpos($innerfile, '.lang'));
						}
					}
				}
			}
			closedir($dH);
		}

		// Sort man.. sort!
		asort($results);

		return $results;
	}

}

?>
