<?php

/**	jTE function: bf_get_message
 *
 *  Usage:
 *  {bf_get_message($message_string, $args_store_id)}
 * 
 * @package jTE
 */
   
class jTE_bf_get_message extends jTE_functions {
	protected $message_string;
	protected $args_store_id;

	public function apply() {
		$this->message_string = $this->getValue(trim($this->function_args[0],'()'));
		$this->args_store_id = $this->getValue(trim($this->function_args[1],'()'));
		if (empty($this->args_store_id)) {
			return $this->message_string;
		} else {
			return $this->display();
		}
	}
	
	public function display() {
		if ($storage = bf_get_storage($this->args_store_id)) {
			// Slightly better, but still nasty.
			$parameters = explode(',', $storage);
			foreach ($parameters as $i => $p) {
				if ($p && $p[0] == '!')  {
					$parameters[$i] = bf_translate_string(pack("H*", substr($p, 1)));
				}  else {
					$parameters[$i] = pack("H*", $p);
				}
			}
			return vsprintf($this->message_string, $parameters);
			
			// Difference is negligable.
			//$parameters[0] = $this->message_string;			
			//$output = call_user_func_array('sprintf', $parameters);
						
		} else {
			return $this->message_string;
		}
	}
}

?>
