<?php

/**	jTE function: For
 *	This is a for loop and will replace smarties section functionality, but also provide for extended FOR features.
 *
 *  Usage:
 *  {for($pointer, $var)}...{/for}  -- Similar to Section will do something $var times
 *  Coming soon: {for($pointer, $var, 'comparison', $toVarOrValue, {++|--}}
 *  Coming soon: {for($pointer, $foo, '<=', '10', '++')}...{/for}
 *  You may reference the pointer by saying $jTE['for'][{pointerName}]
 * 
 * @package jTE
 */
class jTE_for extends jTE_functions {

	public function apply() {
		return $this;
	}

	public function display() {
		// What actually gets compiled and displayed
		$block = null;
		
		// Need an array and an integer to breed a successful for loop
		if (count($this->function_args) == 2) {
			$total = (int)$this->getValue($this->function_args[1]);
			for ($i = 0; $i < $total; $i++) {
				$this->tplRef->setEntity($this->function_args[0], $i);
				$block = $this->tplRef->_jTE_parser->parseElements($this->function_source['block']);
				$this->tplRef->_jTE_parser->imploder($block);
			}
		}
	}
}

?>
