<?php

/**	jTE function: REPLACE
 *	This function handles simple string replacement
 *
 *  Usage:
 *  {$someValue|replace("foo", "bar")} {* replaces "foo" with "bar" in $someValue *}
 * 
 * @package jTE
 */
class jTE_replace extends jTE_functions {
	public function apply() {
		if (isset($this->function_args[0]) && 
				isset($this->function_args[1])) {
			return str_replace(
							   $this->getValue($this->function_args[0]),
							   $this->getValue($this->function_args[1]),
							   $this->getValue($this->function_source)
							   );
		} else {
			return $this->function_source;
		}
	}


}

?>
