<?php

/**	jTE function: sprintf
*
*  Usage:
*  {assign('foo', 'I have %d nostrils.')}
*  {assign('bar', 2)}
*  {sprintf($foo, $bar)} // Go nuts, add parameters
	OR
*  {$bar|sprintf($foo)} // Only works with ONE parameter
* 
* @package jTE
*/
class jTE_sprintf extends jTE_functions {
	
	public function apply() {
		$format = $this->getValue($this->function_args[0], '\'"');
		$params = array();
		if (!is_array($this->function_source)) {
			$params[] = $this->function_source;
		} else {
			$length = count($this->function_args);
			for ($i = 1; $i < $length; $i++) {
				$params[] = $this->getValue($this->function_args[$i]);
			}
		}
		return vsprintf($format, $params);
	}
	
}

?>