<?php

/**	jTE function: Echo
 *	This function is used to echo out
 *
 *  Usage:
 *  {someObject->function()} - echos the value of someObject->function()
 *	{$foo} - echos $foo
 *  {echo $foo} - same as above - "echo" is assumed
 *
 */
class jTE_translate extends jTE_functions {

	public function apply() {
		global $language, $LANGUAGES;
		$key = strtolower($this->getValue($this->function_args[0]));
		if (isset($LANGUAGES[$key])) {
			return $LANGUAGES[$key];
		} else {
			return isset($language[$key]) ?
				preg_replace('/\%([0-9]+)/e', '$this->getValue(@$this->function_args[$1])', $language[$key]) :
				"Err: $key";
		}
	}

}

?>
